HotDocs Server Help - Home

HotDocs Server Help
  • « Back
  • Home
  • Index
  • Contact
  • Glossary
  • Help

Help Topics for HotDocs Server

This Help file contains information you need to learn about, install, and manage an instance of HotDocs Server. It also contains information about designing and implementing a Web site (host application) that uses HotDocs Server APIs to perform tasks like collecting information from users or assembling documents. For each API, you will find descriptions of its objects, methods, properties, and events, as well as example source code to illustrate how you can use that API in your application.

The following links represent an overview of what you can find in this Help file.

+ Getting Started

+ About HotDocs

  • What is HotDocs document assembly software?
  • What is HotDocs Server?

+ HotDocs Server Architecture

  • What is the HotDocs Server service?
  • What is a HotDocs Server host application?
  • What is HotDocs Developer?

+ New Features and Enhancements

  • New and Enhanced Features of HotDocs Server 10
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Online Server 6.1

> System Requirements

+ Managing HotDocs Server

+ HotDocs Server Files and Registry Keys

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys

+ HotDocs Server Management Console

  • How do I use the HotDocs Server management tools?
  • HotDocs Server Tree
  • Server (Machine Name) Node
  • Service Node
  • HotDocs Node
  • License Node
  • Logging Node
  • Component Security Node
  • Clustering Node
  • Assembly Server Node

+ Install HotDocs Server

  • How do I install HotDocs Server?
  • How do I install the HotDocs Server management tools?
  • Post-Installation Checklist

+ Synchronize HotDocs Server Files

  • How do I synchronize files between HotDocs Developer and Server?
  • How do I synchronize templates between servers?

+ Developing a Host Application

+ Create Custom HTML Pages for Template Uploading

  • What is a Publishing Form page?
  • What is a Publishing Destination page?

+ Create Templates for Use with HotDocs Server

  • How do I enable templates for use with HotDocs Server?
  • How do I publish and upload templates for use with HotDocs Server?
  • What are the differences between desktop and browser-based interviews?

+ Customize the Interview Appearance and Performance

  • Define a Custom Interview
  • How do I use Computations in a template?
  • How do I customize the appearance of a JavaScript interview?

> Upgrade an Existing HotDocs Server Host Application

+ Use the HotDocs Server APIs to Create a Host Application

  • How do I use the .NET Application Interface to create a HotDocs Server host application?
  • How do I use the COM Application Interface to create a HotDocs Server host application?
  • How do I add a custom button to the toolbar?
  • How do I create a HotDocs Server answer source?
  • How do I enable the Save Answers feature in my host application?

+ .NET API

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

+ COM API

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

+ JavaScript API

+ HotDocs Server JavaScript API

  • HDAddCustomToolbarButton Function
  • HDAddCustomNavButton Function
  • HDAnsGetIter Function
  • HDAnsGetRptNdx Function
  • HDAnsGetVal Function
  • HDAnsSetVal Function
  • HDInvokeButton Function
  • HDGetXMLAnswers Function
  • HDGetInterviewBookmark Function
  • HDGotoInterviewBookmark Function
  • HDPostAnswersToServer Function
  • HDPostToServer Function
  • HDRegisterHandler Function
  • HDScreenRefresh Function
  • HDSetButtonVisibility Function
  • HDSetToolbarButtonImage Function
  • HDUnregisterHandler Function
  • OnHDFinish Callback Function
  • OnHDStart Callback Function
  • PreHDRender Callback Function
  • PreHDSubmit Callback Function

HotDocs Ltd. | About HotDocs Ltd.

Copyright © 2011 HotDocs Ltd. All rights reserved


HotDocs Server Help - Index

  • Index
  • Contact
  • Glossary
  • Help

Index

Filter by first letter: All A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Filter by index keyword:

Keyword not found.

The keyword you entered could not be found in the Index. Please try one of the following steps:

  • Try searching using similar keywords.
  • Use the full-text Search feature instead. (Enter your search term in the Search box located in the upper-right corner of the Help window.)

.NET API

about

classes (19)

  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

using to create a host application

Answer source

creating for HotDocs Server

Architecture

host application

HotDocs Server

Assembly server

Assembly Server node

Browser-based vs desktop interviews

Buttons, adding to the toolbar (3)

  • How do I add a custom button to the toolbar using the COM or .NET API?
  • How do I add a custom button to the toolbar?
  • How do I add a custom button to the toolbar using the JavaScript API?

Checking

templates for Web server compatibility

Clustering

setting up cluster group

Clustering node

COM API

about

objects (15)

  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

COM objects (3)

  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.TemplateInfo Object

COM Objects

changing permissions for

Component file properties

defining interviews

Component Security node

Computations

using in a template

Connect to Server dialog

Contacting technical support

Counters

viewing performance

CSS

styles used in HotDocs Server interviews (7)

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

using to customize JavaScript interview appearance

using to customize the interview appearance

Customizing

the interview for a template

DCOM permissions

Dependency object

about

properties (6)

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property
  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

DependencyCollection object

about

methods (4)

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method

properties (2)

  • DependencyCollection.Count Property
  • DependencyCollection.Count Property

Desktop HotDocs

Desktop vs browser-based interviews

Document assembly software

Document Preview

enabling

Enumerations

Features

New and Enhanced (8)

  • New and Enhanced Features of HotDocs Server 10
  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New Features and Enhancements

Files

synchronizing

synchronizing between servers

viewing details of

Foreign characters, using

Head server

Help file

get help using

searching

Host application

about

upgrading an existing

using .NET to create

using HotDocs Server APIs to create

HotDocs node

HotDocs Server APIs

using to create a host application

HotDocs Server COM objects

changing permissions for

HotDocs Server Management Console

about

HotDocs Server Management Tools

Using

HotDocs Server Management

Assembly Server node

Clustering node

Component Security node

HotDocs node

HotDocs Server Tree

License node

Logging node

Server (Machine Name) node

Service node

HotDocs Server Tree

HotDocs Server

about

API

architecture

clustering

connecting to

connecting to using the management console

creating templates for

feature support (2)

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

files and registry keys

host application

Installing

installing

log file

publishing templates for

service

viewing performance counters

HotDocs.Server.AnswerCollection

about

methods (18)

  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection Constructor
  • AnswerCollection.Contains Method
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method

properties (5)

  • AnswerCollection.CopyTo Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

HotDocs.Server.Answer

about

methods (12)

  • Answer.Add Method
  • Answer.Clear Method
  • Answer Constructor
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method

properties (8)

  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatCount Property
  • Answer.RepeatIndexes Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

HotDocs.Server.AssemblyCollection

about

methods (11)

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method

properties

HotDocs.Server.AssemblyNode

about

methods

properties (4)

  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

HotDocs.Server.Assembly

about

methods (5)

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method

properties (38)

  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

HotDocs.Server.ComponentCollection

about

methods (12)

  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection Constructor
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method

properties (4)

  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

HotDocs.Server.ComponentProperties

about

methods (10)

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method

properties (3)

  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

HotDocs.Server.ComponentProperty

about

methods

properties (3)

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

HotDocs.Server.Component

about

methods

properties (4)

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

HotDocs.Server.DependencyCollection

about

HotDocs.Server.Dependency

about

HotDocs.Server.InterviewResponse

about

methods (2)

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

HotDocs.Server.Manager

about

methods (5)

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method

properties (3)

  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

HotDocs.Server.RepeatIndices

about

methods (2)

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method

properties (2)

  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

HotDocs.Server.Session

about

methods (10)

  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session Constructor
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

properties (12)

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

HotDocs.Server.TemplateInfo

about

HotDocs.Server.UtilityTools

about

methods (4)

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

HotDocs.Server.Value

about

methods (2)

  • Value Constructor
  • Value.Dispose Method

properties (6)

  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

HotDocs.Server.VariableCollection

about

methods (6)

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method

properties (3)

  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

HotDocsServer.exe

HotDocs

about (2)

  • What is HotDocs document assembly software?
  • About HotDocs

Developer

Server

HotDocs_Online.AnswerCollection

about

methods (15)

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method

properties (4)

  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

HotDocs_Online.Answer

about

events

methods (9)

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method

properties (7)

  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

HotDocs_Online.AssemblyCollection

about

methods (5)

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method

properties

HotDocs_Online.Assembly

about

methods (4)

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method

properties (36)

  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property
  • Assembly.InterviewFormat Property

HotDocs_Online.ComponentCollection

about

methods (2)

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method

properties (4)

  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

HotDocs_Online.ComponentProperties

about

methods

properties

HotDocs_Online.ComponentProperty

about

properties (3)

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

HotDocs_Online.Component

about

properties (4)

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

HotDocs_Online.FileCollection

about

methods (11)

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method

properties (3)

  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

HotDocs_Online.InterviewResponse

about

methods

HotDocs_Online.Manager

about

methods (3)

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method

properties (2)

  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

HotDocs_Online.Session

about

methods (7)

  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

properties (13)

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property

HotDocs_Online.UtilityTools

about

methods (4)

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

HotDocs_Online.Value

about

properties (6)

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

HotDocs_Online.VariableCollection

about

methods

properties (7)

  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

HVC files, publishing

Installing

HotDocs Server

HotDocs Server Management Tools

Internationalization, HotDocs

Internet

using HotDocs to assemble documents on

Interview speed

increasing

Interviews

customizing appearance of

customizing appearance of JavaScript

customizing appearance of Silverlight

defining for templates

differences between desktop and browser-based

JavaScript API

about

callback functions (4)

  • OnHDFinish Callback Function
  • OnHDStart Callback Function
  • PreHDRender Callback Function
  • PreHDSubmit Callback Function

functions (17)

  • HDAddCustomNavButton Function
  • HDAddCustomToolbarButton Function
  • HDAnsGetIter Function
  • HDAnsGetRptNdx Function
  • HDAnsGetVal Function
  • HDAnsSetVal Function
  • HDGetInterviewBookmark Function
  • HDGetXMLAnswers Function
  • HDGotoInterviewBookmark Function
  • HDInvokeButton Function
  • HDPostAnswersToServer Function
  • HDPostToServer Function
  • HDRegisterHandler Function
  • HDScreenRefresh Function
  • HDSetButtonVisibility Function
  • HDSetToolbarButtonImage Function
  • HDUnregisterHandler Function

JavaScript

customizing appearance of interviews

JS files, publishing

License node

Log file

Logging node

Log

viewing

Management tools

adding snap-in to MMC console

Management Tools

Installing

New Features (8)

  • New and Enhanced Features of HotDocs Server 10
  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New Features and Enhancements

Objects (3)

  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.TemplateInfo Object

Online

compatibility, checking for

templates, creating

Performance counters

viewing

Post-Installation Checklist

Proxy Information dialog

Publishing

HotDocs Server template files

Sample code

Publishing Destination Page

Publishing Form Page

Save Answers button

enabling in host application

Search query, forming

Server (Machine Name) node

Server

connecting to

Service node

Silverlight

customizing appearance of interviews

Site usage log

Snap-in

adding to MMC console

Support, getting for HotDocs

Synchronizing files between servers

System Requirements

Technical Support

in the United States

outside the United States

Template files

publishing HotDocs Server files from

Template uploading

creating custom HTML pages for

TemplateInfo Constructor (HotDocs.Server.TemplateInfo)

TemplateInfo object

about

methods (3)

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dispose Method

properties (10)

  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

Templates

creating for use with HotDocs Server

Test in Browser

Unicode, using in HotDocs

Unsupported

features in HotDocs Server (detecting and eliminating)

Upgrading an existing host application

Uploading templates

creating custom HTML pages for

Warnings

when using unsupported features in HotDocs Server

Web-based HotDocs, overview

Home > Index


HotDocs Server Help - About HotDocs

  • Help

All About...

  • HotDocs Server Architecture
  • New Features and Enhancements
  • System Requirements

About HotDocs

What is HotDocs document assembly software?

What is HotDocs Server?

Home > All About... > About HotDocs


HotDocs Server Help - What is HotDocs document assembly software?

  • Help

Overviews

  • What is HotDocs document assembly software?
  • What is HotDocs Server?

What is HotDocs document assembly software?

HotDocs is an award-winning software application that significantly reduces the time spent generating customized documents, such as contracts, sales proposals, government and court forms, legal documents, loan applications, and medical forms.

Using HotDocs, you can transform any word processor file or form into an interactive template by replacing the changeable text with HotDocs variables. Then, the next time you want to generate a completed document, just assemble the interactive template you've created. As you do this, you will be prompted for the information needed in the document and that information will be merged into the document.

When using HotDocs, you can perfect a template, minimizing the "human error" factor that repetitive typing introduces. Additionally, you can automate your templates so that verb tenses, gender references, dates, numbers, calculations, and more are updated automatically as users enter information. Custom interview questions and help resources guide you or your users through the interview.

Virtually any document in your workflow can be converted to a HotDocs template. HotDocs templates then become your gold standard—experienced colleagues can share their knowledge, and new colleagues come up to speed faster. Using HotDocs, you can compile an invaluable repository of special language, unique clauses or terms, correspondence, and more.

Templates and Component Files

HotDocs supports the following three types of templates:

Template Type | Description
Text Templates | A text template is created and automated in a word processor, such as Microsoft Word or WordPerfect. You can modify the underlying text of a text template both as you automate the template and as you view the assembled document in the word processor. Text templates have a .RTF, .DOT, or .WPT file name extension. Caution:Microsoft Word .DOT templates may not be used with HotDocs Server.
Form Templates | A form template is based on static text, such as a PDF document. Variable fields are placed on top of the static text where answers will be inserted during assembly, but the underlying static text and formatting does not change. Form templates have a .HFT or .HPT file name extension.
Interview Templates | An interview template gathers common information (such as court, attorney, or client information) and saves the answers for use in assembling other documents. Unlike text and form templates, users cannot generate documents from an assembled interview template—they can only generate an answer file. Interview templates have a .CMP file name extension.

When you create a new template file, HotDocs automatically creates a companion file called the component file. The component file contains information about variables and other components used in the template. The component file has the same name as the template file with a .CMP file name extension. Both the template file and the component file are necessary for a template to work. Whenever you copy a HotDocs template—for example, to share a template with another user—you must be sure to copy both the template file and the component file.

The component file works automatically in the background—as you create various components in the template, they are automatically stored in the component file. Normally each template uses its own component file, but you can make two or more templates share one component file.

Tip:
  • Interview templates have only a component file; they do not have a separate template file.
  • Templates used with HotDocs Server also require two additional files: a HotDocs interview definition (.JS) file and a HotDocs Variable Collection (.HVC) file. Like component files, these files also share the same file name as the template except for the file name extension. They are created when you publish a template for use with HotDocs Server. (See Create Templates for Use with HotDocs Server.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > About HotDocs > What is HotDocs document assembly software?


HotDocs Server Help - What is HotDocs Server?

  • Help

Overviews

  • What is HotDocs document assembly software?
  • What is HotDocs Server?

What is HotDocs Server?

HotDocs Server is the server-based version of HotDocs that uses a standard Web browser (Microsoft Internet Explorer) to display HotDocs interviews, or answer-gathering sessions. Generally speaking, when a user goes to your Web site and selects a document for assembly, a request is made from the user's browser to the HotDocs Server engine, which is running on the server. HotDocs Server then sends an interview file back to the user's browser, where it appears as a Web page. Once the required information has been entered, the user clicks a button that posts the answers (in XML format) back to HotDocs Server, where they are merged into assembled documents.

The following diagram shows the assembly process:

The benefit of creating a Web application using HotDocs Server is that users do not need HotDocs installed on their computers, since the interview is presented in a Web browser and document assembly happens on the server. For example, your human resources department may integrate its forms into its intranet site using HotDocs Server. Employees would then go to the intranet site, select which form to fill out, provide the required information, and then submit the form to the appropriate human resources representative—all from within a Web browser. Depending on project requirements, employees may also print copies of assembled documents, save copies of assembled documents to their hard drives, or simply store assembled documents on the server. Additionally, users can save their answer files on the server, as well as upload answer files from their desktops to the server.

HotDocs Server may also be used for non-interactive assembly. For example, a call can be made to a database and a document can be generated from information within the database. In this case, users do not have to answer any interview questions. Likewise, HotDocs Server interviews may be used to gather information to store in a database without assembling any documents at all.

HotDocs Server vs. Desktop HotDocs

HotDocs Server differs from "desktop" HotDocs (Developer, User, and Player) in several ways. First of all, HotDocs Server does not require that users install any special software on their computers; interviews are presented in a Web browser and document assembly occurs on the server.

Another difference between HotDocs Server and desktop HotDocs is the user interface. The desktop editions include user interfaces for creating and managing templates, assembling documents, managing answer files, and more. The HotDocs Server user interface, at least from the end user's perspective, is limited to displaying interviews in the Web browser. All other interaction with the user is accomplished by a custom host application, which you must build and maintain.

Desktop HotDocs does play an important role in a complete HotDocs Server implementation, however. Specifically, HotDocs Developer is the software used to create templates for use with HotDocs Server, and each authorized instance of HotDocs Server includes a limited number of licenses for HotDocs Developer.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > About HotDocs > What is HotDocs Server?


HotDocs Server Help - HotDocs Server Architecture

  • Help

All About...

  • About HotDocs
  • New Features and Enhancements
  • System Requirements

HotDocs Server Architecture

Implementing a HotDocs Server solution in your organization requires the integration of several specialized applications. At a minimum, the HotDocs Server architecture consists of the following applications:

  • HotDocs Server Service
  • Host Application
  • HotDocs Developer

Each application plays a unique role in providing a complete workflow solution to your organization's data collection and document assembly needs.

What is the HotDocs Server service?

The HotDocs Server service (HotDocsServer.exe) runs on the server as an operating system service and performs various tasks, such as assembling documents, producing HTML interviews, and handling answer files. As an operating system service, HotDocs Server starts when the server is started and runs in its own process space. This means that HotDocs Server is always available, even when no users are logged on to the system. Also, because HotDocs Server runs in its own thread instead of a thread assigned to it by some other process, security for the thread is not dictated by the client process.

The core HotDocs Server service does not have a user interface. Instead, it provides the following APIs through which external applications (with user interfaces) can integrate with HotDocs Server and instruct it to perform various tasks:

COM API | The HotDocs Server COM API is the fundamental interface for integrating your own custom host application with HotDocs Server. It contains a set of COM objects which allow you to present interviews in a Web browser, mark unanswered variables, populate variables in an interview with existing answers, assemble documents, and perform many other tasks relevant to Web-based document assembly.
.NET API | The HotDocs Server .NET API is a set of native .NET classes built on top of the COM API, which you can use to integrate HotDocs Server with your own custom .NET host application. It provides essentially the same set of features as the COM API, but also incorporates some basic .NET features such as collections and garbage collection.
JavaScript API | The HotDocs Server JavaScript API includes a number of JavaScript functions and global variables you can use on the client side of your host application to interact with the browser-based interview.
Note: By default, the HotDocs Server service runs under the SYSTEM user account. This is a special account with full privileges to read and write files on the local file system, but it cannot access files on a network. If you would like HotDocs Server to run under a different user account, consult your operating system documentation. (If you do configure the HotDocs Server service to run under a different user account, you must take care to give that account Read, Write, and Modify permissions to the temporary files folder, as well as to the template, answer, and assembled document files folders.)

One of the services provided by HotDocs Server is the generation of a browser-based HTML interview where questions are presented to end users and answers are gathered. The following picture shows an example of an HTML interview:

A number of factors affect the appearance of browser-based interviews. First of all, the host application determines the layout of the Web page on which the interview is displayed. HotDocs Server provides methods that can be called to produce an interview, which is then embedded in the host application’s Web page. The interview may be displayed on its own Web page, or it may be included on a page with other graphics, links, etc.

Style sheets and the format of the interview also affect its appearance. In addition to the core differences in appearance associated with interviews in JavaScript or Silverlight format, each of these interview formats uses a set of style sheets that you can customize to make the interview blend in with the host application. For example, if your host application uses one set of colors, you can modify the user style sheet to use the same colors in the interview, thus giving the interview a uniform appearance with the rest of the Web site.

Template developers that create templates for use with HotDocs Server can also greatly influence the appearance of interviews. For example, they can group related variables in dialogs, place variables side-by-side in dialogs, add additional text or prompts to explain questions, or include resource links to help users complete the interview.

Clustering

You can install HotDocs Server as a standalone server, or you can install it on multiple machines simultaneously, and have them work together as a "cluster group." In the cluster configuration, you install HotDocs Server on one machine and designate it as the Head Server by entering a license key that has clustering enabled. On each of the other machines, known as Assembly Servers, you install a HotDocs Server Assembly Server and enter a license key to let HotDocs Server know it is an Assembly server. When your host application tells the Head server to assemble a document, it sends the request to one of the available Assembly servers, which then performs the work and returns the assembled document to the Head server. Because the assembly work is distributed among many different machines, HotDocs Server can handle many more assembly requests simultaneously without negatively impacting performance.

Note:To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.

What is a HotDocs Server host application?

A HotDocs Server host application is the part of the HotDocs Server architecture that utilizes HotDocs Server features or services to accomplish some goal of your organization. You could compare the host application to an automobile, and HotDocs Server to the automobile's engine. Although the engine is powerful by itself, the automobile is what controls it and enables it to perform.

Each host application is unique and is usually written by someone in your organization or an outside consultant. Although host applications are frequently written as Web applications in ASP pages, they can be almost any type of application on any platform (Java, CGI, etc.). Through the COM, .NET, JavaScript, and Web Service interfaces, HotDocs Server provides the following services you can incorporate into your own host application:

Service | Description
Answer Collection | HotDocs Server can provide a browser-based interview (HTML form) that collects the information needed to assemble a document based on a HotDocs template. The browser-based interview follows the same rules that a desktop interview follows, and these rules are imposed on the interview by the template author. When the interview is completed, the answers are sent as an XML document to the location specified by the host application.
Answer Manipulation | HotDocs Server provides tools to allow the host application to manipulate answer sets. This allows the host application to learn about answers, insert new answers, remove answers from answer sets, and so forth.
Document Assembly | HotDocs Server can take a set of answers and a text (.RTF, .WPT) or form (.HFT, .HPT) template as input and produce either an assembled word processor document or graphical form document. It can also convert assembled .RTF documents to PDF.
Application Management | The COM and .NET Application interfaces provide tools for managing user sessions. For example, these interfaces allow you to manage the list of templates a user has selected for assembly (the "assembly queue") during the current session, and which documents have already been assembled.

All other services that people frequently associate with desktop HotDocs, such as template, answer file, and document management, must be provided by the host application. This is where HotDocs Server’s flexible design is so important: it does not impose any requirements about template, document, or answer management or storage. You can choose how, when, and where these files and data are stored, which makes it easy to fit into your existing workflow infrastructure.

To see a working example of a HotDocs Server host application built using the .NET API, you can install HotDocs Sample Portal. This basic host application (including all source code) is available as a demonstration of one way in which you could write a host application. Although it incorporates all of the basic features of HotDocs Server into a functioning host application, it is not designed to be used as-is in a production environment.

You may also use one of the out-of-the-box host applications such as HotDocs Template Portal, which you could use instead of building your own. It includes template, answer file, and user group management backed by a SQL database.

Tip: If you need assistance developing your own host application, the HotDocs consulting team can help. It has experience in developing Web sites and template sets, and integrating existing systems and applications with HotDocs Server. Contact your HotDocs sales representative at (800) 500-3627 for details.

What is HotDocs Developer?

HotDocs Developer (formerly known as HotDocs Professional) is a desktop software application that makes up the third part of the HotDocs Server architecture. Each authorized instance of HotDocs Server includes a limited number of licenses for HotDocs Developer, which is used to create the templates that will be used with HotDocs Server.

When creating templates for use with HotDocs Server, you can use most of the same features as you can when creating templates for use with the desktop version of HotDocs. For example, HotDocs Server templates may contain related variables grouped into separate dialogs, dialog scripts that dynamically gray or hide variables, instructions for specifying the order in which dialogs are asked, and many other features. However, some features are either not supported or work differently in HotDocs Server templates.

The following HotDocs Developer features are designed specifically for creating HotDocs Server templates:

  • Component File Properties: Templates may be enabled for use with HotDocs Server at the Component File Properties dialog box. Once enabled, templates may be used with either desktop HotDocs or HotDocs Server. Also, when this property is set, HotDocs warns you if you try to use a feature that is not allowed in a HotDocs Server template.
  • Test in Browser: The Test in Browser command (Template menu) allows template developers to view a browser-based (either JavaScript or Silverlight) interview for HotDocs Server-enabled templates. Using this feature is a way to ensure that the interview looks and works correctly before uploading the template to the Web server.
  • Publish Templates for Use With HotDocs Server: The Publishing Wizard (Tools menu) includes an option for publishing templates for use with HotDocs Server. When this option is selected, HotDocs generates the two files used by HotDocs Server to generate browser-based interviews: HotDocs Variable Collection (.HVC) and interview definition (.JS) files.
  • Upload Templates: After publishing the templates for use with HotDocs Server, the template files, including the .HVC and .JS files, must be uploaded to the Web server running HotDocs Server. You may do this as part of the publishing process by creating a Web page on the server to handle the uploaded files, or you can use your own uploading process to manually upload the template files after they have been published.

Home > All About... > HotDocs Server Architecture


HotDocs Server Help - What is the HotDocs Server service?

  • Help

Overviews

  • What is a HotDocs Server host application?
  • What is HotDocs Developer?
  • What is the HotDocs Server service?

What is the HotDocs Server service?

The HotDocs Server service (HotDocsServer.exe) runs on the server as an operating system service and performs various tasks, such as assembling documents, producing HTML interviews, and handling answer files. As an operating system service, HotDocs Server starts when the server is started and runs in its own process space. This means that HotDocs Server is always available, even when no users are logged on to the system. Also, because HotDocs Server runs in its own thread instead of a thread assigned to it by some other process, security for the thread is not dictated by the client process.

The core HotDocs Server service does not have a user interface. Instead, it provides the following APIs through which external applications (with user interfaces) can integrate with HotDocs Server and instruct it to perform various tasks:

COM API | The HotDocs Server COM API is the fundamental interface for integrating your own custom host application with HotDocs Server. It contains a set of COM objects which allow you to present interviews in a Web browser, mark unanswered variables, populate variables in an interview with existing answers, assemble documents, and perform many other tasks relevant to Web-based document assembly.
.NET API | The HotDocs Server .NET API is a set of native .NET classes built on top of the COM API, which you can use to integrate HotDocs Server with your own custom .NET host application. It provides essentially the same set of features as the COM API, but also incorporates some basic .NET features such as collections and garbage collection.
JavaScript API | The HotDocs Server JavaScript API includes a number of JavaScript functions and global variables you can use on the client side of your host application to interact with the browser-based interview.
Note: By default, the HotDocs Server service runs under the SYSTEM user account. This is a special account with full privileges to read and write files on the local file system, but it cannot access files on a network. If you would like HotDocs Server to run under a different user account, consult your operating system documentation. (If you do configure the HotDocs Server service to run under a different user account, you must take care to give that account Read, Write, and Modify permissions to the temporary files folder, as well as to the template, answer, and assembled document files folders.)

One of the services provided by HotDocs Server is the generation of a browser-based HTML interview where questions are presented to end users and answers are gathered. The following picture shows an example of an HTML interview:

A number of factors affect the appearance of browser-based interviews. First of all, the host application determines the layout of the Web page on which the interview is displayed. HotDocs Server provides methods that can be called to produce an interview, which is then embedded in the host application’s Web page. The interview may be displayed on its own Web page, or it may be included on a page with other graphics, links, etc.

Style sheets and the format of the interview also affect its appearance. In addition to the core differences in appearance associated with interviews in JavaScript or Silverlight format, each of these interview formats uses a set of style sheets that you can customize to make the interview blend in with the host application. For example, if your host application uses one set of colors, you can modify the user style sheet to use the same colors in the interview, thus giving the interview a uniform appearance with the rest of the Web site.

Template developers that create templates for use with HotDocs Server can also greatly influence the appearance of interviews. For example, they can group related variables in dialogs, place variables side-by-side in dialogs, add additional text or prompts to explain questions, or include resource links to help users complete the interview.

Clustering

You can install HotDocs Server as a standalone server, or you can install it on multiple machines simultaneously, and have them work together as a "cluster group." In the cluster configuration, you install HotDocs Server on one machine and designate it as the Head Server by entering a license key that has clustering enabled. On each of the other machines, known as Assembly Servers, you install a HotDocs Server Assembly Server and enter a license key to let HotDocs Server know it is an Assembly server. When your host application tells the Head server to assemble a document, it sends the request to one of the available Assembly servers, which then performs the work and returns the assembled document to the Head server. Because the assembly work is distributed among many different machines, HotDocs Server can handle many more assembly requests simultaneously without negatively impacting performance.

Note:To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Architecture > What is the HotDocs Server service?


HotDocs Server Help - What is a HotDocs Server host application?

  • Help

Overviews

  • What is a HotDocs Server host application?
  • What is HotDocs Developer?
  • What is the HotDocs Server service?

All About...

  • Use the HotDocs Server APIs to Create a Host Application

What is a HotDocs Server host application?

A HotDocs Server host application is the part of the HotDocs Server architecture that utilizes HotDocs Server features or services to accomplish some goal of your organization. You could compare the host application to an automobile, and HotDocs Server to the automobile's engine. Although the engine is powerful by itself, the automobile is what controls it and enables it to perform.

Each host application is unique and is usually written by someone in your organization or an outside consultant. Although host applications are frequently written as Web applications in ASP pages, they can be almost any type of application on any platform (Java, CGI, etc.). Through the COM, .NET, JavaScript, and Web Service interfaces, HotDocs Server provides the following services you can incorporate into your own host application:

Service | Description
Answer Collection | HotDocs Server can provide a browser-based interview (HTML form) that collects the information needed to assemble a document based on a HotDocs template. The browser-based interview follows the same rules that a desktop interview follows, and these rules are imposed on the interview by the template author. When the interview is completed, the answers are sent as an XML document to the location specified by the host application.
Answer Manipulation | HotDocs Server provides tools to allow the host application to manipulate answer sets. This allows the host application to learn about answers, insert new answers, remove answers from answer sets, and so forth.
Document Assembly | HotDocs Server can take a set of answers and a text (.RTF, .WPT) or form (.HFT, .HPT) template as input and produce either an assembled word processor document or graphical form document. It can also convert assembled .RTF documents to PDF.
Application Management | The COM and .NET Application interfaces provide tools for managing user sessions. For example, these interfaces allow you to manage the list of templates a user has selected for assembly (the "assembly queue") during the current session, and which documents have already been assembled.

All other services that people frequently associate with desktop HotDocs, such as template, answer file, and document management, must be provided by the host application. This is where HotDocs Server’s flexible design is so important: it does not impose any requirements about template, document, or answer management or storage. You can choose how, when, and where these files and data are stored, which makes it easy to fit into your existing workflow infrastructure.

To see a working example of a HotDocs Server host application built using the .NET API, you can install HotDocs Sample Portal. This basic host application (including all source code) is available as a demonstration of one way in which you could write a host application. Although it incorporates all of the basic features of HotDocs Server into a functioning host application, it is not designed to be used as-is in a production environment.

You may also use one of the out-of-the-box host applications such as HotDocs Template Portal, which you could use instead of building your own. It includes template, answer file, and user group management backed by a SQL database.

Tip: If you need assistance developing your own host application, the HotDocs consulting team can help. It has experience in developing Web sites and template sets, and integrating existing systems and applications with HotDocs Server. Contact your HotDocs sales representative at (800) 500-3627 for details.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Architecture > What is a HotDocs Server host application?


HotDocs Server Help - What is HotDocs Developer?

  • Help

Overviews

  • What is a HotDocs Server host application?
  • What is HotDocs Developer?
  • What is the HotDocs Server service?

What is HotDocs Developer?

HotDocs Developer (formerly known as HotDocs Professional) is a desktop software application that makes up the third part of the HotDocs Server architecture. Each authorized instance of HotDocs Server includes a limited number of licenses for HotDocs Developer, which is used to create the templates that will be used with HotDocs Server.

When creating templates for use with HotDocs Server, you can use most of the same features as you can when creating templates for use with the desktop version of HotDocs. For example, HotDocs Server templates may contain related variables grouped into separate dialogs, dialog scripts that dynamically gray or hide variables, instructions for specifying the order in which dialogs are asked, and many other features. However, some features are either not supported or work differently in HotDocs Server templates.

The following HotDocs Developer features are designed specifically for creating HotDocs Server templates:

  • Component File Properties: Templates may be enabled for use with HotDocs Server at the Component File Properties dialog box. Once enabled, templates may be used with either desktop HotDocs or HotDocs Server. Also, when this property is set, HotDocs warns you if you try to use a feature that is not allowed in a HotDocs Server template.
  • Test in Browser: The Test in Browser command (Template menu) allows template developers to view a browser-based (either JavaScript or Silverlight) interview for HotDocs Server-enabled templates. Using this feature is a way to ensure that the interview looks and works correctly before uploading the template to the Web server.
  • Publish Templates for Use With HotDocs Server: The Publishing Wizard (Tools menu) includes an option for publishing templates for use with HotDocs Server. When this option is selected, HotDocs generates the two files used by HotDocs Server to generate browser-based interviews: HotDocs Variable Collection (.HVC) and interview definition (.JS) files.
  • Upload Templates: After publishing the templates for use with HotDocs Server, the template files, including the .HVC and .JS files, must be uploaded to the Web server running HotDocs Server. You may do this as part of the publishing process by creating a Web page on the server to handle the uploaded files, or you can use your own uploading process to manually upload the template files after they have been published.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Architecture > What is HotDocs Developer?


HotDocs Server Help - New Features and Enhancements

  • Help

All About...

  • About HotDocs
  • HotDocs Server Architecture
  • System Requirements

New Features and Enhancements

New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs 2008 Server

New and Enhanced Features of HotDocs 2007 Server

New and Enhanced Features of HotDocs 2006 Server

New and Enhanced Features of HotDocs 2005 Server

New and Enhanced Features of HotDocs Online Server 6.2

New and Enhanced Features of HotDocs Online Server 6.1

Home > All About... > New Features and Enhancements


HotDocs Server Help - New and Enhanced Features of HotDocs Server 10

  • Help

Reference Material

  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs Server 10

HotDocs Server 10

  • New Registry Keys and .NET Namespace: The registry keys used by HotDocs Server have changed for this release. Instead of HKLM\Software\LexisNexis\HotDocs Server, the registry settings are now saved in HKLM\Software\HotDocs\HotDocs Server. Likewise, the LexisNexis portion of the HotDocs Server namespace in .NET has been removed; the name space is now HotDocs.Server instead of LexisNexis.HotDocs.Server.
  • Silverlight Interviews: You can now choose between the traditional JavaScript-based interviews and the new Silverlight-based interviews. Silverlight interviews are much quicker, especially for long or complex interviews. The server-wide default interview format is selected at the Service node of the management tools. You can also override this default per-assembly using the Assembly.InterviewFormat property.
  • JavaScript API: Several new functions and callback functions have been added. The HDGetInterviewBookmark and HDGotoInterviewBookmark functions allow you to get the current location in the interview and return to it later. Also, you can implement the following callback functions, which the interview will call at various times during the interview: OnHDFinish, OnHDStart, and PreHDSubmit.
  • Unicode Support: HotDocs Server can assemble templates that use Unicode characters. For more information about HotDocs Unicode support, see Use International Characters in HotDocs.
  • XML File Formats: All answer files saved by HotDocs Server are now in XML format. (HotDocs Server can still read binary (.ANS) answer files, but can only save answers in XML format.) HotDocs Server can also assemble templates with XML component files.
  • Built-in PDF Converter:

    The built-in RTF to PDF converter has been enhanced. In addition to producing PDF documents that more closely resemble the original RTF, HotDocs Server can now update the table of contents, references, fields, etc. before creating the PDF. To enable field updating, specify that option at the Assembly tab of the template's Component File Properties.

    You can also now choose to have HotDocs Server embed fonts when it converts RTF files to PDF. Font embedding is enabled at the HotDocs Node of the HotDocs Server Management Tools.

  • .NET and COM API: A new method, BuildServerFiles has been added to the UtilityTools object in both the .NET and COM APIs. This method creates the files required by HotDocs Server to display an interview for a template.
  • Licensing: HotDocs Server no longer uses a centralized licensing server. However, HotDocs Server still requires a license key, which enables HotDocs Server to run. You can see your current license key and terms at the License node of the management tools.

HotDocs Server 10.0.2

  • Server Clustering: This release adds support for back-end server load balancing ("server clustering"). This feature was first introduced in HotDocs 2008 Server Enterprise Edition, and is now available in HotDocs Server 10. To use server clustering, you must obtain a license key that enables it.

HotDocs Server 10.0.3

  • Application (SDK) Server: This release introduces a new type of HotDocs Server that can interact with a host application just like a regular instance of server, but which uses fewer server resources since it does not do processor-intensive work like document assembly. Those tasks are sent to an instance of HotDocs Server running on a different machine. This should help lighten the load on over-burdened front-end web servers.

HotDocs Server 10.1

  • Template Dependency API: The new TemplateInfo object lets you determine which files are required by a given template. For example, if you create a source control integration, you could use this new API to make sure that when you check a file out of source control, you also get all of its dependent files. The Dependency and DependencyCollection objects complete the set of new objects that make up the template dependency API.
  • JavaScript API:

    The following functions and features have been added to the public JavaScript API:

    • HDAddCustomNavButton: This function adds a button to the interview navigation bar. When a user clicks the button, a JavaScript function is called that performs any action users may need to take while navigating through the interview.
    • HDAddCustomToolbarButton: Another parameter was added to this function to allow you to specify the position of the new button within the toolbar group.
    • HDInvokeButton: This function lets you programmatically invoke one of the toolbar or navigation bar buttons (either built-in or custom), even if the button has been hidden. For example, if you create your own "Finish" button, you may want to hide the built-in "Finish" button but still have your button perform the same action by invoking the hidden "Finish" button.
    • HDSetToolbarButtonImage: This function lets callers specify alternate images for built-in toolbar buttons. It should be called before the toolbar is rendered for the first time, such as in the PreHDRender callback function.
    • HDSetButtonVisibility: This function lets callers hide built-in toolbar or navigation bar buttons, or the entire toolbar or navigation bar.
    • Browser Language Modules (BLM): Language modules allow the interview user interface text, as well as interview date and number formatting, to be localized.
  • .NET and COM API: New methods were added to the UtilityTools object in both the .NET and COM APIs for encrypting and decrypting strings, which are useful when implementing a stateless host application.
  • Web Services: A new, stateless web service was introduced along with a version of Sample Portal that uses the stateless web service. This new web service is known as the "Basic" web service and the web service previously referred to as the MTOM web service is now known as the "Session-based" web service. Also, although we are no longer distributing the old DIME web service, you may continue to use it or any web services you have built based on it.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > New Features and Enhancements > New and Enhanced Features of HotDocs Server 10


HotDocs Server Help - New and Enhanced Features of HotDocs 2008 Server

  • Help

Reference Material

  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs 2008 Server

HotDocs 2008 Server

  • Management Tools: The HotDocs Server Management Tool has been completely rewritten and it is now an MMC snap-in. This new management architecture allows you to remotely manage multiple instances of HotDocs Server, as well as perform HotDocs Server management tasks using Windows Management Instrumentation (WMI).
    Tip: Because the HotDocs Server Management Tool is available as a separate install, you can install it on a machine other than the one running HotDocs Server.
  • E-mail Alerts: HotDocs Server now includes more robust e-mail alerting capabilities to inform administrators of critical application errors.
  • Single-page Interviews: HotDocs Server now provides the ability to display all dialogs in an interview as one continuous page.
    Caution:Single-page interviews are best used for relatively short, simple interviews. Long or complex interviews will be slow in single-page mode, since all dialogs must be displayed and all dialog scripts must be run at the same time.
  • Automatic Interviews: HotDocs Server supports the new feature introduced in HotDocs 2008 that automatically excludes irrelevant questions from an interview. Rather than write dialog scripts, you can have HotDocs automatically gray or hide variables that aren't relevant to the document.
  • Improved APIs:
    • The Session object in the .NET and COM APIs has been enhanced to include methods for adding entries to the HotDocs Server log, appending documents, converting files from HTML to RTF (and vice versa), and getting the version of HotDocs used to create a template, or the version of HotDocs Server in use.
    • All .NET code has been migrated to .NET 2.0.
    • A new Web Service API has been created, which contains web services for HotDocs Server sessions and MTOM.
  • HotDocs PDF Advantage: HotDocs PDF Advantage is no longer a separate install for HotDocs Server. Instead, the files required by PDF Advantage are included in the HotDocs Server install and it is either enabled or disabled in your software authorization terms. If your current software authorization file does not enable PDF Advantage, you can contact your sales representative to upgrade your authorization terms to include PDF Advantage.

HotDocs 2008 Server R2

  • Enterprise vs. Legal Edition: HotDocs Server is now available in two editions: Enterprise and Legal. Legal edition is the "classic" edition of HotDocs Server, while Enterprise edition adds support for server clustering.
  • Server Clustering: You can install HotDocs Server as a standalone server, or you can install it on multiple machines simultaneously, and have them work together as a "cluster group." In the cluster configuration, you install HotDocs Server on one machine and designate it as the Head Server by entering a license key that has clustering enabled. On each of the other machines, known as Assembly Servers, you install a HotDocs Server Assembly Server and enter a license key to let HotDocs Server know it is an Assembly server. When your host application tells the Head server to assemble a document, it sends the request to one of the available Assembly servers, which then performs the work and returns the assembled document to the Head server. Because the assembly work is distributed among many different machines, HotDocs Server can handle many more assembly requests simultaneously without negatively impacting performance.
    Note:To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.
  • Licensing: All HotDocs Server licensing is now administered from a centralized authorization server. Rather than distributing license files that must be installed with each instance of HotDocs Server, users are given a server token ("product code") that is entered at the Software Authorization Terms node of the Management Tools. HotDocs Server then contacts the central authorization server to determine which features are enabled. If you want to change your terms, such as increase the number of concurrent users or reset an expiration date, HotDocs can make a change on the authorization server and HotDocs Server will receive those new terms the next time it contacts the authorization server.
    Note: This licensing mechanism was subsequently removed in HotDocs Server 10.
  • Improved Error Messages: These can now include the thread call stack when the error occurred to make debugging problems much easier. Also, all exceptions generated in HotDocs Server can be logged to a log file to help in complex problem troubleshooting.
  • Management Tools: The MMC snapin has been further improved and refined to make the user interface more responsive. The License node has also been renamed to Software Authorization Terms as part of the licensing overhaul.
  • File Conversion Utilities: The UtilityTools object (.NET and COM) has a new method, ConvertRTFFile, which converts RTF documents into PDF, HTML, or TXT files. In addition to explicitly calling this method in your host application, you could implicitly call the method by specifying one of these file name extensions in the Assembly.documentPath property. HotDocs Server will then convert the assembled document to the specified format automatically.
    Caution:When converting an RTF document to PDF, HotDocs Server uses a built-in PDF converter, which analyzes the codes contained in the RTF file and translates them to PDF. This differs from the method used by other third-party PDF converters, which rely on an instance of Microsoft Word on the server from which the document is "printed" using a driver to create the PDF document. PDF documents created using a PDF driver can typically handle a greater number of formatting variations, while the PDF conversion method used by HotDocs Server works best for documents with simpler formatting. If you use HotDocs Server's built-in PDF conversion, some formatting differences will exist between the original RTF and the PDF.
  • Management Object: The new Management object (.NET and COM API) provides methods and properties for working with HotDocs Server assembly servers.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > New Features and Enhancements > New and Enhanced Features of HotDocs 2008 Server


HotDocs Server Help - New and Enhanced Features of HotDocs 2007 Server

  • Help

Reference Material

  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs 2007 Server

HotDocs 2007 Server

  • Summary: During the interview, users can now click the [image] Answer Summary button to display a one page summary of all answers entered during the interview.

  • Assemble Marked-up Documents: You can now replace unanswered variables and instructions with markup in your assembled Word documents to make documents with unanswered variables easier to read.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > New Features and Enhancements > New and Enhanced Features of HotDocs 2007 Server


HotDocs Server Help - New and Enhanced Features of HotDocs 2006 Server

  • Help

Reference Material

  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs 2006 Server

HotDocs 2006 Server

  • COM Application Interface: The new COM Application Interface simplifies the process of creating a host application for HotDocs Server. It is built around the new Session object, which allows user information such as pending or completed assemblies, to persist throughout a session. It also contains several new objects used for reading HotDocs component files and the properties of each component.

  • COM Utility Interface: The COM Utility Interface is the same COM API from earlier versions of HotDocs Server. A few methods and properties have been added to the existing objects.

  • .NET Application Interface: The new native .NET Application Interface lets you build a host application without dealing with the extra steps like object lifespan management associated with using the COM interop assembly. It is patterned after the new COM Application Interface and built around the Session object.

  • JavaScript Interface: The JavaScript Interface has been expanded to include functions for adding toolbar buttons to the HotDocs Server interview.

  • Web Services Interface: The Web Services Interface has been enhanced to support new features of HotDocs 2006 Server like dialog images and saving answers during an interview. The web services were also rewritten to utilize the new .NET Application interface, and all source code for the web services is now included to allow even greater customization and easier integration.

  • Renamed Files: The following files have been renamed to more "universal" file names without reference to the version of HotDocs Server:

    1. hd2005.js --> hdserver.js
    2. hd2005user.css --> hdsuser.css
    3. hd2005system.css --> hdssystem.css
    Note: If your existing host application built for HotDocs 2005 Server utilizes a custom user style sheet, you must make sure that the new system style sheet (hdssystem.css) is in the same folder. In addition, you should update your custom user style sheet to reflect any changes made in the new HotDocs 2006 Server user style sheet (hdsuser.css). Otherwise, HotDocs 2006 Server will be unable to find the correct style sheets or style definitions and the interview will appear incorrect.

    In addition to the files listed above, the default installation folder has also changed from C:\Program Files\HotDocs 2005 Server to C:\Program Files\HotDocs Server. Likewise, the main registry key has changed from HKLM\Software\LexisNexis\HotDocs 2005 Server to HKLM\Software\LexisNexis\HotDocs Server. (Note: Beginning with HotDocs Server 10, this key is HKLM\Software\HotDocs\HotDocs Server.)

  • Performance Counters: HotDocs Server now includes several counters you can use to track system performance.

  • Save Answers During an Interview: You can now implement a feature that allows users to save answers during an interview. See Use the Save Answers Feature in Your Host Application for details.

  • Document Preview: A new button is now included on the HotDocs Server toolbar that allows you to see a preview of the assembled document during the interview. See How do I enable the Document Preview feature? for details.

  • Dialog Images: You can now display custom images during the interview by adding Image dialog elements to your dialogs. When HotDocs Server displays a dialog that contains an Image dialog element, it looks for the image in the same folder as the template.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > New Features and Enhancements > New and Enhanced Features of HotDocs 2006 Server


HotDocs Server Help - New and Enhanced Features of HotDocs 2005 Server

  • Help

Reference Material

  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs 2005 Server

HotDocs 2005 Server

  • Product Name: With this release, the official name of the product was changed to HotDocs Server (instead of HotDocs Online).
  • Changes to the Interview: The appearance of HotDocs interviews presented in the browser has been significantly enhanced. Improvements include the addition of an interview outline and resource pane, as well as greater control over the layout of variables in dialogs. Wherever possible, the browser-based interviews match desktop interviews in appearance and functionality.
  • Spreadsheet Dialogs: Repeated dialogs are now easier to navigate. For example, repeated dialogs can now be displayed as a spreadsheet in a browser-based interview.
  • Text Patterns: You can now use Text variable patterns to control how variables can be answered. For example, you can use patterns to correctly format telephone numbers or social security numbers.
  • Add Buttons to Dialogs: You can add a button to a dialog that runs a Computation variable. This may be useful if you want to perform a calculation or other type of command and have the result immediately take effect. You can also add a button that opens a Web page, which is useful for server answer sources.
  • COM API: New methods and properties have been added to the Answer object. The GetRepeatIndex and SetRepeatIndex methods allow you to get and set multiple repeat indexes for a value. Also, the TypeText property allows you to get and set variable types using text strings rather than enumerated values.
  • Documented Style Sheets: The Help file includes complete documentation for the cascading style sheets used to display interviews in the Web browser. Using this information, you can fully customize the appearance of HotDocs Server interviews to match the appearance of the rest of your Web site. (See How do I customize the appearance of a JavaScript interview?.)
  • Server Answer Sources: HotDocs Server now includes a set of functions to retrieve information from an outside source, such as a database, and update the current interview with those answers. For example, you can create a Web page that allows users to select information from a database. Then, during the interview, users can click a button on a dialog to open that page and select information from the database, rather than manually typing it. (See How do I create a HotDocs Server answer source?.)
  • Increased Speed and Stability: This version of HotDocs Server is more stable, faster, and more efficient than previous versions. The monitoring and managing of the application has also been improved.
  • Web Service: Previous versions of HotDocs Online Server included a security DLL. This DLL has now been replaced by a security class (COM interface).

HotDocs 2005 Server SP2

  • HotDocs Online 6 Template Support: With this service pack, HotDocs Server can assemble templates published using HotDocs 2005 and HotDocs 6.x. Templates published using versions of HotDocs earlier than 2005 use the HotDocs Online 6 style sheets and interview layout, while templates publishing using HotDocs 2005 continue to use the HotDocs 2005 Server layout. (To use this feature, you must use the GetInterviewWithDefinition method when displaying the interview.)
  • Resource Buttons: Dialog-level resources can now be accessed by clicking a resource button in the dialog title bar. In addition, you can choose whether resource buttons are displayed next to all answer fields with resources, or only next to the current answer field (if it has a resource). (See How do I use the HotDocs Server management tools?.)
  • Server Answer Sources: A new function has been added that allows developers to determine the repeat index of the current dialog for use when getting and setting variable values. (See HDAnsGetRptNdx.)
  • AppendDocumentFile2: The Application.AppendDocumentFile2 method can now be customized further to cause HotDocs Server to perform a more thorough merge of the two documents. Conflicting font, style, and color definitions can be better resolved in the combined document by adding a value to the HotDocs Server registry settings.
  • Interview Placement: Interviews are now displayed in a DIV element (hdMainDiv), which gives you more control over where they appear on your application's Web page. By default, calls to GetInterview and GetInterviewWithDefinition include DIV tags in the HTML code they return, which means you do not need to make any changes to your Web pages and interviews will continue to be displayed as before. If you want more control over the placement of this DIV element, however, you can create it yourself and set a registry value that tells HotDocs Server not to include the DIV tags in the HTML code that it generates.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > New Features and Enhancements > New and Enhanced Features of HotDocs 2005 Server


HotDocs Server Help - New and Enhanced Features of HotDocs Online Server 6.2

  • Help

Reference Material

  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs Online Server 6.2

HotDocs Online Server 6.2

  • Support for new HotDocs instructions: This release of HotDocs Online Server includes support for new features now available in HotDocs Professional Edition 6.2. You can now use the WHILE, INCREMENT, and DECREMENT instructions in your templates.

  • Improved AnswerCollection API: Three new methods were added to the AnswerCollection object to make it easier to use. The three methods are Clear, Item, and Remove.

  • Web Service: You can use the new HotDocs Online Web Service interface to develop your application. (Requires .NET Framework 1.1.)

HotDocs Online Server 6.2 SP1

  • New Application Object Method: A new method, AppendDocumentFile2, was added to the Application object. This method is similar to AppendDocumentFile, but it also allows you to choose whether headers and footers of appended documents are kept or discarded in the merged document.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > New Features and Enhancements > New and Enhanced Features of HotDocs Online Server 6.2


HotDocs Server Help - New and Enhanced Features of HotDocs Online Server 6.1

  • Help

Reference Material

  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs Online Server 6.1
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Server 10

New and Enhanced Features of HotDocs Online Server 6.1

HotDocs Online Server 6.1

  • Better assembly engine: The underlying software used to assemble RTF documents on the server has been improved. (For example, assembly speed is, in most cases, three to five times faster than it was with HotDocs Online Server version 5.5.) The engine also assembles complicated documents composed of multiple sub-documents much more quickly and with better results. (Because this assembly engine is based on the engine used in desktop HotDocs version 6, all templates must be converted to the HotDocs 6 format. See the HotDocs helps for additional information on converting to HotDocs 6.)
  • Graphical form document assembly and PDF support: You can now assemble graphical form templates on the server, including Envoy-based (HFT) and PDF-based (HPT) forms. Users can save the assembled PDF-based form documents as PDF files. To create PDF-based form templates, you must purchase a license for HotDocs® PDF Advantage, Professional Edition, and to assemble PDF-based forms online, your HotDocs Server authorization terms must enable HotDocs® PDF Advantage.
  • Add/delete rows in lists of answers: When completing online interviews, users can now add and delete sets of answers in repeated lists.
  • Clear individual answers: You can now clear variables one at a time instead of all at once.
  • Appearance of online interview: Several improvements have been made to the JavaScript used to display the online interview, including several fixes for reported problems.
  • Manage HotDocs Online Server settings in Control Panel: You can now use a custom Control Panel applet to specify most HotDocs Online settings. Specific settings include document assembly options, user impersonation settings, license management, log file management, and service management.
  • Publish interview templates: HotDocs Online Server sites with HotDocs Professional 6.1 can now publish interview templates to the server.
  • COM API: New methods and properties have been added to the COM layer, and existing interfaces have been modified to function better under ASP.
  • C-interface: There is a new, easier to use interface for Hd6server.dll.
  • Assembly Queue: You can now include ASSEMBLE instructions in your HotDocs Online Server templates. Methods and properties for manipulating the assembly queue have been added to the COM interface.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > New Features and Enhancements > New and Enhanced Features of HotDocs Online Server 6.1


HotDocs Server Help - System Requirements

  • Help

All About...

  • About HotDocs
  • HotDocs Server Architecture
  • New Features and Enhancements

System Requirements

Hardware Requirements

The hardware requirements for your system vary depending upon the type and complexity of the templates assembled. HotDocs Server performance is primarily bound by disk I/O speed, which means you should ensure that the disk system is as fast as possible. Also, additional RAM improves disk I/O speed by allowing the operating system to cache more files in system memory. The basic recommended hardware configuration is as follows:

  • 2 or more processors (2 GHz or faster) (Single processor machines can work well for development and lower load production environments.)
  • 1GB RAM (2 GB, recommended)
  • SCSI or comparable storage subsystem

Software Requirements

Your system must meet the following software requirements before you can install HotDocs Server:

  • Microsoft Windows Server 2003 or 2008
  • Microsoft .NET Framework 3.5
    Note: The HotDocs Server installation program will install the .NET Framework automatically on some operating systems if it is not detected. On other operating systems, such as Windows Server 2008, you must install the .NET Framework manually by enabling the .NET Framework features on the server prior to installing HotDocs Server.
  • Microsoft Internet Information Services (IIS) 5.1 or greater
    Note: If you have IIS 7 or higher, you must ensure that the following IIS features are installed (enabled), or you may experience errors during the HotDocs Server install:
    • Common HTTP Features: Static Content, Default Document
    • Application Development: ASP.NET, .NET Extensibility
    • Security: Basic Authentication, Request Filtering
    • Management Tools: IIS Management Console, IIS Management Scripts and Tools
  • Microsoft Silverlight 3 SDK (included in the HotDocs Server install)

In addition to the requirements listed above for the server, end users who assemble documents using HotDocs Server must have certain software installed on their computers to complete browser-based interviews or view assembled documents. The following software is required:

  • Microsoft Windows

  • A Web browser capable of displaying an interview. JavaScript interviews require Microsoft Internet Explorer 6.0 or later, and Silverlight interviews require a browser in which the Silverlight 3 runtime engine is installed.

    Caution: JavaScript interviews rely extensively on certain features only available in Internet Explorer, such as the box model in quirks mode, JavaScript expressions in CSS, and other IE-specific events, properties, and methods. Therefore, JavaScript interviews will not work in other browsers such as Firefox, Safari, or Chrome. Silverlight interviews rely on the Microsoft Silverlight 3 runtime engine, which is fully supported in IE, Firefox, and Safari.
  • Any word processor that can display, edit, or print an assembled text document, including WordPerfect® and Microsoft® Word
  • HotDocs® Filler (for assembled HFD and HPD form documents) and/or Adobe® Reader® (for assembled PDF-based form documents)

Port Requirements

HotDocs Server requires certain open ports, which facilitate the remote management of HotDocs Server, as well as clustered server support:

  • Port 9851: Required for all instances of HotDocs Server
  • Port 9327: Required for all HotDocs Server assembly servers

Firewall Rules

HotDocs Server is dependent on Windows Management Instrumentation (WMI), which means you should add some parameters to your firewall rule group. In addition, when using HotDocs Server in a clustered environment, individual HotDocs Server assembly servers require RPC.

For Windows Server 2008, you can configure the firewall by opening Windows Firewall with Advanced Security and then going to the Inbound Rules node. From there, you should enable the following fules:

  • Windows Management Instrumentation (Async-In)
  • Windows Management Instrumentation (DCOM-In)
  • Windows Management Instrumentation (WMI-In)
Tip: For more information on these firewall requirements, see the following pages:
  • http://msdn2.microsoft.com/en-us/library/bb736288.aspx
  • http://msdn2.microsoft.com/en-us/library/bb736277.aspx

Home > All About... > System Requirements


HotDocs Server Help - HotDocs Server Files and Registry Keys

  • Help

All About...

  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

HotDocs Server Files and Registry Keys

Files Used with HotDocs Server

HotDocs Server Registry Keys

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Files and Registry Keys


HotDocs Server Help - Files Used with HotDocs Server

  • Help

Reference Material

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys
  • Permissions Required by the HotDocs Server Service

How Do I...?

  • Install HotDocs Server
  • Install the HotDocs Server management tools

Files Used with HotDocs Server

You should become familiar with the different files used by HotDocs Server, including DLL, JavaScript, and other ancillary files. The main program files folder (e.g., C:\Program Files\HotDocs Server) contains the HotDocs Server readme (readme.htm) and help (HDServer.chm) files, as well as the following subfolders:

Folder | Description
Assembly Cache | This folder contains compiled Silverlight assemblies if you choose to display interviews in Silverlight format.
bin | This folder contains the binary files which allow HotDocs Server to run on your server.
HDServerFiles | This folder is used as a virtual directory for the files necessary for viewing browser-based interviews.
HotDocs Server Log | This folder is the default location for HotDocs Server log files.
Management | This folder contains the HotDocs Server Management Tool files.
Schemas | This folder contains the XML schema documents (or XSD files) used to validate HotDocs files in XML format.
Web Service API | This folder contains the binary files which allow HotDocs Server to run on your server.
Tip: In addition to the subfolders listed above, HotDocs-developed host applications such as HotDocs Sample Portal and HotDocs Template Portal are installed in this same program files folder by default.

The following sections describe the important files contained in each of these subfolders.

HotDocs Server\bin

This folder contains the main HotDocs Server executables, as well as the various utility DLLs used by HotDocs Server. The main application files are:

  • HotDocsServer.exe: The HotDocs Server service executable.
  • HDAsmEngine.exe: The HotDocs Server assembly engine.

The following ancillary utility files found in the bin folder are used by HotDocs Server to perform various tasks:

  • dbghelp.dll
  • Duzactx.dll
  • Dzactx.dll
  • evyapi7.dll (supports assembly of Envoy-based HotDocs form (.HFT) templates)
  • hd_adHelper.dll
  • hd_ans.dll
  • hd_clrCppUtility
  • hd_cmp.dll
  • hd_csharpcompiler.dll (used to compile .NET assemblies for Silverlight interviews)
  • hd_csharpparser.dll (Utility DLL used for creating Silverlight interviews)
  • hd_eng.dll
  • hd_engrt.dll
  • hd_evalparser.dll
  • hd_formproc.dll
  • hd_fview.dll
  • hd_jsparser.dll (Utility DLL used for creating JavaScript interviews)
  • hd_lang.dll
  • hd_parser.dll
  • hd_pdf.dll, pdfcore8.dll, pdfcore8.zli (allow assembly of HotDocs PDF-based (.HPT) templates)
  • hd_scanparser.dll
  • hd_serverparser.dll
  • hd_util.dll
  • hd_val.dll
  • hd_varcoll.dll
  • hd_vfile.dll
  • hd_xml.dll (Contains XML-related resources necessary for HotDocs Server)
  • HDCondLib.dll
  • HDMessages.dll (Service message DLL)
  • hdsipc.dll
  • HDSUtility.dll
  • hdsworker.dll
  • hdsysinfo.dll
  • hdtlsmgr.dll
  • hdsperf.dll, hotdocsservercounters.h, hotdocsservercounters.ini (HotDocs Server performance counter files)
  • HotDocsServerWMIProvider.dll, HotDocsServerWMIProvider.mof (WMI provider files)
  • hrs32.dll, hts12.dll, PDC32.dll, ssgp.dll, TER16.dll, and TER17.dll (used for converting RTF files to other formats like HTML or PDF)
  • ipworks6.dll
  • Rogue61.dll

Finally, the bin folder also contains the following subfolders:

  • 2005: Contains the .NET assemblies for HotDocs 2005 Server, version 6.3.0.0.
  • 2006: Contains the .NET assemblies for HotDocs 2006 Server, version 6.4.0.0.
  • 2007: Contains the .NET assemblies for HotDocs 2007 Server, version 6.5.0.0.
  • 2008: Contains the .NET assemblies for HotDocs 2008 Server, version 6.6.0.0.
  • 2008R2: Contains the .NET assemblies for HotDocs 2008 Server R2 (and R3), version 6.6.1.0.
  • 10: Contains the .NET assemblies for HotDocs Server 10.0.
  • 10.0.2: Contains the .NET assemblies for HotDocs Server 10.0.2.
  • 10.1: Contains the .NET assemblies for HotDocs Server 10.1.
  • Resource: Contains resource files used to support assembly of PDF-based form (.HPT) templates.
Note: Beginning with HotDocs Server 10, the .NET assembly and primary interop assembly contained in the bin folder are named HotDocs.Server.dll and HotDocs.Server.Interop.dll to correspond with the new namespace. Earlier versions of HotDocs Server include a LexisNexis prefix on the namespace.
Tip: Most of the executable (.EXE) and application extension (.DLL) files contain matching .PDB files, which are used to help log and track errors if they occur at runtime.

HotDocs Server\HDServerFiles

This folder is used as a virtual directory for the files necessary for viewing browser-based interviews. It contains the following files and subfolders:

  • images: Contains the image files used for HotDocs Server's browser-based interviews.
  • js: Contains the JavaScript files, Silverlight assemblies, and other files used for HotDocs Server's browser-based interviews.
  • stylesheets: Contains the cascading style sheets that determine how the HotDocs interview will look. The style sheets (HDSsystem.css, HDSuser.css, and HDSUser.xaml) can be modified to alter the interview appearance. (See How do I customize the appearance of a JavaScript interview?)
  • temp: Contains temporary files created during an interview, such as document preview files.
  • Web.config: Configuration file.

HotDocs Server\Management\10

This folder contains the following files, which are used by the HotDocs Server Management Tool:

dbghelp.dll | Utility DLL
hd_adHelper.dll | Utility DLL
hc_clrCppUtility.dll | Utility DLL
HDServer.chm | This is the HotDocs Server Help file.
HDSManagement.dll | Utility DLL
HDSManagementAboutUI.dll | Utility DLL
HDSNetManagement.dll | Utility DLL
HDSServiceLibrary.dll | Utility DLL
HotDocsServerManagement.msc | This is the management tool MMC snapin.
Interop.hd_adHelper.dll | Utility DLL
ipworks6.dll | Utility DLL
nsoftware.IPWorks.dll | Utility DLL
nsoftware.System.dll | Utility DLL

HotDocs Server\Web Service API

This folder contains files used by the HotDocs Server Web Service API (if installed). There is a subfolder for each version (e.g., 2008, 10) where you can find the Web Service API and customizable C# source code.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Files and Registry Keys > Files Used with HotDocs Server


HotDocs Server Help - HotDocs Server Registry Keys

  • Help

Reference Material

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys
  • Permissions Required by the HotDocs Server Service

How Do I...?

  • Install HotDocs Server
  • Install the HotDocs Server management tools

HotDocs Server Registry Keys

HotDocs Server stores various information that affects run-time behavior in the Windows registry. The information below describes the registry keys used by HotDocs Server and how you can modify them in order to change the way HotDocs Server works. Although you could make changes by directly editing the registry, you should instead use the HotDocs Server Management Console whenever possible to avoid causing inadvertent damage to your HotDocs Server installation or Windows.

Caution:If you decide to edit the registry directly, it is recommended that you first back up any keys you modify.

HKLM\SOFTWARE\HotDocs\HotDocs Server

This is the main HotDocs Server subkey where general information about the HotDocs Server installation is stored, including the program files folder and version number. It contains the following values:

Name | Type | Description | Example Data
InstallDir | REG_SZ | HotDocs Server program files folder | C:\Program Files\HotDocs Server\
InstallVersion | REG_SZ | Software version number | 6.71.300
Website Index | REG_SZ | Web site index number | 1

HKLM\SOFTWARE\HotDocs\HotDocs Server\Log

This subkey is used to store information used by HotDocs Server when it creates log files to record requests it receives. It contains the following values that control the log file format and where it is stored:

Name | Type | Description | Example Data
Debug Log | REG_SZ | This indicates whether or not HotDocs Server will log additional debug messages in the log file. | false
Log API Errors | REG_SZ | This indicates whether or not HotDocs Server will log all API errors in the System Event log. | false
Log Exceptions | REG_SZ | This indicates whether or not HotDocs Server will log additional advanced troubleshooting errors that may occur while it is running. | false
Log location | REG_SZ | This is the folder where HotDocs Server will create its log files. | C:\​Windows\​system32\​HotDocs Server Log

HKLM\SOFTWARE\HotDocs\HotDocs Server\Server Settings

This subkey is used to store information about specific properties related to the document assembly process. It contains the following values:

Name | Type | Description | Example Data
Add HDMain div | REG_SZ | This indicates whether or not HotDocs Server should include the HDMain DIV element in the HTML interview it returns when you call GetInterview. If you set this to false, the interview will appear in the hdMainDiv you create on your page; otherwise, a value of true causes HotDocs Server to add the hdMainDiv tags to the HTML output and place the interview in that DIV element. | true
Administrator Email | REG_SZ | This is the e-mail address of an administrator to whom HotDocs Server will send e-mails when application errors or warnings occur. | admin@​yourcompany.​com
AS Borders | REG_SZ | This indicates the type of borders used in two-column answer summaries. | None, Plain, or Sculptured
AS Bullet Answers | REG_SZ | This indicates whether or not answers are preceded by bullets in one-column answer summaries. | true
AS Bullet Prompts | REG_SZ | This indicates whether or not prompts are preceded by bullets in one-column answer summaries. | true
AS Indent Answers | REG_SZ | This indicates whether or not answers are indented in one-column answer summaries. | true
AS Indent Prompts | REG_SZ | This indicates whether or not prompts are indented in one-column answer summaries. | true
AS Maximum Multiple Choice | REG_DWORD | This indicates the maximum number of multiple-choice options that appear on an answer summary. | 5
AS Number of Columns | REG_DWORD | This indicates the number of columns used in answer summaries. | 2
AS Percent of width for prompt | REG_DWORD | This indicates the percentage of the viewable window used to display the prompt column in a two-column answer summary. | 30
Assemble Marked Documents | REG_SZ | This indicates whether or not HotDocs Server will assemble documents in Markup View. | false
Cluster Group Name | REG_SZ | This is the name of the cluster group to which the server belongs. It only applies to instances of HotDocs Server that have clustering enabled in the license key. | MyHDSCluster
Country | REG_DWORD | The country (language) indicates how HotDocs should format dates and numbers in the assembled document. For example, US English will format dates as Month Day Year, and UK English will format dates as Day Month Year. | 1 (US English) or 44 (UK English)
Default Date Format | REG_SZ | This indicates how dates are merged into the assembled document if no format has been assigned by the template developer. It only controls how dates are formatted in assembled documents; it does not control how dates are formatted for display during the interview, however. | June 3, 1990
Default HotDocs CSS Url | REG_SZ | This is the default URL for the HotDocs Server "user" cascading style sheet (e.g., http://​www.​yourcompany.​com/​HDServerFiles/​stylesheets/​HDSUser.css). | http://​www.yourcompany.​com/​HDServerFiles/​stylesheets
Default HotDocs Image Url | REG_SZ | This is the the default URL for the HotDocs Server image files. | http://​www.yourcompany.​com/​HDServerFiles/​images
Default HotDocs JS Url | REG_SZ | This is the default URL for the HotDocs Server JavaScript files. | http://​www.yourcompany.​com/​HDServerFiles/js
Detailed error information | REG_SZ | This indicates whether or not HotDocs Server will log more detailed error information. | June 3, 1990
Disable Answer Summary | REG_SZ | This indicates whether or not the Answer Summary Answer Summary button is displayed during interviews. | false
Disallow Document Preview | REG_SZ | This indicates whether or not the Document Preview Button Document Preview button is displayed on the interview toolbar when assembling RTF templates. If desired, you can override this setting in each assembly by changing the Assembly.​DocumentPreview property. | false
Interview format | REG_SZ | This is the default format of interviews. It can be either JavaScript or Silverlight. Note: The Silverlight 3 runtime engine required to display Silverlight interviews is only available for 32-bit browsers. | Javascript
Legacy Append Function | REG_SZ | This controls how the Application.AppendDocumentFile2 function operates. If it is false, HotDocs Server performs a more thorough merging of font, style, and color definitions in the combined document to avoid formatting errors that might occur otherwise. | false
Max Repeat Count | REG_DWORD | This determines the maximum number of repetitions HotDocs Server will process before returning an error. (This setting helps reduce problems resulting from infinite loops in template logic.) | 2000
Number of assembly threads | REG_DWORD | This indicates the number of assembly threads per CPU. By default, it is four times the number of processors (or ten times the number of processors for head nodes). | 4
Number of worker threads | REG_DWORD | This indicates the number of worker threads per CPU. By default, it is ten times the number of processors. | 10
Outline In Order | REG_SZ | This indicates whether or not during an interview, clicking the Next button should move to the next dialog in the interview outline. This applies to nested dialogs where the Next button has traditionally moved back to the parent dialog. | true
Printer Name | REG_SZ | This indicates the printer that HotDocs Server should use for calculating font metrics for HotDocs form templates. If you do not specify a printer, HotDocs Server uses the screen resolution to calculate font metrics, which is not recommended. | \\Path\Printer Name
Show all resource buttons | REG_SZ | This indicates whether Resource buttons are displayed simultaneously for all variables with resources, or only for the current field. | true or false
Silverlight Assembly Cache | REG_SZ | This is the folder where HotDocs Server caches compiled Silverlight interview files. Each time a template is assembled using a Silverlight interview, HotDocs Server compiles a .NET assembly for use in the Silverlight interview and caches it in this folder. The next time the same template is assembled, HotDocs Server uses the cached version (as long as the template files haven't changed since the cached version was created). | C:\Program Files\HotDocs Server\Assembly Cache
Silverlight Files | REG_SZ | This is the file system path to the folder containing the files required for Silverlight interviews. | C:\Program Files\HotDocs Server\HDServerFiles\js
Temp File Cleanup Age | REG_DWORD | This is the number of minutes HotDocs Server will wait before deleting temporary files it creates. | 3
Temp interview path | REG_SZ | This is the file system path to the folder where HotDocs Server creates temporary files, such as .HTML files generated when users click the Document Preview Button Document Preview button during the interview. | C:\Program Files\HotDocs Server\HDServerFiles\Temp
Temp interview url | REG_SZ | This is the URL for the temporary files folder specified in the "Temp interview path" setting above. | http://www.yourcompany.com/HDServerFiles/Temp
Temporary Path | REG_SZ | This is the folder where HotDocs Server will create temporary files. | C:\Windows\Temp
Unanswered Variable | REG_SZ | This determines how unanswered variables appear in assembled text documents. Possible values are [Variable], *** Variable ***, Asterisks, Nothing, or Underscores. (If a variable is left unanswered in a form document, the form field is left empty, regardless of which unanswered variable placeholder you have selected.) | [Variable]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Files and Registry Keys > HotDocs Server Registry Keys


HotDocs Server Help - HotDocs Server Management Console

  • Help

All About...

  • HotDocs Server Files and Registry Keys
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

HotDocs Server Management Console

The HotDocs Server Management Console provides a powerful set of tools for managing one or more instances of HotDocs Server. Using this console, you can change certain HotDocs Server options, such as how documents are assembled on the server or how interviews are displayed, view server performance, monitor HotDocs Server entries in the Event log, and more.

The management console is organized in a tree layout, with the HotDocs Server tree containing nodes for managing different areas of HotDocs Server. The following topics provide instructions for performing specific tasks using the management console, as well as detailed descriptions of the nodes contained in the HotDocs Server tree:

Use the HotDocs Server management tools

HotDocs Server Tree

Server (Machine Name) Node

Service Node

HotDocs Node

License Node

Logging Node

Component Security Node

Clustering Node

Assembly Server Node

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console


HotDocs Server Help - How do I use the HotDocs Server management tools?

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How do I use the HotDocs Server management tools?

The following step-by-step instructions explain how to perform various tasks using the HotDocs Server management tools:

HotDocs Server Files and Registry Keys

HotDocs Server Management Console

Add the HotDocs Server management tools snap-in to an MMC console

Change permissions for HotDocs Server COM objects

Connect to a HotDocs Server

Enable the Document Preview feature

Set up a HotDocs Server cluster group

Synchronize templates between servers

View HotDocs Server performance counters

View the Site Usage log

View the details of HotDocs Server files

Install HotDocs Server

Synchronize HotDocs Server Files

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools?


HotDocs Server Help - HotDocs Server Tree

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Connect to a HotDocs Server
  • Use the HotDocs Server management tools

HotDocs Server Tree

This tree lets you connect to and manage instances of HotDocs Server. It lists each of the servers to which you are connected, and it allows you to connect to additional servers.

Tip: If you are connected to multiple servers, and you have clustering enabled, this tree will contain one branch for HotDocs Servers and one branch for HotDocs Assembly Servers.

How do I connect to a HotDocs Server?

To connect to a HotDocs Server

  1. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  2. Right-click the root node of the HotDocs Server tree and select Connect... from the shortcut menu. The Connect to Server dialog box appears.
  3. Select the server from the Server name drop-down list, or type the name of the server if it does not appear in the list automatically.
  4. Click OK.
Tip: HotDocs Server has a default connection timeout setting, which prevents the Management Console from waiting indefinitely for a server to respond. If you need to increase the number of seconds before the connection times out, you can change this setting in the registry. On the machine where you have the Management Tools installed, create the following DWORD value in the registry: HKEY_LOCAL_MACHINE\Software\HotDocs\HotDocs Server\Server Settings\Connect Timeout. (This value is in milliseconds.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > HotDocs Server Tree


HotDocs Server Help - Server (Machine Name) Node

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Use the HotDocs Server management tools
  • View the details of HotDocs Server files

Server (Machine Name) Node

This node displays information about the select HotDocs Server or HotDocs Assembly Server.

The first group box contains machine information (e.g., operating system, number of processors, processor speed, memory, and computer model), and the Advanced button displays even more detailed information about the server.

The second group box displays information specific to HotDocs Server:

Value | Description
Product name | The name of the product (HotDocs Server or HotDocs Server Assembly Service).
Product version | The product version number.
Install directory | The main HotDocs Server program files folder (e.g., C:\Program Files\HotDocs Server\).
HotDocs Files | This table displays all of the program and system files being used by HotDocs Server.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > Server (Machine Name) Node


HotDocs Server Help - Service Node

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Enable the Document Preview feature
  • Use the HotDocs Server management tools

Service Node

This node contains application and service settings you can configure.

Default Interview Settings

Value Description
Default interview format

This is the default format of interviews. It can be either JavaScript or Silverlight.

Note: The Silverlight 3 runtime engine required to display Silverlight interviews is only available for 32-bit browsers.
Default JavaScript URL

This is the default URL for the HotDocs Server JavaScript files.

Default CSS URL

This is the default URL for the HotDocs Server "user" cascading style sheet (e.g., http://​www.​yourcompany.​com/​HDServerFiles/​stylesheets/​HDSUser.css).

Tip: If you wish to customize the interview style sheets, make a copy of the existing hdsuser.css and hdsuser.xaml style sheets, and place them in the same folder as the originals. You can then update the URL to point to your modified .CSS file. Also note that although Silverlight interviews primarily use the .XAML file as the style sheet, there are still some aspects of the interview controlled by the .CSS file. As such, if you make modifications to the style sheets, you should always make a copy of both files and give the copied files the same base file name so that HotDocs Server can find the .XAML file based on the path to the .CSS file.
Default image URL

This is the the default URL for the HotDocs Server image files.

Document preview URL

This is the URL for a page that will handle requests for a document preview.

Interview Definition URL

This is the URL for a page that will handle requests for Silverlight interview definitions.

Interview temp URL

This is the URL to a folder where temporary files specific to an interview are placed. For example, when a user request a document preview, the HTML file and its related images for the document preview are created in this folder.

Interview temp path

This is the file system path associated with the Interview temp URL setting.

Application Settings

Value | Description
Administrator email | This is the e-mail address of an administrator to whom HotDocs Server will send e-mails when application errors or warnings occur.
Printer name | This indicates the printer that HotDocs Server should use for calculating font metrics for HotDocs form templates. If you do not specify a printer, HotDocs Server uses the screen resolution to calculate font metrics, which is not recommended.
Temporary directory | This is the folder where HotDocs Server will create temporary files.
Assembly cache directory | This is the folder where HotDocs Server caches compiled Silverlight interview files. Each time a template is assembled using a Silverlight interview, HotDocs Server compiles a .NET assembly for use in the Silverlight interview and caches it in this folder. The next time the same template is assembled, HotDocs Server uses the cached version (as long as the template files haven't changed since the cached version was created).
Log location | This is the folder where HotDocs Server will create its log files.
Log API errors | This indicates whether or not HotDocs Server will log all API errors in the System Event log.
Log advanced error information | This indicates whether or not HotDocs Server will log additional advanced troubleshooting errors that may occur while it is running.
Detailed error information | This indicates whether or not HotDocs Server will log more detailed error information.
Number of worker threads | This indicates the number of worker threads per CPU. By default, it is ten times the number of processors.
Number of assembly threads | This indicates the number of assembly threads per CPU. By default, it is four times the number of processors (or ten times the number of processors for head nodes).

Service Settings

Value | Description
Service name | The name of the service. (read-only)
Service status | Indicates the status of the service, such as Running or Stopped.
Service user | Indicates the name of the user account under which the service runs.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > Service Node


HotDocs Server Help - HotDocs Node

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Enable the Document Preview feature
  • Use the HotDocs Server management tools

HotDocs Node

This node lets you customize the interview, assembly, and answer summary settings:

Interview/Assembly Settings

Value | Description
Allow document preview | This indicates whether or not the Document Preview Button Document Preview button is displayed on the interview toolbar when assembling RTF templates. If desired, you can override this setting in each assembly by changing the Assembly.​DocumentPreview property.
Next button follows interview outline | This indicates whether or not during an interview, clicking the Next button should move to the next dialog in the interview outline. This applies to nested dialogs where the Next button has traditionally moved back to the parent dialog.
Add HDMain div for interviews | This indicates whether or not HotDocs Server should include the HDMain DIV element in the HTML interview it returns when you call GetInterview. If you set this to false, the interview will appear in the hdMainDiv you create on your page; otherwise, a value of true causes HotDocs Server to add the hdMainDiv tags to the HTML output and place the interview in that DIV element.
Assemble marked-up documents | This indicates whether or not HotDocs Server will assemble documents in Markup View.
Show all resource buttons | This indicates whether Resource buttons are displayed simultaneously for all variables with resources, or only for the current field.
Embed fonts in assembled PDFs | This indicates whether HotDocs will embed fonts when converting RTF documents to PDF.
Default date format | This indicates how dates are merged into the assembled document if no format has been assigned by the template developer. It only controls how dates are formatted in assembled documents; it does not control how dates are formatted for display during the interview, however.
Maximum repeat index | This determines the maximum number of repetitions HotDocs Server will process before returning an error. (This setting helps reduce problems resulting from infinite loops in template logic.)
Unanswered variable placeholder | This determines how unanswered variables appear in assembled text documents. Possible values are [Variable], *** Variable ***, Asterisks, Nothing, or Underscores. (If a variable is left unanswered in a form document, the form field is left empty, regardless of which unanswered variable placeholder you have selected.)
Country | The country (language) indicates how HotDocs should format dates and numbers in the assembled document. For example, US English will format dates as Month Day Year, and UK English will format dates as Day Month Year.

Answer Summary Settings

Value Description
Allow answer summary

This indicates whether or not the Answer Summary Answer Summary button is displayed during interviews.

Maximum multiple-choice options to display

This indicates the maximum number of multiple-choice options that appear on an answer summary.

Format

This option determines the answer summary format:

  • One column: This format displays a simple list of variable prompts and answers grouped by dialogs. To make these summaries easier to read, you can indent these lists or use bullets by selecting Indent prompts, Precede prompts with bullet, Indent answers, or Precede answers with bullet.
  • Two column: This format displays a list of variable prompts in one column and their associated answers in a second column. Prompts and answers are grouped by dialogs. You can control the appearance of these columns by selecting a border style (None, Plain, or Sculptured) from the Borders drop-down list and specifying a column width in the Percent of width taken by prompt field. (This percentage determines how much of the viewable window is used to display the prompt. You can change this number by clicking the up or down arrows, or by typing a number directly in the field.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > HotDocs Node


HotDocs Server Help - License Node

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Use the HotDocs Server management tools

License Node

This node lets you view your current license terms and change your license key as needed.

License Information

Value | Description
License Key | The key used to enable HotDocs Server. Note: For HotDocs Application (SDK) servers, this field is hidden since the license key is not applicable.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > License Node


HotDocs Server Help - Logging Node

  • Help

Overviews

  • What is the HotDocs Server log file?

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Use the HotDocs Server management tools
  • View HotDocs Server performance counters
  • View the Site Usage log

Logging Node

This node displays the HotDocs Server log file and performance counters.

HotDocs Event Log Entries

This group displays HotDocs Server entries from the Event log. To refresh the list, click Refresh.

To see additional HotDocs Server log files, browse to the folder listed above the Event Log Entries table. (The location of these log files is specified at the Service Node.)

Performance Counters

This group displays a set of performance counters you can view to determine statistics about HotDocs Server, such as the number of documents assembled or the average time spent per assembly. The following counters are displayed in this group:

Counter | Description
Current users | Indicates the current number of users.
Number of assemblies | Indicates the current number of assembly objects.
Number of interviews | Indicates the current number of interviews.
Average time per assembly (ms) | Indicates the average time spend (in milliseconds) per assembly.
Last assembly time (ms) | Indicates the last assembly time in milliseconds
Assembly queue time (ms) | Indicates the assembly queue time in milliseconds.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > Logging Node


HotDocs Server Help - Component Security Node

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Change permissions for HotDocs Server COM objects
  • Use the HotDocs Server management tools

Component Security Node

This node displays a list of users or groups that have permission to access the HotDocs Server COM objects. You should ensure that the user under which your host application runs is listed in this group.

Component Security

This group contains the following options:

Option | Description
Add | Click this button to add a new user to the list.
Remove | Click the Remove Remove button to remove a user from the list.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > Component Security Node


HotDocs Server Help - Clustering Node

  • Help

Overviews

  • What is HotDocs Server clustering?

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Synchronize templates between servers
  • Use the HotDocs Server management tools

Clustering Node

Note:To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.

This node lets you configure clustered HotDocs Assembly Servers. The following information is displayed on this node when you are managing a HotDocs Server.

Value | Description
Group name | This field displays the group name. All HotDocs Assembly Servers associated with a HotDocs Server must share the same group name.
Assembly servers | This table displays all HotDocs Assembly Servers associated with the HotDocs Server. You can use the Add or Delete buttons to add or remove Assembly Servers from the list. Below the table, you can also see the number of assembly servers allowed by your HotDocs Server license.
Tip: When managing a HotDocs Assembly Server, only the Group name field is displayed on this node.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > Clustering Node


HotDocs Server Help - Assembly Server Node

  • Help

Page Descriptions

  • Assembly Server Node
  • Clustering Node
  • Component Security Node
  • HotDocs Node
  • HotDocs Server Tree
  • License Node
  • Logging Node
  • Server (Machine Name) Node
  • Service Node

How Do I...?

  • Use the HotDocs Server management tools

Assembly Server Node

This node is visible for HotDocs Application (SDK) servers, and it lets you specify which instance of server to use as the assembly server. Since the HotDocs Application Server cannot actually assemble documents on its own, it must be configured to use a separately licensed server for that work.

Value | Description
Assembly Server | The name of the server that will perform the actual document assembly work on behalf of the application server.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > Assembly Server Node


HotDocs Server Help - Install HotDocs Server

  • Help

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Synchronize HotDocs Server Files

Install HotDocs Server

The HotDocs Server installation process involves running a set of custom installation packages, each of which contains a number of wizard-like dialog boxes that gather the information necessary for that package to be installed correctly:

  • HotDocs Server: This is the core product, which can be installed to run as either a standalone server, a head server or assembly server in a cluster group, or as an SDK-only server that relies on a separate, full instance of HotDocs Server to perform its work. HotDocs Server may run in only one of these four modes on any given machine.
  • HotDocs Server Management Tools: This is a set of tools you can use to manage one or more instances of HotDocs Server.
Tip: After installing HotDocs Server, refer to the Post-Installation Checklist to ensure that the installation was successful and HotDocs Server is running properly.

Host Application

Before you can effectively use HotDocs Server, you will also need to install (or develop) a host application that will use HotDocs Server to gather answers and assemble documents. HotDocs provides several host applications you can adapt for use in your own environment, or you can use them as reference while building your own. Refer to the documentation provided with each of the following host applications for installation and usage instructions:

  • HotDocs Sample Portal: An application designed to demonstrate some of the basic features of HotDocs Server for evaluation purposes or as an example of how a host application might be designed and implemented.
  • HotDocs Template Portal: A template-centric host application that provides an intuitive and secure Web interface for assembling documents from HotDocs templates.
  • HotDocs Workspace: A workflow-oriented host application that provides your organization with powerful document assembly capabilities.
  • HotDocs Workspace for SharePoint: A web part that provides HotDocs document assembly within a Microsoft SharePoint site.
  • HotDocs Web Services: This is not a full host application per se, but rather a set of web services built on top of the HotDocs Server APIs that you can use if you prefer to use a web service when developing your host application.
  • HotDocs Web Service Sample Portal: An example of Sample Portal that uses the basic web service API.
Caution: Neither one of the "Sample Portal" host applications are meant to be used without modification in a live production environment. If you want an out-of-the-box host application, use HotDocs Template Portal or HotDocs Workspace.
Tip: The source code for all of the host applications listed above is either included in each application's installation package or available upon request.

Home > All About... > Install HotDocs Server


HotDocs Server Help - How do I install HotDocs Server?

  • Help

Reference Material

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys
  • Permissions Required by the HotDocs Server Service

How Do I...?

  • Install HotDocs Server
  • Install the HotDocs Server management tools
  • Post-Installation Checklist

How do I install HotDocs Server?

You can install HotDocs Server as a standalone server, or you can install it on multiple machines simultaneously, and have them work together as a "cluster group." In the cluster configuration, you install HotDocs Server on one machine and designate it as the Head Server by entering a license key that has clustering enabled. On each of the other machines, known as Assembly Servers, you install a HotDocs Server Assembly Server and enter a license key to let HotDocs Server know it is an Assembly server. When your host application tells the Head server to assemble a document, it sends the request to one of the available Assembly servers, which then performs the work and returns the assembled document to the Head server. Because the assembly work is distributed among many different machines, HotDocs Server can handle many more assembly requests simultaneously without negatively impacting performance.

Note:To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.

To install HotDocs Server

  1. Close all open applications.
  2. Perform one of the following actions depending on how you received the installation package:
    • If you received an installation CD, insert it into the server's CD-ROM drive.
    • If you downloaded the installation package, save it to a location on the server's hard drive.
  3. Open Windows Explorer and browse to the folder on the CD or hard drive where the installation package is found.
  4. Double-click HotDocs_Server_10_core.exe. The installation program begins installing HotDocs Server.
    Tip: If you want to install only the HotDocs Server SDK, run HotDocs_Server_10_sdkonly.exe instead. The dialogs are the same as those found in the core HotDocs Server install, but the SDK must be configured after installation to communicate with a separate instance of HotDocs Server in order to actually assemble documents. Also, the "SDK Only" version of HotDocs Server cannot be installed on the same machine as the full version of HotDocs Server—the full version includes the SDK already.
  5. Follow the on-screen prompts to complete the installation. You will be prompted for information at the following dialogs:
    Dialog | Description
    HotDocs Server License Key This dialog box prompts for your HotDocs Server license key, which enables HotDocs Server to run according to the terms of your license agreement. Depending on the license key entered, HotDocs Server will run as a standalone server, as a head node in a server cluster, or as an assembly node in a server cluster.
    Tip: If you do not enter a license key, HotDocs Server will run as a standalone server for a limited time in evaluation mode.
    HotDocs Server Folders This dialog box prompts for the following information:

    • HotDocs Server Program Files Folder:

      This is the folder (e.g., C:\Program Files\HotDocs Server) where HotDocs Server program files will be installed.

    • Temporary Files Folder:

      This is the folder (e.g., C:\Windows\Temp) where HotDocs Server will create temporary files.

      Tip: The account that runs HotDocs Server requires read, write, and modify privileges to this temporary folder. In a completely anonymous user situation, this is the IUSR_machinename or ASPNET account.

    • Administrator Group:

      This is the name of the Windows group that will have rights to administer HotDocs Server. The install will grant appropriate DCOM permissions for the HotDocs Server object to this group.

    HotDocs Server Settings This dialog box prompts for the following information:

    • Printer Name (optional):

      This indicates the printer that HotDocs Server should use for calculating font metrics for HotDocs form templates. If you do not specify a printer, HotDocs Server uses the screen resolution to calculate font metrics, which is not recommended.

    • Cluster Name:

      If you entered a license key for an assembly node in a HotDocs Server cluster, this field lets you specify the name of the HotDocs Server cluster to which the assembly server belongs. All assembly servers controlled by a head HotDocs Server must have the same cluster name.

    Web Server Settings | Select this box if you want to configure IIS to create the HDServerFiles virtual directory (recommended). If you will be using an alternative web server (such as Apache), or you do not have IIS installed, clear this box.
  6. Refer to the Post-Installation Checklist for other tasks to complete after installation.
Note:

The information requested during the install can also be pre-populated if you run the installation from a command line. The following command-line parameters correspond to values described above:

  • INSTALLDIR: The HotDocs Server program files folder.
  • TEMPFILES: This is the temporary files folder.
  • PRINCIPALNAME: The Administrator group.
  • PRINTERNAME: The printer used for calculating font metrics.
  • CLUSTERNAME: This is the name of the cluster group (assembly servers only).

Using these parameters, you can create a command line as follows, which would cause the installation to use your values instead of the defaults:

msiexec /i ServerCore.msi PRINTERNAME="Microsoft XPS Document Writer"

For more information about other general command line options available with msiexec, see http://msdn.microsoft.com/en-us/library/aa367988.aspx.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Install HotDocs Server > How do I install HotDocs Server?


HotDocs Server Help - How do I install the HotDocs Server management tools?

  • Help

Reference Material

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys
  • Permissions Required by the HotDocs Server Service

How Do I...?

  • Install HotDocs Server
  • Install the HotDocs Server management tools
  • Post-Installation Checklist

How do I install the HotDocs Server management tools?

The HotDocs Server Management Console provides a powerful set of tools for managing one or more instances of HotDocs Server. Using this console, you can change certain HotDocs Server options, such as how documents are assembled on the server or how interviews are displayed, view server performance, monitor HotDocs Server entries in the Event log, and more.

To install the HotDocs Server management tools

  1. Close all open applications.
  2. Perform one of the following actions depending on how you received the installation package:
    • If you received an installation CD, insert it into the server's CD-ROM drive.
    • If you downloaded the installation package, save it to a location on the server's hard drive.
  3. Open Windows Explorer and browse to the folder on the CD or hard drive where the installation package (HotDocs_Server_10_management.exe) is found.
  4. Double-click HotDocs_Server_10_management.exe. The installation program begins installing the HotDocs Server management tools.
  5. Follow the on-screen prompts to complete the installation.
Note: If you want to remotely manage multiple versions of HotDocs Server (e.g., 2008 and 10) from the same machine, you can install both versions of the HotDocs Server management tools side-by-side. Although you can have multiple versions of the management tools installed simultaneously, you still cannot have multiple versions of HotDocs Server installed on the same machine at once.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Install HotDocs Server > How do I install the HotDocs Server management tools?


HotDocs Server Help - Post-Installation Checklist

  • Help

How Do I...?

  • Install HotDocs Server
  • Install the HotDocs Server management tools
  • Post-Installation Checklist

Post-Installation Checklist

After installing HotDocs Server, complete the following tasks to ensure that it is configured properly:

  • Install the Management Tools
  • Configure Permissions for HotDocs Server COM Objects
  • Set Up a HotDocs Server Cluster Group
Note: If you are upgrading from a previous version of HotDocs Server, you may also need to make changes to your host application. See Upgrade an Existing HotDocs Server Host Application for details.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Install HotDocs Server > Post-Installation Checklist


HotDocs Server Help - Synchronize HotDocs Server Files

  • Help

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server

Synchronize HotDocs Server Files

Managing HotDocs Server often requires synchronizing files to ensure that the correct files are being used at all times. For example, to ensure that interviews look the same when tested in a browser using HotDocs Developer and when displayed in a browser using HotDocs Server, you must verify that both environments use the same style sheets, images, and javascript files. Likewise, if you have implemented server clustering, you must ensure that each server that will be used to assemble documents has an identical set of local template files.

The following topics describe how to synchronize various HotDocs Server files:

Synchronize files between HotDocs Developer and Server

Synchronize templates between servers

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Synchronize HotDocs Server Files


HotDocs Server Help - How do I synchronize files between HotDocs Developer and Server?

  • Help

How Do I...?

  • Synchronize files between HotDocs Developer and Server
  • Synchronize templates between servers

How do I synchronize files between HotDocs Developer and Server?

To ensure that interviews look the same when tested in a browser using HotDocs Developer and when displayed in a browser using HotDocs Server, you should verify that the cascading style sheets, images, and scripts are the same for both versions of HotDocs. For example, if you customize the .CSS files for HotDocs Server, you should copy these files to the computer running HotDocs Developer. (See Customize the Interview Appearance and Performance.) By keeping the files synchronized, template developers can perform more accurate tests on the templates while they are still on the desktop, which helps to ensure that they will function properly when published to the server.

Tip: When new versions of HotDocs are released, many of these files may be updated. If you have customized any of these files, you should compare your files with those in the new release and make modifications as needed. Otherwise, if you continue to use your old files, you may experience undesirable results.

To synchronize files between HotDocs Developer and HotDocs Server

  1. Compare the contents of HotDocs Developer's ServerFiles folder with the contents of HotDocs Server's HDServerFiles folder. By default, these folders are found in the following locations:
    • C:\Program Files\HotDocs\ServerFiles
    • C:\Program Files\HotDocs Server\HDServerFiles
  2. In the Images subfolders, make sure each folder contains an identical set of image files.
  3. In the stylesheets subfolders, make sure each folder contains an identical set of stylesheet files.
    Note: HotDocs Developer requires that the "user" stylesheets have the names hdsuser.css and hdsuser.xaml. If you have created customized stylesheets for use with HotDocs Server, and you want to use those stylesheets in desktop browser tests, you must save them in the HotDocs Developer folder using the required file names.
  4. Compare the JavaScript (.JS) and VBScript (.VBS) files found in the HotDocs Developer's scripts folder with those found in HotDocs Server's js folder. If they are not the same, replace the older files with the newer files.
  5. Compare the .DLL files found in the HotDocs Developer's bin folder with those found in HotDocs Server's js folder. If they are not the same, replace the older files with the newer files.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Synchronize HotDocs Server Files > How do I synchronize files between HotDocs Developer and Server?


HotDocs Server Help - How do I synchronize templates between servers?

  • Help

Overviews

  • What is HotDocs Server clustering?

Page Descriptions

  • Clustering Node

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize files between HotDocs Developer and Server
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I synchronize templates between servers?

Before You Begin:

To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.

In a clustered server environment, or in the case of a HotDocs application (SDK) server communicating with a HotDocs assembly server, HotDocs Server requires that an identical "cache" of template files be stored on each server in the cluster group. This allows the main HotDocs Server to send requests to any Assembly server to assemble a document without sending the actual template files across the network.

To synchronize templates between servers, you must duplicate your "templates" folder on each server, making sure that the file paths are identical. Alternatively, you could store all templates in a shared folder that can be accessed by each instance of HotDocs Server and the assembly nodes. You would then need to make sure that the account under which the HotDocs Server service runs has sufficient privileges to access the templates in that location. For example, you could set up a domain account for HotDocs Server and give it the rights it needs to run as a service on the local machine, and also access a network location for the templates.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I synchronize templates between servers?

More... (1)

Home > All About... > Synchronize HotDocs Server Files > How do I synchronize templates between servers?


HotDocs Server Help - Create Custom HTML Pages for Template Uploading

  • Help

All About...

  • Create Templates for Use with HotDocs Server
  • Customize the Interview Appearance and Performance
  • Upgrade an Existing HotDocs Server Host Application
  • Use the HotDocs Server APIs to Create a Host Application

Create Custom HTML Pages for Template Uploading

When you publish templates for use with HotDocs Server, you can upload the files to your Web server as part of the publishing process. Since Web servers are configured to handle data exchange differently, you must customize the uploading process to meet your own needs. This requires you (or your Web server administrator) to create a set of custom HTML pages.

The first page, the Publishing Form Page, contains a custom HTML form that can gather information about the user, template set, or any other information required by your project. Once this form has been created, the template developer can specify its URL as a destination for the upload. (This is done at the Publishing Options dialog box of the Publishing Wizard.) When the publishing process finishes, the form appears and template developers can provide the information required to complete the uploading process. Then, once they have provided the information and submitted the form, HotDocs posts that information, along with the template or template set, to the server.

As the information and the files are uploaded to the server, the server must know how to manipulate the data being sent from HotDocs. This requires you to create a second HTML page, called the Publishing Destination Page. This page contains scripting that can accept the HTTP POST from the Publishing Form Page. It should then process the data and files contained in the upload by entering metadata about the templates in a database, and then copying the published files to the correct server locations, or by performing any other number of services your project requires.

What is a Publishing Form page?

The Publishing Form Page contains an HTML form. With this form, you can provide fields or other options for the template developer to add more information about the files being uploaded, such as template titles and descriptions. You must follow certain criteria when creating the HTML form:

  • The form must use the POST method and its encoding must be multipart/form-data. (HotDocs 2007 or earlier required that the form be named HotDocsPubForm, but this is no longer required.)
  • Previously, the form ACTION was required to include an absolute URL path to the location on the server where you want to send the files, but starting with HotDocs 2008, this is no longer a requirement.
  • Any Select/Option fields (or drop-down/list/combo boxes) must have a VALUE attribute assigned. For example: <option value="choice1">choice1</option>.

Once the template developer provides the necessary information in this form, he or she submits the form and HotDocs adds the information to the published files. All the information is then uploaded (using HTTP POST) to the server. The following is sample code for the Publishing Form Page.

Example:
<form method="POST"
  name="HotDocsPubForm" action="http://www.company.com/hotdocsuploadproc.asp" enctype="multipart/form-data">
  Template Name: <input type="text" name="textinput" size="65">
  <br>
  Template Desc: <textarea rows="2" name="textareaDesc" cols="55">
  Template Description
  </textarea><br>
  <select size="1" name="dropdownbox">
    <option value="choice1">choice1</option>
    <option value="choice2">choice2</option>
  </select>
  <input type="submit" value="Submit">
</form>

What is a Publishing Destination page?

After the uploading process is complete, the Publishing Destination Page appears. This page accepts the HTTP POST from the Publishing Form Page and processes it by completing the actions specified by your project.

Once the information has been received on the server, the files from the upload must be decoded and handled. Several components are available to help with this process, including the Dundas Upload control, distributed by Dundas Software. The following is sample code for the Publishing Destination Page using the Dundas Upload control

Example:
<%
  dim dund
  Set dund = Server.CreateObject("Dundas.Upload.2")
  dund.SaveToMemory
  response.Write "Data from form<hr>"
  dim objUploadedForm
  For Each objUploadedForm in dund.Form
    Response.Write objUploadedForm.tagname & "="
    Response.Write objUploadedForm.Value & "<br>"
  Next
  response.Write "<br>Files from HotDocs<hr>"
  dim objUploadedFile
  dim filename
  dim filen
  dund.ImpersonateUser "username","password"
  For Each objFile in dund.Files
    filen = dund.GetFileName (objFile.OriginalPath )
    filename = "c:\inetpub\companyname\temp\" &
    objFile.SaveAs filename
    Response.Write "<a ref='http://www.company.com/temp/"
    Response.Write filen &"'>"
    Response.Write objFile.TagName
    Response.Write "=" & objFile.OriginalPath
    Response.Write " : Size = " & objFile.Size
    Response.Write "</a><br>"
  Next
  dund.ImpersonationTerminate
  set dund = nothing
%>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Custom HTML Pages for Template Uploading


HotDocs Server Help - What is a Publishing Form page?

  • Help

Overviews

  • What is a Publishing Destination page?
  • What is a Publishing Form page?

What is a Publishing Form page?

The Publishing Form Page contains an HTML form. With this form, you can provide fields or other options for the template developer to add more information about the files being uploaded, such as template titles and descriptions. You must follow certain criteria when creating the HTML form:

  • The form must use the POST method and its encoding must be multipart/form-data. (HotDocs 2007 or earlier required that the form be named HotDocsPubForm, but this is no longer required.)
  • Previously, the form ACTION was required to include an absolute URL path to the location on the server where you want to send the files, but starting with HotDocs 2008, this is no longer a requirement.
  • Any Select/Option fields (or drop-down/list/combo boxes) must have a VALUE attribute assigned. For example: <option value="choice1">choice1</option>.

Once the template developer provides the necessary information in this form, he or she submits the form and HotDocs adds the information to the published files. All the information is then uploaded (using HTTP POST) to the server. The following is sample code for the Publishing Form Page.

Example:
<form method="POST"
  name="HotDocsPubForm" action="http://www.company.com/hotdocsuploadproc.asp" enctype="multipart/form-data">
  Template Name: <input type="text" name="textinput" size="65">
  <br>
  Template Desc: <textarea rows="2" name="textareaDesc" cols="55">
  Template Description
  </textarea><br>
  <select size="1" name="dropdownbox">
    <option value="choice1">choice1</option>
    <option value="choice2">choice2</option>
  </select>
  <input type="submit" value="Submit">
</form>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Custom HTML Pages for Template Uploading > What is a Publishing Form page?


HotDocs Server Help - What is a Publishing Destination page?

  • Help

Overviews

  • What is a Publishing Destination page?
  • What is a Publishing Form page?

What is a Publishing Destination page?

After the uploading process is complete, the Publishing Destination Page appears. This page accepts the HTTP POST from the Publishing Form Page and processes it by completing the actions specified by your project.

Once the information has been received on the server, the files from the upload must be decoded and handled. Several components are available to help with this process, including the Dundas Upload control, distributed by Dundas Software. The following is sample code for the Publishing Destination Page using the Dundas Upload control

Example:
<%
  dim dund
  Set dund = Server.CreateObject("Dundas.Upload.2")
  dund.SaveToMemory
  response.Write "Data from form<hr>"
  dim objUploadedForm
  For Each objUploadedForm in dund.Form
    Response.Write objUploadedForm.tagname & "="
    Response.Write objUploadedForm.Value & "<br>"
  Next
  response.Write "<br>Files from HotDocs<hr>"
  dim objUploadedFile
  dim filename
  dim filen
  dund.ImpersonateUser "username","password"
  For Each objFile in dund.Files
    filen = dund.GetFileName (objFile.OriginalPath )
    filename = "c:\inetpub\companyname\temp\" &
    objFile.SaveAs filename
    Response.Write "<a ref='http://www.company.com/temp/"
    Response.Write filen &"'>"
    Response.Write objFile.TagName
    Response.Write "=" & objFile.OriginalPath
    Response.Write " : Size = " & objFile.Size
    Response.Write "</a><br>"
  Next
  dund.ImpersonationTerminate
  set dund = nothing
%>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Custom HTML Pages for Template Uploading > What is a Publishing Destination page?


HotDocs Server Help - Create Templates for Use with HotDocs Server

  • Help

All About...

  • Create Custom HTML Pages for Template Uploading
  • Customize the Interview Appearance and Performance
  • Upgrade an Existing HotDocs Server Host Application
  • Use the HotDocs Server APIs to Create a Host Application

Create Templates for Use with HotDocs Server

Using HotDocs Developer, you can create templates that can be used with HotDocs Server. When documents are assembled using HotDocs Server, the interview is displayed in a standard Web browser instead of the HotDocs assembly window like it is on the desktop. Although these two methods for displaying interviews create some differences in how the interview appears to the end user, both interviews are generally the same.

When creating templates for use with HotDocs Server, you can use most of the same features as you can when creating templates for use with the desktop version. For example, HotDocs Server templates may contain related variables grouped into separate dialogs, dialog scripts that dynamically gray or hide variables, instructions for specifying the order in which dialogs are asked, and many other features. There are some important differences between the two versions, however, which you can find here.

The site administrator can also make changes on the server that affect the appearance of all HotDocs Server interviews. For example, although the general layout and functionality of the interview is determined on a per-template basis as the templates are automated, the site administrator can control such things as colors, fonts, and images used in all interviews. (See Customize the Interview Appearance and Performance.) The HotDocs Server Management Console also contains options that control the interview appearance.

The following topics explain how you can create and enable templates for use with HotDocs Server, and then publish and upload the templates to the server:

Enable templates for use with HotDocs Server

Publish and upload templates for use with HotDocs Server

What are the differences between desktop and browser-based interviews?

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Templates for Use with HotDocs Server


HotDocs Server Help - How do I enable templates for use with HotDocs Server?

  • Help

How Do I...?

  • Enable templates for use with HotDocs Server
  • Publish and upload templates for use with HotDocs Server

Overviews

  • What are the differences between desktop and browser-based interviews?

How do I enable templates for use with HotDocs Server?

Note: HotDocs Developer is required to enable and verify templates for use with HotDocs Server.

To enable templates for use with HotDocs Server

  1. Open the template's component file for editing and click the [image] Component File Properties button. The Component File Properties dialog box appears.
  2. Click the HotDocs Server tab and select Enable template for use with HotDocs Server.
  3. Select any of the following options:
    Option | Description
    Interview outline initially showing | This option causes the interview outline (list of dialogs in the interview) to appear when the interview is first displayed.
    Allow user to hide/show interview outline | This option lets users show and hide the interview outline as needed.
    Resource pane initially showing | This option causes the resource pane, which shows helpful information about questions in the interview, to appear when the interview is first displayed.
    Allow user to hide/show resource pane | This option lets users show and hide the resource pane as needed.
    Instant Update initially ON This option causes HotDocs Server to automatically update the entire interview as users enter or change answers. If this option is turned off, HotDocs will only update the interview as needed.
    Caution:Some complex interviews may require Instant Update to be turned off or response time may be slow.
    Allow user to turn Instant Update on/off | This option lets users control how frequently HotDocs updates the interview.
    Single-page interview initially ON This option causes the interview to appear as a single page when the interview is first displayed.
    Caution:Single-page interviews are best used for relatively short, simple interviews. Long or complex interviews will be slow in single-page mode, since all dialogs must be displayed and all dialog scripts must be run at the same time.
    Allow user to turn single-page interview on/off | This option lets users switch between normal and single-page interviews.

When a template is enabled for use with HotDocs Server, HotDocs warns you if you try to use a feature that is not allowed in a HotDocs Server template. In addition, HotDocs Server-enabled templates can be tested in a Web browser to ensure that the interview appears as intended.

Tip: To view an interview in a Web browser, press and hold the Shift key as you click the [image] Test Assemble button. (You can also use the Template > Test in Browser command at the library window.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Templates for Use with HotDocs Server > How do I enable templates for use with HotDocs Server?


HotDocs Server Help - How do I publish and upload templates for use with HotDocs Server?

  • Help

How Do I...?

  • Enable templates for use with HotDocs Server
  • Publish and upload templates for use with HotDocs Server

Overviews

  • What are the differences between desktop and browser-based interviews?

How do I publish and upload templates for use with HotDocs Server?

To publish and upload templates for use with HotDocs Server

  1. At the HotDocs library, select the template or templates you want to publish and click the Publishing Wizard Publishing Wizard button. The Publishing Wizard dialog box appears, displaying the Publishing Options information.
  2. Select Template files for use with HotDocs Server from the Publish as group
  3. Click the Browse button next to the Local folder for published files box to specify the folder where you want HotDocs to save the published files. (Once these files are published to this temporary folder, you should move them to a more permanent location. If you publish additional templates or other files that use the same file names, HotDocs will overwrite the previously published files.)
  4. Choose how you want to upload the templates to the server:
    • Automatically: Click the Edit button next to the Web destination for published files box to display the Web Destination dialog box where you can specify the URL and description ("friendly name") of the Publishing Form Page on the server to which you want to upload the files.
    • Manually: Leave the Web destination for published files box empty.
  5. Click Next. The Additional Files dialog box appears.
  6. Select any additional files you want to include with your published templates, and then click Finish. HotDocs finishes publishing your templates.

    If you chose to automatically upload the templates, the Publishing Form Page appears where you can enter additional information about the templates you are uploading, and then upload that information and the templates to the server using the Publishing Destination Page.

    If you chose to manually upload the templates, move the files from the Local folder for published files to the server. You can use an FTP client or other application, such as Microsoft FrontPage.

When a template is published for use with HotDocs Server, HotDocs creates two other files required by HotDocs Server:

  • HotDocs Variable Collection (.HVC) file: stores all of the variables used in a given template
  • Interview definition (.JS) file: defines (in JavaScript) how the browser should display the interview

If you upload the template automatically using the Publishing Wizard, these files are also uploaded to the server automatically. If you manually upload your template, you must remember to copy these files to the server.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Templates for Use with HotDocs Server > How do I publish and upload templates for use with HotDocs Server?


HotDocs Server Help - What are the differences between desktop and browser-based interviews?

  • Help

How Do I...?

  • Enable templates for use with HotDocs Server
  • Publish and upload templates for use with HotDocs Server

What are the differences between desktop and browser-based interviews?

When you use HotDocs Server to assemble a document, it displays a HotDocs interview in your Web browser. This interview is very similar in appearance and function to the interview displayed when using the desktop version of HotDocs. There are some fundamental differences between the two versions of HotDocs, however. These differences limit the features you can implement or change the way features function between the two versions.

Caution:Large templates that use a lot of complex scripting may perform sluggishly when used with HotDocs Server. If you have such templates, see Customize the Interview Appearance and Performance.

Features Not Allowed in HotDocs Server Templates

The following features are not compatible with HotDocs Server. Using any one of these features will prevent a template from being assembled using HotDocs Server. (An error message is displayed when you try to test the template in a browser or publish it for use with HotDocs Server.) In some cases, there are simple ways of accomplishing the same task without using the feature, however.

Feature | Description
Clauses and clause libraries | Although clauses and clause libraries are not supported in HotDocs Server, you can use inserted templates to achieve similar results. For example, you can use the answer for a True/False variable to determine when to insert a template into the assembled document.
INSERT instructions used in computation scripts | HotDocs Server cannot process INSERT instructions in computation scripts. However, INSERT instructions can be processed when they are inserted directly in the template.
LANGUAGE instructions used in expressions | LANGUAGE instructions are not allowed when used as part of an expression. However, you can merge the instruction directly in the template.
Personal Information variables | Personal Information variables require access to the Current User key of the Windows registry. Since HotDocs Server cannot access the user's registry, this feature is not allowed.
ANSWER FILE NAME variables | The ANSWER FILE NAME variable is used to merge the name of the answer file used in the assembled document. Because of the differences in the way HotDocs Server works with answer files, this is not allowed.
Database components | HotDocs Database components cannot be used in HotDocs Server templates. However, you can achieve much of the same functionality using server answer sources. (See How do I create a HotDocs Server answer source?.)
PLAY "MACRO" instructions | This instruction plays a word processor macro after the document is assembled and either sent to the word processor, printed, or saved. Playing a macro requires access to a word processor, and since HotDocs Server assembles documents outside of the word processor, it cannot play macros.
Application link dialog elements and EXECUTE instructions | These instructions are used to start other applications on the user's computer. However, they are not allowed in HotDocs Server templates.
Scripting in plain text resources or prompts | In JavaScript interviews, you cannot use scripting (such as IF, REPEAT, SPACE, and VALUE instructions or expressions) in a resource or prompt. In Silverlight interviews, you can use scripting in resources and prompts.
Bookmarks | Bookmarks that have been inserted into a document by Word or WordPerfect cannot be used with HotDocs server.

Features That Work Differently in HotDocs Server Interviews

The following features are allowed in HotDocs Server templates, but they work differently in desktop and server interviews. For example, the end result may be the same, but the different user interfaces require changes to the implementation of some features. There are also some features that are ignored when they are used in HotDocs Server templates. Unlike the features not supported in HotDocs Server templates (click here), these features do not cause any errors.

Feature | Description
Answer sources | In desktop HotDocs, you can specify an answer source (a list of answers from which a user can select one) for a dialog. Users open the list when answering a question in a dialog and pick an existing answer, instead of entering one manually. However, when assembling documents using HotDocs Server, these answer sources are ignored (the Select button does not appear on the dialog), although you can use a server answer source to achieve similar results. (See Create a HotDocs Server Answer Source.)
Automatically selecting a Multiple Choice option when the variable is unanswered | At the Multiple Choice Variable Editor, you can click the Options tab and specify which option should be automatically selected if the variable is unanswered when displayed. Although these "default" options are ignored in HotDocs Server interviews, you can still achieve the same results by using the DEFAULT instruction in your template.
Text patterns | Text patterns are supported in both desktop and server interviews, but the way answers are formatted as they are entered during the interview is slightly different in each version.
Example formats

You can include variable fields in variable prompts and dialog element text by inserting the name of the variable within chevrons (« »). You can also specify an example format for variables within the chevrons. For example, to display a text answer in ALL CAPS, insert the variable name as follows: «Text Var:LIKE THIS» (where Text Var is the name of your variable).

Also, in JavaScript interviews, the FORMAT instruction is not supported in dialog element text or variable prompts. For example, «FORMAT( Text Var, "LIKE THIS" )» or FORMAT "a, b, and c" does not work in a JavaScript interview. This instruction can be used to format text in Silverlight interviews and in the assembled document, however.

Script link dialog elements | You can use a script link dialog element to add a button to a dialog that processes a Computation variable. However, in a HotDocs Server template, the Computation variable cannot include an ASK instruction or otherwise cause a dialog to be asked. (HotDocs Server ignores ASK instructions in script link computation scripts.)
Web link dialog elements | You can use Web link dialog element to add a button to a dialog that links to a database. However, this works only in browser-based (HotDocs Server) interviews. Web links that launch such databases do not appear in desktop interviews. (See "Add a Hyperlink to a Dialog" in the desktop HotDocs Helps.)
Image dialog elements The following restrictions apply to images displayed in dialogs:
  • Image files must be saved to the same folder as the template.
  • .JPG and .PNG images are supported in both Silverlight and JavaScript interviews. In addition, JavaScript interviews allow .GIF images, but neither interview type can display .BMP images.
  • Silverlight does not support all possible color depths that are included in the PNG specification. Specifically, gray scale and 64-bit true color are not supported in Silverlight.
Variable field (« ») and dot codes in Multiple Choice option prompts and merge text

In JavaScript interviews, HotDocs Server processes variable fields (« ») and dot codes in Multiple Choice option prompts when the Multiple Choice variable is first displayed in an interview. If the variable used in the prompt is asked before the Multiple Choice variable is displayed, the variable field will be resolved to display the answer. However, if the variable did not already have an answer, the prompt will show an unanswered variable reference instead. In both cases, if the answer for the variable used in the prompt is subsequently changed, the prompt will not be updated because it is only processed one time per interview. Finally, variable fields in merge text are never processed in JavaScript interviews, but they are processed when the answer is merged in the assembled document.

In Silverlight interviews, variable fields in Multiple Choice option prompts and merge text are always kept up to date as they are in desktop interviews.

Resources for variables and dialogs | HotDocs Server only supports Plain Text and URL resources. All other resource types (HTML Help, Windows Help, Folio Infobase, Custom Program) are ignored in HotDocs Server interviews. (No resource is displayed for the dialog or variable.) In addition, HotDocs Server displays all URL resources as hyperlinks that open up separate windows; the actual Web page does not appear in the resource pane.
End of Interview dialog | HotDocs Server interviews do not include an End of Interview dialog. Selecting Hide End of Interview dialog at the Component File Properties dialog box (Assembly tab) has no effect on the server interview.
Question and Answer summaries | Selecting Use variable names in summaries at the Component File Properties dialog box (Assembly tab) has no effect on the server interview. (HotDocs Server does not have an option for creating Question summaries, and Answer summaries always use variable prompts.)
"TypeHere" bookmarks | Since HotDocs Server does not send assembled documents to the word processor, selecting Move to the "TypeHere" bookmark at the Component File Properties dialog box (Assembly tab) is not applicable to HotDocs Server templates.
Prevent users from using an answer file to assemble a document | Since answer file selection and processing is handled by your HotDocs Server Web (host) application, the Do not use answer files option at the Component File Properties dialog box (Assembly tab) does not affect server interviews.
Max WHILE iterations | HotDocs Server does not honor the Maximum WHILE iterations value specified at the Component File Properties dialog box (Assembly tab). (You should be careful not to create an infinite WHILE loop in your templates.)
Max processing stack depth | HotDocs Server does not honor the Maximum processing stack depth value specified at the Component File Properties dialog box (Assembly tab). (You should be careful to avoid infinitely recursing (processing) a computation.)
Accelerator keys in variable prompts | In desktop interviews, you can make a character in a variable prompt an accelerator key by typing an ampersand (&) character immediately before the letter you want as an accelerator. HotDocs Server correctly removes the ampersand when the prompt is displayed in the interview, but does not make the following character an accelerator key.
ASCEND, DESCEND, and FILTER instructions | The ASCEND, DESCEND, and FILTER instructions, which are used for sorting and filtering repeated dialogs, are ignored in HotDocs Server interviews. They can be used to sort answers in the assembled document, but not to display a sorted or filtered list of answers in the interview.
SUM( COMPUTATION_VAR ) expression | Using the SUM( COMPUTATION_VAR) expression to display information during the interview is not supported. You can use this expression as part of the text in the assembled document, but not in a dialog script or dialog element.
Dot Codes The following dot codes are not supported in Silverlight interviews:
  • «.tc»: Tab character dot codes are ignored.
  • «.oh»: An optional hyphen is treated like a normal hyphen.
  • «.pb» and «.pm»: Page break and paragraph mark dot codes are both treated like line breaks.
  • «.w "URL"»/«.we»: New line characters, strike-through, and underline formatting is ignored within the text of a Web link.
Automatic Prompt Alignment | In Silverlight interviews, automatic prompt alignment works differently than it does in JavaScript or desktop interviews.
SPAN Instructions | When HotDocs assembles a template which contains a SPAN instruction, it checks the answer file to see if it contains an answer for that SPAN component. If there is an answer, the text within the SPAN instruction is replaced by the text in the answer file. This works whether you are assembling a document on the desktop or server. The difference, however, is that desktop interviews provide an interface at the Document Preview tab where you can edit the text within a SPAN instruction. On the server, there is no such user interface for editing SPAN text, which puts the usefulness of SPAN instructions in server-only templates into question.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Templates for Use with HotDocs Server > What are the differences between desktop and browser-based interviews?


HotDocs Server Help - Customize the Interview Appearance and Performance

  • Help

All About...

  • Create Custom HTML Pages for Template Uploading
  • Create Templates for Use with HotDocs Server
  • Upgrade an Existing HotDocs Server Host Application
  • Use the HotDocs Server APIs to Create a Host Application

Customize the Interview Appearance and Performance

HotDocs Server can display two types of interviews in the browser—the traditional JavaScript interviews, and the new Silverlight interviews introduced with HotDocs Server 10. The appearance and performance of your interview will vary based on which type of interview you choose to present to your users.

Interview Speed

In general, the more complicated the automation is in a template, the more time a browser-based interview will take. For example, template scripting that has to be processed repeatedly during document assembly can slow down the interview.

One of the main advantages of using Silverlight interviews is that they are much quicker and more responsive than the traditional JavaScript interviews. In a Silverlight interview, the interview script is pre-compiled and can thus be processed much quicker than an interpretive JavaScript interview.

The following topics explain some other ways you can increase interview speed:

  • Define a Custom Interview
  • Use Computations

JavaScript Interview Appearance

Much of the appearance of JavaScript interviews is controlled by a set of cascading style sheets, which you can customize to change fonts, colors, and other styles used in the interview. With JavaScript interviews, you can also change the images used in the interview to more fully integrate it within your host application or Web site's overall appearance.

For more information, see How do I customize the appearance of a JavaScript interview?

Silverlight Interview Appearance

You can also customize the appearance of HotDocs Server interviews presented using Microsoft Silverlight technology. Although there are fewer options to change the appearance of Silverlight interviews than there are with JavaScript interviews, the speed and cross-browser compatibility offered by Silverlight interviews is generally enough to outweigh any style customization shortfalls.

For more information, see How do I customize the appearance of a Silverlight interview?

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance


HotDocs Server Help - Define a Custom Interview

  • Help

How Do I...?

  • Define a Custom Interview
  • Customize the appearance of a JavaScript interview
  • Use Computations in a template

Define a Custom Interview

When you assemble a template, HotDocs displays an interview, based on variables and instructions it finds in the template. An outline of the interview is displayed in the left pane of the assembly window.

This interview is comprised of dialogs that contain one or more questions, which the user must answer to assemble a complete document. As users answer questions, the outline updates to show which questions are still unanswered.

By default, HotDocs generates this interview by asking variables as it reads them in the template. When a variable is linked to a dialog, the dialog is asked. For most templates, this default interview is sufficient.

However, if you need control over the order questions are asked in the interview, you can create a custom interview component. A custom interview is defined by a computation script in which you use a series of ASK instructions to ask the variables and dialogs in your template. A custom interview can also contain other scripting, such as IF instructions and REPEAT instructions.

One reason why it may be beneficial to create a custom interview is to speed up the process with which HotDocs displays and updates the interview. To explain, during assembly, the interview that is presented to the user is dynamic. This means that each time a user enters an answer, the entire interview is updated to reflect any changes caused by that answer. Depending on the complexity of the template and the frequency with which variables and instructions are used in the template, this updating may take longer than expected because HotDocs must process each field. By creating a custom interview, you can create a script that asks these components and processes these instructions just once, thereby reducing the number of times HotDocs has to process each field. This can improve assembly speed considerably. (For a detailed description of how a complex template can slow interview speed, see Improve Interview Speed Using a Custom Interview.)

There are two parts to using a custom interview in your template:

  • Create the custom interview component that contains all of your scripting.
  • Specify a component file property that tells HotDocs to use the component when generating the interview.

To create a custom interview

  1. At the template (which should be completely automated), open Component Manager.
  2. Select Computation Variables from the Components drop-down list and click the New Component New Component button. HotDocs opens the Computation Editor.
  3. Enter a name in the Variable name box. (The component can use any name, including INTERVIEW.)
  4. Using a series of instructions, specify how you want variables in the template to be asked, based on the logic you use in the template. For example, you can create a series of ASK instructions that ask the dialogs, as well as use IF instructions to make variables in the template conditional upon users' answers.
  5. Click OK when you are finished.

    Once you have created the custom interview, you must specify a component file property that tells HotDocs to use the computation when it generates the interview.

  6. With Component Manager still open, click the Component File Properties Component File Properties button. The Component File Properties dialog box appears.
  7. Click the Interview tab and select Use custom interview.
  8. Specify the name of the Computation variable in the Interview component box.

Now, HotDocs will use this computation to generate the interview.

Tip: You can test your INTERVIEW computation to make sure each variable is asked correctly by clearing Use custom interview at the Component File Properties dialog box, inserting the INTERVIEW computation at the beginning of the template, and test assembling it. If HotDocs displays any dialogs after the expected final dialog, that means some variables were not included in the script. (Make sure you remove the computation from the template once you are finished testing, and remember to select Use custom interview again.)
Note:
  • If you are pointing several templates to a shared component file, but you want each template to use its own custom interview, at the Interview tab, clear Use Interview properties stored in the shared component file, select Use custom interview, and then specify the name of the interview computation in the Interview component box.
  • In a text template, if you select both Generate default interview and Use custom interview, HotDocs will always use the custom interview. Any variables not asked in the custom interview will be left out of the interview altogether. In a form template when both options are selected, HotDocs will present the custom interview first and then include any variables not asked in the custom interview at the end of the interview outline.
  • This computation will also be used to create the interview definition (.JS) file when you publish the template for use with HotDocs Server.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > Define a Custom Interview


HotDocs Server Help - How do I use Computations in a template?

  • Help

How Do I...?

  • Define a Custom Interview
  • Customize the appearance of a JavaScript interview
  • Use Computations in a template

How do I use Computations in a template?

One way you can improve interview speed is by placing lengthy or complicated IF expressions inside of computations instead of directly in the body of a template. This is particularly helpful if you do not use an INTERVIEW computation because HotDocs must repeatedly process the template's text during the interview. (HotDocs can process a computation much quicker than it can process the same scripting on a text template.)

To use a Computation variable in a template

  1. If you want to make a section of text conditional, you could place the following script on your template:
    «IF (Type = "A" AND Amount > 100 AND Amount < 1000) OR (Type = "B" AND Amount >= 1000)»This is the conditional text.«END IF»
  2. Alternatively, you can accomplish the same thing by placing the entire IF expression inside of a computation. On your template, the IF expression would be replaced by one computation: «Comp A». The script for this computation would look like this:
    ""
IF (Type = "A" AND Amount >= 100 AND Amount < 1000) OR (Type = "B" AND Amount >= 1000)
  RESULT + "This is the conditional text."
END IF

Using the Computation, HotDocs will be able to process the same amount of script more quickly.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I use Computations in a template?


HotDocs Server Help - How do I customize the appearance of a JavaScript interview?

  • Help

How Do I...?

  • Define a Custom Interview
  • Customize the appearance of a JavaScript interview
  • Customize the appearance of a Silverlight interview
  • Use Computations in a template

All About...

  • Create Custom HTML Pages for Template Uploading
  • Create Templates for Use with HotDocs Server
  • Customize the Interview Appearance and Performance
  • Upgrade an Existing HotDocs Server Host Application
  • Use the HotDocs Server APIs to Create a Host Application

How do I customize the appearance of a JavaScript interview?

Much of the appearance of JavaScript interviews is controlled by a set of cascading style sheets. One style sheet, hdssystem.css, contains definitions of styles that are critical to the proper functioning of JavaScript interviews. Generally, these styles should not be altered. The other style sheet, hdsuser.css, contains styles that are safe for the site administrator or developer to modify. For example, it is generally safe to modify font and color style attributes.

To help you understand how to modify the interview's styles, it may be useful to know that the entire interview is contained within one main DIV block (hdMainDiv). Within this DIV is a FORM element (hdForm) that contains all of the different elements that make up the interview, such as a TABLE (hdHeading) that makes up the title bar and a DIV (hdResourcePane) that is used to display variable and dialog resource text.

Caution: Some elements or classes contain style attributes in both the "user" and "system" .CSS files. When modifying styles and properties defined in hdsuser.css, you should be careful not to override or conflict with properties defined in hdssystem.css. If this occurs, unexpected results may occur.

To customize the appearance of a JavaScript interview

  1. Edit hdsuser.css. (By default, it is found in C:\Program Files\HotDocs Server\HDServerFiles\stylesheets.)
  2. Modify the styles as needed, using information in the following topics to help you know which styles affect various parts of the interview:
    • General Styles
    • Title and Navigation Bar Styles
    • Dialog Pane Styles
    • Interview Outline Styles
    • Spreadsheet Styles
    • Resource Pane Styles
    • Calendar Dialog Box Styles
    • Shortcut Menu Styles
  3. Optionally, modify the interview images contained in your HotDocs Server images folder. (By default, this folder is found in C:\Program Files\HotDocs Server\HDServerFiles\images.)
  4. Save the style sheet.
  5. To ensure that interviews look the same when testing in a browser using desktop HotDocs and when assembling with HotDocs Server, verify that the cascading style sheets and images are the same for both versions of HotDocs. (See How do I synchronize files between HotDocs Developer and Server?.)
Tip: To learn about cascading style sheets and how you can modify the styles described in this section, please visit the World Wide Web Consortium (W3C) CSS Web site at http://www.w3.org/Style/CSS/.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview?


HotDocs Server Help - Upgrade an Existing HotDocs Server Host Application

  • Help

All About...

  • Create Custom HTML Pages for Template Uploading
  • Create Templates for Use with HotDocs Server
  • Customize the Interview Appearance and Performance
  • Use the HotDocs Server APIs to Create a Host Application

Upgrade an Existing HotDocs Server Host Application

HotDocs Server 10 is designed to be compatible with existing HotDocs Server host applications, with a few exceptions. For example, if your host application uses a customized interview stylesheet or you have developed your own set of images to use in the interviews, you must update your customized files to reflect the new styles or images required by HotDocs Server 10. Otherwise, interviews will not appear correct. Also, host applications developed for use with HotDocs Online 6 require more changes than those developed for HotDocs 2005 Server or later.

This topic contains information about changes you may need to make in your host application to make it compatible with this version of HotDocs Server.

Update Customized Stylesheets and Images

  • If you have modified the interview stylesheets or images, compare your stylesheets with the stylesheets included with HotDocs Server 10. If the new stylesheets have additional styles not found in your stylesheets, define those new styles in your stylesheets.
  • Compare the images found in the HotDocs Server images folder (C:\Program Files\HotDocs Server\HDServerFiles\images) with those found in your own images folder. If there are any images you do not have in your folder, copy them from the HotDocs Server folder and, if needed, update them to match your other images.
Tip: See Customize the Interview Appearance and Performance for information about customizing the user style sheet.

Update HotDocs Server .NET Namespace References

  • Beginning with HotDocs Server 10, the .NET namespace has changed from LexisNexis.HotDocs.Server to HotDocs.Server. As long as existing host applications continue to reference the previous assemblies, they do not need to be updated as a result of this change. However, if you wish to use new features available beginning in HotDocs Server 10, such as the ability to choose the interview format in the Assembly object, you must reference the new HotDocs Server 10 assemblies and update namespace references to remove "LexisNexis."

Publish Templates

  • If your templates were published using HotDocs Professional 6.2 or earlier, they must be republished for use with HotDocs Server 10.
    Tip: Templates published using HotDocs 2005 or later do not need to be re-published.

Review References to the COM Application Object

Prior to the introduction of the session-based API in HotDocs 2006 Server, the Application object was the primary means for interacting with HotDocs Server. If your host application uses the Application object, you should review the following items to ensure that your host application will continue to work with HotDocs Server 10:

  • User Impersonation: The Application object in HotDocs Online 6.x contained two methods (ImpersonateUser and EndImpersonation) to facilitate user impersonation. Although these methods are still exposed by the COM server, they do nothing in current versions of HotDocs Server. If your host application requires impersonation services, we suggest that you look at the free Dundas Upload component available at http://aspalliance.com/dundas/default.aspx. This component exposes an impersonation API that is very similar to the HotDocs Online 6.x API.
  • GetInterview and GetInterviewWithDefinition: Beginning with HotDocs 2005 Server, the parameters in the Application.GetInterview and Application.GetInterviewWithDefinition methods changed meanings. Specifically, because HotDocs Server now uses two separate style sheets for interviews, the cssUrl parameter is the URL of the user style sheet (e.g., http://yourserver.com/HDServerFiles/hdsuser.css). HotDocs Server looks for the second style sheet, hdssystem.css, in the same folder as the user style sheet.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Upgrade an Existing HotDocs Server Host Application


HotDocs Server Help - Use the HotDocs Server APIs to Create a Host Application

  • Help

All About...

  • Create Custom HTML Pages for Template Uploading
  • Create Templates for Use with HotDocs Server
  • Customize the Interview Appearance and Performance
  • HotDocs Server Architecture
  • Upgrade an Existing HotDocs Server Host Application

Use the HotDocs Server APIs to Create a Host Application

When you create a new HotDocs Server host application, many factors contribute to its design and the method in which it is built. For example, some host applications are quite simple and use HotDocs Server only for its answer collection capabilities. Other host applications may use HotDocs Server's document assembly features, but they use a database to to provide answers for the assembled documents instead of HotDocs Server interviews and answer files. Depending on the needs and complexity of your host application, you may use one or more of the following HotDocs Server APIs to achieve your desired results:

COM API | The HotDocs Server COM API is the fundamental interface for integrating your own custom host application with HotDocs Server. It contains a set of COM objects which allow you to present interviews in a Web browser, mark unanswered variables, populate variables in an interview with existing answers, assemble documents, and perform many other tasks relevant to Web-based document assembly.
.NET API | The HotDocs Server .NET API is a set of native .NET classes built on top of the COM API, which you can use to integrate HotDocs Server with your own custom .NET host application. It provides essentially the same set of features as the COM API, but also incorporates some basic .NET features such as collections and garbage collection.
JavaScript API | The HotDocs Server JavaScript API includes a number of JavaScript functions and global variables you can use on the client side of your host application to interact with the browser-based interview.
Note: You can also use the HotDocs Server APIs to create a web service to interact with HotDocs Server. For example, you could run your host application on one machine and communicate with HotDocs Server via a web service running on a separate machine. To help you get started with writing a web service, HotDocs has developed a few web service APIs you can adapt for your own use. Refer to the documentation included with the HotDocs Server Web Services for more information.

The following topics describe some general ways in which you can get started with the HotDocs Server APIs, and also provide you with information to help you implement some common features in your host application.

Use the .NET Application Interface to create a HotDocs Server host application

Use the COM Application Interface to create a HotDocs Server host application

Add a custom button to the toolbar

Create a HotDocs Server answer source

Enable the Save Answers feature in my host application

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application


HotDocs Server Help - How do I use the .NET Application Interface to create a HotDocs Server host application?

  • Help

How Do I...?

  • Add a custom button to the toolbar
  • Create a HotDocs Server answer source
  • Enable the Save Answers feature in my host application
  • Use the .NET Application Interface to create a HotDocs Server host application
  • Use the COM Application Interface to create a HotDocs Server host application

All About...

  • About the HotDocs Server .NET API

How do I use the .NET Application Interface to create a HotDocs Server host application?

Most modern HotDocs Server host applications are built using the Microsoft .NET Framework, so if you choose to use HotDocs Server's .NET API, you are in good company. Although the way in which you use the API is dictated in large measure by your host application requirements, there are some general "best practices" you can follow to produce an application that works well with HotDocs Server. This topic describes one common way in which you can use the .NET API in your own host application.

Tip:

To see a working example of a HotDocs Server host application built using the .NET API, you can install HotDocs Sample Portal. This basic host application (including all source code) is available as a demonstration of one way in which you could write a host application. Although it incorporates all of the basic features of HotDocs Server into a functioning host application, it is not designed to be used as-is in a production environment.

To use the .NET Application Interface to create your host application

  • In your project, add references to the HotDocs Server .NET assemblies: HotDocs.Server.dlland HotDocs.Server.Interop.dll.
    Note: To learn where the .NET assemblies are installed, see Files Used with HotDocs Server.
  • When a user signs in to your Web site, your host application should create a new instance of the Session class for that user.
  • Provide a way for users to select a template and answer file for use in assembling a document:
    • For each template that is selected, create a new Assembly object and add it to the Session.Assemblies collection (the "assembly queue").
    • If the user chooses an existing answer file to use with a template, populate the Assembly.AnswerCollection for that Assembly with the answers found in the selected answer file.
  • Use the Assembly.GetInterview method to display an interview where the user can provide answers that will be used in the assembled document.
  • After the user has finished the interview, call the Assembly.Assemble method to assemble the document and then provide a way for the user to download or save the assembled document.
  • Save the user's answers in an answer file, either on the server, or on the user's desktop.
  • Indicate that the Assembly is complete by setting its Assembly.Completed property to true, which moves it to the Session.CompletedAssemblies collection.
  • When the user signs out of your Web site, dispose of the Session object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application > How do I use the .NET Application Interface to create a HotDocs Server host application?


HotDocs Server Help - How do I use the COM Application Interface to create a HotDocs Server host application?

  • Help

How Do I...?

  • Add a custom button to the toolbar
  • Create a HotDocs Server answer source
  • Enable the Save Answers feature in my host application
  • Use the .NET Application Interface to create a HotDocs Server host application
  • Use the COM Application Interface to create a HotDocs Server host application

How do I use the COM Application Interface to create a HotDocs Server host application?

Developing a host application using the COM Application Interface is similar to developing an application using the .NET Application Interface, since the .NET API is built on top of the COM API. Although the way in which you use the API is dictated in large measure by your host application requirements, there are some general "best practices" you can follow to produce an application that works well with HotDocs Server. This topic describes one common way in which you can use the COM API in your own host application.

Tip:

To see a working example of a HotDocs Server host application built using the .NET API, you can install HotDocs Sample Portal. This basic host application (including all source code) is available as a demonstration of one way in which you could write a host application. Although it incorporates all of the basic features of HotDocs Server into a functioning host application, it is not designed to be used as-is in a production environment.

To use the COM Application Interface to create your host application

  • When a user signs in to your Web site, your host application should create a new instance of the Session class for that user.
  • Provide a way for users to select a template and answer file for use in assembling a document:
    • For each template that is selected, create a new Assembly object and add it to the Session.Assemblies collection (the "assembly queue").
    • If the user chooses an existing answer file to use with a template, populate the Assembly.AnswerCollection for that Assembly with the answers found in the selected answer file.
  • Use the Assembly.GetInterview method to display an interview where the user can provide answers that will be used in the assembled document.
  • After the user has finished the interview, call the Assembly.Assemble method to assemble the document and then provide a way for the user to download or save the assembled document.
    Note: When the user clicks the Finish button at the end of the interview, answers are sent to the server via an HTTP POST command in a variable named HDInfo. To collect this answer data from the interview, you should always use the InterviewResponse.GetRequestString method.
  • Save the user's answers in an answer file, either on the server, or on the user's desktop.
  • Indicate that the Assembly is complete by setting its Assembly.Completed property to true, which moves it to the Session.CompletedAssemblies collection.
  • When the user signs out of your Web site, dispose of the Session object.
Tip: If you extract values from nested repeat answers, you should be aware that RepeatIndex returns the answer for the specified variable at the iteration indicated by the index parameters. HotDocs uses zero-based indexing with all repeated answers—the first answer for a variable has index 0, the second has index 1, and so on.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application > How do I use the COM Application Interface to create a HotDocs Server host application?


HotDocs Server Help - How do I add a custom button to the toolbar?

  • Help

Functions

  • HDAddCustomToolbarButton

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.AddCustomInterviewButton

Reference Material

  • Title and Navigation Bar Styles

How Do I...?

  • Add a custom button to the toolbar
  • Create a HotDocs Server answer source
  • Enable the Save Answers feature in my host application
  • Use the .NET Application Interface to create a HotDocs Server host application
  • Use the COM Application Interface to create a HotDocs Server host application

How do I add a custom button to the toolbar?

Depending on the design of your custom host application, you may want to add custom toolbar buttons to the toolbar at the top of the HotDocs Server interview. For example, you could add a button to the toolbar that displays your host application's help file. You can add custom toolbar buttons on the client side using the JavaScript API, or on the server side using the COM or .NET API.

Tip: Custom buttons are always added to the left of the existing toolbar buttons in the order in which they are added. Also, if you want your button to support active and inactive states (instead of always being active), you must use the JavaScript API.

Add a custom button to the toolbar using the COM or .NET API

Add a custom button to the toolbar using the JavaScript API

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application > How do I add a custom button to the toolbar?


HotDocs Server Help - How do I create a HotDocs Server answer source?

  • Help

How Do I...?

  • Add a custom button to the toolbar
  • Create a HotDocs Server answer source
  • Enable the Save Answers feature in my host application
  • Use the .NET Application Interface to create a HotDocs Server host application
  • Use the COM Application Interface to create a HotDocs Server host application

All About...

  • HotDocs Server JavaScript API

How do I create a HotDocs Server answer source?

Each time a template is used to assemble a document, HotDocs Server presents a browser-based interview to prompt the user for information the template requires. Once the user has answered the questions, the answers are submitted to the server where they are merged into the finished, assembled document.

There are several ways users can provide HotDocs with the information it needs during document assembly. They can use any (or a combination) of these methods:

  • Enter the information manually.
  • Retrieve the information from an answer file.
  • Retrieve the information from an answer source.

The last option, retrieving information from an answer source, allows users to select answers from a separate data source during the interview. That way, information from a company data store or other database-driven program, such as some case managers, can also be used to assemble a HotDocs document.

Before users can retrieve answers from a database or other source, the template developer must first decide which dialogs contain variables that correspond to database fields. Then, a button (hyperlink) must be added to each of these dialogs to allow users to open a URL and retrieve information from the answer source.

To add a hyperlink to a dialog

  1. Edit the dialog to which you want to add the button. The Dialog Editor appears.
  2. At the Properties tab, click the Dialog Element button and drag it to the Contents list. The Dialog Element Editorappears.
  3. Enter a name for the component in the Dialog element name box, or select Generate name automatically, which allows HotDocs to name the component.
  4. In the Style group, select Web link.
  5. In the URL box, enter the complete Web address for the page you want the hyperlink to open.
  6. In the Link text box, enter the text you want to use as the hyperlink.
  7. Click the Options tab and select how you'd like the link to appear on the dialog, based on the following information:
    • In the Display as group, select whether the link should be a Button or Hyperlink. (If you select Button, you can specify a custom button size in the Button size group.)
    • If you select Hyperlink, select whether the link should include text, an image, or both in the Display usinggroup. (Enter the name of the image file in the Image file box; if you select Image, it must be located in the same folder as the rest of the HotDocs Server images. (See Files Used with HotDocs Server.)
    • In the Display in group, select whether the link should appear when the dialog is displayed in Desktop interviews, Server interviews, or both. (At a minimum, you must select Server interviews.)
  8. Optionally, to control the appearance of the browser window when it opens, enter the JavaScript parameters in the Window.open features string box. This value corresponds to the third parameter of the JavaScript window.open method (sFeatures). For example, to open the resource in a window that is 200 pixels high, 400 pixels wide, includes the status bar, and does not include the toolbar, menu bar, and location bar, use this string: height=200,width=400,status=yes,toolbar=no,menubar=no,location=no.
  9. Click OK. The Dialog Element Editor is closed.
  10. Drag the component up or down in the Contents list, depending on where you want the hyperlink placed on the dialog.

When the user clicks the button, the URL is processed in another window you (as the site administrator) provide. In this window, you can display information from a database and provide a method for the user to select data and close the window. The following functions are available for implementing a HotDocs Server answer source:

  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDScreenRefresh

You can use these functions to get or set answers of variables based on the current interview, and refresh the screen once answers have been changed via the answer source.

Tip: As these functions are actually called from the child window, they must be referenced correctly from the child. For example: window.opener.HDDBSetVal( "Emp Name", "Bob Smith" ). In addition, because of browser security limitations, the page in which these functions are called must use the same domain name as the page in which the interview is presented.
Example:

The following example shows an HTML page you can use as a HotDocs Server answer source:

<html>
  <head>
    <script language="javascript">
      // These global arrays contain sample employee names and genders.
      var EmpName = new Array("Will Wilson", "Sally Smith", "Brook Banks", "Hans Henderson");
      var EmpGender = new Array("Male", "Female", "Female", "Male");

      // Create the HTML to display the selections.
      // If this were an ASP page, such data could be read out of a database instead.
      function AddButtons()
        {
          for (var i=0; i < EmpName.length; i++) {
            window.document.writeln("<p><input type=button value='" + EmpName[i] + "' name=btn" + i + " onclick='SetVariables("+i+")'></input></p>");
          }
        }

      // Update the HotDocs answers for the name and gender, then close the window
      function SetVariables(index)
        {
          window.opener.HDAnsSetVal("Employee Name",EmpName[index]);
          window.opener.HDAnsSetVal("Employee Gender",EmpGender[index]);
          window.opener.HDScreenRefresh();
          window.close();
        }
    </script>
  </head>

  <body>
    <h1>Please select an employee:</h1>
      <p>(The current employee is <b>
        <script language="javascript"> window.document.write(window.opener.HDAnsGetVal("Employee Name"))
        </script></b>.)
      </p>
    <form ID="Form1">
      <script language="javascript">AddButtons();</script>
    </form>
  </body>
</html>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application > How do I create a HotDocs Server answer source?


HotDocs Server Help - How do I enable the Save Answers feature in my host application?

  • Help

How Do I...?

  • Add a custom button to the toolbar
  • Create a HotDocs Server answer source
  • Enable the Save Answers feature in my host application
  • Use the .NET Application Interface to create a HotDocs Server host application
  • Use the COM Application Interface to create a HotDocs Server host application

How do I enable the Save Answers feature in my host application?

While completing an interview, you may want to let users of your host application save the answers they have entered before completing the interview. This is especially important with long interviews; allowing users to save answers during the interview can minimize the chance of losing information caused by server time-outs or other unforeseen circumstances.

To enable this feature in your host application

  1. Create a page on the server that will read answers posted from the current interview and save them in an answer file. For example, you could create an ASP.NET page that reads the posted answers, prompts the user for a title and description, and saves the answers in an answer file.
  2. Specify the URL of your "save answers" page in the SaveAnswersPageUrl property of each Assembly object you create. When this property is set, HotDocs Server includes the [image] Save Answers button on the interview toolbar. Then, when the user clicks this button, the current interview's answers are posted to that page.
Example:

The following Visual C# examples shows a page you could create to save answers during an interview.

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Web.Mail;
using HotDocs.Server.EvalHost.Data;
namespace HotDocs.Server.EvalHost
{
  /// <summary>
  /// This page demonstrates how to save answers mid-interview using the SavePageUrl property of the Assembly object
  /// When this page is processed, A HotDocs Server interview will be displayed in the browser and the user will
  /// have click the "Save Answers" button. The JavaScript posts the answers to this page. The HTML returned from
  /// this page will be displayed in the interview.
  ///
  /// This page needs to gather the answers, figure out where to save the answers, and save them.
  ///
  </summary>
  public class saveanswers : System.Web.UI.Page
  {
    protected System.Web.UI.WebControls.Button btnSave;
    protected System.Web.UI.WebControls.TextBox txtDescription;
    protected System.Web.UI.WebControls.TextBox txtTitle;
    protected System.Web.UI.WebControls.Label lblStatus;

    private bool bAnsFileSaved;
    private string ansFilename;
    protected HotDocs.Server.Session _session;

    private void Page_Load(object sender, System.EventArgs e)
    {
      // get the HotDocs session object
      _session = (HotDocs.Server.Session)Session["HDS"];
      ansFilename = _session.CurrentAssembly.AnswerFilePathData; //get filename only
      if (!IsPostBack) // first arrival on this page
      {
        Util.SweepTempDirectories(); // first some housekeeping
        string ansStr = HotDocs.Server.InterviewResponse.GetInterviewAnswers(Request); // get the answers from the browser
        bAnsFileSaved = false;
        ViewState["answers"] = ansStr;
        if (Util.IsPermanentAnsPath(ansFilename)) // answer file originated from the server
        {
          using (Answers answers = new Answers())
          {
            DataView ansData = answers.SelectFile(ansFilename);
            // pre-populate answer set title and description
            txtTitle.Text = ansData[0]["Title"].ToString();
            txtDescription.Text = ansData[0]["Description"].ToString();
          }
        }
      }
      else // subsequent arrivals/postbacks
      {
        bAnsFileSaved = (ViewState["ansfsaved"] != null);
      }
    }

    private void btnSave_Click(object sender, System.EventArgs e) //they clicked the "Save Answers" button on the form
    {
      if (txtTitle.Text.Length > 0) // a title is required
      {
        string ansStr = ViewState["answers"].ToString();
        bool bIsUpload = Util.IsTemporaryAnsPath(ansFilename); // was this answer file uploaded from the desktop, or did it originate on the server?
        // overlay new answers on the pre-existing
        _session.CurrentAssembly.AnswerCollection.XmlAnswers = ansStr;
        using (Answers answers = new Answers())
        {
          if (ansFilename != null && ansFilename.Length > 0 && !bIsUpload) // assembly began with answer file on the server
          {
            // if user changed Title, create new answer set; otherwise update existing
            DataView ansData = answers.SelectFile(ansFilename);
            if (ansData[0]["Title"].ToString() == txtTitle.Text) // update existing
            {
              _session.CurrentAssembly.AnswerCollection.Save();
              answers.UpdateAnswerFile(ansFilename, txtTitle.Text, txtDescription.Text);
            }
            else // create new entry and make new copy of answers
            {
              string newfname = Util.MakeTempFilename(".anx");
              _session.CurrentAssembly.AnswerCollection.Save(Settings.AnswerPath + newfname);
              _session.CurrentAssembly.AnswerFilePathData = newfname;
              string oldfname = ansData[0]["OrigFilename"].ToString(); // retain 'original filename' of previous answer file
              if (oldfname == "") oldfname = null;
              answers.InsertNewAnswerFile(newfname, txtTitle.Text, txtDescription.Text, oldfname);
            }
          }
          else // new or uploaded answer file
          {
            string newfname = Util.MakeTempFilename(".anx");

            _session.CurrentAssembly.AnswerCollection.Save(Settings.AnswerPath + newfname);
            _session.CurrentAssembly.AnswerFilePathData = newfname;
            answers.InsertNewAnswerFile(newfname, txtTitle.Text, txtDescription.Text,
            bIsUpload ? Util.GetTemporaryAnsFilename(ansFilename) : null);
            if (bIsUpload) // delete the uploaded file, and treat the answer file from now on as if it originated on the server
            File.Delete(Settings.AnswerPath + ansFilename);
          }
          ViewState["ansfsaved"] = true;
          bAnsFileSaved = true;
        }
        lblStatus.Text = "Answer set saved.";
        lblStatus.ForeColor = Color.Black;
        lblStatus.Visible = true;
      }
      else
      {
        lblStatus.Text = "Error: Please enter an answer set title.";
        lblStatus.ForeColor = Color.Red;
        lblStatus.Visible = true;
      }
    }
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application > How do I enable the Save Answers feature in my host application?


HotDocs Server Help - About the HotDocs Server .NET API

  • Help

How Do I...?

  • Use the .NET Application Interface to create a HotDocs Server host application

All About...

  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

About the HotDocs Server .NET API

The HotDocs Server .NET API is a set of native .NET classes built on top of the COM API, which you can use to integrate HotDocs Server with your own custom .NET host application. It provides essentially the same set of features as the COM API, but also incorporates some basic .NET features such as collections and garbage collection.

When developing your host application in .NET, you should use the following assemblies, which are installed in the HotDocs Server program files folder (e.g., C:\Program Files\HotDocs Server\bin\10.1):

  • HotDocs.Server: .NET API assembly
  • HotDocs.Server.Interop: Primary interop assembly
Tip: All previously-released versions of these assemblies are also installed in the HotDocs Server program files folder. This is done to maintain backwards compatibility with existing host applications.

.NET Application Interface

This interface includes the following classes (similar to the COM Application Interface), which you can use when developing your host application:

  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

Home > All About... > About the HotDocs Server .NET API


HotDocs Server Help - HotDocs.Server.Answer Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.Answer Class

An Answer is the set of Values for a particular HotDocs variable. For example, the Answer for a non-repeated variable consists of a single piece of data (text string, number, date, or other information) stored in a single Value. The Answer for a repeated variable, however, consists of multiple Values—one for each time the variable is repeated.

There are several ways to iterate through the Values of an Answer. If you know the repeat indexes for the Value you want to retrieve, you can simply set the 0-based repeat indexes of the Answer to those indexes. Thus, if you want to retrieve the second Value of a simple repeated variable, you could set the Answer's repeat indexes to 1,-1,-1,-1. (Unused indexes should be set to -1.) Once these indexes are set, retrieving the Answer's Value will return the data stored in the Value with the specified repeat indexes.

You can also use the ValueIndexes property to retrieve a list of repeat indexes for each Value in an answer. This is useful when you want to find all of the Values in an Answer, but you do not know the repeat indexes ahead of time. For example, an Answer that contains 5 Values nested two levels deep might return a list of ValueIndexes like this:

  • 0,0,-1,-1
  • 0,1,-1,-1
  • 1,0,-1,-1
  • 2,0,-1,-1
  • 2,1,-1,-1

You can then iterate through this list, setting the Answer's repeat indexes and retrieving the corresponding Value with each iteration.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.
  • IList: The class is a list of Value objects.

Methods

  • Add
 This method adds a new Value to the Answer object.
  • Answer (Constructor)
 This constructor initializes a new instance of the Answer class.
  • Clear
 This method removes all values (Value objects) from the Answer.
  • Contains
 This method determines whether or not the Answer object contains a specific Value.
  • CopyTo
 This method copies the collection of Value objects from the Answer to an array, starting at a particular index.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Answer class.
  • GetEnumerator
 This method returns an enumerator that iterates through the Answer object.
  • GetRepeatCount
 This method returns the number of Value objects at the specified repeat indexes.
  • IndexOf
 This method determines the index of a specific Value in the Answer object.
  • Insert
 Inherited from the IList interface, but not implemented.
  • Remove
 This method removes the first occurrence of a specific Value from the Answer.
  • RemoveAt
This method removes the Value at the specified index from the Answer.

Properties

  • AnswerType
[Read/Write] This property is a value from the ansType enumeration that indicates the answer type.
  • AnswerTypeText
[Read/Write] This property is a string value that indicates the answer type.
  • Count
[Read-only] This property returns the number of values in an Answer object.
  • Name
[Read/Write] This property is the name (i.e., variable name) of the Answer.
  • RepeatCount
[Read-only] This property is the number of repetitions of the Answer at the current level. For example, if a non-nested answer is repeated three times, this property would return 3. If a nested answer is repeated 4 times at the first iteration and 2 times at the next, this property would return either 4 or 2 depending on the the current repeat indexes.
  • RepeatIndexes
[Read-only] This property is a RepeatIndices object, which represents the current set of repeat indexes for the Answer. Since an Answer may contain any number of Values, the repeat indexes serve as a "pointer" to reference individual Values. For example, if you want to reference the second Value in of a simple repeated variable, set its repeat indexes to 1,-1,-1,-1.
  • Value
[Read/Write] This property is the Value of the Answer. After setting the Answer's RepeatIndexes property to the individual value you want to retrieve, this property will return the designated Value's value property.
  • ValueIndexes
[Read-only] This property returns an Nx4 dimension array containing repeat indexes for all Values contained in an Answer, where N is the number of Values and each row in the array represents the repeat index set for a particular Value. If an Answer is "unanswered," the return value is empty. This property allows an integration to easily learn the details of all repeated Values of an Answer, which would be much more difficult using other API methods.
Example:

The following Visual C# example creates a new AnswerCollection that contains a single Answer with three Values. The AnswerCollection is then saved to disk as a HotDocs Answer File.

public class ExampleCode
{
  static void Main()
  {
    // Create a new AnswerCollection.
    using (HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection())
    {
      // Create an Answer to represent the child names and add it to the AnswerCollection.
      using (HotDocs.Server.Answer names = new HotDocs.Server.Answer())
      {
        names.Name = "Child Name";
        names.AnswerType = HotDocs.Server.Interop.ansType.ansTypeText;
        int cnt = 3;
        for (int i = 0; i < cnt; i++)
        {
          // Create a new Value for each child's name and then add it to the Answer.
          HotDocs.Server.Value nameVal = new HotDocs.Server.Value();
          nameVal.RepeatIndex1 = i; // set the iteration of the value
          nameVal.value = System.String.Format("Dave {0}", i); // all the children are named Dave, just like in the Dr. Seuss story
          names.Add(nameVal);
        }
        ac.Add(names);
      }
      ac.Save(@"c:\temp\children.anx");
    }
  }
}
Example:

This example opens an existing answer file and iterates through its Answers. The name of each Answer, and the value of each Value, is written to the console.

public class ExampleCode
{
    static void Main()
    {
        // Create an AnswerCollection and populate it with an existing answer file.
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
        ac.Open(@"c:\temp\JohnDoe.anx");

        // Iterate through each Answer.
        foreach (HotDocs.Server.Answer ans in ac)
        {
            System.Console.WriteLine(ans.Name);
            // Iterate through each Answer's Values.
            foreach (HotDocs.Server.Value val in ans)
            {
                System.Console.Write("  " +
                    val.RepeatIndex1.ToString() + "," +
                    val.RepeatIndex2.ToString() + "," +
                    val.RepeatIndex3.ToString() + "," +
                    val.RepeatIndex4.ToString() + ": ");

                if (val.value.GetType().IsArray)
                {
                    // This means the value is an array, such as a "select all that apply" Multiple Choice value.
                    System.Object[] valArray = (System.Object[]) val.value;

                    for (int i = 0; i < valArray.GetLength(0); i++)
                    {
                        System.Console.Write(valArray[i].ToString());
                        if (i < (valArray.GetLength(0) - 1))
                            System.Console.Write("|");
                        else
                            System.Console.WriteLine();
                    }
                }
                else
                    System.Console.WriteLine(val.value.ToString());
            }
        }
        ac.Dispose();
    }
}

Home > All About... > HotDocs.Server.Answer Class


HotDocs Server Help - Answer Constructor

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer Constructor

This constructor initializes a new instance of the Answer class.

Syntax

public Answer ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer Constructor


HotDocs Server Help - Answer.Add Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Add Method

This method adds a new Value to the Answer object.

Syntax

public int Add ( object value )

Parameters | Description
value | The Value object to be added to the Answer.

Return Value

An integer indicating the index of the new Value within the Answer object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Add Method


HotDocs Server Help - Answer.Clear Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Clear Method

This method removes all values (Value objects) from the Answer.

Syntax

public void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Clear Method


HotDocs Server Help - Answer.Contains Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Contains Method

This method determines whether or not the Answer object contains a specific Value.

Syntax

public bool Contains ( object value )

Parameters | Description
value | The Value object to find in the Answer.

Return Value

A Boolean value indicating whether or not the Value was found.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Contains Method


HotDocs Server Help - Answer.CopyTo Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.CopyTo Method

This method copies the collection of Value objects from the Answer to an array, starting at a particular index.

Syntax

public void CopyTo ( System.Array array, int index )

Parameters | Description
array | The array to which the Value objects from the Answer will be copied.
index | The starting index in the array to which the Value objects are copied.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.CopyTo Method


HotDocs Server Help - Answer.Dispose Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Answer class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Dispose Method


HotDocs Server Help - Answer.GetEnumerator Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.GetEnumerator Method

This method returns an enumerator that iterates through the Answer object.

Syntax

public System.Collections.IEnumerator GetEnumerator ( )

Return Value

An enumerator that iterates through the Answer object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.GetEnumerator Method


HotDocs Server Help - Answer.GetRepeatCount Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.GetRepeatCount Method

This method returns the number of Value objects at the specified repeat indexes.

Syntax

public int GetRepeatCount ( int repeatIndex1, int repeatIndex2, int repeatIndex3, int repeatIndex4 )

Parameters | Description
repeatIndex1 | The first repeat index.
repeatIndex2 | The second repeat index.
repeatIndex3 | The third repeat index.
repeatIndex4 | The fourth repeat index.

Return Value

The number of Value objects at the specified repeat indexes.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.GetRepeatCount Method


HotDocs Server Help - Answer.IndexOf Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.IndexOf Method

This method determines the index of a specific Value in the Answer object.

Syntax

public int IndexOf ( object value )

Parameters | Description
value | The Value object to find in the Answer.

Return Value

The index of the specified Value object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.IndexOf Method


HotDocs Server Help - Answer.Insert Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Insert Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the Answer class. It will throw a NotImplementedException if called.

Syntax

public void Insert ( int index, object value )

Parameters | Description
index | The zero-based index at which value should be inserted.
value | The Object to insert into the IList.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Insert Method


HotDocs Server Help - Answer.Remove Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Remove Method

This method removes the first occurrence of a specific Value from the Answer.

Syntax

public void Remove ( object value )

Parameters | Description
value | The Value to remove from the Answer.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Remove Method


HotDocs Server Help - Answer.RemoveAt Method

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.RemoveAt Method

This method removes the Value at the specified index from the Answer.

Syntax

public void RemoveAt ( int index )

Parameters | Description
index | The index of the Value to remove from the Answer.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.RemoveAt Method


HotDocs Server Help - Answer.AnswerType Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.AnswerType Property

[Read/Write] This property is a value from the ansType enumeration that indicates the answer type.

Syntax

public HotDocs.Server.Interop.ansType AnswerType { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.AnswerType Property


HotDocs Server Help - Answer.AnswerTypeText Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.AnswerTypeText Property

[Read/Write] This property is a string value that indicates the answer type.

Syntax

public string AnswerTypeText { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.AnswerTypeText Property


HotDocs Server Help - Answer.Count Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Count Property

[Read-only] This property returns the number of values in an Answer object.

Syntax

public int Count { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Count Property


HotDocs Server Help - Answer.Name Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Name Property

[Read/Write] This property is the name (i.e., variable name) of the Answer.

Syntax

public string Name { set; get; }

Example:

The following Visual C# code opens an answer file, iterates through its AnswerCollection, and displays each Answer and its Values. After each value, it also displays the RepeatCount at the current level.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection("c:\\temp\\JohnDoe.anx");

    foreach (HotDocs.Server.Answer ans in ac)
    {
      System.Console.WriteLine(ans.Name);

      // Iterate through each of the Answer's Values.
      int[,] myArray = ans.ValueIndexes;
      for (int i = 0; i < myArray.GetLength(0); i++)
      {
        ans.RepeatIndexes[0] = myArray[i, 0];
        ans.RepeatIndexes[1] = myArray[i, 1];
        ans.RepeatIndexes[2] = myArray[i, 2];
        ans.RepeatIndexes[3] = myArray[i, 3];

        System.Console.Write("{0},{1},{2},{3}: ", ans.RepeatIndexes[0].ToString(), ans.RepeatIndexes[1].ToString(),
          ans.RepeatIndexes[2].ToString(), ans.RepeatIndexes[3].ToString());

        if (ans.Value.GetType().IsArray)
        {
          // This means the value is an array, such as a "select all that apply" Multiple Choice value.
          System.Object[] valArray = (System.Object[])ans.Value;

          for (int j = 0; j < valArray.GetLength(0); j++)
          {
            System.Console.Write(valArray[j].ToString());
            if (j < (valArray.GetLength(0) - 1)) System.Console.Write("|");
          }
        }
        else System.Console.Write(ans.Value.ToString());
        System.Console.WriteLine(" (RepeatCount: " + ans.RepeatCount + ")");
      }
    }
    System.Console.ReadKey();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Name Property


HotDocs Server Help - Answer.RepeatIndexes Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.RepeatIndexes Property

[Read-only] This property is a RepeatIndices object, which represents the current set of repeat indexes for the Answer. Since an Answer may contain any number of Values, the repeat indexes serve as a "pointer" to reference individual Values. For example, if you want to reference the second Value in of a simple repeated variable, set its repeat indexes to 1,-1,-1,-1.

Syntax

public HotDocs.Server.RepeatIndices RepeatIndexes { get; }

Example:

The following Visual C# code opens an answer file, iterates through its AnswerCollection, and displays each Answer and its Values. After each value, it also displays the RepeatCount at the current level.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection("c:\\temp\\JohnDoe.anx");

    foreach (HotDocs.Server.Answer ans in ac)
    {
      System.Console.WriteLine(ans.Name);

      // Iterate through each of the Answer's Values.
      int[,] myArray = ans.ValueIndexes;
      for (int i = 0; i < myArray.GetLength(0); i++)
      {
        ans.RepeatIndexes[0] = myArray[i, 0];
        ans.RepeatIndexes[1] = myArray[i, 1];
        ans.RepeatIndexes[2] = myArray[i, 2];
        ans.RepeatIndexes[3] = myArray[i, 3];

        System.Console.Write("{0},{1},{2},{3}: ", ans.RepeatIndexes[0].ToString(), ans.RepeatIndexes[1].ToString(),
          ans.RepeatIndexes[2].ToString(), ans.RepeatIndexes[3].ToString());

        if (ans.Value.GetType().IsArray)
        {
          // This means the value is an array, such as a "select all that apply" Multiple Choice value.
          System.Object[] valArray = (System.Object[])ans.Value;

          for (int j = 0; j < valArray.GetLength(0); j++)
          {
            System.Console.Write(valArray[j].ToString());
            if (j < (valArray.GetLength(0) - 1)) System.Console.Write("|");
          }
        }
        else System.Console.Write(ans.Value.ToString());
        System.Console.WriteLine(" (RepeatCount: " + ans.RepeatCount + ")");
      }
    }
    System.Console.ReadKey();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.RepeatIndexes Property


HotDocs Server Help - Answer.RepeatCount Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.RepeatCount Property

[Read-only] This property is the number of repetitions of the Answer at the current level. For example, if a non-nested answer is repeated three times, this property would return 3. If a nested answer is repeated 4 times at the first iteration and 2 times at the next, this property would return either 4 or 2 depending on the the current repeat indexes.

Syntax

public int RepeatCount { get; }

Example:

The following Visual C# code opens an answer file, iterates through its AnswerCollection, and displays each Answer and its Values. After each value, it also displays the RepeatCount at the current level.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection("c:\\temp\\JohnDoe.anx");

    foreach (HotDocs.Server.Answer ans in ac)
    {
      System.Console.WriteLine(ans.Name);

      // Iterate through each of the Answer's Values.
      int[,] myArray = ans.ValueIndexes;
      for (int i = 0; i < myArray.GetLength(0); i++)
      {
        ans.RepeatIndexes[0] = myArray[i, 0];
        ans.RepeatIndexes[1] = myArray[i, 1];
        ans.RepeatIndexes[2] = myArray[i, 2];
        ans.RepeatIndexes[3] = myArray[i, 3];

        System.Console.Write("{0},{1},{2},{3}: ", ans.RepeatIndexes[0].ToString(), ans.RepeatIndexes[1].ToString(),
          ans.RepeatIndexes[2].ToString(), ans.RepeatIndexes[3].ToString());

        if (ans.Value.GetType().IsArray)
        {
          // This means the value is an array, such as a "select all that apply" Multiple Choice value.
          System.Object[] valArray = (System.Object[])ans.Value;

          for (int j = 0; j < valArray.GetLength(0); j++)
          {
            System.Console.Write(valArray[j].ToString());
            if (j < (valArray.GetLength(0) - 1)) System.Console.Write("|");
          }
        }
        else System.Console.Write(ans.Value.ToString());
        System.Console.WriteLine(" (RepeatCount: " + ans.RepeatCount + ")");
      }
    }
    System.Console.ReadKey();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.RepeatCount Property


HotDocs Server Help - Answer.Value Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.Value Property

[Read/Write] This property is the Value of the Answer. After setting the Answer's RepeatIndexes property to the individual value you want to retrieve, this property will return the designated Value's value property.

Syntax

public object Value { set; get; }

Tip: Since Multiple Choice variables may contain more than one answer, the Value property of a Multiple Choice variable can be either a string or an array of strings. Select One Only variables use a string, and Select All That Apply variables use an array of strings.
Example:

The following Visual C# code opens an answer file, iterates through its AnswerCollection, and displays each Answer and its Values. After each value, it also displays the RepeatCount at the current level.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection("c:\\temp\\JohnDoe.anx");

    foreach (HotDocs.Server.Answer ans in ac)
    {
      System.Console.WriteLine(ans.Name);

      // Iterate through each of the Answer's Values.
      int[,] myArray = ans.ValueIndexes;
      for (int i = 0; i < myArray.GetLength(0); i++)
      {
        ans.RepeatIndexes[0] = myArray[i, 0];
        ans.RepeatIndexes[1] = myArray[i, 1];
        ans.RepeatIndexes[2] = myArray[i, 2];
        ans.RepeatIndexes[3] = myArray[i, 3];

        System.Console.Write("{0},{1},{2},{3}: ", ans.RepeatIndexes[0].ToString(), ans.RepeatIndexes[1].ToString(),
          ans.RepeatIndexes[2].ToString(), ans.RepeatIndexes[3].ToString());

        if (ans.Value.GetType().IsArray)
        {
          // This means the value is an array, such as a "select all that apply" Multiple Choice value.
          System.Object[] valArray = (System.Object[])ans.Value;

          for (int j = 0; j < valArray.GetLength(0); j++)
          {
            System.Console.Write(valArray[j].ToString());
            if (j < (valArray.GetLength(0) - 1)) System.Console.Write("|");
          }
        }
        else System.Console.Write(ans.Value.ToString());
        System.Console.WriteLine(" (RepeatCount: " + ans.RepeatCount + ")");
      }
    }
    System.Console.ReadKey();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.Value Property


HotDocs Server Help - Answer.ValueIndexes Property

  • Help

Methods

  • Answer Constructor
  • Answer.Add
  • Answer.Clear
  • Answer.Contains
  • Answer.CopyTo
  • Answer.Dispose
  • Answer.GetEnumerator
  • Answer.GetRepeatCount
  • Answer.IndexOf
  • Answer.Insert
  • Answer.Remove
  • Answer.RemoveAt

Properties

  • Answer.AnswerType
  • Answer.AnswerTypeText
  • Answer.Count
  • Answer.Name
  • Answer.RepeatCount
  • Answer.RepeatIndexes
  • Answer.Value
  • Answer.ValueIndexes

Answer.ValueIndexes Property

[Read-only] This property returns an Nx4 dimension array containing repeat indexes for all Values contained in an Answer, where N is the number of Values and each row in the array represents the repeat index set for a particular Value. If an Answer is "unanswered," the return value is empty. This property allows an integration to easily learn the details of all repeated Values of an Answer, which would be much more difficult using other API methods.

Syntax

public int[,] ValueIndexes { get; }

Example:

The following Visual C# code opens an answer file, iterates through its AnswerCollection, and displays each Answer and its Values. After each value, it also displays the RepeatCount at the current level.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection("c:\\temp\\JohnDoe.anx");

    foreach (HotDocs.Server.Answer ans in ac)
    {
      System.Console.WriteLine(ans.Name);

      // Iterate through each of the Answer's Values.
      int[,] myArray = ans.ValueIndexes;
      for (int i = 0; i < myArray.GetLength(0); i++)
      {
        ans.RepeatIndexes[0] = myArray[i, 0];
        ans.RepeatIndexes[1] = myArray[i, 1];
        ans.RepeatIndexes[2] = myArray[i, 2];
        ans.RepeatIndexes[3] = myArray[i, 3];

        System.Console.Write("{0},{1},{2},{3}: ", ans.RepeatIndexes[0].ToString(), ans.RepeatIndexes[1].ToString(),
          ans.RepeatIndexes[2].ToString(), ans.RepeatIndexes[3].ToString());

        if (ans.Value.GetType().IsArray)
        {
          // This means the value is an array, such as a "select all that apply" Multiple Choice value.
          System.Object[] valArray = (System.Object[])ans.Value;

          for (int j = 0; j < valArray.GetLength(0); j++)
          {
            System.Console.Write(valArray[j].ToString());
            if (j < (valArray.GetLength(0) - 1)) System.Console.Write("|");
          }
        }
        else System.Console.Write(ans.Value.ToString());
        System.Console.WriteLine(" (RepeatCount: " + ans.RepeatCount + ")");
      }
    }
    System.Console.ReadKey();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Answer Class > Answer.ValueIndexes Property


HotDocs Server Help - HotDocs.Server.AnswerCollection Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.AnswerCollection Class

An AnswerCollection is a group of Answer objects, which HotDocs Server uses when it assembles a document. Each Answer in the collection represents a different HotDocs variable, each of which may contain one or more values. For example, the Answer for a variable in a dialog that is repeated five times would contain five values. During document assembly, HotDocs replaces variable fields in the template with corresponding answers from the AnswerCollection.

AnswerCollection objects may be saved on disk as HotDocs answer files; likewise, you can open an existing answer file and read its answers to populate a new AnswerCollection.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.
  • IList: The class is a list of Answer objects.

Methods

  • AnswerCollection (Constructor)
 This constructor initializes a new instance of the AnswerCollection class.
  • Add
 This method adds a new Answer to the AnswerCollection.
  • AddAnswer
 This method creates a new Answer object and adds it to the AnswerCollection. If the answer already exists in the answer collection, its value will be replaced with the value in the value parameter.
  • Clear
 This method removes all answers from the AnswerCollection.
  • Contains
 This method determines whether or not the AnswerCollection contains a specific value.
  • CopyTo
 This method copies the elements of the AnswerCollection to an Array, starting at a particular index.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the AnswerCollection class.
  • GetEnumerator
 This method returns an enumerator that iterates through the AnswerCollection.
  • GetRptCount
 This method returns the number of repetitions of an answer at a specific index.
  • IndexOf
 This method determines the index of a specific item in the AnswerCollection.
  • Insert
 Inherited from the IList interface, but not implemented.
  • Open
 This method opens an existing answer file and populates the AnswerCollection. If the answer file does not exist, however, this method will return an error.
  • OverlayAnswerFile
 This method specifies an answer file to overlay on top of the answers in the AnswerCollection.
  • OverlayXMLAnswers
 This method specifies an XML answer string to overlay on top of the answers in the AnswerCollection.
  • Remove
 This method removes the first occurrence of a specific object from the AnswerCollection.
  • RemoveAt
 This method removes the AnswerCollection item at the specified index.
  • Save
 This method saves the AnswerCollection to a file.
  • ValidateXMLAnswerFile
 This method determines whether or not the specified XML answer file is valid.
  • ValidateXMLAnswerSet
 This method determines whether or not the specified XML answer string is valid (conforms to the HotDocs Server answer DTD).

Properties

  • Count
 [Read-only] This property returns the number of Answer objects in the AnswerCollection.
  • FileFormat
 [Read/Write] This property sets or returns the answer file format value. The value comes from the ansFileformat enumeration.
  • FileName
 [Read-only] This property specifies the file name of the AnswerCollection.
  • XmlAnswers
 [Read/Write] This property represents the answers in the AnswerCollection as an XML string.
Example:

The following Visual C# example gets the answers from the browser interview, puts them into an AnswerCollection, then writes all the answers back out in the response HTML.

//Put the answers from the interview into the answer collection.
_session.CurrentAssembly.AnswerCollection.XmlAnswers = HotDocs.Server.InterviewResponse.GetInterviewAnswers(Request);

foreach(HotDocs.Server.Answer ans in _session.CurrentAssembly.AnswerCollection) // every answer in the answer collection
{
  System.Text.StringBuilder answerTxt = new System.Text.StringBuilder(); // to hold the values we read out of the answerset
  answerTxt.AppendFormat("{0} : {1}<br>",ans.AnswerTypeText,ans.Name); // get the answer type and name
  foreach(HotDocs.Server.Value val in ans) // every value in the answer
  {
    object [] parms = new object[5];
    // get the repeat indices
    parms[0] = val.RepeatIndex1.ToString();
    parms[1] = val.RepeatIndex2.ToString();
    parms[2] = val.RepeatIndex3.ToString();
    parms[3] = val.RepeatIndex4.ToString();
    // get the value
    parms[4] = val.value.ToString();
    answerTxt.AppendFormat("  {0},{1},{2},{3} : {4}<br>",parms);
    Response.Write answerTxt.ToString();
  }
}

Home > All About... > HotDocs.Server.AnswerCollection Class


HotDocs Server Help - AnswerCollection Constructor

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection Constructor

This constructor initializes a new instance of the AnswerCollection class.

Syntax

public AnswerCollection ()

public AnswerCollection (fileName)

Parameters | Description
string fileName | [optional] The file name and path of an answer file HotDocs Server will use to populate the answer collection. If this parameter is missing, HotDocs Server will create an empty answer collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection Constructor


HotDocs Server Help - AnswerCollection.Add Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Add Method

This method adds a new Answer to the AnswerCollection.

Syntax

public int Add ( object value )

Parameters | Description
value | A new answer to add to the AnswerCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Add Method


HotDocs Server Help - AnswerCollection.AddAnswer Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.AddAnswer Method

This method creates a new Answer object and adds it to the AnswerCollection. If the answer already exists in the answer collection, its value will be replaced with the value in the value parameter.

Syntax

public void AddAnswer ( string varName , HotDocs.Server.Interop.ansType varType , object value , int repeatValue1 , int repeatValue2 , int repeatValue3 , int repeatValue4 )

Parameters | Description
varName | The variable name.
varType | The variable type from the ansType enumeration.
value | The Value of the answer.
repeatValue1 | The first repeat index.
repeatValue2 | The second repeat index.
repeatValue3 | The third repeat index.
repeatValue4 | The fourth repeat index.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.AddAnswer Method


HotDocs Server Help - AnswerCollection.Clear Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Clear Method

This method removes all answers from the AnswerCollection.

Syntax

public void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Clear Method


HotDocs Server Help - AnswerCollection.Contains Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Contains Method

This method determines whether or not the AnswerCollection contains a specific value.

Syntax

public bool Contains ( object value )

Parameters | Description
value | The answer to find in the AnswerCollection.

Return Value

Indicates whether or not the answer was found.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Contains Method


HotDocs Server Help - AnswerCollection.CopyTo Property

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.CopyTo Property

This method copies the elements of the AnswerCollection to an Array, starting at a particular index.

Syntax

public void CopyTo ( System.Array array, int index )

Parameters | Description
array | The array to which the elements of the AnswerCollection will be copied.
index | The starting index in the array in which the elements will be copied.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.CopyTo Property


HotDocs Server Help - AnswerCollection.Dispose Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the AnswerCollection class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Dispose Method


HotDocs Server Help - AnswerCollection.GetEnumerator Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.GetEnumerator Method

This method returns an enumerator that iterates through the AnswerCollection.

Syntax

public System.Collections.IEnumerator GetEnumerator ( )

Return Value

An enumerator that iterates through the AnswerCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.GetEnumerator Method


HotDocs Server Help - AnswerCollection.GetRptCount Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.GetRptCount Method

This method returns the number of repetitions of an answer at a specific index.

Syntax

public int GetRptCount ( int index , int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
index | This is the index of the Answer from the collection.
repeatIndex1 | This is the first repeat index.
repeatIndex2 | This is the second repeat index.
repeatIndex3 | This is the third repeat index.
repeatIndex4 | This is the fourth repeat index.

Return Value

The number of repetitions of the specified answer.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.GetRptCount Method


HotDocs Server Help - AnswerCollection.IndexOf Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.IndexOf Method

This method determines the index of a specific item in the AnswerCollection.

Syntax

public int IndexOf ( object value )

Parameters | Description
value | The Answer for which the index will be returned.

Return Value

The index of the Answer in the AnswerCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.IndexOf Method


HotDocs Server Help - AnswerCollection.Insert Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Insert Method

Inherited from the IList interface, but not implemented.

Caution:This method is inherited from the IList interface, but it is not implemented in the AnswerCollection class. It will throw a NotImplementedException if called.

Syntax

public void Insert ( int index , object value )

Parameters | Description
index | The zero-based index at which value should be inserted.
value | The Object to insert into the IList.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Insert Method


HotDocs Server Help - AnswerCollection.Open Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Open Method

This method opens an existing answer file and populates the AnswerCollection. If the answer file does not exist, however, this method will return an error.

Syntax

public void Open ( string filePath )

Parameters | Description
filePath | This is the file name and path of an answer file to open and use to populate the AnswerCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Open Method


HotDocs Server Help - AnswerCollection.OverlayAnswerFile Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.OverlayAnswerFile Method

This method specifies an answer file to overlay on top of the answers in the AnswerCollection.

Syntax

public void OverlayAnswerFile ( string fileName )

Parameters | Description
fileName | The file name and path of the answer file to overlay on top of the answers in the AnswerCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.OverlayAnswerFile Method


HotDocs Server Help - AnswerCollection.OverlayXMLAnswers Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.OverlayXMLAnswers Method

This method specifies an XML answer string to overlay on top of the answers in the AnswerCollection.

Syntax

public void OverlayXMLAnswers ( string answers )

Parameters | Description
answers | An XML answer string to overlay on top of the answers in the AnswerCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.OverlayXMLAnswers Method


HotDocs Server Help - AnswerCollection.Remove Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Remove Method

This method removes the first occurrence of a specific object from the AnswerCollection.

Syntax

public void Remove ( object value )

Parameters | Description
value | The Answer to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Remove Method


HotDocs Server Help - AnswerCollection.RemoveAt Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.RemoveAt Method

This method removes the AnswerCollection item at the specified index.

Syntax

public void RemoveAt ( int index )

Parameters | Description
index | The index of the answer to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.RemoveAt Method


HotDocs Server Help - AnswerCollection.Save Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Save Method

This method saves the AnswerCollection to a file.

Syntax

public void Save ( string fileName )

Parameters | Description
fileName | The file name and path where the answer file will be saved.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Save Method


HotDocs Server Help - AnswerCollection.ValidateXMLAnswerFile Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.ValidateXMLAnswerFile Method

This method determines whether or not the specified XML answer file is valid.

Syntax

public bool ValidateXMLAnswerFile ( string fileName )

Parameters | Description
fileName | The file name and path of an answer file to validate.

Return Value

A Boolean value that indicates whether or not the answer file conforms to the HotDocs XML answer file DTD.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.ValidateXMLAnswerFile Method


HotDocs Server Help - AnswerCollection.ValidateXMLAnswerSet Method

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.ValidateXMLAnswerSet Method

This method determines whether or not the specified XML answer string is valid (conforms to the HotDocs Server answer DTD).

Syntax

public bool ValidateXMLAnswerSet ( string answers )

Parameters | Description
answers | An XML string that represents a list of answers and their values.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.ValidateXMLAnswerSet Method


HotDocs Server Help - AnswerCollection.Count Property

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.Count Property

[Read-only] This property returns the number of Answer objects in the AnswerCollection.

Syntax

public int Count { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.Count Property


HotDocs Server Help - AnswerCollection.FileFormat Property

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.FileFormat Property

[Read/Write] This property sets or returns the answer file format value. The value comes from the ansFileformat enumeration.

Syntax

public HotDocs.Server.Interop.ansFileFormat FileFormat { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.FileFormat Property


HotDocs Server Help - AnswerCollection.FileName Property

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.FileName Property

[Read-only] This property specifies the file name of the AnswerCollection.

Syntax

public string FileName { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.FileName Property


HotDocs Server Help - AnswerCollection.XMLAnswers Property

  • Help

Methods

  • AnswerCollection Constructor
  • AnswerCollection.Add
  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Contains
  • AnswerCollection.CopyTo
  • AnswerCollection.Dispose
  • AnswerCollection.GetEnumerator
  • AnswerCollection.GetRptCount
  • AnswerCollection.IndexOf
  • AnswerCollection.Insert
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.RemoveAt
  • AnswerCollection.Save
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.FileName
  • AnswerCollection.XMLAnswers

AnswerCollection.XMLAnswers Property

[Read/Write] This property represents the answers in the AnswerCollection as an XML string.

Syntax

public string XmlAnswers { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AnswerCollection Class > AnswerCollection.XMLAnswers Property


HotDocs Server Help - HotDocs.Server.Assembly Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.Assembly Class

An Assembly represents a single template that HotDocs Server is currently assembling, waiting to assemble, or has already assembled. For example, if you want to assemble a new document, you could do the following:

  1. Create an Assembly object and initialize properties like TemplatePath, AnswerCollection, and DocumentPath.
  2. Call the GetInterview method to present an answer-gathering interview to the user.
  3. Update the AnswerCollection with the answers returned by the interview.
  4. Call the Assemble method to generate the assembled document.

The methods and properties available in the Assembly object provide many ways for you to customize the interview behavior and appearance, and then ultimately generate (assemble) a document.

Caution:In the .NET API, an Assembly object cannot be created by itself. To create a new Assembly object, you must use the AssemblyCollection.AddNew method.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable:The class can be disposed.

Methods

  • AddCustomInterviewButton
 This method adds a custom button to the interview toolbar. When a user clicks the button, JavaScript code is executed to perform any action you may wish to make available to users of your host application, such as displaying your host application's help file.
  • Assemble
 This method assembles a document.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Assembly class.
  • GetInterview
 This method returns a browser-based HTML interview for the Assembly.
  • RemoveCustomInterviewButton
 This method removes a custom button from the interview toolbar. The index parameter is the index of the button returned by AddCustomInterviewButton when the button was created.

Properties

  • AnswerCollection
 [Read/Write] This property is an AnswerCollection object, which represents the answers used in the assembly.
  • AnswerFilePath
 [Read/Write] This property is the path and file name for the answer file used by the assembly.
  • AnswerFilePathData
 [Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the answer file associated with the Assembly object.
  • AssembleMarkupDocument
 [Read/Write] This property indicates whether or not the document will be assembled in Markup View. (The default value comes from the Session.DefaultAssembleMarkupDocument property.)
  • Completed
 [Read/Write] This Boolean property indicates whether or not the Assembly has been completed. Once this property is set to true, HotDocs Server moves it from the Session.Assemblies collection to the Session.CompletedAssemblies collection.
  • ComponentCollection
 [Read-only] This property is a ComponentCollection object, which represents all of the components in the Assembly.
  • DocumentExtension
 [Read-only] This property returns the file name extension for documents created by the Assembly. For example, if the Assembly represents a Word RTF template, this property would return .RTF. Likewise, if the Assembly represents a PDF-based (.HPT) template, this property would return .HPD.
  • DocumentPath
 [Read/Write] This property is the file name and path of the document to be generated from the Assembly.
  • DocumentPathData
 [Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the document file to be generated by the Assembly object.
  • DocumentPreview
 [Read/Write] This Boolean property indicates whether or not the Document Preview Document Preview button should appear on the interview toolbar. The default value of this property is determined by the Allow document preview setting in the HotDocs Server Management Console.
  • DocumentPreviewUrl
[Read/Write] This property represents the URL of the document preview handler page.
  • FormActionUrl
 [Read/Write] This property is the URL for the page to which interview results are posted.
  • HotDocsCSSUrl
 [Read/Write] This property represents the URL that HotDocs Server should use for the user cascading style sheet (e.g., hdsuser.css). If the Session.DefaultHotDocsCSSUrl property is set, this property is defaulted to that URL.
  • HotDocsImageUrl
 [Read/Write] This property represents the URL that HotDocs Server should use for the image files. If the Session.DefaultHotDocsImageUrl property is set, this property is defaulted to that URL.
  • HotDocsJavaScriptUrl
 [Read/Write] This property represents the URL that HotDocs Server should use for JavaScript files. If the Session.DefaultHotDocsJavaScriptUrl property is set, this property is defaulted to that URL.
  • HotDocsVersion
 [Read-only] This property returns the version of HotDocs used to create the template.
  • ID
 [Read-only] A unique identifier (GUID) for the Assembly object.
  • InsertedTemplates
 [Read-only] A string of templates inserted into the current assembly.
  • InterviewAnswers
 [Read/Write] A string of answers to overlay on top of the existing answers in the Assembly.
  • InterviewDefinitionUrl
[Read/Write] This property represents the URL where the interview will request its definition.
  • InterviewFilePath
 [Read/Write] The file name and path to the interview (.JS) file associated with the Assembly object.
  • InterviewFormat
 [Read/Write] This property specifies the format of the interview--either JavaScript or Silverlight.
  • InterviewVersion
 [Read-only] The version of HotDocs that was used to create the interview.
  • OriginalFileName
 [Read-only] The original file name of the assembly.
  • Parent
 [Read-only] The AssemblyCollection object to which the assembly belongs.
  • ParentInterviewBasePath
 [Read-only] This property returns the base path of the parent interview.
  • ParentTemplateBasePath
 [Read-only] This property returns the base path of the parent template.
  • PendingAssemblies
 [Read-only] This property returns an AssemblyCollection object, which represents all of the assemblies that are pending based on completion of the current assembly. For example, if a template contains two ASSEMBLE instructions, the collection returned by this property would include two Assembly objects—one for each ASSEMBLE instruction. Because HotDocs Server must assemble a template to find any ASSEMBLE instructions, the AssemblyCollection returned by this property is empty until the template has been assembled at least once. Likewise, because logic in a template may conditionally include or exclude an ASSEMBLE instruction, the number of assemblies in this collection may change depending on answers in the AnswerCollection.
  • SaveAnswersPageUrl
 [Read/Write] This property is the URL of a page you can create to handle saving answer files in the middle of an interview. (If the user clicks the [image] Save Answers button on the toolbar, this URL will be loaded to handle that command.)
  • StatelessInterview
[Read/Write] This property indicates whether or not the interview will be stateless. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)
  • Switches
 [Read/Write] This property is a string value that contains all of the command line options used by the assembly. For example, your host application could examine this property to determine if any switches indicate that the interview should not be displayed.
  • TempInterviewPath
 [Read-only] This property indicates the path to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.
  • TempInterviewUrl
 [Read-only] This property indicates the URL to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.
  • TemplatePath
 [Read/Write] This property is the file name and path of the template.
  • TemplatePathData
 [Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application.
  • TemplateTitle
 [Read/Write] The title of the template being assembled.
  • UnansweredVariables
 [Read-only] This Boolean property indicates whether or not there were unanswered variables when the document was assembled.
  • UnansweredVariablesList
 [Read/Write] This property is a string that contains a serialized list of the unanswered variables.
  • VariableCollection
 [Read-only] This property returns a VariableCollection object, which represents all of the variables asked in the interview.
Example:

Example Visual C# code:

string tplf = "C:\template.rtf"; //get the template path from someplace
if (Path.GetExtension(tplf).ToLower()==".hpt")
{
  // check to see if PDF Advantage is enabled
  if (!_session.PDFAdvantageInstalled)
  {
    MessageBox.Show("This template requires HotDocs PDF Advantage, which is not authorized on this server.");
    return;
  }
}
//create a new assembly
HotDocs.Server.Assembly asm = _session.Assemblies.AddNew();
asm.TemplatePathData = tplf;
asm.TemplatePath = Settings.TemplatePath + tplf;

Home > All About... > HotDocs.Server.Assembly Class


HotDocs Server Help - Assembly.AddCustomInterviewButton Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

How Do I...?

  • Add a custom button to the toolbar

Assembly.AddCustomInterviewButton Method

This method adds a custom button to the interview toolbar. When a user clicks the button, JavaScript code is executed to perform any action you may wish to make available to users of your host application, such as displaying your host application's help file.

Note: Custom buttons are always added to the left of the existing toolbar buttons in the order in which they are added.
Tip: You can also add custom buttons to the toolbar on the client side using the HDAddCustomToolbarButton in the JavaScript API, which also gives you the option of making your button active or inactive.

Syntax

public int AddCustomInterviewButton ( string imageUrl , string hotImageUrl , string toolTip , string statusText , string javascript )

Parameter | Description
imageUrl | The URL of an image to use for the custom toolbar button.
hotImageUrl | The URL of an image to use for the custom toolbar button when the user hovers the mouse over it.
toolTip | The text to display as a tooltip when the user hovers the mouse over the button.
statusText | The text to display in the status bar when the user hovers the mouse over the button.
javascript | A block of JavaScript code that will be executed when the user clicks the button. Tip: You can declare a function (or import it into) the page in which the HotDocs Server interview is embedded, and then specify that function like this: MyFunction();

Return Value

The new button's index, which you can later use to remove the button (see RemoveCustomInterviewButton).

Example:
// This example adds a custom button to the interview toolbar.

HotDocs.Server.Assembly asm = _session.Assemblies.AddNew();
int myButton = asm.AddCustomInterviewButton("MyButton.gif","MyButtonHot.gif","Tooltip","Status Text","alert('Hello World!');");

//To remove the button later, use this code:

asm.RemoveCustomInterviewButton(myButton);

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.AddCustomInterviewButton Method


HotDocs Server Help - Assembly.Assemble Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Assemble Method

This method assembles a document.

Syntax

public void Assemble ( )

Example:
// This example assembles a document.

HotDocs.Server.Assembly asm = _session.Assemblies.AddNew();
asm.TemplatePath = "c:\\Templates\\demoempl.rtf";
asm.DocumentPath = "c:\\Documents\\Demo1.rtf";
asm.Assemble();

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.Assemble Method


HotDocs Server Help - Assembly.Dispose Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Assembly class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.Dispose Method


HotDocs Server Help - Assembly.GetInterview Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.GetInterview Method

This method returns a browser-based HTML interview for the Assembly.

Syntax

public string GetInterview ( )

Return Value

A string of HTML code that represents the browser-based interview for the Assembly. You can then embed this HTML code in your host application's Web page. (When embedding the interview in a Web page, it is recommended that you do not place anything below the interview. The browser-based interview is designed to expand to the height of the browser window, which would force users to scroll in order to see any text below the interview.)

Caution:

  • For JavaScript interviews, the page of your host application in which you insert the HTML returned by this method must use the HTML Transitional document type:

    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >

    Embedding a JavaScript interview in an XHTML page is not supported.

  • For Silverlight interviews, you must ensure that the Silverlight MIME type is registered in the HDServerFiles\JS application in IIS:

    • Extension: .xap
    • MIME Type: application/x-silverlight-app

    The HotDocs Server install should add this MIME type to IIS automatically when it creates the HDServerFiles virtual directory, but if you create the virtual directory on your own or experience problems with Silverlight interviews, verify that the MIME type exists.

Example:

The following Visual C# code sets a few properties of the Assembly object, and then gets an interview to write to the Web page. If the SaveAnswersPageUrl property is not set, the "Save Answers" button will not appear in the interview. If the InterviewFormat property is not set, HotDocs Server will use the value configured in the management tools, or if nothing is set there, it will use JavaScript by default.

// Set some properties for the Assembly.
_session.CurrentAssembly.FormActionUrl = "disposition.aspx";
_session.CurrentAssembly.SaveAnswersPageUrl = "saveanswers.aspx";
_session.CurrentAssembly.InterviewFormat = HotDocs.Server.Interop.interviewFormat.Silverlight;

// Get the interview and write it to the Web page.
Response.Write(_session.CurrentAssembly.GetInterview());

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.GetInterview Method


HotDocs Server Help - Assembly.RemoveCustomInterviewButton Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.RemoveCustomInterviewButton Method

This method removes a custom button from the interview toolbar. The index parameter is the index of the button returned by AddCustomInterviewButton when the button was created.

Syntax

public void RemoveCustomInterviewButton ( int index )

Parameters | Description
index | The index of the custom interview button to remove.
Example:
// This example adds a custom button to the interview toolbar.

HotDocs.Server.Assembly asm = _session.Assemblies.AddNew();
int myButton = asm.AddCustomInterviewButton("MyButton.gif","MyButtonHot.gif","Tooltip","Status Text","alert('Hello World!');");

//To remove the button later, use this code:

asm.RemoveCustomInterviewButton(myButton);

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.RemoveCustomInterviewButton Method


HotDocs Server Help - Assembly.AnswerCollection Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AnswerCollection Property

[Read/Write] This property is an AnswerCollection object, which represents the answers used in the assembly.

Syntax

public HotDocs.Server.AnswerCollection AnswerCollection { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.AnswerCollection Property


HotDocs Server Help - Assembly.AnswerFilePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AnswerFilePath Property

[Read/Write] This property is the path and file name for the answer file used by the assembly.

Syntax

public string AnswerFilePath [ set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.AnswerFilePath Property


HotDocs Server Help - Assembly.AnswerFilePathData Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AnswerFilePathData Property

[Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the answer file associated with the Assembly object.

Syntax

public string AnswerFilePathData { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.AnswerFilePathData Property


HotDocs Server Help - Assembly.AssembleMarkupDocument Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AssembleMarkupDocument Property

[Read/Write] This property indicates whether or not the document will be assembled in Markup View. (The default value comes from the Session.DefaultAssembleMarkupDocument property.)

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public bool AssembleMarkupDocument { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.AssembleMarkupDocument Property


HotDocs Server Help - Assembly.Completed Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Completed Property

[Read/Write] This Boolean property indicates whether or not the Assembly has been completed. Once this property is set to true, HotDocs Server moves it from the Session.Assemblies collection to the Session.CompletedAssemblies collection.

Syntax

public bool Completed { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.Completed Property


HotDocs Server Help - Assembly.ComponentCollection Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.ComponentCollection Property

[Read-only] This property is a ComponentCollection object, which represents all of the components in the Assembly.

Syntax

public HotDocs.Server.ComponentCollection ComponentCollection { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.ComponentCollection Property


HotDocs Server Help - Assembly.DocumentExtension Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentExtension Property

[Read-only] This property returns the file name extension for documents created by the Assembly. For example, if the Assembly represents a Word RTF template, this property would return .RTF. Likewise, if the Assembly represents a PDF-based (.HPT) template, this property would return .HPD.

Syntax

public string DocumentExtension { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.DocumentExtension Property


HotDocs Server Help - Assembly.DocumentPath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentPath Property

[Read/Write] This property is the file name and path of the document to be generated from the Assembly.

Syntax

public string DocumentPath { set; get; }

Tip: HotDocs Server can automatically convert assembled RTF documents to PDF, HTML, or TXT files. The file name extension in this property determines the type of file generated from the Assembly.
Caution:When converting an RTF document to PDF, HotDocs Server uses a built-in PDF converter, which analyzes the codes contained in the RTF file and translates them to PDF. This differs from the method used by other third-party PDF converters, which rely on an instance of Microsoft Word on the server from which the document is "printed" using a driver to create the PDF document. PDF documents created using a PDF driver can typically handle a greater number of formatting variations, while the PDF conversion method used by HotDocs Server works best for documents with simpler formatting. If you use HotDocs Server's built-in PDF conversion, some formatting differences will exist between the original RTF and the PDF.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.DocumentPath Property


HotDocs Server Help - Assembly.DocumentPathData Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentPathData Property

[Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the document file to be generated by the Assembly object.

Syntax

public string DocumentPathData { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.DocumentPathData Property


HotDocs Server Help - Assembly.DocumentPreview Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentPreview Property

[Read/Write] This Boolean property indicates whether or not the Document Preview Document Preview button should appear on the interview toolbar. The default value of this property is determined by the Allow document preview setting in the HotDocs Server Management Console.

Syntax

public bool DocumentPreview { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.DocumentPreview Property


HotDocs Server Help - Assembly.DocumentPreviewUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentPreviewUrl Property

[Read/Write] This property represents the URL of the document preview handler page.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public string DocumentPreviewUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.DocumentPreviewUrl Property


HotDocs Server Help - Assembly.FormActionUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.FormActionUrl Property

[Read/Write] This property is the URL for the page to which interview results are posted.

Syntax

public string FormActionUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.FormActionUrl Property


HotDocs Server Help - Assembly.HotDocsCSSUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsCSSUrl Property

[Read/Write] This property represents the URL that HotDocs Server should use for the user cascading style sheet (e.g., hdsuser.css). If the Session.DefaultHotDocsCSSUrl property is set, this property is defaulted to that URL.

Tip: If you wish to customize the interview style sheets, make a copy of the existing hdsuser.css and hdsuser.xaml style sheets, and place them in the same folder as the originals. You can then update the URL to point to your modified .CSS file. Also note that although Silverlight interviews primarily use the .XAML file as the style sheet, there are still some aspects of the interview controlled by the .CSS file. As such, if you make modifications to the style sheets, you should always make a copy of both files and give the copied files the same base file name so that HotDocs Server can find the .XAML file based on the path to the .CSS file.

Syntax

public string HotDocsCSSUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.HotDocsCSSUrl Property


HotDocs Server Help - Assembly.HotDocsImageUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsImageUrl Property

[Read/Write] This property represents the URL that HotDocs Server should use for the image files. If the Session.DefaultHotDocsImageUrl property is set, this property is defaulted to that URL.

Syntax

public string HotDocsImageUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.HotDocsImageUrl Property


HotDocs Server Help - Assembly.HotDocsJavaScriptUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsJavaScriptUrl Property

[Read/Write] This property represents the URL that HotDocs Server should use for JavaScript files. If the Session.DefaultHotDocsJavaScriptUrl property is set, this property is defaulted to that URL.

Syntax

public string HotDocsJavascriptUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.HotDocsJavaScriptUrl Property


HotDocs Server Help - Assembly.HotDocsVersion Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsVersion Property

[Read-only] This property returns the version of HotDocs used to create the template.

Syntax

public HotDocs.Server.Interop.HotDocsVersion HotDocsVersion { get; }

Example:
// get the interview
interviewContent = _session.CurrentAssembly.GetInterview();

// make a change to layout if it is not a HotDocs 6 template
if (_session.CurrentAssembly.HotDocsVersion != HotDocs.Server.Interop.HotDocsVersion.HotDocs6)
body.Style.Add("overflow","hidden"); // HotDocs 2005 & later interviews look best without a scrollbar on the document body

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.HotDocsVersion Property


HotDocs Server Help - Assembly.ID Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.ID Property

[Read-only] A unique identifier (GUID) for the Assembly object.

Syntax

public string ID { get; }

Example:
// This example displays properties of an Assembly.

HotDocs.Server.Assembly HDSAssembly = _session.Assemblies.AddNew();
HDSAssembly.TemplatePath = "c:\\temp\\demoempl.rtf";

    System.Console.WriteLine("{0}: {1}","AnswerCollection (Count)", HDSAssembly.AnswerCollection.Count);
    System.Console.WriteLine("{0}: {1}","AnswerFilePath", HDSAssembly.AnswerFilePath);
    System.Console.WriteLine("{0}: {1}","AnswerFilePathData", HDSAssembly.AnswerFilePathData);
    System.Console.WriteLine("{0}: {1}","Completed", HDSAssembly.Completed);
    System.Console.WriteLine("{0}: {1}","ComponentCollection (Count)", HDSAssembly.ComponentCollection.Count);

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.ID Property


HotDocs Server Help - Assembly.InsertedTemplates Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InsertedTemplates Property

[Read-only] A string of templates inserted into the current assembly.

Syntax

public System.Collections.Specialized.StringCollection InsertedTemplates { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.InsertedTemplates Property


HotDocs Server Help - Assembly.InterviewAnswers Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewAnswers Property

[Read/Write] A string of answers to overlay on top of the existing answers in the Assembly.

Syntax

public string InterviewAnswers { set; get; }

Example:
_session.CurrentAssembly.InterviewAnswers = HotDocs.Server.InterviewResponse.GetInterviewAnswers(Request);

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.InterviewAnswers Property


HotDocs Server Help - Assembly.InterviewDefinitionUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewDefinitionUrl Property

[Read/Write] This property represents the URL where the interview will request its definition.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public string InterviewDefinitionUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.InterviewDefinitionUrl Property


HotDocs Server Help - Assembly.InterviewFilePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewFilePath Property

[Read/Write] The file name and path to the interview (.JS) file associated with the Assembly object.

Syntax

public string InterviewFilePath { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.InterviewFilePath Property


HotDocs Server Help - Assembly.InterviewFormat Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewFormat Property

[Read/Write] This property specifies the format of the interview--either JavaScript or Silverlight.

Tip: This property was introduced in HotDocs Server 10.

Syntax

public HotDocs.Server.Interop.interviewFormat InterviewFormat { get; set; }

Note: The Silverlight 3 runtime engine required to display Silverlight interviews is only available for 32-bit browsers.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.InterviewFormat Property


HotDocs Server Help - Assembly.InterviewVersion Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewVersion Property

[Read-only] The version of HotDocs that was used to create the interview.

Syntax

public string InterviewVersion { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.InterviewVersion Property


HotDocs Server Help - Assembly.OriginalFileName Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.OriginalFileName Property

[Read-only] The original file name of the assembly.

Syntax

public string OriginalFileName { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.OriginalFileName Property


HotDocs Server Help - Assembly.Parent Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Parent Property

[Read-only] The AssemblyCollection object to which the assembly belongs.

Syntax

public HotDocs.Server.AssemblyCollection Parent { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.Parent Property


HotDocs Server Help - Assembly.ParentInterviewBasePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.ParentInterviewBasePath Property

[Read-only] This property returns the base path of the parent interview.

Syntax

public string ParentInterviewBasePath { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.ParentInterviewBasePath Property


HotDocs Server Help - Assembly.ParentTemplateBasePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.ParentTemplateBasePath Property

[Read-only] This property returns the base path of the parent template.

Syntax

public string ParentTemplateBasePath { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.ParentTemplateBasePath Property


HotDocs Server Help - Assembly.PendingAssemblies Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.PendingAssemblies Property

[Read-only] This property returns an AssemblyCollection object, which represents all of the assemblies that are pending based on completion of the current assembly. For example, if a template contains two ASSEMBLE instructions, the collection returned by this property would include two Assembly objects—one for each ASSEMBLE instruction. Because HotDocs Server must assemble a template to find any ASSEMBLE instructions, the AssemblyCollection returned by this property is empty until the template has been assembled at least once. Likewise, because logic in a template may conditionally include or exclude an ASSEMBLE instruction, the number of assemblies in this collection may change depending on answers in the AnswerCollection.

Syntax

public HotDocs.Server.AssemblyCollection PendingAssemblies { get; }

Example:
HotDocs.Server.Session hds = new HotDocs.Server.Session();
HotDocs.Server.Assembly asm = hds.Assemblies.AddNew();
asm.TemplatePath = "c:\\temp\\demoempl.rtf";
asm.DocumentPath = "c:\\temp\\output.rtf";
asm.Assemble();
Console.WriteLine("The following {0} assemblies are pending based on completion of the current assembly:", asm.PendingAssemblies.Count.ToString());

foreach (HotDocs.Server.Assembly pendingAsm in asm.PendingAssemblies)
{
Console.WriteLine(pendingAsm.TemplatePath);
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.PendingAssemblies Property


HotDocs Server Help - Assembly.SaveAnswersPageUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.SaveAnswersPageUrl Property

[Read/Write] This property is the URL of a page you can create to handle saving answer files in the middle of an interview. (If the user clicks the [image] Save Answers button on the toolbar, this URL will be loaded to handle that command.)

Syntax

public string SaveAnswersPageUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.SaveAnswersPageUrl Property


HotDocs Server Help - Assembly.StatelessInterview Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.StatelessInterview Property

[Read/Write] This property indicates whether or not the interview will be stateless. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public bool StatelessInterview { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.StatelessInterview Property


HotDocs Server Help - Assembly.Switches Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Switches Property

[Read/Write] This property is a string value that contains all of the command line options used by the assembly. For example, your host application could examine this property to determine if any switches indicate that the interview should not be displayed.

Syntax

public string Switches { set; get; }

Example:
// Check the switches in case this assembly resulted from an ASSEMBLE instruction in another template.
// In this case, it is possible that the template author indicated that no interview should be asked using a
// "/nw" or "/naw" switch. If this is the case, we skip this page and redirect to the disposition page

string switches = _session.CurrentAssembly.Switches.ToLower();
if(-1 != switches.IndexOf("/nw") || -1 != switches.IndexOf("/naw"))
Response.Redirect("disposition.aspx");

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.Switches Property


HotDocs Server Help - Assembly.TempInterviewPath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TempInterviewPath Property

[Read-only] This property indicates the path to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.

Syntax

public string TempInterviewPath { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.TempInterviewPath Property


HotDocs Server Help - Assembly.TempInterviewUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TempInterviewUrl Property

[Read-only] This property indicates the URL to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.

Syntax

public string TempInterviewUrl { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.TempInterviewUrl Property


HotDocs Server Help - Assembly.TemplatePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TemplatePath Property

[Read/Write] This property is the file name and path of the template.

Syntax

public string TemplatePath { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.TemplatePath Property


HotDocs Server Help - Assembly.TemplatePathData Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TemplatePathData Property

[Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the template file used by the Assembly object.

Syntax

public string TemplatePathData { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.TemplatePathData Property


HotDocs Server Help - Assembly.TemplateTitle Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TemplateTitle Property

[Read/Write] The title of the template being assembled.

Syntax

public string TemplateTitle { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.TemplateTitle Property


HotDocs Server Help - Assembly.UnansweredVariables Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.UnansweredVariables Property

[Read-only] This Boolean property indicates whether or not there were unanswered variables when the document was assembled.

Syntax

public bool UnansweredVariables { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.UnansweredVariables Property


HotDocs Server Help - Assembly.UnansweredVariablesList Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.UnansweredVariablesList Property

[Read/Write] This property is a string that contains a serialized list of the unanswered variables.

Syntax

public string UnansweredVariablesList { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.UnansweredVariablesList Property


HotDocs Server Help - Assembly.VariableCollection Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.Dispose
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.DocumentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavaScriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InsertedTemplates
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.InterviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.OriginalFileName
  • Assembly.Parent
  • Assembly.ParentInterviewBasePath
  • Assembly.ParentTemplateBasePath
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.TemplatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.VariableCollection Property

[Read-only] This property returns a VariableCollection object, which represents all of the variables asked in the interview.

Syntax

public HotDocs.Server.VariableCollection VariableCollection { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Assembly Class > Assembly.VariableCollection Property


HotDocs Server Help - HotDocs.Server.AssemblyCollection Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.AssemblyCollection Class

An AssemblyCollection represents a group of Assembly objects (templates) that HotDocs Server is either waiting to assemble, or has already assembled. In desktop HotDocs, this object would be analogous to the assembly queue. Using this object, your application can first add any number of templates to the queue and then let HotDocs Server assemble each document in turn.

The AssemblyCollection is used by Session.Assemblies, Session.CompletedAssemblies, and Assembly.PendingAssemblies.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.
  • IList: The class is a list of Assembly objects.

Methods

  • Add
 This method adds a new Assembly to the AssemblyCollection.
  • AddNew
 This method adds a new Assembly object to the AssemblyCollection.
  • Clear
 This method removes all assemblies from the AssemblyCollection.
  • Contains
 This method determines whether or not the AssemblyCollection contains a specific Assembly.
  • CopyTo
 Copies the elements of the AssemblyCollection to an Array, starting at a particular index.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the AssemblyCollection class.
  • GetEnumerator
 This method returns an enumerator that iterates through the AssemblyCollection.
  • IndexOf
 This method determines the index of a specific Assembly in the AssemblyCollection.
  • Insert
 This method inserts an Assembly to the AssemblyCollection at the specified index.
  • Remove
 This method removes the first occurrence of a specific Assembly from the AssemblyCollection.
  • RemoveAt
 This method removes the Assembly at the specified index.

Properties

  • Count
 [Read-only] This property returns the number of Assembly objects in the collection.
Example:

This is some sample code from a disposition page. The document has been assembled and the page is going to show or hide some user interface telling the user that there are additional assemblies left to do.

// numberOfAssemblies needs to take into account any assemblies that are going to be added because of
// ASSEMBLE instructions in the template just finished. These assemblies are stored in Assembly.PendingAssemblies
// until Assemby.Completed = true, at which time they are moved to Session.Assemblies.

long numberOfAssemblies = _session.Assemblies.Count + _session.CurrentAssembly.PendingAssemblies.Count;
if(numberOfAssemblies > 1)
{
  pnlNextAsm.Visible = true; // pnlNextAsm is the panel that shows the assembly queue message
  lblContinue.Text = String.Format(
"You have completed {0} of {1} interviews required for this document set. There {2} {3} follow-up interview{4} still to be done. Click here to proceed to the next interview.",
_session.CompletedAssemblies.Count + 1,
numberOfAssemblies + _session.CompletedAssemblies.Count,
((numberOfAssemblies - 1) == 1) ? "is" : "are",
(numberOfAssemblies - 1).ToString(),
((numberOfAssemblies - 1) == 1) ? "" : "s");
}
else pnlNextAsm.Visible = false;

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class


HotDocs Server Help - AssemblyCollection.Add Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.Add Method

This method adds a new Assembly to the AssemblyCollection.

Syntax

public int Add ( object value )

Parameters | Description
value | An Assembly to add to the collection.

Return Value

The index of the new Assembly in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.Add Method


HotDocs Server Help - AssemblyCollection.AddNew Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.AddNew Method

This method adds a new Assembly object to the AssemblyCollection.

Syntax

public HotDocs.Server.Assembly AddNew ( )

Return Value

The Assembly object that was added to the collection.

Example:
//This example adds an assembly to the AssemblyCollection.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();
    HotDocs.Server.Assembly HDSAssembly = HDSSession.Assemblies.AddNew();
    HDSAssembly.TemplatePath = "c:\\temp\\template.rtf";
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.AddNew Method


HotDocs Server Help - AssemblyCollection.Clear Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.Clear Method

This method removes all assemblies from the AssemblyCollection.

Syntax

public void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.Clear Method


HotDocs Server Help - AssemblyCollection.Contains Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.Contains Method

This method determines whether or not the AssemblyCollection contains a specific Assembly.

Syntax

public bool Contains ( object value )

Parameters | Description
value | The Assembly to search for in the collection.

Return Value

Indicates whether or not the Assembly was found in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.Contains Method


HotDocs Server Help - AssemblyCollection.CopyTo Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.CopyTo Method

Copies the elements of the AssemblyCollection to an Array, starting at a particular index.

Syntax

public void CopyTo ( System.Array array, int index )

Parameters | Description
array | The array to which the elements of the AssemblyCollection will be copied.
index | The index of the array at which the new elements will be inserted.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.CopyTo Method


HotDocs Server Help - AssemblyCollection.Dispose Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the AssemblyCollection class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.Dispose Method


HotDocs Server Help - AssemblyCollection.GetEnumerator Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.GetEnumerator Method

This method returns an enumerator that iterates through the AssemblyCollection.

Syntax

public System.Collections.IEnumerator GetEnumerator ( )

Return Value

An enumerator that iterates through the AssemblyCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.GetEnumerator Method


HotDocs Server Help - AssemblyCollection.IndexOf Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.IndexOf Method

This method determines the index of a specific Assembly in the AssemblyCollection.

Syntax

public int IndexOf ( object value )

Parameters | Description
value | The Assembly object to search for in the collection.

Return Value

The index of the specified Assembly in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.IndexOf Method


HotDocs Server Help - AssemblyCollection.Insert Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.Insert Method

This method inserts an Assembly to the AssemblyCollection at the specified index.

Syntax

public void Insert ( int index, object value )

Parameters | Description
index | The index in the collection where the Assembly object will be inserted.
value | The Assembly object to insert into the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.Insert Method


HotDocs Server Help - AssemblyCollection.Remove Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.Remove Method

This method removes the first occurrence of a specific Assembly from the AssemblyCollection.

Syntax

public void Remove ( object value )

public void Remove ( string id )

Parameters | Description
id | The identifier of the Assembly object to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.Remove Method


HotDocs Server Help - AssemblyCollection.RemoveAt Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

Properties

  • AssemblyCollection.Count

AssemblyCollection.RemoveAt Method

This method removes the Assembly at the specified index.

Syntax

public void RemoveAt ( int index )

Parameters | Description
index | The index of the Assembly object to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.RemoveAt Method


HotDocs Server Help - AssemblyCollection.Count Property

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.AddNew
  • AssemblyCollection.Clear
  • AssemblyCollection.Contains
  • AssemblyCollection.CopyTo
  • AssemblyCollection.Dispose
  • AssemblyCollection.GetEnumerator
  • AssemblyCollection.IndexOf
  • AssemblyCollection.Insert
  • AssemblyCollection.Remove
  • AssemblyCollection.RemoveAt

AssemblyCollection.Count Property

[Read-only] This property returns the number of Assembly objects in the collection.

Syntax

public int Count { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyCollection Class > AssemblyCollection.Count Property


HotDocs Server Help - HotDocs.Server.AssemblyNode Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.AssemblyNode Class

An AssemblyNode is a HotDocs Server assembly node, which works with a head Server as part of a cluster group. (Clustering is only available if your license key enables it.)

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the AssemblyNode class.

Properties

  • History
 [Read-only] The history of the Assembly node.
  • Name
 [Read-only] The name of the Assembly node.
  • Queue
 [Read-only] The queue for the Assembly node.
  • Status
 [Read-only] The status of the Assembly node.

Home > All About... > HotDocs.Server.AssemblyNode Class


HotDocs Server Help - AssemblyNode.Dispose Method

  • Help

Properties

  • AssemblyNode.History
  • AssemblyNode.Name
  • AssemblyNode.Queue
  • AssemblyNode.Status

AssemblyNode.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the AssemblyNode class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyNode Class > AssemblyNode.Dispose Method


HotDocs Server Help - AssemblyNode.History Property

  • Help

Methods

  • AssemblyNode.Dispose

Properties

  • AssemblyNode.History
  • AssemblyNode.Name
  • AssemblyNode.Queue
  • AssemblyNode.Status

AssemblyNode.History Property

[Read-only] The history of the Assembly node.

Syntax

public int History { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyNode Class > AssemblyNode.History Property


HotDocs Server Help - AssemblyNode.Name Property

  • Help

Methods

  • AssemblyNode.Dispose

Properties

  • AssemblyNode.History
  • AssemblyNode.Name
  • AssemblyNode.Queue
  • AssemblyNode.Status

AssemblyNode.Name Property

[Read-only] The name of the Assembly node.

Syntax

public string Name { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyNode Class > AssemblyNode.Name Property


HotDocs Server Help - AssemblyNode.Queue Property

  • Help

Methods

  • AssemblyNode.Dispose

Properties

  • AssemblyNode.History
  • AssemblyNode.Name
  • AssemblyNode.Queue
  • AssemblyNode.Status

AssemblyNode.Queue Property

[Read-only] The queue for the Assembly node.

Syntax

public int Queue { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyNode Class > AssemblyNode.Queue Property


HotDocs Server Help - AssemblyNode.Status Property

  • Help

Methods

  • AssemblyNode.Dispose

Properties

  • AssemblyNode.History
  • AssemblyNode.Name
  • AssemblyNode.Queue
  • AssemblyNode.Status

AssemblyNode.Status Property

[Read-only] The status of the Assembly node.

Syntax

public string Status { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.AssemblyNode Class > AssemblyNode.Status Property


HotDocs Server Help - HotDocs.Server.Component Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.Component Class

A Component represents a single HotDocs component, such as a variable or a dialog. Using this object, you can find out general information about the component, such as its Name or Prompt. For more detailed information about a component, such as a Multiple Choice variable's options, you can also look at the component's Properties.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Component class.

Properties

  • Name
 [Read-only] This string property returns the name of the component.
  • Prompt
 [Read-only] This string property returns the prompt of the component.
  • Properties
 [Read-only] This property returns a ComponentProperties collection, which is a collection of all properties associated with the Component object. Each property in the collection is in turn represented by a ComponentProperty object.
  • Type
 [Read-only] This property returns the component's type, which is a value from the hdCmpType enumeration.

Home > All About... > HotDocs.Server.Component Class


HotDocs Server Help - Component.Dispose Method

  • Help

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Component class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Component Class > Component.Dispose Method


HotDocs Server Help - Component.Name Property

  • Help

Methods

  • Component.Dispose

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Name Property

[Read-only] This string property returns the name of the component.

Syntax

public string Name { get; }

Example:
// This example displays information about each Text variable in a given component file.
public class ExampleCode
{
    static void Main()
    {
        HotDocs.Server.ComponentCollection ccl = new HotDocs.Server.ComponentCollection();
        HotDocs.Server.Component cmp;
        ccl.Open("c:\\temp\\demoempl.cmp",HotDocs.Server.Interop.CMPOpenOptions.LoadAllCompLibs);
        for (int i = 0; i < ccl.Count; i++)
        {
        cmp = (HotDocs.Server.Component)ccl[i];

        if=(cmp.Type == HotDocs.Server.Interop.hdCmpType.hdTextType)
        {
        MessageBox.Show("Name: " + cmp.Name + "\r\nPrompt: " + cmp.Prompt);
        }
        }
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Component Class > Component.Name Property


HotDocs Server Help - Component.Prompt Property

  • Help

Methods

  • Component.Dispose

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Prompt Property

[Read-only] This string property returns the prompt of the component.

Syntax

public string Prompt { get; }

Example:
// This example displays information about each Text variable in a given component file.
public class ExampleCode
{
    static void Main()
    {
        HotDocs.Server.ComponentCollection ccl = new HotDocs.Server.ComponentCollection();
        HotDocs.Server.Component cmp;
        ccl.Open("c:\\temp\\demoempl.cmp",HotDocs.Server.Interop.CMPOpenOptions.LoadAllCompLibs);
        for (int i = 0; i < ccl.Count; i++)
        {
        cmp = (HotDocs.Server.Component)ccl[i];

        if=(cmp.Type == HotDocs.Server.Interop.hdCmpType.hdTextType)
        {
        MessageBox.Show("Name: " + cmp.Name + "\r\nPrompt: " + cmp.Prompt);
        }
        }
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Component Class > Component.Prompt Property


HotDocs Server Help - Component.Properties Property

  • Help

Methods

  • Component.Dispose

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Properties Property

[Read-only] This property returns a ComponentProperties collection, which is a collection of all properties associated with the Component object. Each property in the collection is in turn represented by a ComponentProperty object.

Syntax

public HotDocs.Server.ComponentProperties Properties { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Component Class > Component.Properties Property


HotDocs Server Help - Component.Type Property

  • Help

Methods

  • Component.Dispose

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Type Property

[Read-only] This property returns the component's type, which is a value from the hdCmpType enumeration.

Syntax

public HotDocs.Server.Interop.hdCmpType Type { get; }

Example:
// This example displays information about each Text variable in a given component file.
public class ExampleCode
{
    static void Main()
    {
        HotDocs.Server.ComponentCollection ccl = new HotDocs.Server.ComponentCollection();
        HotDocs.Server.Component cmp;
        ccl.Open("c:\\temp\\demoempl.cmp",HotDocs.Server.Interop.CMPOpenOptions.LoadAllCompLibs);
        for (int i = 0; i < ccl.Count; i++)
        {
        cmp = (HotDocs.Server.Component)ccl[i];

        if=(cmp.Type == HotDocs.Server.Interop.hdCmpType.hdTextType)
        {
        MessageBox.Show("Name: " + cmp.Name + "\r\nPrompt: " + cmp.Prompt);
        }
        }
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Component Class > Component.Type Property


HotDocs Server Help - HotDocs.Server.ComponentCollection Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.ComponentCollection Class

A ComponentCollection represents a HotDocs component file, which is a collection of Component objects like variables and dialogs. You can use a ComponentCollection in your host application to read and use information stored in a template's component file.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.
  • IList: The class is a list of Component objects.

Methods

  • ComponentCollection (Constructor)
 This constructor initializes a new instance of the ComponentCollection class.
  • Add
 Inherited from the IList interface, but not implemented.
  • Clear
 Inherited from the IList interface, but not implemented.
  • Contains
 This method determines whether the ComponentCollection contains a specific Component.
  • CopyTo
 This method copies the elements of the ComponentCollection to an Array, starting at a particular index.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the ComponentCollection class.
  • GetEnumerator
 This method returns an enumerator that iterates through the ComponentCollection.
  • IndexOf
 This method determines the index of a specific Component in the ComponentCollection.
  • Insert
 Inherited from the IList interface, but not implemented.
  • Open
 This method opens the specified component file and populates the ComponentCollection.
  • Remove
 Inherited from the IList interface, but not implemented.
  • RemoveAt
 Inherited from the IList interface, but not implemented.

Properties

  • CmpVersion
 [Read-only] This property returns the version number of the ComponentCollection.
  • Count
 [Read-only] This property returns the number of components in the ComponentCollection.
  • Description
 [Read-only] This property returns the description of the ComponentCollection.
  • Title
 [Read-only] This property returns the title of the ComponentCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class


HotDocs Server Help - ComponentCollection Constructor

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection Constructor

This constructor initializes a new instance of the ComponentCollection class.

Syntax

public ComponentCollection ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection Constructor


HotDocs Server Help - ComponentCollection.Add Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Add Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentCollection class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public int Add ( object value )

Parameters | Description
value | The new component to add to the collection.

Return Value

The index of the new component in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Add Method


HotDocs Server Help - ComponentCollection.Clear Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Clear Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentCollection class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Clear Method


HotDocs Server Help - ComponentCollection.Contains Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Contains Method

This method determines whether the ComponentCollection contains a specific Component.

Syntax

public bool Contains ( object value )

Parameters | Description
value | The Component to search for in the collection.

Return Value

Indicates whether or not the Component was found in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Contains Method


HotDocs Server Help - ComponentCollection.CopyTo Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.CopyTo Method

This method copies the elements of the ComponentCollection to an Array, starting at a particular index.

Syntax

public void CopyTo ( System.Array array, int index )

Parameters | Description
array | The array to which the elements of the collection will be copied.
index | The starting index in the array at which the elements of the collection will be copied to.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.CopyTo Method


HotDocs Server Help - ComponentCollection.Dispose Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the ComponentCollection class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Dispose Method


HotDocs Server Help - ComponentCollection.GetEnumerator Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.GetEnumerator Method

This method returns an enumerator that iterates through the ComponentCollection.

Syntax

public System.Collections.IEnumerator GetEnumerator ( )

Return Value

An enumerator that iterates through the ComponentCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.GetEnumerator Method


HotDocs Server Help - ComponentCollection.IndexOf Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.IndexOf Method

This method determines the index of a specific Component in the ComponentCollection.

Syntax

public int IndexOf ( object value )

Parameters | Description
value | The object to search for in the collection.

Return Value

The index of the object that was found in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.IndexOf Method


HotDocs Server Help - ComponentCollection.Insert Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Insert Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentCollection class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void Insert ( int index, object value )

Parameters | Description
index | The zero-based index at which value should be inserted.
value | The Object to insert into the IList.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Insert Method


HotDocs Server Help - ComponentCollection.Open Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Open Method

This method opens the specified component file and populates the ComponentCollection.

Syntax

public void Open ( string fileName, HotDocs.Server.Interop.CMPOpenOptions options )

Parameters | Description
fileName | The file name and path of the HotDocs component file to open.
options | The options to use when opening the component file.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Open Method


HotDocs Server Help - ComponentCollection.Remove Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Remove Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentCollection class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void Remove ( object value )

Parameters | Description
value | The object to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Remove Method


HotDocs Server Help - ComponentCollection.RemoveAt Method

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.RemoveAt Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentCollection class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void RemoveAt ( int index )

Parameters | Description
index | The index of the item to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.RemoveAt Method


HotDocs Server Help - ComponentCollection.CmpVersion Property

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.CmpVersion Property

[Read-only] This property returns the version number of the ComponentCollection.

Syntax

public int CmpVersion { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.CmpVersion Property


HotDocs Server Help - ComponentCollection.Count Property

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Count Property

[Read-only] This property returns the number of components in the ComponentCollection.

Syntax

public int Count { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Count Property


HotDocs Server Help - ComponentCollection.Description Property

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Description Property

[Read-only] This property returns the description of the ComponentCollection.

Syntax

public string Description { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Description Property


HotDocs Server Help - ComponentCollection.Title Property

  • Help

Methods

  • ComponentCollection Constructor
  • ComponentCollection.Add
  • ComponentCollection.Clear
  • ComponentCollection.Contains
  • ComponentCollection.CopyTo
  • ComponentCollection.Dispose
  • ComponentCollection.GetEnumerator
  • ComponentCollection.IndexOf
  • ComponentCollection.Insert
  • ComponentCollection.Open
  • ComponentCollection.Remove
  • ComponentCollection.RemoveAt

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Title Property

[Read-only] This property returns the title of the ComponentCollection.

Syntax

public string Title { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentCollection Class > ComponentCollection.Title Property


HotDocs Server Help - HotDocs.Server.ComponentProperties Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.ComponentProperties Class

ComponentProperties represents a collection of ComponentProperty objects. Each HotDocs component (e.g., variable, dialog, etc.) contains a ComponentProperties collection that defines the component. For example, one property that every component contains is its name. Using this object, your host application could read the properties of any HotDocs component and use that information to change certain behavior of your application.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDictionary: This class represents a collection of key/value pairs.
  • IDisposable: The class can be disposed.
  • IList: The class is a list of ComponentProperty objects.

Methods

  • Add
 Inherited from the IList interface, but not implemented.
  • Clear
 Inherited from the IList interface, but not implemented.
  • Contains
 This method determines whether the ComponentProperties collection contains a specific ComponentProperty.
  • CopyTo
 This method copies the elements of the ComponentProperties collection to an Array, starting at a particular index.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the ComponentProperties class.
  • GetEnumerator
 This method returns an enumerator that iterates through the ComponentProperties collection.
  • IndexOf
 This method determines the index of a specific ComponentProperty in the ComponentProperties collection.
  • Insert
 Inherited from the IList interface, but not implemented.
  • Remove
 Inherited from the IList interface, but not implemented.
  • RemoveAt
 Inherited from the IList interface, but not implemented.

Properties

  • Count
 [Read-only] This property returns the number of components in the ComponentProperties collection.
  • Keys
 [Read-only] This property returns a list of keys for the ComponentProperties collection.
  • Values
 [Read-only] This property returns a list of values for the ComponentProperties collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class


HotDocs Server Help - ComponentProperties.Add Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Add Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentProperties class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public int Add ( object value )

Parameters | Description
value | A new ComponentProperty to add to the collection.

Return Value

The index of the new ComponentProperty in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Add Method


HotDocs Server Help - ComponentProperties.Clear Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Clear Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentProperties class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Clear Method


HotDocs Server Help - ComponentProperties.Contains Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Contains Method

This method determines whether the ComponentProperties collection contains a specific ComponentProperty.

Syntax

public bool Contains ( object value )

Parameters | Description
value | The object to search for in the collection.

Return Value

Indicates whether or not the object was found in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Contains Method


HotDocs Server Help - ComponentProperties.CopyTo Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.CopyTo Method

This method copies the elements of the ComponentProperties collection to an Array, starting at a particular index.

Syntax

public void CopyTo ( System.Array array, int index )

Parameters | Description
array | The array to which the elements of the ComponentProperties collection will be copied.
index | The index in the array at which the ComponentProperties will be copied to.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.CopyTo Method


HotDocs Server Help - ComponentProperties.Dispose Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the ComponentProperties class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Dispose Method


HotDocs Server Help - ComponentProperties.GetEnumerator Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.GetEnumerator Method

This method returns an enumerator that iterates through the ComponentProperties collection.

Syntax

public System.Collections.IEnumerator GetEnumerator ( )

Return Value

An enumerator that iterates through the ComponentProperties collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.GetEnumerator Method


HotDocs Server Help - ComponentProperties.IndexOf Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.IndexOf Method

This method determines the index of a specific ComponentProperty in the ComponentProperties collection.

Syntax

public int IndexOf ( object value )

Parameters | Description
value | The object whose index in the collection will be returned.

Return Value

The index of the specified object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.IndexOf Method


HotDocs Server Help - ComponentProperties.Insert Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Insert Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentProperties class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void Insert ( int index, object value )

Parameters | Description
index | The zero-based index at which value should be inserted.
value | The Object to insert into the IList.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Insert Method


HotDocs Server Help - ComponentProperties.Remove Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Remove Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentProperties class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void Remove ( object value )

Parameters | Description
value | The object to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Remove Method


HotDocs Server Help - ComponentProperties.RemoveAt Method

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.RemoveAt Method

Inherited from the IList interface, but not implemented.

Caution: This method is inherited from the IList interface, but it is not implemented in the ComponentProperties class because it is read-only. It will throw a NotSupportedException if called.

Syntax

public void RemoveAt ( int index )

Parameters | Description
index | The index of the item to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.RemoveAt Method


HotDocs Server Help - ComponentProperties.Count Property

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Count Property

[Read-only] This property returns the number of components in the ComponentProperties collection.

Syntax

public int Count { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Count Property


HotDocs Server Help - ComponentProperties.Keys Property

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Keys Property

[Read-only] This property returns a list of keys for the ComponentProperties collection.

Syntax

public System.Collections.ICollection Keys { get; )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Keys Property


HotDocs Server Help - ComponentProperties.Values Property

  • Help

Methods

  • ComponentProperties.Add
  • ComponentProperties.Clear
  • ComponentProperties.Contains
  • ComponentProperties.CopyTo
  • ComponentProperties.Dispose
  • ComponentProperties.GetEnumerator
  • ComponentProperties.IndexOf
  • ComponentProperties.Insert
  • ComponentProperties.Remove
  • ComponentProperties.RemoveAt

Properties

  • ComponentProperties.Count
  • ComponentProperties.Keys
  • ComponentProperties.Values

ComponentProperties.Values Property

[Read-only] This property returns a list of values for the ComponentProperties collection.

Syntax

public System.Collections.ICollection Values { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperties Class > ComponentProperties.Values Property


HotDocs Server Help - HotDocs.Server.ComponentProperty Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.ComponentProperty Class

A ComponentProperty represents a specific property of a HotDocs component. For example, it may be the title or prompt of a variable.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the ComponentProperty class.

Properties

  • Name
 [Read-only] This property returns the name of the ComponentProperty.
  • Value
 [Read-only] This property returns the value of the ComponentProperty.
  • ValueType
[Read-only] This property returns the type of value of the ComponentProperty.

Home > All About... > HotDocs.Server.ComponentProperty Class


HotDocs Server Help - ComponentProperty.Dispose Method

  • Help

Properties

  • ComponentProperty.Name
  • ComponentProperty.Value
  • ComponentProperty.ValueType

ComponentProperty.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the ComponentProperty class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperty Class > ComponentProperty.Dispose Method


HotDocs Server Help - ComponentProperty.Name Property

  • Help

Methods

  • ComponentProperty.Dispose

Properties

  • ComponentProperty.Name
  • ComponentProperty.Value
  • ComponentProperty.ValueType

ComponentProperty.Name Property

[Read-only] This property returns the name of the ComponentProperty.

Syntax

public string Name { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperty Class > ComponentProperty.Name Property


HotDocs Server Help - ComponentProperty.Value Property

  • Help

Methods

  • ComponentProperty.Dispose

Properties

  • ComponentProperty.Name
  • ComponentProperty.Value
  • ComponentProperty.ValueType

ComponentProperty.Value Property

[Read-only] This property returns the value of the ComponentProperty.

Syntax

public object Value { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperty Class > ComponentProperty.Value Property


HotDocs Server Help - ComponentProperty.ValueType Property

  • Help

Methods

  • ComponentProperty.Dispose

Properties

  • ComponentProperty.Name
  • ComponentProperty.Value
  • ComponentProperty.ValueType

ComponentProperty.ValueType Property

[Read-only] This property returns the type of value of the ComponentProperty.

This value may be one of the following:

  • 3: Integer
  • 5: Decimal
  • 8: String
  • 11: Boolean
  • 8204: Object[]

Syntax

public int ValueType { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.ComponentProperty Class > ComponentProperty.ValueType Property


HotDocs Server Help - HotDocs.Server.Dependency Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.Dependency Class

This object represents a single dependency (file) that is required by a template. A dependency may be a template, component, image, or any other kind of file required by the template.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

Properties

  • Dependencies
[Read-only] This property returns a collection of depenencies on which the current dependency depends.
  • DependencyType
[Read-only] This property returns one of the values from the DependencyType Enumeration that indicates what kind of dependency it is.
  • Target
[Read-only] This property returns the target name of the dependency. For example, if your template contains an INSERT instruction, the target of the dependency as a result of that instruction is the name of the template file being inserted.

Home > All About... > HotDocs.Server.Dependency Class


HotDocs Server Help - Dependency.Dependencies Property

  • Help

Properties

  • Dependency.Dependencies
  • Dependency.DependencyType
  • Dependency.Target

Dependency.Dependencies Property

[Read-only] This property returns a collection of depenencies on which the current dependency depends.

Syntax

HotDocs.DependencyCollection Dependencies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Dependency Class > Dependency.Dependencies Property


HotDocs Server Help - Dependency.DependencyType Property

  • Help

Properties

  • Dependency.Dependencies
  • Dependency.DependencyType
  • Dependency.Target

Dependency.DependencyType Property

[Read-only] This property returns one of the values from the DependencyType Enumeration that indicates what kind of dependency it is.

Syntax

HotDocs.DependencyType DependencyType [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Dependency Class > Dependency.DependencyType Property


HotDocs Server Help - Dependency.Target Property

  • Help

Properties

  • Dependency.Dependencies
  • Dependency.DependencyType
  • Dependency.Target

Dependency.Target Property

[Read-only] This property returns the target name of the dependency. For example, if your template contains an INSERT instruction, the target of the dependency as a result of that instruction is the name of the template file being inserted.

Syntax

string Target [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Dependency Class > Dependency.Target Property


HotDocs Server Help - HotDocs.Server.DependencyCollection Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.DependencyCollection Class

This object represents a collection of Dependency objects, which are required by a given template. This collection may be accessed through the TemplateInfo object.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.
  • IEnumerable: The class can be enumerated.
  • IList: The class is a list of Dependency objects.

Methods

  • GetEnumerator
 This method returns an IEnumerator, which you can use to iterate through all dependencies in the collection.
  • Item
 This method returns a specific Dependency object from the collection.

Properties

  • Count
[Read-only] This property returns the number of dependencies in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.DependencyCollection Class


HotDocs Server Help - DependencyCollection.GetEnumerator Method

  • Help

Methods

  • DependencyCollection.GetEnumerator
  • DependencyCollection.Item

Properties

  • DependencyCollection.Count

DependencyCollection.GetEnumerator Method

This method returns an IEnumerator, which you can use to iterate through all dependencies in the collection.

Syntax

IEnumerator GetEnumerator ()

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.DependencyCollection Class > DependencyCollection.GetEnumerator Method


HotDocs Server Help - DependencyCollection.Item Method

  • Help

Methods

  • DependencyCollection.GetEnumerator
  • DependencyCollection.Item

Properties

  • DependencyCollection.Count

DependencyCollection.Item Method

This method returns a specific Dependency object from the collection.

Syntax

HotDocs.Dependency Item ( int index )

Parameters | Description
index | The index number of the dependency to retrieve.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.DependencyCollection Class > DependencyCollection.Item Method


HotDocs Server Help - DependencyCollection.Count Property

  • Help

Methods

  • DependencyCollection.GetEnumerator
  • DependencyCollection.Item

DependencyCollection.Count Property

[Read-only] This property returns the number of dependencies in the collection.

Syntax

int Count [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.DependencyCollection Class > DependencyCollection.Count Property


HotDocs Server Help - HotDocs.Server.InterviewResponse Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.InterviewResponse Class

An InterviewResponse provides a method for converting HTTP POST data into an XML string suitable to be passed to the AnswerCollection.SetXMLAnswers method. Normally, you would use InterviewResponse after the user has completed the interview and submitted the answers to your host application. Because the set of answers returned by the interview contains only answers for questions asked during the interview, this object allows you to merge the user's answers back into the original AnswerCollection. It would then contain answers for any variables that were not asked during the interview (but which already existed in the answer file), as well as the answers from the interview.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

Methods

  • InterviewResponse (Constructor)
 This constructor initializes a new instance of the InterviewResponse class.
  • GetInterviewAnswers
 This is a static method that converts the HTTP POST data returned from a browser-based interview into a string suitable to be passed to the AnswerCollection.OverlayXMLAnswers method.

Home > All About... > HotDocs.Server.InterviewResponse Class


HotDocs Server Help - InterviewResponse Constructor

  • Help

Methods

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers

InterviewResponse Constructor

This constructor initializes a new instance of the InterviewResponse class.

Syntax

public InterviewResponse ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.InterviewResponse Class > InterviewResponse Constructor


HotDocs Server Help - InterviewResponse.GetInterviewAnswers Method

  • Help

Methods

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers

InterviewResponse.GetInterviewAnswers Method

This is a static method that converts the HTTP POST data returned from a browser-based interview into a string suitable to be passed to the AnswerCollection.OverlayXMLAnswers method.

Syntax

public static string GetInterviewAnswers ( System.Web.HttpRequest requestObject )

Parameters | Description
requestObject | HTTP POST data returned from a browser-based interview.

Return Value

A string of XML answers suitable to be passed to the AnswerCollection.OverlayXMLAnswers method.

Example:

The following Visual C# example shows how this method can be used:

using HotDocs.Server;
...
HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
ac.OverlayXMLAnswers(HotDocs.Server.InterviewResponse.GetInterviewAnswers(Request));

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.InterviewResponse Class > InterviewResponse.GetInterviewAnswers Method


HotDocs Server Help - HotDocs.Server.Manager Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.Manager Class

The Manager class contains methods and properties useful for managing groups (clusters) of assembly servers.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • Manager (Constructor)
 This constructor initializes a new instance of the Manager class.
  • CopyFileToAssemblyNode
 This method copies a file to an assembly server.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Manager class.
  • GetAssemblyNodeState
 This method queries an assembly server and returns its current state.
  • SyncDirectoryWithAssemblyNodes
 This method synchronizes files on the head HotDocs Server with each of the assembly servers in its cluster group.

Properties

  • AssemblyNodeCount
 [Read-only] This property returns the number of assembly servers (nodes) connected to the head HotDocs Server.
  • AssemblyNodes
 [Read-only] This property returns a list of assembly servers connected to the head HotDocs Server.
  • IsCluster
 [Read-only] This property indicates whether or not HotDocs Server is part of a cluster group. This means that the server is either a head server with clustering enabled, or it is an assembly server.

Home > All About... > HotDocs.Server.Manager Class


HotDocs Server Help - Manager Constructor

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager Constructor

This constructor initializes a new instance of the Manager class.

Syntax

public Manager ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager Constructor


HotDocs Server Help - Manager.CopyFileToAssemblyNode Method

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager.CopyFileToAssemblyNode Method

This method copies a file to an assembly server.

Note: The user account under which the thread calling this method runs must be a member of the Administrator group on both the Head server and the assembly server.

Syntax

public void CopyFileToAssemblyNode ( string filePath, string nodeName )

Parameters | Description
filePath | The file name and path to the file to be copied.
nodeName | The name of the assembly server to which the file will be copied.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager.CopyFileToAssemblyNode Method


HotDocs Server Help - Manager.Dispose Method

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Manager class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager.Dispose Method


HotDocs Server Help - Manager.GetAssemblyNodeState Method

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager.GetAssemblyNodeState Method

This method queries an assembly server and returns its current state.

Syntax

public string GetAssemblyNodeState ( string nodeName, out int queue, out int history )

Parameters | Description
nodeName | The name of the assembly server to query.
queue | The number of assemblies in the assembly server's queue.
history | The number of documents that have been assembled since the assembly server was last started.

Return Value

One of the following strings, which indicate the current state of the assembly server:

  • Available: The assembly server is ready to perform assemblies.
  • Unlicensed: The maximum number of assembly servers has been reached and this server will not currently be used. However, if one of the authorized servers goes down, the head server may then contact this server and make it available.
  • Down: The assembly server cannot be contacted.
  • Invalid Version: The assembly server's version does not match the version of the head server.
  • Updating: A directory synchronization operation is currently in process.
  • Invalid: The server is invalid.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager.GetAssemblyNodeState Method


HotDocs Server Help - Manager.SyncDirectoryWithAssemblyNodes Method

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager.SyncDirectoryWithAssemblyNodes Method

This method synchronizes files on the head HotDocs Server with each of the assembly servers in its cluster group.

Note: The user account under which the thread calling this method runs must be a member of the Administrator group on both the Head server and the assembly server.

Syntax

public void SyncDirectoryWithAssemblyNodes ( string directoryName )

Parameters | Description
directoryName | The file path of the folder that contains files to be synced with the assembly servers.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager.SyncDirectoryWithAssemblyNodes Method


HotDocs Server Help - Manager.AssemblyNodeCount Property

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager.AssemblyNodeCount Property

[Read-only] This property returns the number of assembly servers (nodes) connected to the head HotDocs Server.

Syntax

public int AssemblyNodeCount { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager.AssemblyNodeCount Property


HotDocs Server Help - Manager.AssemblyNodes Property

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager.AssemblyNodes Property

[Read-only] This property returns a list of assembly servers connected to the head HotDocs Server.

Syntax

public System.Collections.Generic.List<AssemblyNode> AssemblyNodes { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager.AssemblyNodes Property


HotDocs Server Help - Manager.IsCluster Property

  • Help

Methods

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode
  • Manager.Dispose
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.AssemblyNodes
  • Manager.IsCluster

Manager.IsCluster Property

[Read-only] This property indicates whether or not HotDocs Server is part of a cluster group. This means that the server is either a head server with clustering enabled, or it is an assembly server.

Syntax

public bool IsCluster { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Manager Class > Manager.IsCluster Property


HotDocs Server Help - HotDocs.Server.RepeatIndices Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.RepeatIndices Class

This class represents the repeat indexes for an answer.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

Methods

  • Clear
 This method clears the repeat indexes.
  • Reset
 This method resets the repeat indexes.

Properties

  • Count
 [Read-only] This property returns the number of items in the RepeatIndices collection.
  • IsReadOnly
 [Read-only] This property indicates whether or not the collection is read-only.
Example:

The following Visual C# code opens an answer file, iterates through its AnswerCollection, and displays each Answer and its Values. After each value, it also displays the RepeatCount at the current level.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection("c:\\temp\\JohnDoe.anx");

    foreach (HotDocs.Server.Answer ans in ac)
    {
      System.Console.WriteLine(ans.Name);

      // Iterate through each of the Answer's Values.
      int[,] myArray = ans.ValueIndexes;
      for (int i = 0; i < myArray.GetLength(0); i++)
      {
        ans.RepeatIndexes[0] = myArray[i, 0];
        ans.RepeatIndexes[1] = myArray[i, 1];
        ans.RepeatIndexes[2] = myArray[i, 2];
        ans.RepeatIndexes[3] = myArray[i, 3];

        System.Console.Write("{0},{1},{2},{3}: ", ans.RepeatIndexes[0].ToString(), ans.RepeatIndexes[1].ToString(),
          ans.RepeatIndexes[2].ToString(), ans.RepeatIndexes[3].ToString());

        if (ans.Value.GetType().IsArray)
        {
          // This means the value is an array, such as a "select all that apply" Multiple Choice value.
          System.Object[] valArray = (System.Object[])ans.Value;

          for (int j = 0; j < valArray.GetLength(0); j++)
          {
            System.Console.Write(valArray[j].ToString());
            if (j < (valArray.GetLength(0) - 1)) System.Console.Write("|");
          }
        }
        else System.Console.Write(ans.Value.ToString());
        System.Console.WriteLine(" (RepeatCount: " + ans.RepeatCount + ")");
      }
    }
    System.Console.ReadKey();
  }
}

Home > All About... > HotDocs.Server.RepeatIndices Class


HotDocs Server Help - RepeatIndices.Clear Method

  • Help

Methods

  • RepeatIndices.Clear
  • RepeatIndices.Reset

Properties

  • RepeatIndices.Count
  • RepeatIndices.IsReadOnly

RepeatIndices.Clear Method

This method clears the repeat indexes.

Syntax

public void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.RepeatIndices Class > RepeatIndices.Clear Method


HotDocs Server Help - RepeatIndices.Reset Method

  • Help

Methods

  • RepeatIndices.Clear
  • RepeatIndices.Reset

Properties

  • RepeatIndices.Count
  • RepeatIndices.IsReadOnly

RepeatIndices.Reset Method

This method resets the repeat indexes.

Syntax

public void Reset ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.RepeatIndices Class > RepeatIndices.Reset Method


HotDocs Server Help - RepeatIndices.Count Property

  • Help

Methods

  • RepeatIndices.Clear
  • RepeatIndices.Reset

Properties

  • RepeatIndices.Count
  • RepeatIndices.IsReadOnly

RepeatIndices.Count Property

[Read-only] This property returns the number of items in the RepeatIndices collection.

Syntax

public int Count { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.RepeatIndices Class > RepeatIndices.Count Property


HotDocs Server Help - RepeatIndices.IsReadOnly Property

  • Help

Methods

  • RepeatIndices.Clear
  • RepeatIndices.Reset

Properties

  • RepeatIndices.Count
  • RepeatIndices.IsReadOnly

RepeatIndices.IsReadOnly Property

[Read-only] This property indicates whether or not the collection is read-only.

Syntax

public bool IsReadOnly { get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.RepeatIndices Class > RepeatIndices.IsReadOnly Property


HotDocs Server Help - HotDocs.Server.Session Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.Session Class

A Session represents an instance of HotDocs Server for an individual user of your host application. For example, when a new user logs on to your host application, you would first create a Session for that user, which would keep track of which templates the user selects for assembly. As templates are selected for assembly, they are added to the Assemblies queue. Then, after HotDocs Server has assembled the documents, they are moved to the CompletedAssemblies queue.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • Session (Constructor)
This constructor initializes a new instance of the Session class.
  • AddLogEntry
 This method adds an entry to the HotDocs Server log file. Although this method is frequently used for error messages, you could use it to record any kind of information in the HotDocs Server log file. For example, you could add a log entry when a user first logs on to your host application.
  • AppendDocumentFile
 This method appends one RTF document to the end of another RTF document. For example, if you assemble two separate documents, you could then use this method to combine them into one document.
  • ConvertHTMLToRtf
 This method converts an HTML document to an RTF document.
  • ConvertRTFToHTML
 This method converts an RTF document to an HTML document. For example, HotDocs Server uses this method when it displays a document preview during the interview.
  • ConvertRTFToPDF
This method converts an RTF document to a PDF document.
  • Dispose
This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Session class.
  • GetDocumentFileExtension
 This method returns the file name extension of documents assembled from a specific template. For example, if you are assembling a HotDocs form (.HFT) template, the file name extension for an assembled document is .HPD. Likewise, the file name extension for an assembled Word RTF template is .RTF.
  • GetHotDocsVersion
 This method returns the version of HotDocs that was used to publish a given template.
  • GetInterviewVersion
 This method returns the HotDocs version number that was used to publish the template for use with HotDocs Server.

Properties

  • Assemblies
 [Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies in the current session that have not been completed. Along with the CompletedAssemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.
  • CompletedAssemblies
 [Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies completed during the current session. Along with the Assemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.
  • CurrentAssembly
 [Read-only] This property returns the current, active Assembly, which is the first item in the Assemblies collection.
  • DefaultHotDocsCSSUrl
 [Read/Write] This property represents the URL of the default user cascading style sheet (e.g., http://MachineName/HDServerFiles/stylesheets/hdsuser.css) that HotDocs Server should use each time it creates a new Assembly for the current Session.
  • DefaultHotDocsImageUrl
 [Read/Write] This property represents the default URL that HotDocs Server should use for interview images. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocsImageUrl property is not set, you must set the Image URL for each assembly individually.)
  • DefaultAssembleMarkupDocument
[Read/Write] This property indicates whether or not documents will be assembled in Markup View by default for each Assembly created in the current Session.
  • DefaultDocumentPreviewUrl
[Read/Write] This property represents the URL of the default document preview handler page.
  • DefaultHotDocsJavascriptUrl
 [Read/Write] This property represents the default URL that HotDocs Server should use for Javascript files. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocJavascriptUrl property is not set, you must set the Javascript URL for each assembly individually.)
  • DefaultInterviewDefinitionUrl
[Read/Write] This property represents the URL where the interviews will request the definition by default.
  • DefaultStatelessInterview
[Read/Write] This property indicates whether or not interviews created for each assembly in the current Session will be stateless by default. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)
  • ID
[Read-only] This property returns a unique identifier (GUID) for the Session object.
  • PDFAdvantageInstalled
 [Read-only] This property returns a Boolean value indicating whether or not HotDocs Server can assemble PDF-based templates. You should check this property before assembling a PDF-based form (.HPT) template to avoid errors generated by attempting to assemble an .HPT template without PDF Advantage.

Home > All About... > HotDocs.Server.Session Class


HotDocs Server Help - Session Constructor

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session Constructor

This constructor initializes a new instance of the Session class.

Syntax

public Session ( )

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session Constructor


HotDocs Server Help - Session.AddLogEntry Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.AddLogEntry Method

This method adds an entry to the HotDocs Server log file. Although this method is frequently used for error messages, you could use it to record any kind of information in the HotDocs Server log file. For example, you could add a log entry when a user first logs on to your host application.

Syntax

public void AddLogEntry ( int code, string message )

Parameters | Description
code | A numeric code identifying the type of log entry. For example, you could assign a different number to each type of error your application handles. Then, when an error occurs, you can use that number when you record the error in your HotDocs Server log file.
message | The text that will be written to the log. Together with the log code, the message can help you later troubleshoot problems that occur during the execution of your host application.
Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.AddLogEntry Method


HotDocs Server Help - Session.AppendDocumentFile Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.AppendDocumentFile Method

This method appends one RTF document to the end of another RTF document. For example, if you assemble two separate documents, you could then use this method to combine them into one document.

Syntax

public void AppendDocumentFile ( string sourceFilePath, string destinationFilePath, HotDocs.Server.Interop.appendOptions options )

Parameters | Description
sourceFilePath | The RTF document to be appended to the end of the destinationFilePath document.
destinationFilePath | The RTF document to which sourceFilePath will be appended.
options

One of the following values from the appendOptions enumeration:

  • appendNone: Do not keep the header or footer of the appended document.
  • appendHeader: Keep the header of the appended document.
  • appendFooter: Keep the footer of the appended document.
  • appendBoth: Keep both the header and the footer of the appended document.
Example:

The following Visual C# code appends one document (invoice1) to the end of another (invoice2) using the appendFooter option.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();
    HDSSession.AppendDocumentFile("c:\\temp\\invoice1.rtf", "c:\\temp\\invoice2.rtf", HotDocs.Server.Interop.appendOptions.appendFooter);
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.AppendDocumentFile Method


HotDocs Server Help - Session.ConvertHTMLToRtf Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.ConvertHTMLToRtf Method

This method converts an HTML document to an RTF document.

Syntax

public void ConvertHTMLToRtf ( string htmlPath, string rtfPath, int options )

Parameters | Description
htmlPath | The file name and path to the HTML document that will be converted.
rtfPath | The file name and path of the RTF document that will be created.
options | A number that indicates which options to use during the conversion. Currently, the only valid option is 0.
Example:

The following Visual C# code converts an HTML file to RTF.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();
    HDSSession.ConvertHTMLToRtf("c:\\temp\\original.htm", "c:\\temp\\converted.rtf",0);
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.ConvertHTMLToRtf Method


HotDocs Server Help - Session.ConvertRTFToHTML Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.ConvertRTFToHTML Method

This method converts an RTF document to an HTML document. For example, HotDocs Server uses this method when it displays a document preview during the interview.

Syntax

public void ConvertRTFToHTML ( string rtfPath, string htmlPath, int options )

Parameters | Description
rtfPath | The file name and path to the RTF document that will be converted.
htmlPath | The file name and path to the HTML document that will be created.
options | A number that indicates which options to use during the conversion. Currently, the only valid option is 0.
Example:

The following Visual C# code converts an RTF file to HTML.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();
    HDSSession.ConvertRTFToHTML("c:\\temp\\original.rtf", "c:\\temp\\converted.htm",0);
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.ConvertRTFToHTML Method


HotDocs Server Help - Session.ConvertRTFToPDF Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.ConvertRTFToPDF Method

This method converts an RTF document to a PDF document.

Note: You can also convert an RTF to PDF using the UtilityTools.ConvertRTFFile method, but this method takes fewer parameters. If you must specify custom PDF permissions, however, use the UtilityTools.ConvertRTFFile method instead.

Syntax

public void ConvertRTFToPDF ( string rtfPath, string pdfPath, int options )

Parameters | Description
rtfPath | The file name and path to the RTF document that will be converted.
pdfPath | The file name and path to the PDF document that will be created.
options | A number that indicates which options to use during the conversion. Currently, the only valid option is 0.
Example:

The following Visual C# code converts an RTF file to PDF.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();
    HDSSession.ConvertRTFToPDF("c:\\temp\\original.rtf", "c:\\temp\\converted.pdf",0);
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.ConvertRTFToPDF Method


HotDocs Server Help - Session.Dispose Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Session class.

Syntax

public void Dispose ( )

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.Dispose Method


HotDocs Server Help - Session.GetDocumentFileExtension Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.GetDocumentFileExtension Method

This method returns the file name extension of documents assembled from a specific template. For example, if you are assembling a HotDocs form (.HFT) template, the file name extension for an assembled document is .HPD. Likewise, the file name extension for an assembled Word RTF template is .RTF.

Syntax

public string GetDocumentFileExtension ( string templateFileName )

Parameters | Description
templateFileName | The file name and path of a HotDocs template. (Only templates that produce documents are valid; interview (.CMP) templates do not produce assembled documents, and are thus invalid.)
Example:

The following Visual C# code displays the document file extension for a template.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();
    string fileName = "c:\\temp\\lifeappl.hft";
    System.Console.WriteLine("The document file extension for {0} is {1}.",
      fileName,HDSSession.GetDocumentFileExtension(fileName));
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.GetDocumentFileExtension Method


HotDocs Server Help - Session.GetHotDocsVersion Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.GetHotDocsVersion Method

This method returns the version of HotDocs that was used to publish a given template.

Syntax

public HotDocs.Server.Interop.HotDocsVersion GetHotDocsVersion ( string interviewFileName )

Parameters | Description
interviewFileName | The file name and path of the HotDocs interview definition (.JS) file for a template.

Return Value

One of the following values from the HotDocsVersion Enumeration, which indicates the version of HotDocs that was used to publish the template:

Name | Value | Description
HotDocs6 | 0 | HotDocs 6
HotDocs2005 | 1 | HotDocs 2005
HotDocs2006 | 2 | HotDocs 2006-10
Example:

The following Visual C# code displays the version of HotDocs that was used to publish a template.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    string fileName = "c:\\temp\\demoempl.js";
    System.Console.WriteLine("HotDocsVersion of {0}: {1}", fileName, HDSSession.GetHotDocsVersion(fileName));
    System.Console.WriteLine("InterviewVersion of {0}: {1}", fileName, HDSSession.GetInterviewVersion(fileName));
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.GetHotDocsVersion Method


HotDocs Server Help - Session.GetInterviewVersion Method

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.GetInterviewVersion Method

This method returns the HotDocs version number that was used to publish the template for use with HotDocs Server.

Syntax

public string GetInterviewVersion ( string interviewFileName )

Parameters | Description
interviewFileName | The file name and path of the HotDocs interview definition (.JS) file for a template.

Return Value

The version of HotDocs that was used to publish the template:

  • 6.2.0.0: HotDocs 6
  • 6.3.0.0: HotDocs 2005
  • 6.4.0.0: HotDocs 2006-10
Example:

The following Visual C# code displays the version of HotDocs that was used to publish a template.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    string fileName = "c:\\temp\\demoempl.js";
    System.Console.WriteLine("HotDocsVersion of {0}: {1}", fileName, HDSSession.GetHotDocsVersion(fileName));
    System.Console.WriteLine("InterviewVersion of {0}: {1}", fileName, HDSSession.GetInterviewVersion(fileName));
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.GetInterviewVersion Method


HotDocs Server Help - Session.Assemblies Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.Assemblies Property

[Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies in the current session that have not been completed. Along with the CompletedAssemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.

Syntax

public HotDocs.Server.AssemblyCollection Assemblies { get; }

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.Assemblies Property


HotDocs Server Help - Session.CompletedAssemblies Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.CompletedAssemblies Property

[Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies completed during the current session. Along with the Assemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.

Syntax

public HotDocs.Server.AssemblyCollection CompletedAssemblies { get; }

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.CompletedAssemblies Property


HotDocs Server Help - Session.CurrentAssembly Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.CurrentAssembly Property

[Read-only] This property returns the current, active Assembly, which is the first item in the Assemblies collection.

Syntax

public HotDocs.Server.Assembly CurrentAssembly { get; }

Example:

The following Visual C# example adds an assembly to the queue and then displays the file name of the current assembly. Please note that if the queue contained other templates already, the current assembly would not be the most recently-added assembly.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();
    HotDocs.Server.Assembly HDSAssembly = HDSSession.Assemblies.AddNew();

    HDSAssembly.TemplatePath = "c:\\temp\\demoempl.rtf";
    HDSAssembly.DocumentPath = "c:\\temp\\output.rtf";
    System.Console.WriteLine(HDSSession.CurrentAssembly.TemplatePath);
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.CurrentAssembly Property


HotDocs Server Help - Session.DefaultAssembleMarkupDocument Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.DefaultAssembleMarkupDocument Property

[Read/Write] This property indicates whether or not documents will be assembled in Markup View by default for each Assembly created in the current Session.

Tip: The default value for this property comes from the HotDocs Server registry settings.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public bool DefaultAssembleMarkupDocument { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.DefaultAssembleMarkupDocument Property


HotDocs Server Help - Session.DefaultDocumentPreviewUrl Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.DefaultDocumentPreviewUrl Property

[Read/Write] This property represents the URL of the default document preview handler page.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public string DefaultDocumentPreviewUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.DefaultDocumentPreviewUrl Property


HotDocs Server Help - Session.DefaultHotDocsCSSUrl Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.DefaultHotDocsCSSUrl Property

[Read/Write] This property represents the URL of the default user cascading style sheet (e.g., http://MachineName/HDServerFiles/stylesheets/hdsuser.css) that HotDocs Server should use each time it creates a new Assembly for the current Session.

Note: The default value of this property is determined by the Default CSS url setting in the HotDocs Server Management Console. If that setting is not set, and you do not set the DefaultHotDocsCssUrl property, you must set the CSS URL for each assembly individually.
Tip: If you wish to customize the interview style sheets, make a copy of the existing hdsuser.css and hdsuser.xaml style sheets, and place them in the same folder as the originals. You can then update the URL to point to your modified .CSS file. Also note that although Silverlight interviews primarily use the .XAML file as the style sheet, there are still some aspects of the interview controlled by the .CSS file. As such, if you make modifications to the style sheets, you should always make a copy of both files and give the copied files the same base file name so that HotDocs Server can find the .XAML file based on the path to the .CSS file.

Syntax

public string DefaultHotDocsCSSUrl { set; get; }

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.DefaultHotDocsCSSUrl Property


HotDocs Server Help - Session.DefaultHotDocsImageUrl Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.DefaultHotDocsImageUrl Property

[Read/Write] This property represents the default URL that HotDocs Server should use for interview images. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocsImageUrl property is not set, you must set the Image URL for each assembly individually.)

Syntax

public string DefaultHotDocsImageUrl { set; get; }

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.DefaultHotDocsImageUrl Property


HotDocs Server Help - Session.DefaultHotDocsJavascriptUrl Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.DefaultHotDocsJavascriptUrl Property

[Read/Write] This property represents the default URL that HotDocs Server should use for Javascript files. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocJavascriptUrl property is not set, you must set the Javascript URL for each assembly individually.)

Syntax

public string DefaultHotDocsJavascriptUrl { set; get; }

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.DefaultHotDocsJavascriptUrl Property


HotDocs Server Help - Session.DefaultInterviewDefinitionUrl Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.DefaultInterviewDefinitionUrl Property

[Read/Write] This property represents the URL where the interviews will request the definition by default.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public string DefaultInterviewDefinitionUrl { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.DefaultInterviewDefinitionUrl Property


HotDocs Server Help - Session.DefaultStatelessInterview Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.DefaultStatelessInterview Property

[Read/Write] This property indicates whether or not interviews created for each assembly in the current Session will be stateless by default. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

public bool DefaultStatelessInterview { set; get; }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.DefaultStatelessInterview Property


HotDocs Server Help - Session.ID Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.ID Property

[Read-only] This property returns a unique identifier (GUID) for the Session object.

Syntax

public string ID { get; }

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.ID Property


HotDocs Server Help - Session.PDFAdvantageInstalled Property

  • Help

Methods

  • Session Constructor
  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.ConvertRTFToPDF
  • Session.Dispose
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled

Session.PDFAdvantageInstalled Property

[Read-only] This property returns a Boolean value indicating whether or not HotDocs Server can assemble PDF-based templates. You should check this property before assembling a PDF-based form (.HPT) template to avoid errors generated by attempting to assemble an .HPT template without PDF Advantage.

Syntax

public bool PDFAdvantageInstalled { get; }

Example:

The following Visual C# code displays several properties of the Session class.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.Session HDSSession = new HotDocs.Server.Session();

    HDSSession.AddLogEntry(1, "A new Session has been created with the following ID: " + HDSSession.ID);

    HDSSession.DefaultHotDocsCSSUrl = "http://www.yourserver.com/HDServerFiles/stylesheets/hdsuser.css";
    HDSSession.DefaultHotDocsImageUrl = "http://www.yourserver.com/HDServerFiles/images";
    HDSSession.DefaultHotDocsJavascriptUrl = "http://www.yourserver.com/HDServerFiles/js";

    System.Console.WriteLine("{0}: {1}","Assemblies", HDSSession.Assemblies.Count);
    System.Console.WriteLine("{0}: {1}","Completed Assemblies", HDSSession.CompletedAssemblies.Count);
    System.Console.WriteLine("{0}: {1}","CSS Url",HDSSession.DefaultHotDocsCSSUrl);
    System.Console.WriteLine("{0}: {1}","Image Url",HDSSession.DefaultHotDocsImageUrl);
    System.Console.WriteLine("{0}: {1}","Javascript Url",HDSSession.DefaultHotDocsJavascriptUrl);
    System.Console.WriteLine("{0}: {1}","ID",HDSSession.ID);
    System.Console.WriteLine("{0}: {1}","PDF Advantage",HDSSession.PDFAdvantageInstalled);
    System.Console.WriteLine("{0}: {1}","HotDocs Version",HDSSession.GetHotDocsVersion());

    //Call Dispose when you are completely finished using the Session object
    HDSSession.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Session Class > Session.PDFAdvantageInstalled Property


HotDocs Server Help - HotDocs.Server.TemplateInfo Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.TemplateInfo Class

This object lets you gather information about the files on which a given HotDocs template depends. For example, most templates consist of a template (e.g., .RTF) file, along with a corresponding component file. If you use shared component files, a template would also depend on that shared component file. Likewise, INSERT or ASSEMBLE instructions in a template also introduce additional dependencies.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • TemplateInfo (constructor)
This constructor opens a template to inspect its file dependencies. When you are finished with the template, call Dispose.
  • Dispose
This method closes the template.

Properties

  • Dependencies
[Read-only] This property returns a DependencyCollection, which is a list of all dependencies for the template. Unlike the RecursiveDepencencies property, this property shows only the top-level dependencies for the template. If you want to get all of the dependencies for each dependency, you must recurse through each dependency in the collection.
  • EffectiveComponentFile
[Read-only] This property returns the file path of the "effective" component file used by the template. For example, if the template uses a shared component file, this will return the path of the shared file instead of the template's own component file.
  • PointedToComponentFile
[Read-only] This property returns the file path of the shared component file used by the template. If there is no shared component file, it returns an empty string.
  • PrimaryComponentFile
 [Read-only] This property returns the file name of the template's primary component file. (In the case of a template that uses a shared component file, this property is used to get the path of the template's own commponent file and not the shared component file path.)
  • RecursiveDependencies
 [Read-only] This property returns a DependencyCollection, which is a complete, recursive list of all dependencies for the template and its dependencies. If you just want the top-level list of dependencies without recursion, use Dependencies instead.

Home > All About... > HotDocs.Server.TemplateInfo Class


HotDocs Server Help - TemplateInfo Constructor

  • Help

Methods

  • TemplateInfo Constructor
  • TemplateInfo.Dispose

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo Constructor

This constructor opens a template to inspect its file dependencies. When you are finished with the template, call Dispose.

Syntax

public TemplateInfo ( string filePath )

Parameters | Description
filePath | The file path of the template file to open.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.TemplateInfo Class > TemplateInfo Constructor


HotDocs Server Help - TemplateInfo.Dispose Method

  • Help

Methods

  • TemplateInfo Constructor
  • TemplateInfo.Dispose

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.Dispose Method

This method closes the template.

Syntax

void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.TemplateInfo Class > TemplateInfo.Dispose Method


HotDocs Server Help - TemplateInfo.Dependencies Property

  • Help

Methods

  • TemplateInfo Constructor
  • TemplateInfo.Dispose

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.Dependencies Property

[Read-only] This property returns a DependencyCollection, which is a list of all dependencies for the template. Unlike the RecursiveDepencencies property, this property shows only the top-level dependencies for the template. If you want to get all of the dependencies for each dependency, you must recurse through each dependency in the collection.

Caution:Take care when recursing through a template's dependencies to keep track of which dependencies have already been inspected. Otherwise, if there is a circular dependency (e.g., Template A depends on Template B, which depends on Template A), your recursive function could enter an endless loop.

Syntax

HotDocs.Server.DependencyCollection Dependencies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.TemplateInfo Class > TemplateInfo.Dependencies Property


HotDocs Server Help - TemplateInfo.EffectiveComponentFile Property

  • Help

Methods

  • TemplateInfo Constructor
  • TemplateInfo.Dispose

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.EffectiveComponentFile Property

[Read-only] This property returns the file path of the "effective" component file used by the template. For example, if the template uses a shared component file, this will return the path of the shared file instead of the template's own component file.

Syntax

string EffectiveComponentFile [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.TemplateInfo Class > TemplateInfo.EffectiveComponentFile Property


HotDocs Server Help - TemplateInfo.PointedToComponentFile Property

  • Help

Methods

  • TemplateInfo Constructor
  • TemplateInfo.Dispose

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.PointedToComponentFile Property

[Read-only] This property returns the file path of the shared component file used by the template. If there is no shared component file, it returns an empty string.

Syntax

string PointedToComponentFile [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.TemplateInfo Class > TemplateInfo.PointedToComponentFile Property


HotDocs Server Help - TemplateInfo.PrimaryComponentFile Property

  • Help

Methods

  • TemplateInfo Constructor
  • TemplateInfo.Dispose

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.PrimaryComponentFile Property

[Read-only] This property returns the file name of the template's primary component file. (In the case of a template that uses a shared component file, this property is used to get the path of the template's own commponent file and not the shared component file path.)

Syntax

string PrimaryComponentFile [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.TemplateInfo Class > TemplateInfo.PrimaryComponentFile Property


HotDocs Server Help - TemplateInfo.RecursiveDependencies Property

  • Help

Methods

  • TemplateInfo Constructor
  • TemplateInfo.Dispose

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.RecursiveDependencies Property

[Read-only] This property returns a DependencyCollection, which is a complete, recursive list of all dependencies for the template and its dependencies. If you just want the top-level list of dependencies without recursion, use Dependencies instead.

Syntax

HotDocs.Server.DependencyCollection RecursiveDependencies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.TemplateInfo Class > TemplateInfo.RecursiveDependencies Property


HotDocs Server Help - HotDocs.Server.UtilityTools Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.Value Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.UtilityTools Class

The UtilityTools class contains a method for converting RTF files to various file formats.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

Methods

  • BuildServerFiles
This method creates the files required by HotDocs Server to display an interview for a template.
  • ConvertRtfFile
This method converts an RTF document to a PDF, HTML, or TXT document.
  • DecryptString
This method decrypts a string.
  • EncryptString
This method encrypts a string.

Home > All About... > HotDocs.Server.UtilityTools Class


HotDocs Server Help - UtilityTools.BuildServerFiles Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRtfFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.BuildServerFiles Method

This method creates the files required by HotDocs Server to display an interview for a template.

Syntax

public static void BuildServerFiles ( string templatePath )

Parameters | Description
templatePath | The file name of the template for which you want to create the HotDocs Server interview (.JS and .HVC) files.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.UtilityTools Class > UtilityTools.BuildServerFiles Method


HotDocs Server Help - UtilityTools.ConvertRtfFile Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRtfFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.ConvertRtfFile Method

This method converts an RTF document to a PDF, HTML, or TXT document.

Caution:When converting an RTF document to PDF, HotDocs Server uses a built-in PDF converter, which analyzes the codes contained in the RTF file and translates them to PDF. This differs from the method used by other third-party PDF converters, which rely on an instance of Microsoft Word on the server from which the document is "printed" using a driver to create the PDF document. PDF documents created using a PDF driver can typically handle a greater number of formatting variations, while the PDF conversion method used by HotDocs Server works best for documents with simpler formatting. If you use HotDocs Server's built-in PDF conversion, some formatting differences will exist between the original RTF and the PDF.

Syntax

public static void ConvertRtfFile ( string rtfPath, string outPath, int options, HotDocs.Server.Interop.PdfPermissions pdfPermissions, string pdfUserPassword, string pdfOwnerPassword )

Parameters | Description
rtfPath | The file name and path to the source RTF document that will be converted.
outPath | The file name and path to the output document that will be created. The file name extension (.PDF, .HTM/.HTML, or .TXT) will determine which type of file to output.
options | A number that indicates which options to use during the conversion. Currently, the only valid option is 0.
pdfPermissions | This parameter specifies permissions granted when the PDF document is being viewed or manipulated without using the owner password. It can be a combination of values from the PdfPermissions enumeration.
pdfUserPassword | The user password for the PDF file. The user password controls view access to the PDF file. Use an empty string ("") if you do not wish to set a password.
pdfOwnerPassword | The owner password for the PDF file. The owner password controls print and edit access to the PDF file. Use an empty string ("") if you do not wish to set a password.
Example:

The following Visual C# example converts an RTF file to PDF. It sets one password for viewing the file, and another password for printing, copying, or modifying the file.

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.UtilityTools.ConvertRtfFile("c:\\temp\\original.rtf", "c:\\temp\\converted.pdf", 0, HotDocs.Server.Interop.PdfPermissions.None, "password1", "password2");
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.UtilityTools Class > UtilityTools.ConvertRtfFile Method


HotDocs Server Help - UtilityTools.DecryptString Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRtfFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.DecryptString Method

This method decrypts a string.

Note: The encryption methods (EncryptString and DecryptString are typically used to securely send "state" information to the client browser. For example, in a "stateless" interview the EncryptString method can be used to securely pass the template's file path to the client browser when an interview is requested. That same encrypted string can then be posted back to the server when the interview is finished. The server can then use the DecryptString method to find the template associated with the interview.

Syntax

public static string DecryptString( string value )

Parameters | Description
value | The string you want to decrypt. (It cannot be longer than 4096 characters.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.UtilityTools Class > UtilityTools.DecryptString Method


HotDocs Server Help - UtilityTools.EncryptString Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRtfFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.EncryptString Method

This method encrypts a string.

Note: The encryption methods (EncryptString and DecryptString are typically used to securely send "state" information to the client browser. For example, in a "stateless" interview the EncryptString method can be used to securely pass the template's file path to the client browser when an interview is requested. That same encrypted string can then be posted back to the server when the interview is finished. The server can then use the DecryptString method to find the template associated with the interview.

Syntax

public static string EncryptString( string value )

Parameters | Description
value | The string you want to encrypt. (It cannot be longer than 4096 characters.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.UtilityTools Class > UtilityTools.EncryptString Method


HotDocs Server Help - HotDocs.Server.Value Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.VariableCollection Class

HotDocs.Server.Value Class

A Value is the most basic building block of a HotDocs Answer. This is where individual pieces of data, such as text strings, dates, and numbers, are stored. Because HotDocs allows variables to be placed in repeated dialogs, each Answer may contain one or more Values.

In addition to the data (text, number, date, or other information) stored in the value property, each Value contains four 0-based repeat indexes to indicate the position of the Value within the HotDocs Answer. Any unused indexes should be set to -1. For example, if a variable is not repeated, its Answer would contain only one Value with the following four repeat indexes:

     -1, -1, -1, -1

For a repeated or nested variable, the indexes must indicate the position of the Value in relation to all other Values that make up the Answer. The following table shows the repeat indexes for a simple repeated variable that contains the names of the first three Presidents of the United States:

value | RepeatIndex1 | RepeatIndex2 | RepeatIndex3 | RepeatIndex4
George Washington | 0 | -1 | -1 | -1
John Adams | 1 | -1 | -1 | -1
Thomas Jefferson | 2 | -1 | -1 | -1

For a more complex example, review the next table, which lists the children of each President named in the previous table. A single Answer would contain all 12 Values. For each Value, the first index corresponds to the child's parent (siblings share the same first index), and the second index is the child's birth order. Because this example contains answers nested only two levels deep, the last two indexes are -1, which indicates that they are unused:

value | RepeatIndex1 | RepeatIndex2 | RepeatIndex3 | RepeatIndex4
John Parke Custis | 0 | 0 | -1 | -1
Martha Custis | 0 | 1 | -1 | -1
Abigail Amelia Adams | 1 | 0 | -1 | -1
John Quincy Adams | 1 | 1 | -1 | -1
Susanna Adams | 1 | 2 | -1 | -1
Charles Adams | 1 | 3 | -1 | -1
Thomas Boylston Adams | 1 | 4 | -1 | -1
Martha Washington Jefferson | 2 | 0 | -1 | -1
Jane Randolph Jefferson | 2 | 1 | -1 | -1
Mary Wayles Jefferson | 2 | 2 | -1 | -1
Lucy Elizabeth Jefferson I | 2 | 3 | -1 | -1
Lucy Elizabeth Jefferson II | 2 | 4 | -1 | -1

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • Value (Constructor)
 This constructor initializes a new instance of the Value class. For example, if you want to add a new piece of data to an existing HotDocs Answer, you could create a Value object, add the new data to the object, and then add the Value to the Answer.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Value class.

Properties

  • Answer
 [Read/Write] This property specifies the Answer object to which the Value belongs. (Each Answer object contains one or more Value objects, but each Value belongs to only one Answer.)
  • RepeatIndex1
 [Read/Write] This property specifies the first repeat index for the Value. For non-repeated variables, this index is -1.
  • RepeatIndex2
 [Read/Write] This property specifies the second repeat index for the Value. For non-repeated variables, this index is -1.
  • RepeatIndex3
 [Read/Write] This property specifies the third repeat index for the Value. For non-repeated variables, this index is -1.
  • RepeatIndex4
 [Read/Write] This property specifies the fourth repeat index for the Value. For non-repeated variables, this index is -1.
  • value
 [Read/Write] This property specifies the "value" of the Value. In other words, this would be the actual string of text, number, or Boolean value that a user entered for an Answer at the specified repeat indexes. The type of object returned corresponds to the type of data stored in the value. For example, a Number variable would return a number object and a Text variable would return a string. Multiple Choice variables, on the other hand, may return either a string or an array of strings depending on whether or not the variable allows multiple selections.
Example:

This example opens an existing answer file and iterates through its Answers. The name of each Answer, and the value of each Value, is written to the console.

public class ExampleCode
{
    static void Main()
    {
        // Create an AnswerCollection and populate it with an existing answer file.
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
        ac.Open(@"c:\temp\JohnDoe.anx");

        // Iterate through each Answer.
        foreach (HotDocs.Server.Answer ans in ac)
        {
            System.Console.WriteLine(ans.Name);
            // Iterate through each Answer's Values.
            foreach (HotDocs.Server.Value val in ans)
            {
                System.Console.Write("  " +
                    val.RepeatIndex1.ToString() + "," +
                    val.RepeatIndex2.ToString() + "," +
                    val.RepeatIndex3.ToString() + "," +
                    val.RepeatIndex4.ToString() + ": ");

                if (val.value.GetType().IsArray)
                {
                    // This means the value is an array, such as a "select all that apply" Multiple Choice value.
                    System.Object[] valArray = (System.Object[]) val.value;

                    for (int i = 0; i < valArray.GetLength(0); i++)
                    {
                        System.Console.Write(valArray[i].ToString());
                        if (i < (valArray.GetLength(0) - 1))
                            System.Console.Write("|");
                        else
                            System.Console.WriteLine();
                    }
                }
                else
                    System.Console.WriteLine(val.value.ToString());
            }
        }
        ac.Dispose();
    }
}

Home > All About... > HotDocs.Server.Value Class


HotDocs Server Help - Value Constructor

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value Constructor

This constructor initializes a new instance of the Value class. For example, if you want to add a new piece of data to an existing HotDocs Answer, you could create a Value object, add the new data to the object, and then add the Value to the Answer.

Syntax

public Value ( )

Example:

The following Visual C# example creates a new AnswerCollection that contains a single Answer with three Values. The AnswerCollection is then saved to disk as a HotDocs Answer File.

public class ExampleCode
{
  static void Main()
  {
    // Create a new AnswerCollection.
    using (HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection())
    {
      // Create an Answer to represent the child names and add it to the AnswerCollection.
      using (HotDocs.Server.Answer names = new HotDocs.Server.Answer())
      {
        names.Name = "Child Name";
        names.AnswerType = HotDocs.Server.Interop.ansType.ansTypeText;
        int cnt = 3;
        for (int i = 0; i < cnt; i++)
        {
          // Create a new Value for each child's name and then add it to the Answer.
          HotDocs.Server.Value nameVal = new HotDocs.Server.Value();
          nameVal.RepeatIndex1 = i; // set the iteration of the value
          nameVal.value = System.String.Format("Dave {0}", i); // all the children are named Dave, just like in the Dr. Seuss story
          names.Add(nameVal);
        }
        ac.Add(names);
      }
      ac.Save(@"c:\temp\children.anx");
    }
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value Constructor


HotDocs Server Help - Value.Dispose Method

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the Value class.

Syntax

public void Dispose ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value.Dispose Method


HotDocs Server Help - Value.Answer Property

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value.Answer Property

[Read/Write] This property specifies the Answer object to which the Value belongs. (Each Answer object contains one or more Value objects, but each Value belongs to only one Answer.)

Syntax

public HotDocs.Server.Answer Answer { set; get; }

Example:

The following Visual C# example opens an answer file and lists the names of all answers.

public class ExampleCode
{
    static void Main()
    {
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection("c:\\temp\\JohnDoe.anx");
        string msg;
        foreach (HotDocs.Server.Answer ans in ac)
        {
            //Display the Answer (variable) name and the number of values it contains.
            msg = ans.Name + ": " + ans.Count.ToString() + " value(s)\r\n";
            foreach (HotDocs.Server.Value val in ans)
            {
                //Display the Answer (variable) name associated with this value.
                //Note: It is the same name as displayed above.
                msg += "  " + val.Answer.Name + "\r\n";
            }
            System.Console.WriteLine(msg);
        }
        System.Console.ReadKey();
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value.Answer Property


HotDocs Server Help - Value.RepeatIndex1 Property

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value.RepeatIndex1 Property

[Read/Write] This property specifies the first repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

public int RepeatIndex1 { set; get; }

Example:

This example opens an existing answer file and iterates through its Answers. The name of each Answer, and the value of each Value, is written to the console.

public class ExampleCode
{
    static void Main()
    {
        // Create an AnswerCollection and populate it with an existing answer file.
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
        ac.Open(@"c:\temp\JohnDoe.anx");

        // Iterate through each Answer.
        foreach (HotDocs.Server.Answer ans in ac)
        {
            System.Console.WriteLine(ans.Name);
            // Iterate through each Answer's Values.
            foreach (HotDocs.Server.Value val in ans)
            {
                System.Console.Write("  " +
                    val.RepeatIndex1.ToString() + "," +
                    val.RepeatIndex2.ToString() + "," +
                    val.RepeatIndex3.ToString() + "," +
                    val.RepeatIndex4.ToString() + ": ");

                if (val.value.GetType().IsArray)
                {
                    // This means the value is an array, such as a "select all that apply" Multiple Choice value.
                    System.Object[] valArray = (System.Object[]) val.value;

                    for (int i = 0; i < valArray.GetLength(0); i++)
                    {
                        System.Console.Write(valArray[i].ToString());
                        if (i < (valArray.GetLength(0) - 1))
                            System.Console.Write("|");
                        else
                            System.Console.WriteLine();
                    }
                }
                else
                    System.Console.WriteLine(val.value.ToString());
            }
        }
        ac.Dispose();
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value.RepeatIndex1 Property


HotDocs Server Help - Value.RepeatIndex2 Property

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value.RepeatIndex2 Property

[Read/Write] This property specifies the second repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

public int RepeatIndex2 { set; get; }

Example:

This example opens an existing answer file and iterates through its Answers. The name of each Answer, and the value of each Value, is written to the console.

public class ExampleCode
{
    static void Main()
    {
        // Create an AnswerCollection and populate it with an existing answer file.
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
        ac.Open(@"c:\temp\JohnDoe.anx");

        // Iterate through each Answer.
        foreach (HotDocs.Server.Answer ans in ac)
        {
            System.Console.WriteLine(ans.Name);
            // Iterate through each Answer's Values.
            foreach (HotDocs.Server.Value val in ans)
            {
                System.Console.Write("  " +
                    val.RepeatIndex1.ToString() + "," +
                    val.RepeatIndex2.ToString() + "," +
                    val.RepeatIndex3.ToString() + "," +
                    val.RepeatIndex4.ToString() + ": ");

                if (val.value.GetType().IsArray)
                {
                    // This means the value is an array, such as a "select all that apply" Multiple Choice value.
                    System.Object[] valArray = (System.Object[]) val.value;

                    for (int i = 0; i < valArray.GetLength(0); i++)
                    {
                        System.Console.Write(valArray[i].ToString());
                        if (i < (valArray.GetLength(0) - 1))
                            System.Console.Write("|");
                        else
                            System.Console.WriteLine();
                    }
                }
                else
                    System.Console.WriteLine(val.value.ToString());
            }
        }
        ac.Dispose();
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value.RepeatIndex2 Property


HotDocs Server Help - Value.RepeatIndex3 Property

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value.RepeatIndex3 Property

[Read/Write] This property specifies the third repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

public int RepeatIndex3 { set; get; }

Example:

This example opens an existing answer file and iterates through its Answers. The name of each Answer, and the value of each Value, is written to the console.

public class ExampleCode
{
    static void Main()
    {
        // Create an AnswerCollection and populate it with an existing answer file.
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
        ac.Open(@"c:\temp\JohnDoe.anx");

        // Iterate through each Answer.
        foreach (HotDocs.Server.Answer ans in ac)
        {
            System.Console.WriteLine(ans.Name);
            // Iterate through each Answer's Values.
            foreach (HotDocs.Server.Value val in ans)
            {
                System.Console.Write("  " +
                    val.RepeatIndex1.ToString() + "," +
                    val.RepeatIndex2.ToString() + "," +
                    val.RepeatIndex3.ToString() + "," +
                    val.RepeatIndex4.ToString() + ": ");

                if (val.value.GetType().IsArray)
                {
                    // This means the value is an array, such as a "select all that apply" Multiple Choice value.
                    System.Object[] valArray = (System.Object[]) val.value;

                    for (int i = 0; i < valArray.GetLength(0); i++)
                    {
                        System.Console.Write(valArray[i].ToString());
                        if (i < (valArray.GetLength(0) - 1))
                            System.Console.Write("|");
                        else
                            System.Console.WriteLine();
                    }
                }
                else
                    System.Console.WriteLine(val.value.ToString());
            }
        }
        ac.Dispose();
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value.RepeatIndex3 Property


HotDocs Server Help - Value.RepeatIndex4 Property

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value.RepeatIndex4 Property

[Read/Write] This property specifies the fourth repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

public int RepeatIndex4 { set; get; }

Example:

This example opens an existing answer file and iterates through its Answers. The name of each Answer, and the value of each Value, is written to the console.

public class ExampleCode
{
    static void Main()
    {
        // Create an AnswerCollection and populate it with an existing answer file.
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
        ac.Open(@"c:\temp\JohnDoe.anx");

        // Iterate through each Answer.
        foreach (HotDocs.Server.Answer ans in ac)
        {
            System.Console.WriteLine(ans.Name);
            // Iterate through each Answer's Values.
            foreach (HotDocs.Server.Value val in ans)
            {
                System.Console.Write("  " +
                    val.RepeatIndex1.ToString() + "," +
                    val.RepeatIndex2.ToString() + "," +
                    val.RepeatIndex3.ToString() + "," +
                    val.RepeatIndex4.ToString() + ": ");

                if (val.value.GetType().IsArray)
                {
                    // This means the value is an array, such as a "select all that apply" Multiple Choice value.
                    System.Object[] valArray = (System.Object[]) val.value;

                    for (int i = 0; i < valArray.GetLength(0); i++)
                    {
                        System.Console.Write(valArray[i].ToString());
                        if (i < (valArray.GetLength(0) - 1))
                            System.Console.Write("|");
                        else
                            System.Console.WriteLine();
                    }
                }
                else
                    System.Console.WriteLine(val.value.ToString());
            }
        }
        ac.Dispose();
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value.RepeatIndex4 Property


HotDocs Server Help - Value.value Property

  • Help

Methods

  • Value Constructor
  • Value.Dispose

Properties

  • Value.Answer
  • Value.RepeatIndex1
  • Value.RepeatIndex2
  • Value.RepeatIndex3
  • Value.RepeatIndex4
  • Value.value

Value.value Property

[Read/Write] This property specifies the "value" of the Value. In other words, this would be the actual string of text, number, or Boolean value that a user entered for an Answer at the specified repeat indexes. The type of object returned corresponds to the type of data stored in the value. For example, a Number variable would return a number object and a Text variable would return a string. Multiple Choice variables, on the other hand, may return either a string or an array of strings depending on whether or not the variable allows multiple selections.

Syntax

public object value { set; get; }

Example:

This example opens an existing answer file and iterates through its Answers. The name of each Answer, and the value of each Value, is written to the console.

public class ExampleCode
{
    static void Main()
    {
        // Create an AnswerCollection and populate it with an existing answer file.
        HotDocs.Server.AnswerCollection ac = new HotDocs.Server.AnswerCollection();
        ac.Open(@"c:\temp\JohnDoe.anx");

        // Iterate through each Answer.
        foreach (HotDocs.Server.Answer ans in ac)
        {
            System.Console.WriteLine(ans.Name);
            // Iterate through each Answer's Values.
            foreach (HotDocs.Server.Value val in ans)
            {
                System.Console.Write("  " +
                    val.RepeatIndex1.ToString() + "," +
                    val.RepeatIndex2.ToString() + "," +
                    val.RepeatIndex3.ToString() + "," +
                    val.RepeatIndex4.ToString() + ": ");

                if (val.value.GetType().IsArray)
                {
                    // This means the value is an array, such as a "select all that apply" Multiple Choice value.
                    System.Object[] valArray = (System.Object[]) val.value;

                    for (int i = 0; i < valArray.GetLength(0); i++)
                    {
                        System.Console.Write(valArray[i].ToString());
                        if (i < (valArray.GetLength(0) - 1))
                            System.Console.Write("|");
                        else
                            System.Console.WriteLine();
                    }
                }
                else
                    System.Console.WriteLine(val.value.ToString());
            }
        }
        ac.Dispose();
    }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.Value Class > Value.value Property


HotDocs Server Help - HotDocs.Server.VariableCollection Class

  • Help

All About...

  • About the HotDocs Server .NET API
  • HotDocs.Server.Answer Class
  • HotDocs.Server.AnswerCollection Class
  • HotDocs.Server.Assembly Class
  • HotDocs.Server.AssemblyCollection Class
  • HotDocs.Server.AssemblyNode Class
  • HotDocs.Server.Component Class
  • HotDocs.Server.ComponentCollection Class
  • HotDocs.Server.ComponentProperties Class
  • HotDocs.Server.ComponentProperty Class
  • HotDocs.Server.Dependency Class
  • HotDocs.Server.DependencyCollection Class
  • HotDocs.Server.InterviewResponse Class
  • HotDocs.Server.Manager Class
  • HotDocs.Server.RepeatIndices Class
  • HotDocs.Server.Session Class
  • HotDocs.Server.TemplateInfo Class
  • HotDocs.Server.UtilityTools Class
  • HotDocs.Server.Value Class

HotDocs.Server.VariableCollection Class

A VariableCollection provides a "data dictionary" of all variables used in a template. On disk, the VariableCollection is contained in the template's .HVC file, which is created by HotDocs when a template is published for use with HotDocs Server. HotDocs Server uses the VariableCollection to create the browser-based interview.

Each variable in the VariableCollection object is assigned an arbitrary index number in the range of 0 to Count - 1. To iterate through the collection, you must use this index number.

Interface Information

Namespace: | HotDocs.Server
Assembly: | HotDocs.Server.dll

This class implements the following interfaces:

  • IDisposable: The class can be disposed.

Methods

  • VariableCollection (Constructor)
 This constructor initializes a new instance of the VariableCollection class.
  • Dispose
 This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the VariableCollection class.
  • Open
 This method opens the variable collection (.HVC) file and populates the variable collection object. (You must use this method first if you plan to use the VariableCollection object.)
  • VarEncodedName
 This method returns the encoded name of the variable at the specified index.
  • VarName
 This method returns the variable name of the variable at the specified index.
  • VarType
 This method returns the type of variable at the specified index.

Properties

  • Count
[Read-only] This property returns the number of variables in a variable collection.
  • Description
[Read-only] This property returns the template description.
  • Title
[Read-only] This property returns the template title.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class


HotDocs Server Help - VariableCollection Constructor

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection Constructor

This constructor initializes a new instance of the VariableCollection class.

Syntax

public VariableCollection ( )

public VariableCollection ( string hvcPath )

Parameter | Description
string hvcPath | The file name and path of a HotDocs variable collection (.HVC) file that HotDocs Server will use to populate the VariableCollection. If this parameter is missing, HotDocs Server will create an empty variable collection.
Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection Constructor


HotDocs Server Help - VariableCollection.Dispose Method

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.Dispose Method

This method is an implementation of the IDisposable.Dispose method that releases unmanaged resources held by an instance of the VariableCollection class.

Syntax

public void Dispose ( )

Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.Dispose Method


HotDocs Server Help - VariableCollection.Open Method

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.Open Method

This method opens the variable collection (.HVC) file and populates the variable collection object. (You must use this method first if you plan to use the VariableCollection object.)

Syntax

public void Open ( string hvcPath )

Parameter | Description
hvcPath | The file name and path of a HotDocs variable collection (.HVC) file to open.
Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.Open Method


HotDocs Server Help - VariableCollection.VarEncodedName Method

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.VarEncodedName Method

This method returns the encoded name of the variable at the specified index.

Syntax

public string VarEncodedName ( int index )

Parameter | Description
int index | The position of the variable in the VariableCollection.

Return Value

The encoded name of the variable at the specified index.

Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.VarEncodedName Method


HotDocs Server Help - VariableCollection.VarName Method

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.VarName Method

This method returns the variable name of the variable at the specified index.

Syntax

public string VarName ( int index )

Parameter | Description
int index | The position of the variable in the VariableCollection.

Return Value

The name of the variable at the specified index.

Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.VarName Method


HotDocs Server Help - VariableCollection.VarType Method

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.VarType Method

This method returns the type of variable at the specified index.

Syntax

public HotDocs.Server.InteSrop.ansType VarType ( int index )

Parameter | Description
int index | The position of the variable in the VariableCollection.

Return Value

The type of variable at the specified index.

Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.VarType Method


HotDocs Server Help - VariableCollection.Count Property

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.Count Property

[Read-only] This property returns the number of variables in a variable collection.

Syntax

public int Count { get; }

Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.Count Property


HotDocs Server Help - VariableCollection.Description Property

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.Description Property

[Read-only] This property returns the template description.

Syntax

public string Description { get; }

Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.Description Property


HotDocs Server Help - VariableCollection.Title Property

  • Help

Methods

  • VariableCollection Constructor
  • VariableCollection.Dispose
  • VariableCollection.Open
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title

VariableCollection.Title Property

[Read-only] This property returns the template title.

Syntax

public string Title { get; }

Example:

The following C# sample code displays information about the VariableCollection:

public class ExampleCode
{
  static void Main()
  {
    HotDocs.Server.VariableCollection hvc = new HotDocs.Server.VariableCollection("C:\\Templates\\MyFile.hvc");
    System.Console.WriteLine("VARIABLECOLLECTION OBJECT: --------------------------------------");
    System.Console.WriteLine("  {0}: {1}","Count", hvc.Count);
    System.Console.WriteLine("  {0}: {1}","Description", hvc.Description);
    System.Console.WriteLine("  {0}: {1}","Title", hvc.Title);
    for (int i=0;i<hvc.Count;i++)
      System.Console.WriteLine("  {0}: {1} ({2})",hvc.VarType(i).ToString(), hvc.VarName(i),hvc.VarEncodedName(i));
    hvc.Dispose();
  }
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs.Server.VariableCollection Class > VariableCollection.Title Property


HotDocs Server Help - About the HotDocs Server COM API

  • Help

All About...

  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

About the HotDocs Server COM API

The HotDocs Server COM API is the fundamental interface for integrating your own custom host application with HotDocs Server. It contains a set of COM objects which allow you to present interviews in a Web browser, mark unanswered variables, populate variables in an interview with existing answers, assemble documents, and perform many other tasks relevant to Web-based document assembly.

COM Application Interface

This interface includes the following objects (similar to the .NET Application Interface), which you can use when developing your host application:

  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

Home > All About... > About the HotDocs Server COM API


HotDocs Server Help - HotDocs_Online Enumerations

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online Enumerations

Enumerations

ansFileFormat Enumeration | This enumeration is a set of values for answer file formats.
ansType Enumeration | This enumeration is a set of values for answer types.
appendOptions Enumeration | This enumeration is a set of values that determine which headers and footers to use in appended documents.
CMPOpenOptions Enumeration | This enumeration is a set of values that determine how component files are opened.
DependencyType Enumeration | This enumeration is a set of values that determines what type of file is represented by a Dependency object.
hdCmpType Enumeration | This enumeration is a set of values for component types.
HotDocsVersion Enumeration | This enumeration is a set of values for HotDocs versions.
PdfPermissions Enumeration | This enumeration is a set of values that indicate permissions assigned to PDF files.

Home > All About... > HotDocs_Online Enumerations


HotDocs Server Help - ansFileFormat Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

ansFileFormat Enumeration

This enumeration is a set of values for answer file formats.The possible values are:

Answer File Formats

Name | Value | Description
PreHD2009Format | 0 | Pre-HotDocs 2009 Format
HD2009Format | 2 | HotDocs 2009-10 Format
Note: The ansHDAns and ansXmlAns values have been deprecated. If you want your answer files to be compatible with earlier (pre-2009) versions of HotDocs, use the PreHD2009Format value. All answer files saved by HotDocs Server 10 are in XML format.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > ansFileFormat Enumeration


HotDocs Server Help - ansType Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

ansType Enumeration

This enumeration is a set of values for answer types. The possible values are:

Answer Types

Name | Value | Description
ansTypeNo | 0 | Invalid answer type
ansTypeText | 1 | Text answer
ansTypeNumber | 2 | Number answer
ansTypeDate | 3 | Date answer
ansTypeTF | 5 | True/False answer
ansTypeMC | 6 | Multiple choice answer
ansTypeDocText | 14 | Document text (SPAN answer)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > ansType Enumeration


HotDocs Server Help - appendOptions Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

appendOptions Enumeration

This enumeration is a set of values that determine which headers and footers to use in appended documents. The possible values are:

Name | Value | Description
appendNone | 0 | Do not keep the header or footer of the appended document.
appendHeader | 1 | Keep the header of the appended document.
appendFooter | 2 | Keep the footer of the appended document.
appendBoth | 3 | Keep both the header and the footer of the appended document.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > appendOptions Enumeration


HotDocs Server Help - CMPOpenOptions Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

CMPOpenOptions Enumeration

This enumeration is a set of values that determine how component files are opened.

CMPComponentOpen Types

Name | Value | Description
LoadPrimaryCompLib | 0 | Opens only the primary (main) component file.
LoadSharedCompLib | 1 | Opens only the shared component file.
LoadGlobalCompLib | 2 | [Reserved for future use]
LoadAllCompLibs | 3 | Opens both the primary and the shared component files.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > CMPOpenOptions Enumeration


HotDocs Server Help - DependencyType Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

DependencyType Enumeration

This enumeration is a set of values that determines what type of file is represented by a Dependency object. The possible values are:

HotDocs Directories

Name | Value | Description
NoDependency | 0 |
BaseCmpFileDependency | 1 | Base component file
PointedToCmpFileDependency | 2 | Pointed-to component file
TemplateInsertDependency | 3 | Template insertion
ClauseInsertDependency | 4 | Clause insertion
Clause library insertion | 5 | ClauseLibraryInsertDependency
Image insertion (INSERT \"filename\" /IMAGE) | 6 | ImageInsertDependency
InterviewImageDependency | 7 | An image included via a component
VariableTemplateInsertDependency | 8 | Variable template insertion (INSERT varname)
VariableImageInsertDependency | 9 | An image inserted via a variable (INSERT varname /IMAGE)
MissingVariableDependency | 10 | A variable was referenced for insertion, but does not exist.
MissingFileDependency | 11 | A file was referenced, but does not exist.
AssembleDependency | 12 | Template inclusion via ASSEMBLE statement
PublisherMapFileDependency | 13 | A publisher map file (.hdpmx)
UserMapFileDependency | 14 | A user map file (.hdumx)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > DependencyType Enumeration


HotDocs Server Help - hdCmpType Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

hdCmpType Enumeration

This enumeration is a set of values for component types. The possible values are:

Component Types

Name | Value | Description
hdAdditionalText | 12 | Additional text component.
hdClauseLibType | 9 | Clause library component.
hdComputationType | 6 | Computation variable.
hdDatabaseType | 8 | Database component.
hdDateFormat | 17 | Date format.
hdDateType | 3 | Date variable.
hdDialog | 13 | Dialog component.
hdDocumentText | 11 | Document text (SPAN) component.
hdGroupFormat | 20 | Group format.
hdMultChoiceFormat | 19 | Multiple Choice format.
hdMultChoiceType | 5 | Multiple Choice variable.
hdNumberFormat | 16 | Number format.
hdNumberType | 2 | Number variable.
hdTextFormat | 15 | Text format.
hdTextPattern | 14 | Text pattern.
hdTextType | 1 | Text type.
hdTrueFalseFormat | 18 | True/False format.
hdTrueFalseType | 4 | True/False variable.
hdUnansweredType | 7 | Unanswered type.
hdUndefined | 10 | Undefined.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > hdCmpType Enumeration


HotDocs Server Help - HotDocsVersion Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

HotDocsVersion Enumeration

This enumeration is a set of values for HotDocs versions. The possible values are:

HotDocs Versions

Name | Value | Description
HotDocs6 | 0 | HotDocs 6
HotDocs2005 | 1 | HotDocs 2005
HotDocs2006 | 2 | HotDocs 2006-10

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > HotDocsVersion Enumeration


HotDocs Server Help - PdfPermissions Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

PdfPermissions Enumeration

This enumeration is a set of values that indicate permissions assigned to PDF files. The possible values are:

PDF Permissions

Name | Value | Description
None | 0x0 | No permissions
PRINT | 0x4 | Allows printing
MOD | 0x28 | Allows document modification
COPY | 0x10 | Allows copying
ALL | 0x3c | Allows printing, copying, and document modifications

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online Enumerations > PdfPermissions Enumeration


HotDocs Server Help - HotDocs_Online.Answer Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.Answer Object

An Answer is the set of Values for a particular HotDocs variable. For example, the Answer for a non-repeated variable consists of a single piece of data (text string, number, date, or other information) stored in a single Value. The Answer for a repeated variable, however, consists of multiple Values—one for each time the variable is repeated.

There are several ways to iterate through the Values of an Answer. If you know the repeat indexes for the Value you want to retrieve, you can simply set the 0-based repeat indexes of the Answer to those indexes. Thus, if you want to retrieve the second Value of a simple repeated variable, you could set the Answer's repeat indexes to 1,-1,-1,-1. (Unused indexes should be set to -1.) Once these indexes are set, retrieving the Answer's Value will return the data stored in the Value with the specified repeat indexes.

You can also use the ValueIndexes property to retrieve a list of repeat indexes for each Value in an answer. This is useful when you want to find all of the Values in an Answer, but you do not know the repeat indexes ahead of time. For example, an Answer that contains 5 Values nested two levels deep might return a list of ValueIndexes like this:

  • 0,0,-1,-1
  • 0,1,-1,-1
  • 1,0,-1,-1
  • 2,0,-1,-1
  • 2,1,-1,-1

You can then iterate through this list, setting the Answer's repeat indexes and retrieving the corresponding Value with each iteration.

Interface Information

ProgID: | HotDocs_Online.Answer.10.1
Version Independent ProgID: | HotDocs_Online.Answer
CLSID: | {0F67DCB5-9144-4608-B7B4-EAA2C4F989F8}
_Answer Interface: | IID: {C5B88631-1307-45F1-AA9E-444E53646293}
_Answer2 Interface: | IID: {C5B88632-1307-45F1-AA9E-444E53646293}
_Answer3 Interface: | IID: {C5B88633-1307-45F1-AA9E-444E53646293} This is the primary interface and the main public interface exposed by the HotDocs_Online.Answer object. It was added for the release of version 2006.
_AnswerEvents Interface: | IID: {46F3DBF9-C555-4f84-99F2-629DC325E2CB}

Methods

  • Add
 This method adds a new Value to the Answer object.
  • Clear
 This method removes all values (Value objects) from the Answer.
  • GetAnswer
 This method populates the answer object with information for that instance of the answer in the answer collection. It also has the optional capability of retrieving answers in repeats. The default value for these indices is (-1).
  • GetRepeatCount
 This method gets the number of repeats at a particular level.
  • GetRepeatIndex
 This method gets the repeat index for the currently represented value.
  • Item
 Returns the specified item from the Answer object.
  • IterateValues
 This method iterates through all the values contained in an Answer and fires OnValueFoundEvent for every value found.
  • Remove
 This method removes the first occurrence of a specific object from the Answer list.
  • SetRepeatIndex
 This method sets the repeat index for the object so that it represents the value in a different position in the value tree.

Properties

  • ACHandle
 [Read/Write] This property provides an identifier to the AnswerCollection to which the Answer belongs.
  • Count
 [Read-only] This property returns the number of values in an Answer object.
  • Name
[Read/Write] This property is the name (i.e., variable name) of the Answer.
  • Type
 [Read/Write] This property sets or returns a number corresponding to a variable type from the ansType enumeration.
  • TypeText
 [Read/Write] This property lets the user get and set the variable type for an answer using text strings, rather than the ansType enumeration.
  • Value
[Read/Write] This property is the Value of the Answer. After setting the Answer's RepeatIndexes property to the individual value you want to retrieve, this property will return the designated Value's value property.
  • ValueIndexes
[Read-only] This property returns an Nx4 dimension array containing repeat indexes for all Values contained in an Answer, where N is the number of Values and each row in the array represents the repeat index set for a particular Value. If an Answer is "unanswered," the return value is empty. This property allows an integration to easily learn the details of all repeated Values of an Answer, which would be much more difficult using other API methods.

Events

  • OnValueFoundEvent
 This event is fired when IterateValues finds a value in an Answer.

Home > All About... > HotDocs_Online.Answer Object


HotDocs Server Help - Answer.Add Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Add Method

This method adds a new Value to the Answer object.

Syntax

int Add ( HotDocs_Online.Value newVal )

Parameters | Description
newVal | The Value to add to the Answer.

Return Value

An integer indicating the index of the new Value within the Answer object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Add Method


HotDocs Server Help - Answer.Clear Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Clear Method

This method removes all values (Value objects) from the Answer.

Syntax

void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Clear Method


HotDocs Server Help - Answer.GetAnswer Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.GetAnswer Method

This method populates the answer object with information for that instance of the answer in the answer collection. It also has the optional capability of retrieving answers in repeats. The default value for these indices is (-1).

Syntax

void GetAnswer ( HotDocs_Online._AnswerCollection answerColl , int answerIndex , int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
answerColl | An instance of the AnswerCollection object.
answerIndex | The index into the answer collection of the answer.
repeatIndex1 | [optional] First repeat index for the answer.
repeatIndex2 | [optional] Second repeat index for the answer.
repeatIndex3 | [optional] Third repeat index for the answer.
repeatIndex4 | [optional] Fourth repeat index for the answer.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.GetAnswer Method


HotDocs Server Help - Answer.GetRepeatCount Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.GetRepeatCount Method

This method gets the number of repeats at a particular level.

Tip: This method was introduced in HotDocs 2006 Server.

Syntax

int GetRepeatCount ( int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
repeatIndex1 | First repeat index for the answer.
repeatIndex2 | Second repeat index for the answer.
repeatIndex3 | Third repeat index for the answer.
repeatIndex4 | Fourth repeat index for the answer.

Return Value

The number of repeats at the specified level.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.GetRepeatCount Method


HotDocs Server Help - Answer.GetRepeatIndex Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.GetRepeatIndex Method

This method gets the repeat index for the currently represented value.

Tip: This method was introduced in HotDocs 2005 Server.

Syntax

void GetRepeatIndex ( int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
repeatIndex1 | First repeat index for the answer.
repeatIndex2 | Second repeat index for the answer.
repeatIndex3 | Third repeat index for the answer.
repeatIndex4 | Fourth repeat index for the answer.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.GetRepeatIndex Method


HotDocs Server Help - Answer.Item Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Item Method

Returns the specified item from the Answer object.

Syntax

HotDocs_Online.Value Item ( int index )

Parameters | Description
index | The index of the Value to return.

Return Value

The specified Value from the Answer object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Item Method


HotDocs Server Help - Answer.IterateValues Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.IterateValues Method

This method iterates through all the values contained in an Answer and fires OnValueFoundEvent for every value found.

Syntax

void IterateValues ( )

Caution: Because ASP pages cannot catch COM events, this method cannot be used in an ASP page. It is only useful in richer COM client environments.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.IterateValues Method


HotDocs Server Help - Answer.Remove Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Remove Method

This method removes the first occurrence of a specific object from the Answer list.

Syntax

void Remove ( int index )

Parameters | Description
index | The index of the Value to remove from the Answer object.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Remove Method


HotDocs Server Help - Answer.SetRepeatIndex Method

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.SetRepeatIndex Method

This method sets the repeat index for the object so that it represents the value in a different position in the value tree.

Tip: This method was introduced in HotDocs 2005 Server.

Syntax

void SetRepeatIndex ( int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
repeatIndex1 | First repeat index for the answer.
repeatIndex2 | Second repeat index for the answer.
repeatIndex3 | Third repeat index for the answer.
repeatIndex4 | Fourth repeat index for the answer.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.SetRepeatIndex Method


HotDocs Server Help - Answer.ACHandle Property

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.ACHandle Property

[Read/Write] This property provides an identifier to the AnswerCollection to which the Answer belongs.

Syntax

int ACHandle [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.ACHandle Property


HotDocs Server Help - Answer.Count Property

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Count Property

[Read-only] This property returns the number of values in an Answer object.

Syntax

int Count [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Count Property


HotDocs Server Help - Answer.Name Property

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Name Property

[Read/Write] This property is the name (i.e., variable name) of the Answer.

Syntax

string Name [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Name Property


HotDocs Server Help - Answer.Type Property

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Type Property

[Read/Write] This property sets or returns a number corresponding to a variable type from the ansType enumeration.

Syntax

HotDocs_Online.ansType Type [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Type Property


HotDocs Server Help - Answer.TypeText Property

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.TypeText Property

[Read/Write] This property lets the user get and set the variable type for an answer using text strings, rather than the ansType enumeration.

Tip: This method was introduced in HotDocs 2005 Server.

Syntax

string TypeText [ get, set ]

The following table shows the possible strings:

Type | Value
Text variable | "Text"
Number variable | "Number"
Date variable | "Date"
True/False variable | "True/False" or "TF"
Multiple Choice variable | "Multiple Choice" or "MC"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.TypeText Property


HotDocs Server Help - Answer.Value Property

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.Value Property

[Read/Write] This property is the Value of the Answer. After setting the Answer's RepeatIndexes property to the individual value you want to retrieve, this property will return the designated Value's value property.

Syntax

object Value [ get, set ]

Tip: Since Multiple Choice variables may contain more than one answer, the Value property of a Multiple Choice variable can be either a string (VT_BSTR) or an array of strings (VT_ARRAY|VT_VARIANT). Select One Only variables use a string, and Select All That Apply variables use an array of strings.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.Value Property


HotDocs Server Help - Answer.ValueIndexes Property

  • Help

Events

  • Answer.OnValueFoundEvent

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.ValueIndexes Property

[Read-only] This property returns an Nx4 dimension array containing repeat indexes for all Values contained in an Answer, where N is the number of Values and each row in the array represents the repeat index set for a particular Value. If an Answer is "unanswered," the return value is empty. This property allows an integration to easily learn the details of all repeated Values of an Answer, which would be much more difficult using other API methods.

Syntax

object ValueIndexes [ get ]

Example:
<html>
  <body>
    <%
      dim ac
      dim an
      Set ac = Server.CreateObject ("HotDocs_Online.AnswerCollection")
      Set an = Server.CreateObject ("HotDocs_Online.Answer")
      ac.Open "C:\Inetpub\wwwroot\answers\test.anx"
    %>
    <TABLE cellSpacing=1 cellPadding=1 width="75%" border=1>
      <TR bgcolor="yellow">
        <TD><b>Answer</b></TD>
        <TD><b>Name</b></TD>
        <TD><b>Type</b></TD>
        <TD><b>Value</b></TD>
        <TD><b>ACHandle</b></TD>
      </TR>
    <%
      for i = 0 to (ac.Count -1)
        an.GetAnswer ac,i
        Response.Write "<TR>" & vbCrLf
        Response.Write "<TD>" & i & "</TD>" & vbCrLf
        Response.Write "<TD>" & an.Name & "</TD>" & vbCrLf
        Response.Write "<TD>"
        select case an.Type
          case 1
            Response.Write "Text"
          case 2
            Response.Write "Number"
          case 3
            Response.Write "Date"
          case 5
            Response.Write "TF"
          case 6
            Response.Write "MC"
          case 0
            Response.Write "Unanswered"
        end select
        Response.Write "</TD>" & vbCrLf & “<TD>”
        dim av
        Set av = Server.CreateObject ("HotDocs_Online.Answer")
        dim indexes
        indexes = an.ValueIndexes

        if not IsEmpty(indexes) then
          for k = LBOUND(indexes,1) to UBOUND(indexes,1)
            av.GetAnswer ac,i,indexes(k,0),indexes(k,1),indexes(k,2),indexes(k,3)
            Response.Write "<br>" & CStr(indexes(k,0)) & "," & CStr(indexes(k,1)) & "," & CStr(indexes(k,2)) & "," & CStr(indexes(k,3)) & " : <b>" & CStr(av.Value) & "</b>"
          next
        end if

        Response.Write "</TD>" & vbCrLf
        Response.Write "<TD>" & an.ACHandle & "</TD>" & vbCrLf
        Response.Write "</TR>" & vbCrLf
      next
      ac.Close
      set ac = nothing
      set an = nothing
    %>
    </TABLE>
  </body>
</html>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.ValueIndexes Property


HotDocs Server Help - Answer.OnValueFoundEvent Event

  • Help

Methods

  • Answer.Add
  • Answer.Clear
  • Answer.GetAnswer
  • Answer.GetRepeatCount
  • Answer.GetRepeatIndex
  • Answer.Item
  • Answer.IterateValues
  • Answer.Remove
  • Answer.SetRepeatIndex

Properties

  • Answer.ACHandle
  • Answer.Count
  • Answer.Name
  • Answer.Type
  • Answer.TypeText
  • Answer.Value
  • Answer.ValueIndexes

Answer.OnValueFoundEvent Event

This event is fired when IterateValues finds a value in an Answer.

Syntax

HRESULT OnValueFoundEvent (value, repeat1, repeat2, repeat3, repeat4);

Parameters | Description
VARIANT value | Answer value.
long repeat1 | First repeat index.
long repeat2 | Second repeat index.
long repeat3 | Third repeat index.
long repeat4 | Fourth repeat index.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Answer Object > Answer.OnValueFoundEvent Event


HotDocs Server Help - HotDocs_Online.AnswerCollection Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.AnswerCollection Object

An AnswerCollection is a group of Answer objects, which HotDocs Server uses when it assembles a document. Each Answer in the collection represents a different HotDocs variable, each of which may contain one or more values. For example, the Answer for a variable in a dialog that is repeated five times would contain five values. During document assembly, HotDocs replaces variable fields in the template with corresponding answers from the AnswerCollection.

AnswerCollection objects may be saved on disk as HotDocs answer files; likewise, you can open an existing answer file and read its answers to populate a new AnswerCollection.

Interface Information

ProgID: | HotDocs_Online.AnswerCollection.10.1
Version Independent ProgID: | HotDocs_Online.AnswerCollection
CLSID: | {E6ADBFAB-C9A7-435D-9CD6-EDE8BD4AA293}
_AnswerCollection Interface: | IID: {A9BED2DF-BAE7-4BF9-93D4-E944E81A6F8E}
_AnswerCollection2 Interface: | IID: {A9BED2DE-BAE7-4BF9-93D4-E944E81A6F8E}
_AnswerCollection3 Interface: | IID: {A9BED2DD-BAE7-4BF9-93D4-E944E81A6F8E} Default interface.
_AnswerCollectionEvents Interface: | IID: {1E46DF1C-06B2-4FE2-A13C-F00BDA8E6BC7}

Methods

  • AddAnswer
 This method creates a new Answer object and adds it to the AnswerCollection. If the answer already exists in the answer collection, its value will be replaced with the value in the VarValue parameter.
  • Clear
 This method removes all answers from the AnswerCollection.
  • Close
 This method closes an answer file that has been opened using the Open method, which frees all of the resources associated with an AnswerCollection object.
  • GetRptCount
 This method gets the number for each repeat and any nested repeats.
  • GetXMLAnswers
 This method retrieves the XML representation of an answer set.
  • Item
 This method retrieves an Answer object from the AnswerCollection object.
  • Open
 This method opens an existing answer file and populates the AnswerCollection. If the answer file does not exist, however, this method will return an error.
  • OverlayAnswerFile
 This method loads answers from the specified answer file into the current answer collection.
  • OverlayXMLAnswers
 This method overlays answers contained in the XML string (e.g., from a browser-based interview) into the current answer set.
  • Remove
 This method removes an answer from the AnswerCollection.
  • Save
 This method saves the answer collection. If you are creating an answer file, you can specify a location on the disk to save it to and use the FileFormat property to specify the type of answer file (either .ANS or .ANX). If you are using a pre-existing answer file, it will save any changes to the file to the location where the answer file resides.
  • SetUploadedAnswers
 This method populates an AnswerCollection object with answers posted from a desktop version of HotDocs. In desktop HotDocs, you can specify a component file property that allows answers from an offline interview to be uploaded to a server. The SetUploadedAnswers method accepts these answers, parses them, and populates the answer collection with the results. The first parameter is a variant. It contains a SAFEARRAY of the posted data. This can be obtained in an ASP by a call to Request.BinaryRead. The second parameter (size) is a number which indicates the size (number of bytes) of the SAFEARRAY. There is an extra answer added to the answer collection which indicates the name of the assembled document. The name of the answer is _template_. Querying the answer collection for this answer will return the name of the template given in the Answer History portion of the posted answers.
  • SetXMLAnswers
 This method populates the AnswerCollection object with an XML string that conforms to the HotDocs Server answer DTD.
  • ValidateXMLAnswerFile
 This method loads an XML file and verifies that it conforms to the HotDocs ANX DTD by returning a Boolean value. For example, you can use this method to verify that an XML document is constructed correctly to be used as an XML answer set. It is very similar to ValidateXMLAnswerSet.
  • ValidateXMLAnswerSet
 This method loads an XML document and verifies that it conforms to the HotDocs ANX DTD by returning a Boolean value. For example, you can use this method to verify that an XML document is constructed correctly to be used as an XML answer set. It is very similar to ValidateXMLAnswerFile.

Properties

  • ACHandle
 [Read-only] This property returns a number that identifies the AnswerCollection.
  • Count
 [Read-only] This property returns the number of answered variables in an answer collection. Repeat variables are indexed only once.
  • FileFormat
 [Read/Write] This property sets or returns the answer file format value. The value comes from the ansFileformat enumeration.
  • fileName
 [Read-only] This property specifies the file name of the AnswerCollection.

Home > All About... > HotDocs_Online.AnswerCollection Object


HotDocs Server Help - AnswerCollection.AddAnswer Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.AddAnswer Method

This method creates a new Answer object and adds it to the AnswerCollection. If the answer already exists in the answer collection, its value will be replaced with the value in the VarValue parameter.

Syntax

void AddAnswer ( string VarName , HotDocs_Online.ansType VarType , object VarValue , int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
VarName | The name of the answer.
VarType | An answer type from the ansType enumeration.
VarValue | The value of the answer.
repeatIndex1 | [optional] The first repeat index
repeatIndex2 | [optional] The second repeat index
repeatIndex3 | [optional] The third repeat index
repeatIndex4 | [optional] The fourth repeat index
Example:
' This example opens an answer file, adds two answers to it, then saves and closes it.

Dim ac
Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")

ac.Open "c:\answers\answers.ans"

ac.AddAnswer "First Name", 1, "Violet"
ac.AddAnswer "Last Name", 1, "Anderson"

ac.Save
ac.Close

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.AddAnswer Method


HotDocs Server Help - AnswerCollection.Clear Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.Clear Method

This method removes all answers from the AnswerCollection.

Syntax

void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.Clear Method


HotDocs Server Help - AnswerCollection.Close Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.Close Method

This method closes an answer file that has been opened using the Open method, which frees all of the resources associated with an AnswerCollection object.

Syntax

void Close ( )

Tip: An answer file contains the answers entered during an interview. It can be used to assemble other documents that require the same information.
Example:
' This example opens a binary (.ANS) answer file in an answer collection,
' changes the file format to XML, and saves the answers in a new file.

dim ac
Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")

ac.Open "C:\answer.ans"
ac.FileFormat = ansXmlAns
ac.Save "C:\answer.anx"
ac.Close

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.Close Method


HotDocs Server Help - AnswerCollection.GetRptCount Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.GetRptCount Method

This method gets the number for each repeat and any nested repeats.

Syntax

int GetRptCount ( int answerIndex , int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
answerIndex | The index into the AnswerCollection.
repeatIndex1 | [optional] The first repeat index
repeatIndex2 | [optional] The second repeat index
repeatIndex3 | [optional] The third repeat index
repeatIndex4 | [optional] The fourth repeat index

Return Value

The number for each repeat and any nested repeats.

Example:
ac.GetRptCount(parent)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.GetRptCount Method


HotDocs Server Help - AnswerCollection.GetXMLAnswers Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.GetXMLAnswers Method

This method retrieves the XML representation of an answer set.

Syntax

string GetXMLAnswers ( )

Return Value

An XML representation of the answer set.

Example:
' This example collects answers from an interview using SetXMLAnswers, then retrieves
' those answers from the answer collection using GetXMLAnswers and writes them
' back to the browser.

dim ac
Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")

dim ir
Set ir = Server.CreateObject("HotDocs_Online.InterviewResponse")

ac.SetXMLAnswers ir.GetRequestString(Request)
Response.Write ac.GetXMLAnswers()

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.GetXMLAnswers Method


HotDocs Server Help - AnswerCollection.Item Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.Item Method

This method retrieves an Answer object from the AnswerCollection object.

Syntax

object Item ( object index , HotDocs_Online.ansType VarType , int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
index | Either a number representing the position of the desired Answer object in the collection, or a string (VT_BSTR) representing the name of the desired Answer object. If index is a string, then varType must be set correctly also.
VarType | [optional] This is a value from the ansType enumeration corresponding to the variable whose answer is desired. It is only required if the index parameter is a string (variable name).
repeatIndex1 | [optional] First repeat index for the answer to be returned.
repeatIndex2 | [optional] Second repeat index for the answer to be returned.
repeatIndex3 | [optional] Third repeat index for the answer to be returned.
repeatIndex4 | [optional] Fourth repeat index for the answer to be returned.

Return Value

A specific Answer object from the AnswerCollection. If the repeat indexes are omitted, the answer object returned will represent the first value (-1, -1, -1, -1).

Example:
' This example uses a number value in the index parameter.
Dim ac
Dim ans
Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")
ac.Open "C:\test templates\demoempl.anx"
For i = 0 To ac.Count - 1
  Set ans = ac.Item(i)
  Response.Write "<br>" + ans.Name
Next
ac.Close

'This example uses a string value (variable name) in the index parameter.
Dim ac
Dim ans
Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")
ac.Open "C:\test templates\demoempl.anx"
Set ans = ac.Item("DadNum", ansTypeNumber)
Response.Write "<br>" + ans.Name
ac.Close

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.Item Method


HotDocs Server Help - AnswerCollection.Open Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.Open Method

This method opens an existing answer file and populates the AnswerCollection. If the answer file does not exist, however, this method will return an error.

Syntax

void Open ( string filePath )

Parameters | Description
filePath | The file system path of the answer file.
Example:
' This example opens a binary (.ANS) answer file in an answer collection, adds answers
' to it, and saves the answer collection in an XML answer file.

Dim ac
Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")

ac.Open "c:\answers\answers.ans"

ac.FileFormat = ansXmlAns

ac.AddAnswer "First Name", 1, "Violet"
ac.AddAnswer "Last Name", 1, "Anderson"

ac.Save "c:\answers\answers.anx"
ac.Close

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.Open Method


HotDocs Server Help - AnswerCollection.OverlayAnswerFile Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.OverlayAnswerFile Method

This method loads answers from the specified answer file into the current answer collection.

Syntax

void OverlayAnswerFile ( string fileName )

Parameters | Description
fileName | The name of the answer file you want used as the overlay answer file.
Example:
ac.OverlayAnswerFile("c:\inetpub\wwwroot\answers\rpttest.ans")

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.OverlayAnswerFile Method


HotDocs Server Help - AnswerCollection.OverlayXMLAnswers Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.OverlayXMLAnswers Method

This method overlays answers contained in the XML string (e.g., from a browser-based interview) into the current answer set.

Syntax

void OverlayXMLAnswers ( string xmlAnswers )

Parameters | Description
xmlAnswers | A string containing an XML answer set.
Example:
Dim ac
Dim ir

Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")
Set ir = Server.CreateObject("HotDocs_Online.InterviewResponse")

ac.OverlayXMLAnswers ir.GetRequestString(Request)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.OverlayXMLAnswers Method


HotDocs Server Help - AnswerCollection.Remove Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.Remove Method

This method removes an answer from the AnswerCollection.

Syntax

void Remove ( object index , HotDocs_Online.ansType VarType , int repeatIndex1 , int repeatIndex2 , int repeatIndex3 , int repeatIndex4 )

Parameters | Description
index | This parameter is either the numeric index of the desired answer in the answer collection or the name of the variable. If it is the variable name, the varType parameter is also required.
VarType | [optional] This is a variable type from the ansType enumeration for the variable whose answer is desired. It is only required if the index parameter is a string (variable name).
repeatIndex1 | [optional] First repeat index for the answer to be removed.
repeatIndex2 | [optional] Second repeat index for the answer to be removed.
repeatIndex3 | [optional] Third repeat index for the answer to be removed.
repeatIndex4 | [optional] Fourth repeat index for the answer to be removed.
Tip: If the repeat indexes are omitted, the first answer value (-1, -1, -1, -1) will be removed.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.Remove Method


HotDocs Server Help - AnswerCollection.Save Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.Save Method

This method saves the answer collection. If you are creating an answer file, you can specify a location on the disk to save it to and use the FileFormat property to specify the type of answer file (either .ANS or .ANX). If you are using a pre-existing answer file, it will save any changes to the file to the location where the answer file resides.

Syntax

void Save ( string filePath )

Parameters | Description
filePath | [optional] The file name and path of the answer file.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.Save Method


HotDocs Server Help - AnswerCollection.SetUploadedAnswers Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.SetUploadedAnswers Method

This method populates an AnswerCollection object with answers posted from a desktop version of HotDocs. In desktop HotDocs, you can specify a component file property that allows answers from an offline interview to be uploaded to a server. The SetUploadedAnswers method accepts these answers, parses them, and populates the answer collection with the results. The first parameter is a variant. It contains a SAFEARRAY of the posted data. This can be obtained in an ASP by a call to Request.BinaryRead. The second parameter (size) is a number which indicates the size (number of bytes) of the SAFEARRAY. There is an extra answer added to the answer collection which indicates the name of the assembled document. The name of the answer is _template_. Querying the answer collection for this answer will return the name of the template given in the Answer History portion of the posted answers.

Syntax

void SetUploadedAnswers ( object answers , int size )

Parameters | Description
answers | The byte-array which contains the answers uploaded from a desktop version of HotDocs. This can be obtained from a call to Request.BinaryRead.
size | The size of the byte-array. This can be obtained by a call to Request.TotalBytes.
Example:
' This example creates an AnswerCollection and populates it with answers uploaded
' from desktop HotDocs. It then determines the name of the template in which the
' answers are given.

dim ac
Set ac = Server.CreateObject ("HotDocs_Online.AnswerCollection")

dim count
count = Request.TotalBytes

dim data
data = Request.BinaryRead (count)

ac.SetUploadedAnswers data, CInt(count)

dim i
dim templatename
for i = 0 to ac.Count -1
  answer.GetAnswer ac,i
  if answer.Name = "_template_" then
    templatename = CStr(answer.Value)
  end if
next

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.SetUploadedAnswers Method


HotDocs Server Help - AnswerCollection.SetXMLAnswers Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.SetXMLAnswers Method

This method populates the AnswerCollection object with an XML string that conforms to the HotDocs Server answer DTD.

Syntax

void SetXMLAnswers ( string xmlAnswers )

Parameters | Description
xmlAnswers | A string which contains the answers in XML format that conforms to the HotDocs Server answer DTD. The XML typically consists of the answers provided during a HotDocs Server interview.
Example:
Dim ac
Dim ir

Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")
Set ir = Server.CreateObject("HotDocs_Online.InterviewResponse")

ac.SetXMLAnswers ir.GetRequestString(Request)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.SetXMLAnswers Method


HotDocs Server Help - AnswerCollection.ValidateXMLAnswerFile Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.ValidateXMLAnswerFile Method

This method loads an XML file and verifies that it conforms to the HotDocs ANX DTD by returning a Boolean value. For example, you can use this method to verify that an XML document is constructed correctly to be used as an XML answer set. It is very similar to ValidateXMLAnswerSet.

Syntax

bool ValidateXMLAnswerFile ( string answerFileName )

Parameters | Description
answerFileName | The file system path to the XML document.

Return Value

Indicates whether or not the XML file is a valid HotDocs XML answer file.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.ValidateXMLAnswerFile Method


HotDocs Server Help - AnswerCollection.ValidateXMLAnswerSet Method

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.ValidateXMLAnswerSet Method

This method loads an XML document and verifies that it conforms to the HotDocs ANX DTD by returning a Boolean value. For example, you can use this method to verify that an XML document is constructed correctly to be used as an XML answer set. It is very similar to ValidateXMLAnswerFile.

Syntax

bool ValidateXMLAnswerSet ( string answers )

Parameters | Description
answers | An XML string of answers to validate.

Return Value

Indicates whether or not the XML string represents a valid XML answer set.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.ValidateXMLAnswerSet Method


HotDocs Server Help - AnswerCollection.ACHandle Property

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.ACHandle Property

[Read-only] This property returns a number that identifies the AnswerCollection.

Syntax

int ACHandle [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.ACHandle Property


HotDocs Server Help - AnswerCollection.Count Property

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.Count Property

[Read-only] This property returns the number of answered variables in an answer collection. Repeat variables are indexed only once.

Syntax

int Count [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.Count Property


HotDocs Server Help - AnswerCollection.FileFormat Property

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.FileFormat Property

[Read/Write] This property sets or returns the answer file format value. The value comes from the ansFileformat enumeration.

After users enter all of the variable information in the interview, the answers are converted to XML format and sent to the server. The server can then store the answers in this folder as binary (.ANS) or XML (.ANX) answer files.

Tip: XML answer files may be validated through the XML document type definition (DTD) published by HotDocs. You can access the pre-2009 DTD at http://support.hotdocs.com/dtd/hotdocs6_ans.dtd. HotDocs 2009 and higher XML answer files use a schema, which is installed in the HotDocs program files folder. Also, despite the W3C specification that XML files do not require an XML declaration tag at the beginning of the document, HotDocs does require that you include the following declaration:

<?xml version=1.0 encoding=Windows-1252 standalone=yes ?>

Tip: As the site administrator, you can determine whether the answers are stored in in the pre-2009 XML format, or in the new HotDocs 2009 and higher XML format once they have been posted to the server. HotDocs 2009-10 cannot save files in the old binary (.ANS) file format.

Syntax

HotDocs_Online.ansFileFormat FileFormat [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.FileFormat Property


HotDocs Server Help - AnswerCollection.fileName Property

  • Help

Methods

  • AnswerCollection.AddAnswer
  • AnswerCollection.Clear
  • AnswerCollection.Close
  • AnswerCollection.GetRptCount
  • AnswerCollection.GetXMLAnswers
  • AnswerCollection.Item
  • AnswerCollection.Open
  • AnswerCollection.OverlayAnswerFile
  • AnswerCollection.OverlayXMLAnswers
  • AnswerCollection.Remove
  • AnswerCollection.Save
  • AnswerCollection.SetUploadedAnswers
  • AnswerCollection.SetXMLAnswers
  • AnswerCollection.ValidateXMLAnswerFile
  • AnswerCollection.ValidateXMLAnswerSet

Properties

  • AnswerCollection.ACHandle
  • AnswerCollection.Count
  • AnswerCollection.FileFormat
  • AnswerCollection.fileName

AnswerCollection.fileName Property

[Read-only] This property specifies the file name of the AnswerCollection.

Syntax

string fileName [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AnswerCollection Object > AnswerCollection.fileName Property


HotDocs Server Help - HotDocs_Online.Assembly Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.Assembly Object

An Assembly represents a single template that HotDocs Server is currently assembling, waiting to assemble, or has already assembled. For example, if you want to assemble a new document, you could do the following:

  1. Create an Assembly object and initialize properties like TemplatePath, AnswerCollection, and DocumentPath.
  2. Call the GetInterview method to present an answer-gathering interview to the user.
  3. Update the AnswerCollection with the answers returned by the interview.
  4. Call the Assemble method to generate the assembled document.

The methods and properties available in the Assembly object provide many ways for you to customize the interview behavior and appearance, and then ultimately generate (assemble) a document.

Interface Information

ProgID: | HotDocs_Online.Assembly.10.1
Version Independent ProgID: | HotDocs_Online.Assembly
CLSID: | {AAB6D88F-94FB-4D75-B844-6C570FD94400}
_Assembly Interface: | IID: {D0CA9105-98CD-495B-8F8C-E2E0183A286F}
_Assembly2 Interface: | IID: {D0CA9105-98CD-495B-8F8C-E2E0183A286F}
_Assembly3 Interface: | IID: {D0CA9107-98CD-495B-8F8C-E2E0183A286F} Default interface introduced in HotDocs Server 10.1
_AssemblyEvents Interface: | IID: {F1420C6D-81B6-4A5C-A5DA-812BE1A64581}

Methods

  • AddCustomInterviewButton
 This method adds a custom button to the interview toolbar. When a user clicks the button, JavaScript code is executed to perform any action you may wish to make available to users of your host application, such as displaying your host application's help file.
  • Assemble
 This method assembles a document.
  • GetInterview
 This method returns a browser-based HTML interview for the Assembly.
  • RemoveCustomInterviewButton
 This method removes a custom button from the interview toolbar. The index parameter is the index of the button returned by AddCustomInterviewButton when the button was created.

Properties

  • AnswerCollection
 [Read/Write] This property is an AnswerCollection object, which represents the answers used in the assembly.
  • AnswerFilePath
 [Read/Write] This property is the path and file name for the answer file used by the assembly.
  • AnswerFilePathData
 [Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the answer file associated with the Assembly object.
  • AssembleMarkupDocument
 [Read/Write] This property indicates whether or not the document will be assembled in Markup View. (The default value comes from the Session.DefaultAssembleMarkupDocument property.)
  • Completed
 [Read/Write] This Boolean property indicates whether or not the Assembly has been completed. Once this property is set to true, HotDocs Server moves it from the Session.Assemblies collection to the Session.CompletedAssemblies collection.
  • ComponentCollection
 [Read-only] This property is a ComponentCollection object, which represents all of the components in the Assembly.
  • DocumentExtension
 [Read-only] This property returns the file name extension for documents created by the Assembly. For example, if the Assembly represents a Word RTF template, this property would return .RTF. Likewise, if the Assembly represents a PDF-based (.HPT) template, this property would return .HPD.
  • documentPath
 [Read/Write] This property is the file name and path of the document to be generated from the Assembly.
  • DocumentPathData
 [Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the document file to be generated by the Assembly object.
  • DocumentPreview
 [Read/Write] This Boolean property indicates whether or not the Document Preview Document Preview button should appear on the interview toolbar. The default value of this property is determined by the Allow document preview setting in the HotDocs Server Management Console.
  • DocumentPreviewUrl
[Read/Write] This property represents the URL of the document preview handler page.
  • FormActionUrl
 [Read/Write] This property is the URL for the page to which interview results are posted.
  • HotDocsCSSUrl
 [Read/Write] This property represents the URL that HotDocs Server should use for the user cascading style sheet (e.g., hdsuser.css). If the Session.DefaultHotDocsCSSUrl property is set, this property is defaulted to that URL.
  • HotDocsImageUrl
 [Read/Write] This property represents the URL that HotDocs Server should use for the image files. If the Session.DefaultHotDocsImageUrl property is set, this property is defaulted to that URL.
  • HotDocsJavascriptUrl
 [Read/Write] This property represents the URL that HotDocs Server should use for JavaScript files. If the Session.DefaultHotDocsJavaScriptUrl property is set, this property is defaulted to that URL.
  • HotDocsVersion
 [Read-only] This property returns the version of HotDocs used to create the template.
  • ID
 [Read-only] A unique identifier (GUID) for the Assembly object.
  • InterviewAnswers
 [Read/Write] A string of answers to overlay on top of the existing answers in the Assembly.
  • InterviewDefinitionUrl
[Read/Write] This property represents the URL where the interview will request its definition.
  • interviewFilePath
 [Read/Write] The file name and path to the interview (.JS) file associated with the Assembly object.
  • InterviewFormat
 [Read/Write] This property specifies the format of the interview--either JavaScript or Silverlight.
  • InterviewVersion
 [Read-only] The version of HotDocs that was used to create the interview.
  • Parent
 [Read-only] The AssemblyCollection object to which the assembly belongs.
  • PendingAssemblies
 [Read-only] This property returns an AssemblyCollection object, which represents all of the assemblies that are pending based on completion of the current assembly. For example, if a template contains two ASSEMBLE instructions, the collection returned by this property would include two Assembly objects—one for each ASSEMBLE instruction. Because HotDocs Server must assemble a template to find any ASSEMBLE instructions, the AssemblyCollection returned by this property is empty until the template has been assembled at least once. Likewise, because logic in a template may conditionally include or exclude an ASSEMBLE instruction, the number of assemblies in this collection may change depending on answers in the AnswerCollection.
  • SaveAnswersPageUrl
 [Read/Write] This property is the URL of a page you can create to handle saving answer files in the middle of an interview. (If the user clicks the [image] Save Answers button on the toolbar, this URL will be loaded to handle that command.)
  • StatelessInterview
[Read/Write] This property indicates whether or not the interview will be stateless. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)
  • Switches
 [Read/Write] This property is a string value that contains all of the command line options used by the assembly. For example, your host application could examine this property to determine if any switches indicate that the interview should not be displayed.
  • TempInterviewPath
 [Read-only] This property indicates the path to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.
  • TempInterviewUrl
 [Read-only] This property indicates the URL to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.
  • templatePath
 [Read/Write] This property is the file name and path of the template.
  • TemplatePathData
 [Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application.
  • TemplateTitle
 [Read/Write] The title of the template being assembled.
  • UnansweredVariables
 [Read-only] This Boolean property indicates whether or not there were unanswered variables when the document was assembled.
  • UnansweredVariablesList
 [Read/Write] This property is a string that contains a serialized list of the unanswered variables.
  • VariableCollection
 [Read-only] This property returns a VariableCollection object, which represents all of the variables asked in the interview.

Home > All About... > HotDocs_Online.Assembly Object


HotDocs Server Help - Assembly.AddCustomInterviewButton Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

How Do I...?

  • Add a custom button to the toolbar

Assembly.AddCustomInterviewButton Method

This method adds a custom button to the interview toolbar. When a user clicks the button, JavaScript code is executed to perform any action you may wish to make available to users of your host application, such as displaying your host application's help file.

Note: Custom buttons are always added to the left of the existing toolbar buttons in the order in which they are added.
Tip: You can also add custom buttons to the toolbar on the client side using the HDAddCustomToolbarButton in the JavaScript API, which also gives you the option of making your button active or inactive.

Syntax

int AddCustomInterviewButton ( string imageUrl , string hotImageUrl , string toolTip , string statusText , string javascript )

Parameter | Description
imageUrl | The URL of an image to use for the custom toolbar button.
hotImageUrl | The URL of an image to use for the custom toolbar button when the user hovers the mouse over it.
toolTip | The text to display as a tooltip when the user hovers the mouse over the button.
statusText | The text to display in the status bar when the user hovers the mouse over the button.
javascript | A block of JavaScript code that will be executed when the user clicks the button. Tip: You can declare a function (or import it into) the page in which the HotDocs Server interview is embedded, and then specify that function like this: MyFunction();

Return Value

The new button's index, which you can later use to remove the button (see RemoveCustomInterviewButton).

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.AddCustomInterviewButton Method


HotDocs Server Help - Assembly.Assemble Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Assemble Method

This method assembles a document.

Syntax

void Assemble ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.Assemble Method


HotDocs Server Help - Assembly.GetInterview Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.GetInterview Method

This method returns a browser-based HTML interview for the Assembly.

Syntax

string GetInterview ( )

Return Value

A string of HTML code that represents the browser-based interview for the Assembly. You can then embed this HTML code in your host application's Web page. (When embedding the interview in a Web page, it is recommended that you do not place anything below the interview. The browser-based interview is designed to expand to the height of the browser window, which would force users to scroll in order to see any text below the interview.)

Caution:

  • For JavaScript interviews, the page of your host application in which you insert the HTML returned by this method must use the HTML Transitional document type:

    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >

    Embedding a JavaScript interview in an XHTML page is not supported.

  • For Silverlight interviews, you must ensure that the Silverlight MIME type is registered in the HDServerFiles\JS application in IIS:

    • Extension: .xap
    • MIME Type: application/x-silverlight-app

    The HotDocs Server install should add this MIME type to IIS automatically when it creates the HDServerFiles virtual directory, but if you create the virtual directory on your own or experience problems with Silverlight interviews, verify that the MIME type exists.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.GetInterview Method


HotDocs Server Help - Assembly.RemoveCustomInterviewButton Method

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.RemoveCustomInterviewButton Method

This method removes a custom button from the interview toolbar. The index parameter is the index of the button returned by AddCustomInterviewButton when the button was created.

Syntax

void RemoveCustomInterviewButton ( int index )

Parameters | Description
index | The index of the custom interview button to remove.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.RemoveCustomInterviewButton Method


HotDocs Server Help - Assembly.AnswerCollection Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AnswerCollection Property

[Read/Write] This property is an AnswerCollection object, which represents the answers used in the assembly.

Syntax

HotDocs_Online.AnswerCollection AnswerCollection [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.AnswerCollection Property


HotDocs Server Help - Assembly.AnswerFilePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AnswerFilePath Property

[Read/Write] This property is the path and file name for the answer file used by the assembly.

Syntax

string AnswerFilePath [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.AnswerFilePath Property


HotDocs Server Help - Assembly.AnswerFilePathData Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AnswerFilePathData Property

[Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the answer file associated with the Assembly object.

Syntax

string AnswerFilePathData [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.AnswerFilePathData Property


HotDocs Server Help - Assembly.AssembleMarkupDocument Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.AssembleMarkupDocument Property

[Read/Write] This property indicates whether or not the document will be assembled in Markup View. (The default value comes from the Session.DefaultAssembleMarkupDocument property.)

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

bool AssembleMarkupDocument [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.AssembleMarkupDocument Property


HotDocs Server Help - Assembly.Completed Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Completed Property

[Read/Write] This Boolean property indicates whether or not the Assembly has been completed. Once this property is set to true, HotDocs Server moves it from the Session.Assemblies collection to the Session.CompletedAssemblies collection.

Syntax

bool Completed [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.Completed Property


HotDocs Server Help - Assembly.ComponentCollection Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.ComponentCollection Property

[Read-only] This property is a ComponentCollection object, which represents all of the components in the Assembly.

Syntax

HotDocs_Online.ComponentCollection ComponentCollection [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.ComponentCollection Property


HotDocs Server Help - Assembly.DocumentExtension Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentExtension Property

[Read-only] This property returns the file name extension for documents created by the Assembly. For example, if the Assembly represents a Word RTF template, this property would return .RTF. Likewise, if the Assembly represents a PDF-based (.HPT) template, this property would return .HPD.

Syntax

string DocumentExtension [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.DocumentExtension Property


HotDocs Server Help - Assembly.documentPath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.documentPath Property

[Read/Write] This property is the file name and path of the document to be generated from the Assembly.

Syntax

string documentPath [ get, set ]

Tip: HotDocs Server can automatically convert assembled RTF documents to PDF, HTML, or TXT files. The file name extension in this property determines the type of file generated from the Assembly.
Caution:When converting an RTF document to PDF, HotDocs Server uses a built-in PDF converter, which analyzes the codes contained in the RTF file and translates them to PDF. This differs from the method used by other third-party PDF converters, which rely on an instance of Microsoft Word on the server from which the document is "printed" using a driver to create the PDF document. PDF documents created using a PDF driver can typically handle a greater number of formatting variations, while the PDF conversion method used by HotDocs Server works best for documents with simpler formatting. If you use HotDocs Server's built-in PDF conversion, some formatting differences will exist between the original RTF and the PDF.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.documentPath Property


HotDocs Server Help - Assembly.DocumentPathData Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentPathData Property

[Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application. For example, you could set it to the file name (without the path) of the document file to be generated by the Assembly object.

Syntax

string DocumentPathData [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.DocumentPathData Property


HotDocs Server Help - Assembly.DocumentPreview Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentPreview Property

[Read/Write] This Boolean property indicates whether or not the Document Preview Document Preview button should appear on the interview toolbar. The default value of this property is determined by the Allow document preview setting in the HotDocs Server Management Console.

Syntax

bool DocumentPreview [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.DocumentPreview Property


HotDocs Server Help - Assembly.DocumentPreviewUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.DocumentPreviewUrl Property

[Read/Write] This property represents the URL of the document preview handler page.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

string DocumentPreviewUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.DocumentPreviewUrl Property


HotDocs Server Help - Assembly.FormActionUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.FormActionUrl Property

[Read/Write] This property is the URL for the page to which interview results are posted.

Syntax

string FormActionUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.FormActionUrl Property


HotDocs Server Help - Assembly.HotDocsCSSUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsCSSUrl Property

[Read/Write] This property represents the URL that HotDocs Server should use for the user cascading style sheet (e.g., hdsuser.css). If the Session.DefaultHotDocsCSSUrl property is set, this property is defaulted to that URL.

Tip: If you wish to customize the interview style sheets, make a copy of the existing hdsuser.css and hdsuser.xaml style sheets, and place them in the same folder as the originals. You can then update the URL to point to your modified .CSS file. Also note that although Silverlight interviews primarily use the .XAML file as the style sheet, there are still some aspects of the interview controlled by the .CSS file. As such, if you make modifications to the style sheets, you should always make a copy of both files and give the copied files the same base file name so that HotDocs Server can find the .XAML file based on the path to the .CSS file.

Syntax

string HotDocsCSSUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.HotDocsCSSUrl Property


HotDocs Server Help - Assembly.HotDocsImageUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsImageUrl Property

[Read/Write] This property represents the URL that HotDocs Server should use for the image files. If the Session.DefaultHotDocsImageUrl property is set, this property is defaulted to that URL.

Syntax

string HotDocsImageUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.HotDocsImageUrl Property


HotDocs Server Help - Assembly.HotDocsJavascriptUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsJavascriptUrl Property

[Read/Write] This property represents the URL that HotDocs Server should use for JavaScript files. If the Session.DefaultHotDocsJavaScriptUrl property is set, this property is defaulted to that URL.

Syntax

string HotDocsJavascriptUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.HotDocsJavascriptUrl Property


HotDocs Server Help - Assembly.HotDocsVersion Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.HotDocsVersion Property

[Read-only] This property returns the version of HotDocs used to create the template.

Syntax

HotDocs_Online.HotDocsVersion HotDocsVersion [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.HotDocsVersion Property


HotDocs Server Help - Assembly.ID Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.ID Property

[Read-only] A unique identifier (GUID) for the Assembly object.

Syntax

string ID [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.ID Property


HotDocs Server Help - Assembly.InterviewAnswers Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewAnswers Property

[Read/Write] A string of answers to overlay on top of the existing answers in the Assembly.

Syntax

string InterviewAnswers [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.InterviewAnswers Property


HotDocs Server Help - Assembly.InterviewDefinitionUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewDefinitionUrl Property

[Read/Write] This property represents the URL where the interview will request its definition.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

string InterviewDefinitionUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.InterviewDefinitionUrl Property


HotDocs Server Help - Assembly.interviewFilePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.interviewFilePath Property

[Read/Write] The file name and path to the interview (.JS) file associated with the Assembly object.

Syntax

string interviewFilePath [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.interviewFilePath Property


HotDocs Server Help - Assembly.InterviewFormat Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewFormat Property

[Read/Write] This property specifies the format of the interview--either JavaScript or Silverlight.

Tip: This property was introduced in HotDocs Server 10.

Syntax

HotDocs_Online.interviewFormat InterviewFormat [ get, set ]

Note: The Silverlight 3 runtime engine required to display Silverlight interviews is only available for 32-bit browsers.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.InterviewFormat Property


HotDocs Server Help - Assembly.InterviewVersion Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.InterviewVersion Property

[Read-only] The version of HotDocs that was used to create the interview.

Syntax

string InterviewVersion [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.InterviewVersion Property


HotDocs Server Help - Assembly.Parent Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Parent Property

[Read-only] The AssemblyCollection object to which the assembly belongs.

Syntax

HotDocs_Online.AssemblyCollection Parent [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.Parent Property


HotDocs Server Help - Assembly.PendingAssemblies Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.PendingAssemblies Property

[Read-only] This property returns an AssemblyCollection object, which represents all of the assemblies that are pending based on completion of the current assembly. For example, if a template contains two ASSEMBLE instructions, the collection returned by this property would include two Assembly objects—one for each ASSEMBLE instruction. Because HotDocs Server must assemble a template to find any ASSEMBLE instructions, the AssemblyCollection returned by this property is empty until the template has been assembled at least once. Likewise, because logic in a template may conditionally include or exclude an ASSEMBLE instruction, the number of assemblies in this collection may change depending on answers in the AnswerCollection.

Syntax

HotDocs_Online.AssemblyCollection PendingAssemblies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.PendingAssemblies Property


HotDocs Server Help - Assembly.SaveAnswersPageUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.SaveAnswersPageUrl Property

[Read/Write] This property is the URL of a page you can create to handle saving answer files in the middle of an interview. (If the user clicks the [image] Save Answers button on the toolbar, this URL will be loaded to handle that command.)

Syntax

string SaveAnswersPageUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.SaveAnswersPageUrl Property


HotDocs Server Help - Assembly.StatelessInterview Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.StatelessInterview Property

[Read/Write] This property indicates whether or not the interview will be stateless. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

bool StatelessInterview [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.StatelessInterview Property


HotDocs Server Help - Assembly.Switches Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.Switches Property

[Read/Write] This property is a string value that contains all of the command line options used by the assembly. For example, your host application could examine this property to determine if any switches indicate that the interview should not be displayed.

Syntax

string Switches [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.Switches Property


HotDocs Server Help - Assembly.TempInterviewPath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TempInterviewPath Property

[Read-only] This property indicates the path to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.

Syntax

string TempInterviewPath [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.TempInterviewPath Property


HotDocs Server Help - Assembly.TempInterviewUrl Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TempInterviewUrl Property

[Read-only] This property indicates the URL to a folder where temporary files are created during the interview. For example, when an interview is displayed that uses Image dialog elements, the image files are copied to this folder so the browser interview can find them. Likewise, when HotDocs Server generates a document preview, the files it creates for the document preview are placed in this folder. Files in this folder are automatically deleted at an appropriate time after completing the assembly.

Syntax

string TempInterviewUrl [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.TempInterviewUrl Property


HotDocs Server Help - Assembly.templatePath Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.templatePath Property

[Read/Write] This property is the file name and path of the template.

Syntax

string templatePath [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.templatePath Property


HotDocs Server Help - Assembly.TemplatePathData Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TemplatePathData Property

[Read/Write] This property is not used by HotDocs Server, but you may choose to set it to a string that is useful for your host application.

Syntax

string TemplatePathData [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.TemplatePathData Property


HotDocs Server Help - Assembly.TemplateTitle Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.TemplateTitle Property

[Read/Write] The title of the template being assembled.

Syntax

string TemplateTitle [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.TemplateTitle Property


HotDocs Server Help - Assembly.UnansweredVariables Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.UnansweredVariables Property

[Read-only] This Boolean property indicates whether or not there were unanswered variables when the document was assembled.

Syntax

bool UnansweredVariables [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.UnansweredVariables Property


HotDocs Server Help - Assembly.UnansweredVariablesList Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.UnansweredVariablesList Property

[Read/Write] This property is a string that contains a serialized list of the unanswered variables.

Syntax

string UnansweredVariablesList [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.UnansweredVariablesList Property


HotDocs Server Help - Assembly.VariableCollection Property

  • Help

Methods

  • Assembly.AddCustomInterviewButton
  • Assembly.Assemble
  • Assembly.GetInterview
  • Assembly.RemoveCustomInterviewButton

Properties

  • Assembly.AnswerCollection
  • Assembly.AnswerFilePath
  • Assembly.AnswerFilePathData
  • Assembly.AssembleMarkupDocument
  • Assembly.Completed
  • Assembly.ComponentCollection
  • Assembly.DocumentExtension
  • Assembly.documentPath
  • Assembly.DocumentPathData
  • Assembly.DocumentPreview
  • Assembly.DocumentPreviewUrl
  • Assembly.FormActionUrl
  • Assembly.HotDocsCSSUrl
  • Assembly.HotDocsImageUrl
  • Assembly.HotDocsJavascriptUrl
  • Assembly.HotDocsVersion
  • Assembly.ID
  • Assembly.InterviewAnswers
  • Assembly.InterviewDefinitionUrl
  • Assembly.interviewFilePath
  • Assembly.InterviewFormat
  • Assembly.InterviewVersion
  • Assembly.Parent
  • Assembly.PendingAssemblies
  • Assembly.SaveAnswersPageUrl
  • Assembly.StatelessInterview
  • Assembly.Switches
  • Assembly.TempInterviewPath
  • Assembly.TempInterviewUrl
  • Assembly.templatePath
  • Assembly.TemplatePathData
  • Assembly.TemplateTitle
  • Assembly.UnansweredVariables
  • Assembly.UnansweredVariablesList
  • Assembly.VariableCollection

Assembly.VariableCollection Property

[Read-only] This property returns a VariableCollection object, which represents all of the variables asked in the interview.

Syntax

HotDocs_Online.VariableCollection VariableCollection [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Assembly Object > Assembly.VariableCollection Property


HotDocs Server Help - HotDocs_Online.AssemblyCollection Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.AssemblyCollection Object

An AssemblyCollection represents a group of Assembly objects (templates) that HotDocs Server is either waiting to assemble, or has already assembled. In desktop HotDocs, this object would be analogous to the assembly queue. Using this object, your application can first add any number of templates to the queue and then let HotDocs Server assemble each document in turn.

The AssemblyCollection is used by Session.Assemblies, Session.CompletedAssemblies, and Assembly.PendingAssemblies.

Interface Information

ProgID: | HotDocs_Online.AssemblyCollection.10.1
Version Independent ProgID: | HotDocs_Online.AssemblyCollection
CLSID: | {FEC4AC4D-2E74-4C1E-8401-82407041678E}
_AssemblyCollection Interface: | IID: {CD6BCACD-BB69-473E-A4EE-38E1E8FD9012} default.
_AssemblyCollectionEvents Interface: | IID: {BA309565-0867-4D87-A7A4-9079E86D4604}

Methods

  • Add
 This method adds a new Assembly to the AssemblyCollection.
  • Clear
 This method removes all assemblies from the AssemblyCollection.
  • Insert
 This method inserts an Assembly to the AssemblyCollection at the specified index.
  • Item
 This method returns the specified item from the AssemblyCollection.
  • Remove
 This method removes the first occurrence of a specific Assembly from the AssemblyCollection.

Properties

  • Count
 [Read-only] This property returns the number of Assembly objects in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AssemblyCollection Object


HotDocs Server Help - AssemblyCollection.Add Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.Clear
  • AssemblyCollection.Insert
  • AssemblyCollection.Item
  • AssemblyCollection.Remove

Properties

  • AssemblyCollection.Count

AssemblyCollection.Add Method

This method adds a new Assembly to the AssemblyCollection.

Syntax

int Add ( HotDocs_Online.Assembly newVal )

Parameters | Description
newVal | A new Assembly object to add to the AssemblyCollection.

Return Value

The index of the new Assembly in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AssemblyCollection Object > AssemblyCollection.Add Method


HotDocs Server Help - AssemblyCollection.Clear Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.Clear
  • AssemblyCollection.Insert
  • AssemblyCollection.Item
  • AssemblyCollection.Remove

Properties

  • AssemblyCollection.Count

AssemblyCollection.Clear Method

This method removes all assemblies from the AssemblyCollection.

Syntax

void Clear ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AssemblyCollection Object > AssemblyCollection.Clear Method


HotDocs Server Help - AssemblyCollection.Insert Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.Clear
  • AssemblyCollection.Insert
  • AssemblyCollection.Item
  • AssemblyCollection.Remove

Properties

  • AssemblyCollection.Count

AssemblyCollection.Insert Method

This method inserts an Assembly to the AssemblyCollection at the specified index.

Syntax

void Insert ( HotDocs_Online.Assembly newVal , int newPos )

Parameters | Description
newVal | The new Assembly object to add to the collection.
newPos | The index in the collection at which the Assembly object will be inserted.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AssemblyCollection Object > AssemblyCollection.Insert Method


HotDocs Server Help - AssemblyCollection.Item Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.Clear
  • AssemblyCollection.Insert
  • AssemblyCollection.Item
  • AssemblyCollection.Remove

Properties

  • AssemblyCollection.Count

AssemblyCollection.Item Method

This method returns the specified item from the AssemblyCollection.

Syntax

HotDocs_Online.Assembly Item ( object index )

Parameters | Description
index | The index of the Assembly to return.

Return Value

The Assembly at the specified index in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AssemblyCollection Object > AssemblyCollection.Item Method


HotDocs Server Help - AssemblyCollection.Remove Method

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.Clear
  • AssemblyCollection.Insert
  • AssemblyCollection.Item
  • AssemblyCollection.Remove

Properties

  • AssemblyCollection.Count

AssemblyCollection.Remove Method

This method removes the first occurrence of a specific Assembly from the AssemblyCollection.

Syntax

void Remove ( object index )

Parameters | Description
index | The index of the Assembly object to remove from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AssemblyCollection Object > AssemblyCollection.Remove Method


HotDocs Server Help - AssemblyCollection.Count Property

  • Help

Methods

  • AssemblyCollection.Add
  • AssemblyCollection.Clear
  • AssemblyCollection.Insert
  • AssemblyCollection.Item
  • AssemblyCollection.Remove

AssemblyCollection.Count Property

[Read-only] This property returns the number of Assembly objects in the collection.

Syntax

int Count [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.AssemblyCollection Object > AssemblyCollection.Count Property


HotDocs Server Help - HotDocs_Online.Component Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.Component Object

A Component represents a single HotDocs component, such as a variable or a dialog. Using this object, you can find out general information about the component, such as its Name or Prompt. For more detailed information about a component, such as a Multiple Choice variable's options, you can also look at the component's Properties.

Interface Information

ProgID: | HotDocs_Online.Component.10.1
Version Independent ProgID: | HotDocs_Online.Component
CLSID: | {F1917784-9BE5-47E7-96BF-4163012CCBDD}
_Component Interface: | IID: {FF08C125-DB3E-43B8-A8E0-352E975222CD} default.

Properties

  • Name
 [Read-only] This string property returns the name of the component.
  • Prompt
 [Read-only] This string property returns the prompt of the component.
  • Properties
 [Read-only] This property returns a ComponentProperties collection, which is a collection of all properties associated with the Component object. Each property in the collection is in turn represented by a ComponentProperty object.
  • Type
 [Read-only] This property returns the component's type, which is a value from the hdCmpType enumeration.

Home > All About... > HotDocs_Online.Component Object


HotDocs Server Help - Component.Name Property

  • Help

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Name Property

[Read-only] This string property returns the name of the component.

Syntax

string Name [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Component Object > Component.Name Property


HotDocs Server Help - Component.Prompt Property

  • Help

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Prompt Property

[Read-only] This string property returns the prompt of the component.

Syntax

string Prompt [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Component Object > Component.Prompt Property


HotDocs Server Help - Component.Properties Property

  • Help

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Properties Property

[Read-only] This property returns a ComponentProperties collection, which is a collection of all properties associated with the Component object. Each property in the collection is in turn represented by a ComponentProperty object.

Syntax

HotDocs_Online.ComponentProperties Properties [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Component Object > Component.Properties Property


HotDocs Server Help - Component.Type Property

  • Help

Properties

  • Component.Name
  • Component.Prompt
  • Component.Properties
  • Component.Type

Component.Type Property

[Read-only] This property returns the component's type, which is a value from the hdCmpType enumeration.

Syntax

HotDocs_Online.hdCmpType Type [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Component Object > Component.Type Property


HotDocs Server Help - HotDocs_Online.ComponentCollection Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.ComponentCollection Object

A ComponentCollection represents a HotDocs component file, which is a collection of Component objects like variables and dialogs. You can use a ComponentCollection in your host application to read and use information stored in a template's component file.

Interface Information

ProgID: | HotDocs_Online.ComponentCollection.10.1
Version Independent ProgID: | HotDocs_Online.ComponentCollection
CLSID: | {30AB3CAC-9B48-4DF9-9307-81C34B74A782}
_ComponentCollection Interface: | IID: {75EC5331-1364-47B2-B03C-7C29BFD90227} default.

Methods

  • Item
This method returns a specific Component from the ComponentCollection.
  • Open
 This method opens the specified component file and populates the ComponentCollection.

Properties

  • CmpVersion
 [Read-only] This property returns the version number of the ComponentCollection.
  • Count
 [Read-only] This property returns the number of components in the ComponentCollection.
  • Description
 [Read-only] This property returns the description of the ComponentCollection.
  • Title
 [Read-only] This property returns the title of the ComponentCollection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentCollection Object


HotDocs Server Help - ComponentCollection.Item Method

  • Help

Methods

  • ComponentCollection.Item
  • ComponentCollection.Open

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Item Method

This method returns a specific Component from the ComponentCollection.

Syntax

HotDocs_Online.Component Item ( int index )

Parameters | Description
index | The index of the Component to return.

Return Value

The specified Component from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentCollection Object > ComponentCollection.Item Method


HotDocs Server Help - ComponentCollection.Open Method

  • Help

Methods

  • ComponentCollection.Item
  • ComponentCollection.Open

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Open Method

This method opens the specified component file and populates the ComponentCollection.

Syntax

void Open ( string fileName , HotDocs_Online.CMPOpenOptions options )

Parameters | Description
fileName | The file name and path of the HotDocs component (.CMP) file to open.
options | The options for opening the component file.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentCollection Object > ComponentCollection.Open Method


HotDocs Server Help - ComponentCollection.CmpVersion Property

  • Help

Methods

  • ComponentCollection.Item
  • ComponentCollection.Open

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.CmpVersion Property

[Read-only] This property returns the version number of the ComponentCollection.

Syntax

int CmpVersion [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentCollection Object > ComponentCollection.CmpVersion Property


HotDocs Server Help - ComponentCollection.Count Property

  • Help

Methods

  • ComponentCollection.Item
  • ComponentCollection.Open

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Count Property

[Read-only] This property returns the number of components in the ComponentCollection.

Syntax

int Count [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentCollection Object > ComponentCollection.Count Property


HotDocs Server Help - ComponentCollection.Description Property

  • Help

Methods

  • ComponentCollection.Item
  • ComponentCollection.Open

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Description Property

[Read-only] This property returns the description of the ComponentCollection.

Syntax

string Description [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentCollection Object > ComponentCollection.Description Property


HotDocs Server Help - ComponentCollection.Title Property

  • Help

Methods

  • ComponentCollection.Item
  • ComponentCollection.Open

Properties

  • ComponentCollection.CmpVersion
  • ComponentCollection.Count
  • ComponentCollection.Description
  • ComponentCollection.Title

ComponentCollection.Title Property

[Read-only] This property returns the title of the ComponentCollection.

Syntax

string Title [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentCollection Object > ComponentCollection.Title Property


HotDocs Server Help - HotDocs_Online.ComponentProperties Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.ComponentProperties Object

ComponentProperties represents a collection of ComponentProperty objects. Each HotDocs component (e.g., variable, dialog, etc.) contains a ComponentProperties collection that defines the component. For example, one property that every component contains is its name. Using this object, your host application could read the properties of any HotDocs component and use that information to change certain behavior of your application.

Interface Information

ProgID: | HotDocs_Online.ComponentProperties.10.1
Version Independent ProgID: | HotDocs_Online.ComponentProperties
CLSID: | {212E757C-6EC6-4FCB-BB11-8557F09BB2F1}
_ComponentProperties Interface: | IID: {C19EA04A-64FB-4782-9AE1-7BE8F6987316} default.

Methods

  • Item
This method returns the specified ComponentProperty from the ComponentProperties collection.

Properties

  • Count
 [Read-only] This property returns the number of components in the ComponentProperties collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentProperties Object


HotDocs Server Help - ComponentProperties.Item Method

  • Help

Properties

  • ComponentProperties.Count

ComponentProperties.Item Method

This method returns the specified ComponentProperty from the ComponentProperties collection.

Syntax

HotDocs_Online.ComponentProperty Item ( object index )

Parameters | Description
index | The index of the ComponentProperty to return.

Return Value

The specified ComponentProperty from the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentProperties Object > ComponentProperties.Item Method


HotDocs Server Help - ComponentProperties.Count Property

  • Help

Methods

  • ComponentProperties.Item

ComponentProperties.Count Property

[Read-only] This property returns the number of components in the ComponentProperties collection.

Syntax

int Count [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentProperties Object > ComponentProperties.Count Property


HotDocs Server Help - HotDocs_Online.ComponentProperty Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.ComponentProperty Object

A ComponentProperty represents a specific property of a HotDocs component. For example, it may be the title or prompt of a variable.

Interface Information

ProgID: | HotDocs_Online.ComponentProperty.10.1
Version Independent ProgID: | HotDocs_Online.ComponentProperty
CLSID: | {56FB8CD2-14D2-43A1-8F51-5DC1D0CB0357}
_ComponentProperty Interface: | IID: {73E55BF2-84DE-4D35-B101-FBAF83A2B433} default.

Properties

  • Name
 [Read-only] This property returns the name of the ComponentProperty.
  • Value
 [Read-only] This property returns the value of the ComponentProperty.
  • VariantType
[Read-only] This property returns the type of value of the ComponentProperty.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentProperty Object


HotDocs Server Help - ComponentProperty.Name Property

  • Help

Properties

  • ComponentProperty.Name
  • ComponentProperty.Value
  • ComponentProperty.VariantType

ComponentProperty.Name Property

[Read-only] This property returns the name of the ComponentProperty.

Syntax

string Name [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentProperty Object > ComponentProperty.Name Property


HotDocs Server Help - ComponentProperty.Value Property

  • Help

Properties

  • ComponentProperty.Name
  • ComponentProperty.Value
  • ComponentProperty.VariantType

ComponentProperty.Value Property

[Read-only] This property returns the value of the ComponentProperty.

Syntax

object Value [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentProperty Object > ComponentProperty.Value Property


HotDocs Server Help - ComponentProperty.VariantType Property

  • Help

Properties

  • ComponentProperty.Name
  • ComponentProperty.Value
  • ComponentProperty.VariantType

ComponentProperty.VariantType Property

[Read-only] This property returns the type of value of the ComponentProperty.

Syntax

int VariantType [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.ComponentProperty Object > ComponentProperty.VariantType Property


HotDocs Server Help - HotDocs_Online.Dependency Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.Dependency Object

This object represents a single dependency (file) that is required by a template. A dependency may be a template, component, image, or any other kind of file required by the template.

Interface Information

ProgID: | HotDocs_Online.Dependency.10.1
Version Independent ProgID: | HotDocs_Online.Dependency
CLSID: | {49C9FF42-9559-43EA-91C2-FD79CF9CD9B5}
_Dependency Interface: | IID: {FD02445F-A1FB-4024-B062-B05C87094A07} Default interface introduced in HotDocs Server 10.1.

Properties

  • Dependencies
[Read-only] This property returns a collection of depenencies on which the current dependency depends.
  • DependencyType
[Read-only] This property returns one of the values from the DependencyType Enumeration that indicates what kind of dependency it is.
  • Target
[Read-only] This property returns the target name of the dependency. For example, if your template contains an INSERT instruction, the target of the dependency as a result of that instruction is the name of the template file being inserted.

Home > All About... > HotDocs_Online.Dependency Object


HotDocs Server Help - Dependency.Dependencies Property

  • Help

Properties

  • Dependency.Dependencies
  • Dependency.DependencyType
  • Dependency.Target

Dependency.Dependencies Property

[Read-only] This property returns a collection of depenencies on which the current dependency depends.

Syntax

HotDocs_Online.DependencyCollection Dependencies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Dependency Object > Dependency.Dependencies Property


HotDocs Server Help - Dependency.DependencyType Property

  • Help

Properties

  • Dependency.Dependencies
  • Dependency.DependencyType
  • Dependency.Target

Dependency.DependencyType Property

[Read-only] This property returns one of the values from the DependencyType Enumeration that indicates what kind of dependency it is.

Syntax

HotDocs_Online.DependencyType DependencyType [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Dependency Object > Dependency.DependencyType Property


HotDocs Server Help - Dependency.Target Property

  • Help

Properties

  • Dependency.Dependencies
  • Dependency.DependencyType
  • Dependency.Target

Dependency.Target Property

[Read-only] This property returns the target name of the dependency. For example, if your template contains an INSERT instruction, the target of the dependency as a result of that instruction is the name of the template file being inserted.

Syntax

string Target [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Dependency Object > Dependency.Target Property


HotDocs Server Help - HotDocs_Online.DependencyCollection Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.DependencyCollection Object

This object represents a collection of Dependency objects, which are required by a given template. This collection may be accessed through the TemplateInfo object.

Interface Information

ProgID: | HotDocs_Online.DependencyCollection.10.1
Version Independent ProgID: | HotDocs_Online.DependencyCollection
CLSID: | {1BC2F2E9-4182-442C-9E0D-7793FE424007}
_DependencyCollection Interface: | IID: {CE455115-1E62-43D7-9484-75FD21C12C4E} Default interface introduced in HotDocs Server 10.1.

Methods

  • GetEnumerator
 This method returns an IEnumerator, which you can use to iterate through all dependencies in the collection.
  • Item
 This method returns a specific Dependency object from the collection.

Properties

  • Count
[Read-only] This property returns the number of dependencies in the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.DependencyCollection Object


HotDocs Server Help - DependencyCollection.GetEnumerator Method

  • Help

Methods

  • DependencyCollection.GetEnumerator
  • DependencyCollection.Item

Properties

  • DependencyCollection.Count

DependencyCollection.GetEnumerator Method

This method returns an IEnumerator, which you can use to iterate through all dependencies in the collection.

Syntax

IEnumerator GetEnumerator ()

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.DependencyCollection Object > DependencyCollection.GetEnumerator Method


HotDocs Server Help - DependencyCollection.Item Method

  • Help

Methods

  • DependencyCollection.GetEnumerator
  • DependencyCollection.Item

Properties

  • DependencyCollection.Count

DependencyCollection.Item Method

This method returns a specific Dependency object from the collection.

Syntax

HotDocs.Dependency Item ( int index )

Parameters | Description
index | The index number of the dependency to retrieve.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.DependencyCollection Object > DependencyCollection.Item Method


HotDocs Server Help - DependencyCollection.Count Property

  • Help

Methods

  • DependencyCollection.GetEnumerator
  • DependencyCollection.Item

DependencyCollection.Count Property

[Read-only] This property returns the number of dependencies in the collection.

Syntax

int Count [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.DependencyCollection Object > DependencyCollection.Count Property


HotDocs Server Help - HotDocs_Online.FileCollection Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.FileCollection Object

This object represents an ordered set of strings representing file paths. It is used to manipulate the assembly queue and the set of inserted files encountered during an assembly. For example, when a template is assembled that contains one or more ASSEMBLE instructions, the templates in those ASSEMBLE instructions are added to the assembly queue (Application.Assemblies). Likewise, when HotDocs Server assembles a template that contains INSERT instructions, the list of templates in those INSERT instructions is added to the Application.InsertedTemplates list.

For FileCollection objects that represent a list of templates waiting to be assembled, your host application can then iterate through the collection to assemble each template in the list. As each document is assembled, you could add the file names of the assembled documents to a separate FileCollection object. Finally, once all documents have been assembled, you could use the SaveAsZipFile method on that collection of assembled documents to package the documents into a single ZIP file, or you could use the Application.AppendDocumentFile method to append all of the assembled documents together to create one large document.

Interface Information

ProgID: | HotDocs_Online.FileCollection.10.1
Version Independent ProgID: | HotDocs_Online.FileCollection
CLSID: | {4CFDF711-79D6-401E-AE92-9AE7DCBFCA93}
_FileCollection Interface: | IID: {43A277DB-74B6-473F-9BDF-3F6B29338A36}
_FileCollectionEvents Interface: | IID: {17B91800-A42F-4825-BB52-19A95588D3C4}

Methods

  • Add
 This method adds a new file path to the FileCollection.
  • Clear
 This method removes all file names from the FileCollection.
  • CopyFile
 This method copies a file from one index in the FileCollection to another. The contents of the file at the second index (destindex) are replaced by the contents of the file at the first index (srcindex).
  • CreateCollectionFromZipFile
 This method extracts files from a .ZIP file and adds the file names (including file path) to the FileCollection.
  • DeleteFile
 This method deletes the specified file from disk. It does not remove the file name from the FileCollection, however. (To remove it from the collection, use the Remove method.)
  • Insert
 This method inserts a new file name (and path) to the FileCollection at a specific location.
  • Item
 This method returns the specified string from the collection.
  • Move
 This method moves a file name from one location to another within the FileCollection.
  • PrependSafeArray
 This method adds the contents of an array to the beginning of an existing FileCollection. This is useful when adding new entries to the assembly queue.
  • Remove
 This method removes a file name from the FileCollection.
  • SaveAsZipFile
 This method adds each file represented by a file name in the FileCollection to a .ZIP file.

Properties

  • AsSafeArray
 [Read/Write] This property sets or returns the list of file names in the FileCollection a safe array. You can then add this array of file names to the beginning of another FileCollection object using the PrependSafeArray method.
  • AsString
 [Read/Write] This property sets or returns the list of file names in the FileCollection as a delimited string. This is useful for passing the contents of the collection across HTTP requests.
  • Count
 [Read-only] This property returns the number of file names in the FileCollection.

Home > All About... > HotDocs_Online.FileCollection Object


HotDocs Server Help - FileCollection.Add Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.Add Method

This method adds a new file path to the FileCollection.

Syntax

void Add ( object newVal )

Parameters | Description
newVal | A file path to add to the collection.
Example:

Example Code (C#)

//This example adds three files to a FileCollection.
HotDocs_Online.FileCollection fc = new HotDocs_Online.FileCollection();
fc.Add("c:\\temp\\File1.rtf");
fc.Add("c:\\temp\\File2.rtf");
fc.Add("c:\\temp\\File3.rtf");
Example:

Example Code (Visual Basic)

' This example adds two files to a file collection and then displays the number
' of files in the collection. Finally, it displays the files in the collection
' as a delimited string.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

Response.Write fc.Count & "<br>"
Response.Write fc.AsString

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.Add Method


HotDocs Server Help - FileCollection.Clear Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.Clear Method

This method removes all file names from the FileCollection.

Syntax

void Clear( )

Example:

Example Code (C#)

//This example adds three files to a FileCollection, then removes them.

HotDocs_Online.FileCollection fc = new HotDocs_Online.FileCollection();
fc.Add("c:\\temp\\File1.rtf");
fc.Add("c:\\temp\\File2.rtf");
fc.Add("c:\\temp\\File3.rtf");
fc.Clear();
Example:

Example Code (Visual Basic)

' This example adds two files to a file collection and then displays the number
' of files in the collection. Then it clears the collection and displays the
' updated count indicating that it is empty.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

Response.Write fc.Count & "<br>"
fc.Clear
Response.Write fc.Count

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.Clear Method


HotDocs Server Help - FileCollection.CopyFile Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.CopyFile Method

This method copies a file from one index in the FileCollection to another. The contents of the file at the second index (destindex) are replaced by the contents of the file at the first index (srcindex).

Syntax

void CopyFile ( int srcindex , int destindex )

Parameters | Description
srcindex | The 0-based index of the source file name in the collection.
destindex | The 0-based index of the destination file name in the collection.
Example:
//This example adds three files to a FileCollection. It then replaces the contents of the third file
//with the contents of the first.

HotDocs_Online.FileCollection fc = new HotDocs_Online.FileCollection();
fc.Add("c:\\temp\\File1.rtf");
fc.Add("c:\\temp\\File2.rtf");
fc.Add("c:\\temp\\File3.rtf");
fc.CopyFile(0, 2);

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.CopyFile Method


HotDocs Server Help - FileCollection.CreateCollectionFromZipFile Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.CreateCollectionFromZipFile Method

This method extracts files from a .ZIP file and adds the file names (including file path) to the FileCollection.

Syntax

void CreateCollectionFromZipFile ( string zipFilePath , string destinationDir )

Parameters | Description
zipFilePath | The file system path for the .ZIP file.
destinationDir | The file system path for the folder where the .ZIP file should be extracted.
Example:
' This example extracts files from a zip file and adds them to a file collection.
' Then it displays the file name and path for each file in the collection.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.CreateCollectionFromZipFile "c:\inetpub\wwwroot\files\zipped.zip", "c:\inetpub\wwwroot\temp"

for i = 0 to (fc.Count - 1)
Response.Write fc.Item(i) & "<br>"
next

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.CreateCollectionFromZipFile Method


HotDocs Server Help - FileCollection.DeleteFile Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.DeleteFile Method

This method deletes the specified file from disk. It does not remove the file name from the FileCollection, however. (To remove it from the collection, use the Remove method.)

Syntax

void DeleteFile ( int index )

Parameters | Description
index | The 0-based index of the file name in the collection.
Example:
' This example adds a file to a file collection and then deletes the
' file and removes it from the collection.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.DeleteFile fc.Count - 1
fc.Remove fc.Count - 1

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.DeleteFile Method


HotDocs Server Help - FileCollection.Insert Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.Insert Method

This method inserts a new file name (and path) to the FileCollection at a specific location.

Syntax

void Insert ( int index, object newVal)

Parameters | Description
index | The 0-based index representing the location to insert the new string.
newVal | The string to be added to the collection.
Example:

Example Code (C#)

                //This example adds two files to a file collection and then displays the number
                //of files in the collection and a delimited string containing the file path and
                //name of each file in the collection. Then it adds another file to the collection
                //between the two existing files and displays the updated count and delimited string.

                HotDocs_Online.FileCollection fc = new HotDocs_Online.FileCollection();

                fc.Add("c:\\inetpub\\wwwroot\\files\\demoempl.rtf");
                fc.Add("c:\\inetpub\\wwwroot\\files\\clauses.rtf");

                Console.WriteLine(fc.Count.ToString());
                Console.WriteLine(fc.AsString);

                fc.Insert(1, "c:\\inetpub\\wwwroot\\files\\lifeappl.hft");

                Console.WriteLine(fc.Count.ToString());
                Console.WriteLine(fc.AsString);
Example:

Example Code (Visual Basic)

                ' This example adds two files to a file collection and then displays the number
                ' of files in the collection and a delimited string containing the file path and
                ' name of each file in the collection. Then it adds another file to the collection
                ' between the two existing files and displays the updated count and delimited string.

                Dim fc
                Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

                fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
                fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

                Response.Write fc.Count & "<br>"
                    Response.Write fc.AsString & "<br>"

                        fc.Insert 1, "c:\inetpub\wwwroot\files\lifeappl.hft"

                        Response.Write fc.Count & "<br>"
                            Response.Write fc.AsString

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.Insert Method


HotDocs Server Help - FileCollection.Item Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.Item Method

This method returns the specified string from the collection.

Syntax

object Item ( int index )

Parameters | Description
index | The 0-based index representing the location of the item to return.

Return Value

The specified string from the collection.

Example:
' This example adds two files to a file collection and then loops through the
' file collection and displays the path and file name for each file.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

for i = 0 to (fc.Count - 1)
  Response.Write fc.Item(i) & "<br>"
next

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.Item Method


HotDocs Server Help - FileCollection.Move Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.Move Method

This method moves a file name from one location to another within the FileCollection.

Syntax

void Move ( int oldindex , int newindex )

Parameters | Description
oldindex | The initial position of the file name to move.
newindex | The new position for the file name.
Example:
' This example adds two files to a file collection and then displays the number of
' files in the collection. Then it moves the first file to the end of the collection
' and displays the updated string of files.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

Response.Write fc.Count & "<br>"
Response.Write fc.AsString & "<br>"

fc.Move 0, fc.Count - 1

Response.Write fc.AsString

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.Move Method


HotDocs Server Help - FileCollection.PrependSafeArray Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.PrependSafeArray Method

This method adds the contents of an array to the beginning of an existing FileCollection. This is useful when adding new entries to the assembly queue.

Syntax

void PrependSafeArray ( object newVal )

Parameters | Description
newVal | The safe array to add to the beginning of the collection.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.PrependSafeArray Method


HotDocs Server Help - FileCollection.Remove Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.Remove Method

This method removes a file name from the FileCollection.

Syntax

void Remove ( int index )

Parameters | Description
index | The 0-based index for the item to remove from the collection.
Example:
' This example adds two files to a file collection and then displays the number
' of files in the collection. Then it removes the first file from the file
' collection and displays the updated count and string of files.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

Response.Write fc.Count & "<br>"
Response.Write fc.AsString & "<br>"

fc.Remove 0

Response.Write fc.Count & "<br>"
Response.Write fc.AsString

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.Remove Method


HotDocs Server Help - FileCollection.SaveAsZipFile Method

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.SaveAsZipFile Method

This method adds each file represented by a file name in the FileCollection to a .ZIP file.

Syntax

void SaveAsZipFile ( string zipFilePath )

Parameters | Description
zipFilePath | The file system path for the new zip file.
Example:
' This example adds two files to a file collection and then displays the number of
' files in the collection. Then it adds the files in the collection to a zip file.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

Response.Write fc.Count & "<br>"

fc.SaveAsZipFile "c:\inetpub\wwwroot\files\zipped.zip"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.SaveAsZipFile Method


HotDocs Server Help - FileCollection.AsSafeArray Property

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.AsSafeArray Property

[Read/Write] This property sets or returns the list of file names in the FileCollection a safe array. You can then add this array of file names to the beginning of another FileCollection object using the PrependSafeArray method.

Syntax

object AsSafeArray [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.AsSafeArray Property


HotDocs Server Help - FileCollection.AsString Property

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.AsString Property

[Read/Write] This property sets or returns the list of file names in the FileCollection as a delimited string. This is useful for passing the contents of the collection across HTTP requests.

Syntax

object AsString [ get, set ]

Example:
' This example adds two files to a file collection and then displays the number
' of files in the collection. Finally, it displays the files in the collection
' as a delimited string.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

Response.Write fc.Count & "<br>"
Response.Write fc.AsString

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.AsString Property


HotDocs Server Help - FileCollection.Count Property

  • Help

Methods

  • FileCollection.Add
  • FileCollection.Clear
  • FileCollection.CopyFile
  • FileCollection.CreateCollectionFromZipFile
  • FileCollection.DeleteFile
  • FileCollection.Insert
  • FileCollection.Item
  • FileCollection.Move
  • FileCollection.PrependSafeArray
  • FileCollection.Remove
  • FileCollection.SaveAsZipFile

Properties

  • FileCollection.AsSafeArray
  • FileCollection.AsString
  • FileCollection.Count

FileCollection.Count Property

[Read-only] This property returns the number of file names in the FileCollection.

Syntax

int Count [ get ]

Example:
' This example adds two files to a file collection and then displays the
' number of files in the collection. Finally, it displays the files in the
' collection as a delimited string.

Dim fc
Set fc = Server.CreateObject("HotDocs_Online.FileCollection")

fc.Add "c:\inetpub\wwwroot\files\demoempl.rtf"
fc.Add "c:\inetpub\wwwroot\files\clauses.rtf"

Response.Write fc.Count & "<br>"
Response.Write fc.AsString

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.FileCollection Object > FileCollection.Count Property


HotDocs Server Help - HotDocs_Online.InterviewResponse Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.InterviewResponse Object

An InterviewResponse provides a method for converting HTTP POST data into an XML string suitable to be passed to the AnswerCollection.SetXMLAnswers method. Normally, you would use InterviewResponse after the user has completed the interview and submitted the answers to your host application. Because the set of answers returned by the interview contains only answers for questions asked during the interview, this object allows you to merge the user's answers back into the original AnswerCollection. It would then contain answers for any variables that were not asked during the interview (but which already existed in the answer file), as well as the answers from the interview.

Interface Information

ProgID: | HotDocs_Online.InterviewResponse.10.1
Version Independent ProgID: | HotDocs_Online.InterviewResponse
CLSID: | {488F6A02-2739-48D4-8CA5-2610361320D0}
_InterviewResponse Interface: | IID: {3F566974-8FEE-42F3-B5EE-90FDBAE0A701}
_InterviewResponseEvents Interface: | IID: {4E2B77F9-00B9-48E8-A40B-3AF69DA45A26}

Methods

  • GetRequestString
This method parses the data returned by the HTML interview and creates an XML document that can be passed to AnswerCollection.SetXMLAnswers().

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.InterviewResponse Object


HotDocs Server Help - InterviewResponse.GetRequestString Method

  • Help

InterviewResponse.GetRequestString Method

This method parses the data returned by the HTML interview and creates an XML document that can be passed to AnswerCollection.SetXMLAnswers().

Caution: This method will not work in ASP.NET. For a method that does work in ASP.NET, please see HotDocs.Server.InterviewResponse.GetInterviewAnswers.

This function was previously handled by some ASP code like this:

AnswerCollection.SetXMLAnswers Request.Form("HDInfo")

However, because of an IIS limitation, using this method would cause problems if the interview returned more data than 102 KB. To be safe, you should always use the GetRequestString method to collect data from the interview.

Syntax

string GetRequestString ( object requestObj )

Parameter | Description
requestObj | The Request object exposed by the ASP page.

Return Value

An XML string of answers that is suitable to be passed to AnswerCollection.SetXMLAnswers().

Example:
Dim ac
Dim ir

Set ac = Server.CreateObject("HotDocs_Online.AnswerCollection")
Set ir = Server.CreateObject("HotDocs_Online.InterviewResponse")

ac.SetXMLAnswers ir.GetRequestString(Request)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.InterviewResponse Object > InterviewResponse.GetRequestString Method


HotDocs Server Help - HotDocs_Online.Manager Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.Manager Object

The Manager class contains methods and properties useful for managing groups (clusters) of assembly servers.

Interface Information

ProgID: | HotDocs_Online.Manager.10.1
Version Independent ProgID: | HotDocs_Online.Manager
CLSID: | {C39EC013-BE8E-4308-A756-7646971C776B}
_Manager Interface: | IID: {C39EC011-BE8E-4308-A756-7646971C776B}
_Manager2 Interface: | IID: {90E4FAA2-78E7-4c13-B2CA-B45BBEE7172D} Default interface introduced in HotDocs 2008 Server R2.

Methods

  • CopyFileToAssemblyNode
 This method copies a file to an assembly server.
  • GetAssemblyNodeState
 This method queries an assembly server and returns its current state.
  • SyncDirectoryWithAssemblyNodes
 This method synchronizes files on the head HotDocs Server with each of the assembly servers in its cluster group.

Properties

  • AssemblyNodeCount
 [Read-only] This property returns the number of assembly servers (nodes) connected to the head HotDocs Server.
  • IsCluster
 [Read-only] This property indicates whether or not HotDocs Server is part of a cluster group. This means that the server is either a head server with clustering enabled, or it is an assembly server.

Home > All About... > HotDocs_Online.Manager Object


HotDocs Server Help - Manager.CopyFileToAssemblyNode Method

  • Help

Methods

  • Manager.CopyFileToAssemblyNode
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.IsCluster

Manager.CopyFileToAssemblyNode Method

This method copies a file to an assembly server.

Note: The user account under which the thread calling this method runs must be a member of the Administrator group on both the Head server and the assembly server.

Syntax

void CopyFileToAssemblyNode ( string filePath, string nodeName )

Parameters | Description
filePath | The file name and path to the file to be copied.
nodeName | The name of the assembly server to which the file will be copied.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Manager Object > Manager.CopyFileToAssemblyNode Method


HotDocs Server Help - Manager.GetAssemblyNodeState Method

  • Help

Methods

  • Manager.CopyFileToAssemblyNode
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.IsCluster

Manager.GetAssemblyNodeState Method

This method queries an assembly server and returns its current state.

Syntax

string GetAssemblyNodeState ( string nodeName, int queue, int history )

Parameters | Description
nodeName | The name of the assembly server to query.
queue | The number of assemblies in the assembly server's queue.
history | The number of documents that have been assembled since the assembly server was last started.

Return Value

One of the following strings, which indicate the current state of the assembly server:

  • Available: The assembly server is ready to perform assemblies.
  • Unlicensed: The maximum number of assembly servers has been reached and this server will not currently be used. However, if one of the authorized servers goes down, the head server may then contact this server and make it available.
  • Down: The assembly server cannot be contacted.
  • Invalid Version: The assembly server's version does not match the version of the head server.
  • Updating: A directory synchronization operation is currently in process.
  • Invalid: The server is invalid.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Manager Object > Manager.GetAssemblyNodeState Method


HotDocs Server Help - Manager.SyncDirectoryWithAssemblyNodes Method

  • Help

Methods

  • Manager.CopyFileToAssemblyNode
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.IsCluster

Manager.SyncDirectoryWithAssemblyNodes Method

This method synchronizes files on the head HotDocs Server with each of the assembly servers in its cluster group.

Note: The user account under which the thread calling this method runs must be a member of the Administrator group on both the Head server and the assembly server.

Syntax

void SyncDirectoryWithAssemblyNodes ( string directoryName )

Parameters | Description
directoryName | The file path of the folder that contains files to be synced with the assembly servers.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Manager Object > Manager.SyncDirectoryWithAssemblyNodes Method


HotDocs Server Help - Manager.AssemblyNodeCount Property

  • Help

Methods

  • Manager.CopyFileToAssemblyNode
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.IsCluster

Manager.AssemblyNodeCount Property

[Read-only] This property returns the number of assembly servers (nodes) connected to the head HotDocs Server.

Syntax

int AssemblyNodeCount [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Manager Object > Manager.AssemblyNodeCount Property


HotDocs Server Help - Manager.IsCluster Property

  • Help

Methods

  • Manager.CopyFileToAssemblyNode
  • Manager.GetAssemblyNodeState
  • Manager.SyncDirectoryWithAssemblyNodes

Properties

  • Manager.AssemblyNodeCount
  • Manager.IsCluster

Manager.IsCluster Property

[Read-only] This property indicates whether or not HotDocs Server is part of a cluster group. This means that the server is either a head server with clustering enabled, or it is an assembly server.

Syntax

bool IsCluster [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Manager Object > Manager.IsCluster Property


HotDocs Server Help - HotDocs_Online.Session Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.Session Object

A Session represents an instance of HotDocs Server for an individual user of your host application. For example, when a new user logs on to your host application, you would first create a Session for that user, which would keep track of which templates the user selects for assembly. As templates are selected for assembly, they are added to the Assemblies queue. Then, after HotDocs Server has assembled the documents, they are moved to the CompletedAssemblies queue.

Interface Information

ProgID: | HotDocs_Online.Session.10.1
Version Independent ProgID: | HotDocs_Online.Session
CLSID: | {D7A1A0D4-BCA9-45CF-BC4B-BE567813756C}
_Session Interface: | IID: {73A24A81-89C2-4E05-87E5-F205D50FF7EB}
_Session2 Interface: | IID: {364F3465-155A-4a6f-AFD8-429BDDE1A7DE}
_Session3 Interface: | IID: {364F3466-155A-4a6f-AFD8-429BDDE1A7DE} Default interface introduced in HotDocs Server 10.1.
_SessionEvents Interface: | IID: {88F6CD47-D431-4242-B7C5-FE62B0FD1E70}

Methods

  • AddLogEntry
 This method adds an entry to the HotDocs Server log file. Although this method is frequently used for error messages, you could use it to record any kind of information in the HotDocs Server log file. For example, you could add a log entry when a user first logs on to your host application.
  • AppendDocumentFile
 This method appends one RTF document to the end of another RTF document. For example, if you assemble two separate documents, you could then use this method to combine them into one document.
  • ConvertHTMLToRtf
 This method converts an HTML document to an RTF document.
  • ConvertRTFToHTML
 This method converts an RTF document to an HTML document. For example, HotDocs Server uses this method when it displays a document preview during the interview.
  • GetDocumentFileExtension
 This method returns the file name extension of documents assembled from a specific template. For example, if you are assembling a HotDocs form (.HFT) template, the file name extension for an assembled document is .HPD. Likewise, the file name extension for an assembled Word RTF template is .RTF.
  • GetHotDocsVersion
 This method returns the version of HotDocs that was used to publish a given template.
  • GetInterviewVersion
 This method returns the HotDocs version number that was used to publish the template for use with HotDocs Server.

Properties

  • Assemblies
 [Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies in the current session that have not been completed. Along with the CompletedAssemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.
  • CompletedAssemblies
 [Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies completed during the current session. Along with the Assemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.
  • CurrentAssembly
 [Read-only] This property returns the current, active Assembly, which is the first item in the Assemblies collection.
  • DefaultAssembleMarkupDocument
[Read/Write] This property indicates whether or not documents will be assembled in Markup View by default for each Assembly created in the current Session.
  • DefaultDocumentPreviewUrl
[Read/Write] This property represents the URL of the default document preview handler page.
  • DefaultHotDocsCSSUrl
 [Read/Write] This property represents the URL of the default user cascading style sheet (e.g., http://MachineName/HDServerFiles/stylesheets/hdsuser.css) that HotDocs Server should use each time it creates a new Assembly for the current Session.
  • DefaultHotDocsImageUrl
 [Read/Write] This property represents the default URL that HotDocs Server should use for interview images. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocsImageUrl property is not set, you must set the Image URL for each assembly individually.)
  • DefaultHotDocsJavascriptUrl
 [Read/Write] This property represents the default URL that HotDocs Server should use for Javascript files. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocJavascriptUrl property is not set, you must set the Javascript URL for each assembly individually.)
  • DefaultInterviewDefinitionUrl
[Read/Write] This property represents the URL where the interviews will request the definition by default.
  • DefaultStatelessInterview
[Read/Write] This property indicates whether or not interviews created for each assembly in the current Session will be stateless by default. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)
  • ID
[Read-only] This property returns a unique identifier (GUID) for the Session object.
  • PDFAdvantageInstalled
 [Read-only] This property returns a Boolean value indicating whether or not HotDocs Server can assemble PDF-based templates. You should check this property before assembling a PDF-based form (.HPT) template to avoid errors generated by attempting to assemble an .HPT template without PDF Advantage.
  • Version
[Read-only] This property returns the HotDocs Server version number. For example, if HotDocs Server 10 is running, this property returns HotDocs Server.

Home > All About... > HotDocs_Online.Session Object


HotDocs Server Help - Session.Assemblies Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.Assemblies Property

[Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies in the current session that have not been completed. Along with the CompletedAssemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.

Syntax

HotDocs_Online.AssemblyCollection Assemblies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.Assemblies Property


HotDocs Server Help - Session.CompletedAssemblies Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.CompletedAssemblies Property

[Read-only] This property returns an AssemblyCollection object, which represents a collection of all assemblies completed during the current session. Along with the Assemblies property, this property represents the assembly queue, which is the list of templates that will be assembled during the lifespan of the current Session object. As each Assembly in the collection is completed, HotDocs Server moves it from the "incomplete" queue to the "complete" queue.

Syntax

HotDocs_Online.AssemblyCollection CompletedAssemblies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.CompletedAssemblies Property


HotDocs Server Help - Session.CurrentAssembly Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.CurrentAssembly Property

[Read-only] This property returns the current, active Assembly, which is the first item in the Assemblies collection.

Syntax

HotDocs_Online.Assembly CurrentAssembly [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.CurrentAssembly Property


HotDocs Server Help - Session.DefaultAssembleMarkupDocument Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.DefaultAssembleMarkupDocument Property

[Read/Write] This property indicates whether or not documents will be assembled in Markup View by default for each Assembly created in the current Session.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

bool DefaultAssembleMarkupDocument [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.DefaultAssembleMarkupDocument Property


HotDocs Server Help - Session.DefaultDocumentPreviewUrl Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.DefaultDocumentPreviewUrl Property

[Read/Write] This property represents the URL of the default document preview handler page.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

string DefaultDocumentPreviewUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.DefaultDocumentPreviewUrl Property


HotDocs Server Help - Session.DefaultHotDocsCSSUrl Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.DefaultHotDocsCSSUrl Property

[Read/Write] This property represents the URL of the default user cascading style sheet (e.g., http://MachineName/HDServerFiles/stylesheets/hdsuser.css) that HotDocs Server should use each time it creates a new Assembly for the current Session.

Note: The default value of this property is determined by the Default CSS url setting in the HotDocs Server Management Console. If that setting is not set, and you do not set the DefaultHotDocsCssUrl property, you must set the CSS URL for each assembly individually.
Tip: If you wish to customize the interview style sheets, make a copy of the existing hdsuser.css and hdsuser.xaml style sheets, and place them in the same folder as the originals. You can then update the URL to point to your modified .CSS file. Also note that although Silverlight interviews primarily use the .XAML file as the style sheet, there are still some aspects of the interview controlled by the .CSS file. As such, if you make modifications to the style sheets, you should always make a copy of both files and give the copied files the same base file name so that HotDocs Server can find the .XAML file based on the path to the .CSS file.

Syntax

string DefaultHotDocsCSSUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.DefaultHotDocsCSSUrl Property


HotDocs Server Help - Session.DefaultHotDocsImageUrl Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.DefaultHotDocsImageUrl Property

[Read/Write] This property represents the default URL that HotDocs Server should use for interview images. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocsImageUrl property is not set, you must set the Image URL for each assembly individually.)

Syntax

string DefaultHotDocsImageUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.DefaultHotDocsImageUrl Property


HotDocs Server Help - Session.DefaultHotDocsJavascriptUrl Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.DefaultHotDocsJavascriptUrl Property

[Read/Write] This property represents the default URL that HotDocs Server should use for Javascript files. For example, whenever a new Assembly object is created, it uses this URL by default. (If the DefaultHotDocJavascriptUrl property is not set, you must set the Javascript URL for each assembly individually.)

Syntax

string DefaultHotDocsJavascriptUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.DefaultHotDocsJavascriptUrl Property


HotDocs Server Help - Session.DefaultInterviewDefinitionUrl Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.DefaultInterviewDefinitionUrl Property

[Read/Write] This property represents the URL where the interviews will request the definition by default.

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

string DefaultInterviewDefinitionUrl [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.DefaultInterviewDefinitionUrl Property


HotDocs Server Help - Session.DefaultStatelessInterview Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.DefaultStatelessInterview Property

[Read/Write] This property indicates whether or not interviews created for each assembly in the current Session will be stateless by default. (In a stateless interview, the complete answer collection is sent to and returned from the interview, which means the server does not need to keep any state information between requests to get an interview and assemble a document.)

Tip: This property was introduced in HotDocs Server 10.1.

Syntax

bool DefaultStatelessInterview [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.DefaultStatelessInterview Property


HotDocs Server Help - Session.ID Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.ID Property

[Read-only] This property returns a unique identifier (GUID) for the Session object.

Syntax

string ID [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.ID Property


HotDocs Server Help - Session.PDFAdvantageInstalled Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.PDFAdvantageInstalled Property

[Read-only] This property returns a Boolean value indicating whether or not HotDocs Server can assemble PDF-based templates. You should check this property before assembling a PDF-based form (.HPT) template to avoid errors generated by attempting to assemble an .HPT template without PDF Advantage.

Syntax

bool PDFAdvantageInstalled [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.PDFAdvantageInstalled Property


HotDocs Server Help - Session.Version Property

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.Version Property

[Read-only] This property returns the HotDocs Server version number. For example, if HotDocs Server 10 is running, this property returns HotDocs Server.

Syntax

string Version [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.Version Property


HotDocs Server Help - Session.AddLogEntry Method

  • Help

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Session.AddLogEntry Method

This method adds an entry to the HotDocs Server log file. Although this method is frequently used for error messages, you could use it to record any kind of information in the HotDocs Server log file. For example, you could add a log entry when a user first logs on to your host application.

Syntax

void AddLogEntry ( int code, string message )

Parameters | Description
code | A numeric code identifying the type of log entry. For example, you could assign a different number to each type of error your application handles. Then, when an error occurs, you can use that number when you record the error in your HotDocs Server log file.
message | The text that will be written to the log. Together with the log code, the message can help you later troubleshoot problems that occur during the execution of your host application.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.AddLogEntry Method


HotDocs Server Help - Session.AppendDocumentFile Method

  • Help

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Session.AppendDocumentFile Method

This method appends one RTF document to the end of another RTF document. For example, if you assemble two separate documents, you could then use this method to combine them into one document.

Syntax

void AppendDocumentFile ( string sourceFilePath, string destinationFilePath, HotDocs_Online.appendOptions options )

Parameters | Description
sourceFilePath | The RTF document to be appended to the end of the destinationFilePath document.
destinationFilePath | The RTF document to which sourceFilePath will be appended.
options

One of the following values from the appendOptions enumeration:

  • appendNone: Do not keep the header or footer of the appended document.
  • appendHeader: Keep the header of the appended document.
  • appendFooter: Keep the footer of the appended document.
  • appendBoth: Keep both the header and the footer of the appended document.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.AppendDocumentFile Method


HotDocs Server Help - Session.ConvertHTMLToRtf Method

  • Help

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Session.ConvertHTMLToRtf Method

This method converts an HTML document to an RTF document.

Syntax

void ConvertHTMLToRTF ( string htmlPath, string rtfPath, int options )

Parameters | Description
htmlPath | The file name and path to the HTML document that will be converted.
rtfPath | The file name and path of the RTF document that will be created.
options | A number that indicates which options to use during the conversion. Currently, the only valid option is 0.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.ConvertHTMLToRtf Method


HotDocs Server Help - Session.ConvertRTFToHTML Method

  • Help

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Session.ConvertRTFToHTML Method

This method converts an RTF document to an HTML document. For example, HotDocs Server uses this method when it displays a document preview during the interview.

Syntax

void ConvertRTFToHTML ( string rtfPath, string htmlPath, int options )

Parameters | Description
rtfPath | The file name and path to the RTF document that will be converted.
htmlPath | The file name and path to the HTML document that will be created.
options | A number that indicates which options to use during the conversion. Currently, the only valid option is 0.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.ConvertRTFToHTML Method


HotDocs Server Help - Session.GetDocumentFileExtension Method

  • Help

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Session.GetDocumentFileExtension Method

This method returns the file name extension of documents assembled from a specific template. For example, if you are assembling a HotDocs form (.HFT) template, the file name extension for an assembled document is .HPD. Likewise, the file name extension for an assembled Word RTF template is .RTF.

Syntax

string GetDocumentFileExtension ( string templateFileName )

Parameters | Description
templateFileName | The file name and path of a HotDocs template. (Only templates that produce documents are valid; interview (.CMP) templates do not produce assembled documents, and are thus invalid.)

Return Value

The file name extension of documents assembled from the specified template.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.GetDocumentFileExtension Method


HotDocs Server Help - Session.GetHotDocsVersion Method

  • Help

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Session.GetHotDocsVersion Method

This method returns the version of HotDocs that was used to publish a given template.

Syntax

HotDocs_Online.HotDocsVersion GetHotDocsVersion ( string interviewFileName )

Parameters | Description
interviewFileName | The file name and path of the HotDocs interview definition (.JS) file for a template.

Return Value

One of the following values from the HotDocsVersion Enumeration, which indicates the version of HotDocs that was used to publish the template:

Name | Value | Description
HotDocs6 | 0 | HotDocs 6
HotDocs2005 | 1 | HotDocs 2005
HotDocs2006 | 2 | HotDocs 2006-10

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.GetHotDocsVersion Method


HotDocs Server Help - Session.GetInterviewVersion Method

  • Help

Properties

  • Session.Assemblies
  • Session.CompletedAssemblies
  • Session.CurrentAssembly
  • Session.DefaultAssembleMarkupDocument
  • Session.DefaultDocumentPreviewUrl
  • Session.DefaultHotDocsCSSUrl
  • Session.DefaultHotDocsImageUrl
  • Session.DefaultHotDocsJavascriptUrl
  • Session.DefaultInterviewDefinitionUrl
  • Session.DefaultStatelessInterview
  • Session.ID
  • Session.PDFAdvantageInstalled
  • Session.Version

Methods

  • Session.AddLogEntry
  • Session.AppendDocumentFile
  • Session.ConvertHTMLToRtf
  • Session.ConvertRTFToHTML
  • Session.GetDocumentFileExtension
  • Session.GetHotDocsVersion
  • Session.GetInterviewVersion

Session.GetInterviewVersion Method

This method returns the HotDocs version number that was used to publish the template for use with HotDocs Server.

Syntax

string GetInterviewVersion ( string interviewFileName )

Parameters | Description
interviewFileName | The file name and path of the HotDocs interview definition (.JS) file for a template.

Return Value

The version of HotDocs that was used to publish the template:

  • 6.2.0.0: HotDocs 6
  • 6.3.0.0: HotDocs 2005
  • 6.4.0.0: HotDocs 2006-10

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Session Object > Session.GetInterviewVersion Method


HotDocs Server Help - HotDocs_Online.TemplateInfo Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.TemplateInfo Object

This object lets you gather information about the files on which a given HotDocs template depends. For example, most templates consist of a template (e.g., .RTF) file, along with a corresponding component file. If you use shared component files, a template would also depend on that shared component file. Likewise, INSERT or ASSEMBLE instructions in a template also introduce additional dependencies.

Interface Information

ProgID: | HotDocs_Online.TemplateInfo.10.1
Version Independent ProgID: | HotDocs_Online.TemplateInfo
CLSID: | {A11B6145-1B38-4938-84AE-4AC6949F1876}
_TemplateInfo Interface: | IID: {CEBAEBF0-AA7C-4230-8446-6718D1C3C613} Default interface introduced in HotDocs Server 10.1.
__TemplateInfoEvents Interface: | IID: {4A4FC51C-B7A0-4bd3-B924-E3725EA80CF7}

Methods

  • Close
This method closes the template.
  • Open
This method opens a template to inspect its file dependencies. When you are finished with the template, call Close.

Properties

  • Dependencies
[Read-only] This property returns a DependencyCollection, which is a list of all dependencies for the template. Unlike the RecursiveDepencencies property, this property shows only the top-level dependencies for the template. If you want to get all of the dependencies for each dependency, you must recurse through each dependency in the collection.
  • EffectiveComponentFile
[Read-only] This property returns the file path of the "effective" component file used by the template. For example, if the template uses a shared component file, this will return the path of the shared file instead of the template's own component file.
  • PointedToComponentFile
[Read-only] This property returns the file path of the shared component file used by the template. If there is no shared component file, it returns an empty string.
  • PrimaryComponentFile
 [Read-only] This property returns the file name of the template's primary component file. (In the case of a template that uses a shared component file, this property is used to get the path of the template's own commponent file and not the shared component file path.)
  • RecursiveDependencies
 [Read-only] This property returns a DependencyCollection, which is a complete, recursive list of all dependencies for the template and its dependencies. If you just want the top-level list of dependencies without recursion, use Dependencies instead.

Home > All About... > HotDocs_Online.TemplateInfo Object


HotDocs Server Help - TemplateInfo.Close Method

  • Help

Methods

  • TemplateInfo.Close
  • TemplateInfo.Open

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.Close Method

This method closes the template.

Syntax

void Close ( )

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.TemplateInfo Object > TemplateInfo.Close Method


HotDocs Server Help - TemplateInfo.Open Method

  • Help

Methods

  • TemplateInfo.Close
  • TemplateInfo.Open

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.Open Method

This method opens a template to inspect its file dependencies. When you are finished with the template, call Close.

Syntax

void Open ( string filePath )

Parameters | Description
filePath | The file path of the template file to open.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.TemplateInfo Object > TemplateInfo.Open Method


HotDocs Server Help - TemplateInfo.Dependencies Property

  • Help

Methods

  • TemplateInfo.Close
  • TemplateInfo.Open

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.Dependencies Property

[Read-only] This property returns a DependencyCollection, which is a list of all dependencies for the template. Unlike the RecursiveDepencencies property, this property shows only the top-level dependencies for the template. If you want to get all of the dependencies for each dependency, you must recurse through each dependency in the collection.

Caution:Take care when recursing through a template's dependencies to keep track of which dependencies have already been inspected. Otherwise, if there is a circular dependency (e.g., Template A depends on Template B, which depends on Template A), your recursive function could enter an endless loop.

Syntax

HotDocs_Online.DependencyCollection Dependencies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.TemplateInfo Object > TemplateInfo.Dependencies Property


HotDocs Server Help - TemplateInfo.EffectiveComponentFile Property

  • Help

Methods

  • TemplateInfo.Close
  • TemplateInfo.Open

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.EffectiveComponentFile Property

[Read-only] This property returns the file path of the "effective" component file used by the template. For example, if the template uses a shared component file, this will return the path of the shared file instead of the template's own component file.

Syntax

string EffectiveComponentFile [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.TemplateInfo Object > TemplateInfo.EffectiveComponentFile Property


HotDocs Server Help - TemplateInfo.PointedToComponentFile Property

  • Help

Methods

  • TemplateInfo.Close
  • TemplateInfo.Open

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.PointedToComponentFile Property

[Read-only] This property returns the file path of the shared component file used by the template. If there is no shared component file, it returns an empty string.

Syntax

string PointedToComponentFile [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.TemplateInfo Object > TemplateInfo.PointedToComponentFile Property


HotDocs Server Help - TemplateInfo.PrimaryComponentFile Property

  • Help

Methods

  • TemplateInfo.Close
  • TemplateInfo.Open

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.PrimaryComponentFile Property

[Read-only] This property returns the file name of the template's primary component file. (In the case of a template that uses a shared component file, this property is used to get the path of the template's own commponent file and not the shared component file path.)

Syntax

string PrimaryComponentFile [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.TemplateInfo Object > TemplateInfo.PrimaryComponentFile Property


HotDocs Server Help - TemplateInfo.RecursiveDependencies Property

  • Help

Methods

  • TemplateInfo.Close
  • TemplateInfo.Open

Properties

  • TemplateInfo.Dependencies
  • TemplateInfo.EffectiveComponentFile
  • TemplateInfo.PointedToComponentFile
  • TemplateInfo.PrimaryComponentFile
  • TemplateInfo.RecursiveDependencies

TemplateInfo.RecursiveDependencies Property

[Read-only] This property returns a DependencyCollection, which is a complete, recursive list of all dependencies for the template and its dependencies. If you just want the top-level list of dependencies without recursion, use Dependencies instead.

Syntax

HotDocs_Online.DependencyCollection RecursiveDependencies [ get ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.TemplateInfo Object > TemplateInfo.RecursiveDependencies Property


HotDocs Server Help - HotDocs_Online.UtilityTools Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.Value Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.UtilityTools Object

The UtilityTools class contains a method for converting RTF files to various file formats.

Interface Information

ProgID: | HotDocs_Online.UtilityTools.10.1
Version Independent ProgID: | HotDocs_Online.UtilityTools
CLSID: | {8D2DAA7E-49B6-4215-B755-DEECE74E9F0A}
_UtilityTools Interface: | IID: {F3B62769-E623-4866-ADDE-64AE3A91BEE1}
_UtilityTools2 Interface: | IID: {ECD94551-1B3A-41c8-A7C6-F3BA1A576D3E}
_UtilityTools3 Interface: | IID: {7CC9454A-30C4-4153-BC5C-8401FC4EC521}

Methods

  • BuildServerFiles
This method creates the files required by HotDocs Server to display an interview for a template.
  • ConvertRTFFile
This method converts an RTF document to a PDF, HTML, or TXT document.
  • DecryptString
This method decrypts a string.
  • EncryptString
This method encrypts a string.

Home > All About... > HotDocs_Online.UtilityTools Object


HotDocs Server Help - UtilityTools.BuildServerFiles Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRTFFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.BuildServerFiles Method

This method creates the files required by HotDocs Server to display an interview for a template.

Syntax

HRESULT BuildServerFiles ( string templatePath )

Parameters | Description
templatePath | The file name of the template for which you want to create the HotDocs Server interview (.JS and .HVC) files.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.UtilityTools Object > UtilityTools.BuildServerFiles Method


HotDocs Server Help - UtilityTools.ConvertRTFFile Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRTFFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.ConvertRTFFile Method

This method converts an RTF document to a PDF, HTML, or TXT document.

Caution:When converting an RTF document to PDF, HotDocs Server uses a built-in PDF converter, which analyzes the codes contained in the RTF file and translates them to PDF. This differs from the method used by other third-party PDF converters, which rely on an instance of Microsoft Word on the server from which the document is "printed" using a driver to create the PDF document. PDF documents created using a PDF driver can typically handle a greater number of formatting variations, while the PDF conversion method used by HotDocs Server works best for documents with simpler formatting. If you use HotDocs Server's built-in PDF conversion, some formatting differences will exist between the original RTF and the PDF.

Syntax

HRESULT ConvertRTFFile ( string rtfPath, string outPath, long options, HotDocs_Online.PdfPermissions pdfPermissions, VARIANT pdfUserPassword, VARIANT pdfOwnerPassword )

Parameters | Description
rtfPath | The file name and path to the source RTF document that will be converted.
outPath | The file name and path to the output document that will be created. The file name extension (.PDF, .HTM/.HTML, or .TXT) will determine which type of file to output.
options | A number that indicates which options to use during the conversion. Currently, the only valid option is 0.
pdfPermissions | This parameter specifies permissions granted when the PDF document is being viewed or manipulated without using the owner password. It can be a combination of values from the PdfPermissions enumeration.
pdfUserPassword | The user password for the PDF file. The user password controls view access to the PDF file. Use an empty string ("") if you do not wish to set a password.
pdfOwnerPassword | The owner password for the PDF file. The owner password controls print and edit access to the PDF file. Use an empty string ("") if you do not wish to set a password.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.UtilityTools Object > UtilityTools.ConvertRTFFile Method


HotDocs Server Help - UtilityTools.DecryptString Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRTFFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.DecryptString Method

This method decrypts a string.

Note: The encryption methods (EncryptString and DecryptString are typically used to securely send "state" information to the client browser. For example, in a "stateless" interview the EncryptString method can be used to securely pass the template's file path to the client browser when an interview is requested. That same encrypted string can then be posted back to the server when the interview is finished. The server can then use the DecryptString method to find the template associated with the interview.

Syntax

public virtual string DecryptString( string value )

Parameters | Description
value | The string you want to decrypt. (It cannot be longer than 4096 characters.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.UtilityTools Object > UtilityTools.DecryptString Method


HotDocs Server Help - UtilityTools.EncryptString Method

  • Help

Methods

  • UtilityTools.BuildServerFiles
  • UtilityTools.ConvertRTFFile
  • UtilityTools.DecryptString
  • UtilityTools.EncryptString

UtilityTools.EncryptString Method

This method encrypts a string.

Note: The encryption methods (EncryptString and DecryptString are typically used to securely send "state" information to the client browser. For example, in a "stateless" interview the EncryptString method can be used to securely pass the template's file path to the client browser when an interview is requested. That same encrypted string can then be posted back to the server when the interview is finished. The server can then use the DecryptString method to find the template associated with the interview.

Syntax

public virtual string EncryptString( string value )

Parameters | Description
value | The string you want to encrypt. (It cannot be longer than 4096 characters.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.UtilityTools Object > UtilityTools.EncryptString Method


HotDocs Server Help - HotDocs_Online.Value Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.VariableCollection Object

HotDocs_Online.Value Object

A Value is the most basic building block of a HotDocs Answer. This is where individual pieces of data, such as text strings, dates, and numbers, are stored. Because HotDocs allows variables to be placed in repeated dialogs, each Answer may contain one or more Values.

In addition to the data (text, number, date, or other information) stored in the value property, each Value contains four 0-based repeat indexes to indicate the position of the Value within the HotDocs Answer. Any unused indexes should be set to -1. For example, if a variable is not repeated, its Answer would contain only one Value with the following four repeat indexes:

     -1, -1, -1, -1

For a repeated or nested variable, the indexes must indicate the position of the Value in relation to all other Values that make up the Answer. The following table shows the repeat indexes for a simple repeated variable that contains the names of the first three Presidents of the United States:

value | RepeatIndex1 | RepeatIndex2 | RepeatIndex3 | RepeatIndex4
George Washington | 0 | -1 | -1 | -1
John Adams | 1 | -1 | -1 | -1
Thomas Jefferson | 2 | -1 | -1 | -1

For a more complex example, review the next table, which lists the children of each President named in the previous table. A single Answer would contain all 12 Values. For each Value, the first index corresponds to the child's parent (siblings share the same first index), and the second index is the child's birth order. Because this example contains answers nested only two levels deep, the last two indexes are -1, which indicates that they are unused:

value | RepeatIndex1 | RepeatIndex2 | RepeatIndex3 | RepeatIndex4
John Parke Custis | 0 | 0 | -1 | -1
Martha Custis | 0 | 1 | -1 | -1
Abigail Amelia Adams | 1 | 0 | -1 | -1
John Quincy Adams | 1 | 1 | -1 | -1
Susanna Adams | 1 | 2 | -1 | -1
Charles Adams | 1 | 3 | -1 | -1
Thomas Boylston Adams | 1 | 4 | -1 | -1
Martha Washington Jefferson | 2 | 0 | -1 | -1
Jane Randolph Jefferson | 2 | 1 | -1 | -1
Mary Wayles Jefferson | 2 | 2 | -1 | -1
Lucy Elizabeth Jefferson I | 2 | 3 | -1 | -1
Lucy Elizabeth Jefferson II | 2 | 4 | -1 | -1

Interface Information

ProgID: | HotDocs_Online.Value.10.1
Version Independent ProgID: | HotDocs_Online.Value
CLSID: | {1050B549-FABC-4C7A-BE75-E626515FC479}
_Value Interface: | IID: {38861DDA-B04D-4BB5-A8F1-9D45C0D29AB4}
_ValueEvents Interface: | IID: {BA844551-889B-4D64-B250-7EAF262726B4}

Properties

  • Answer
 [Read/Write] This property specifies the Answer object to which the Value belongs. (Each Answer object contains one or more Value objects, but each Value belongs to only one Answer.)
  • repeatIndex1
 [Read/Write] This property specifies the first repeat index for the Value. For non-repeated variables, this index is -1.
  • repeatIndex2
 [Read/Write] This property specifies the second repeat index for the Value. For non-repeated variables, this index is -1.
  • repeatIndex3
 [Read/Write] This property specifies the third repeat index for the Value. For non-repeated variables, this index is -1.
  • repeatIndex4
 [Read/Write] This property specifies the fourth repeat index for the Value. For non-repeated variables, this index is -1.
  • Value
 [Read/Write] This property specifies the "value" of the Value. In other words, this would be the actual string of text, number, or Boolean value that a user entered for an Answer at the specified repeat indexes. The type of object returned corresponds to the type of data stored in the value. For example, a Number variable would return a number object and a Text variable would return a string. Multiple Choice variables, on the other hand, may return either a string or an array of strings depending on whether or not the variable allows multiple selections.

Home > All About... > HotDocs_Online.Value Object


HotDocs Server Help - Value.Answer Property

  • Help

Properties

  • Value.Answer
  • Value.repeatIndex1
  • Value.repeatIndex2
  • Value.repeatIndex3
  • Value.repeatIndex4
  • Value.Value

Value.Answer Property

[Read/Write] This property specifies the Answer object to which the Value belongs. (Each Answer object contains one or more Value objects, but each Value belongs to only one Answer.)

Syntax

HotDocs_Online.Answer Answer [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Value Object > Value.Answer Property


HotDocs Server Help - Value.repeatIndex1 Property

  • Help

Properties

  • Value.Answer
  • Value.repeatIndex1
  • Value.repeatIndex2
  • Value.repeatIndex3
  • Value.repeatIndex4
  • Value.Value

Value.repeatIndex1 Property

[Read/Write] This property specifies the first repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

int repeatIndex1 [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Value Object > Value.repeatIndex1 Property


HotDocs Server Help - Value.repeatIndex2 Property

  • Help

Properties

  • Value.Answer
  • Value.repeatIndex1
  • Value.repeatIndex2
  • Value.repeatIndex3
  • Value.repeatIndex4
  • Value.Value

Value.repeatIndex2 Property

[Read/Write] This property specifies the second repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

int repeatIndex2 [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Value Object > Value.repeatIndex2 Property


HotDocs Server Help - Value.repeatIndex3 Property

  • Help

Properties

  • Value.Answer
  • Value.repeatIndex1
  • Value.repeatIndex2
  • Value.repeatIndex3
  • Value.repeatIndex4
  • Value.Value

Value.repeatIndex3 Property

[Read/Write] This property specifies the third repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

int repeatIndex3 [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Value Object > Value.repeatIndex3 Property


HotDocs Server Help - Value.repeatIndex4 Property

  • Help

Properties

  • Value.Answer
  • Value.repeatIndex1
  • Value.repeatIndex2
  • Value.repeatIndex3
  • Value.repeatIndex4
  • Value.Value

Value.repeatIndex4 Property

[Read/Write] This property specifies the fourth repeat index for the Value. For non-repeated variables, this index is -1.

Syntax

int repeatIndex4 [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Value Object > Value.repeatIndex4 Property


HotDocs Server Help - Value.Value Property

  • Help

Properties

  • Value.Answer
  • Value.repeatIndex1
  • Value.repeatIndex2
  • Value.repeatIndex3
  • Value.repeatIndex4
  • Value.Value

Value.Value Property

[Read/Write] This property specifies the "value" of the Value. In other words, this would be the actual string of text, number, or Boolean value that a user entered for an Answer at the specified repeat indexes. The type of object returned corresponds to the type of data stored in the value. For example, a Number variable would return a number object and a Text variable would return a string. Multiple Choice variables, on the other hand, may return either a string or an array of strings depending on whether or not the variable allows multiple selections.

Syntax

object Value [ get, set ]

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.Value Object > Value.Value Property


HotDocs Server Help - HotDocs_Online.VariableCollection Object

  • Help

All About...

  • About the HotDocs Server COM API
  • HotDocs_Online Enumerations
  • HotDocs_Online.Answer Object
  • HotDocs_Online.AnswerCollection Object
  • HotDocs_Online.Assembly Object
  • HotDocs_Online.AssemblyCollection Object
  • HotDocs_Online.Component Object
  • HotDocs_Online.ComponentCollection Object
  • HotDocs_Online.ComponentProperties Object
  • HotDocs_Online.ComponentProperty Object
  • HotDocs_Online.Dependency Object
  • HotDocs_Online.DependencyCollection Object
  • HotDocs_Online.FileCollection Object
  • HotDocs_Online.InterviewResponse Object
  • HotDocs_Online.Manager Object
  • HotDocs_Online.Session Object
  • HotDocs_Online.TemplateInfo Object
  • HotDocs_Online.UtilityTools Object
  • HotDocs_Online.Value Object

HotDocs_Online.VariableCollection Object

A VariableCollection provides a "data dictionary" of all variables used in a template. On disk, the VariableCollection is contained in the template's .HVC file, which is created by HotDocs when a template is published for use with HotDocs Server. HotDocs Server uses the VariableCollection to create the browser-based interview.

Each variable in the VariableCollection object is assigned an arbitrary index number in the range of 0 to Count - 1. To iterate through the collection, you must use this index number.

Interface Information

ProgID: | HotDocs_Online.VariableCollection.10.1
Version Independent ProgID: | HotDocs_Online.VariableCollection
CLSID: | {6E9352D4-64DB-45B2-B950-DDEF84DD1A4B}
_VariableCollection Interface: | IID: {16A8F54F-B65D-4E20-B909-339E22DD6A7B}
_VariableCollectionEvents Interface: | IID: {66DD986D-6485-4212-9F9B-06FDCE68E2C9}

Methods

  • Open
 This method opens the variable collection (.HVC) file and populates the variable collection object. (You must use this method first if you plan to use the VariableCollection object.)

Properties

  • Count
[Read-only] This property returns the number of variables in a variable collection.
  • Description
[Read-only] This property returns the template description.
  • Title
[Read-only] This property returns the template title.
  • VarEncodedName
[Read-only] This property returns the URL-encoded name HotDocs Server uses in the interview.
  • VarName
[Read-only] This property returns the encoded name of the variable at the specified index.
  • VarType
[Read-only] This property returns a number corresponding to the variable type. These values are enumerated in the ansType enumeration.
  • VCHandle
 [Read-only] This property provides an identifier to a variable collection. As a read-only property, you cannot modify this identifier.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object


HotDocs Server Help - VariableCollection.Open Method

  • Help

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.Open Method

This method opens the variable collection (.HVC) file and populates the variable collection object. (You must use this method first if you plan to use the VariableCollection object.)

Syntax

void Open ( string hvcPath )

Parameter | Description
hvcPath | The file name and path for the variable collection file to open.
Example:

The following Visual Basic example opens a variable collection file and displays the number of variables it contains, as well as the template's title and description.

dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")

vc.Open "c:\InetPub\wwwroot\templates\template.hvc"

Response.Write "Count: " & vc.Count & "<br>"
Response.Write "Title: " & vc.Title & "<br>"
Response.Write "Description: " & vc.Description & "<br>"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.Open Method


HotDocs Server Help - VariableCollection.Count Property

  • Help

Methods

  • VariableCollection.Open

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.Count Property

[Read-only] This property returns the number of variables in a variable collection.

Syntax

int Count [ get ]

Example:
' This example opens a variable collection file and displays the number of
' variables it contains, as well as the template's title and description.

dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")

vc.Open "c:\InetPub\wwwroot\templates\template.hvc"

Response.Write "Count: " & vc.Count & "<br>"
Response.Write "Title: " & vc.Title & "<br>"
Response.Write "Description: " & vc.Description & "<br>"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.Count Property


HotDocs Server Help - VariableCollection.Description Property

  • Help

Methods

  • VariableCollection.Open

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.Description Property

[Read-only] This property returns the template description.

Syntax

string Description [ get ]

Example:
' This example opens a variable collection file and displays the number of
' variables it contains, as well as the template's title and description.

dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")

vc.Open "c:\InetPub\wwwroot\templates\template.hvc"

Response.Write "Count: " & vc.Count & "<br>"
Response.Write "Title: " & vc.Title & "<br>"
Response.Write "Description: " & vc.Description & "<br>"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.Description Property


HotDocs Server Help - VariableCollection.Title Property

  • Help

Methods

  • VariableCollection.Open

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.Title Property

[Read-only] This property returns the template title.

Syntax

string Title [ get ]

Example:
' This example opens a variable collection file and displays the number of
' variables it contains, as well as the template's title and description.

dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")

vc.Open "c:\InetPub\wwwroot\templates\template.hvc"

Response.Write "Count: " & vc.Count & "<br>"
Response.Write "Title: " & vc.Title & "<br>"
Response.Write "Description: " & vc.Description & "<br>"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.Title Property


HotDocs Server Help - VariableCollection.VarEncodedName Property

  • Help

Methods

  • VariableCollection.Open

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.VarEncodedName Property

[Read-only] This property returns the URL-encoded name HotDocs Server uses in the interview.

Syntax

EncodedName (index)

Parameter | Description
long index | The index into the VariableCollection of the variable.
Example:
' This example opens a variable collection and lists each variable's name and encoded name.

dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")
vc.Open "c:\InetPub\wwwroot\templates\template.hvc"

for i = 0 to (vc.Count -1)
  Response.Write "Name: " & vc.VarName(i) & "<br>"
  Response.Write "Encoded Name: " & vc.VarEncodedName(i) & "<hr>"
next

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.VarEncodedName Property


HotDocs Server Help - VariableCollection.VarName Property

  • Help

Methods

  • VariableCollection.Open

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.VarName Property

[Read-only] This property returns the encoded name of the variable at the specified index.

Syntax

VarName (index)

Parameter | Description
long index | The index into the VariableCollection of the variable.
Example:

Example Code (Visual Basic)

' This example opens a variable collection and lists each variable's name and type.

dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")

vc.Open "c:\InetPub\wwwroot\templates\template.hvc"

for i = 0 to (vc.Count -1)
  Response.Write "Name: " & vc.VarName(i) & "<br>"
  Response.Write "Type: "
  select case vc.VarType(i)
    case ansTypeText
      Response.Write "Text Variable"
    case ansTypeNumber
      Response.Write "Number Variable"
    case ansTypeDate
      Response.Write "Date Variable"
    case ansTypeTF
      Response.Write "True/False Variable"
    case ansTypeMC
      Response.Write "Multiple Choice Variable"
  end select
  Response.Write "<hr>"
next

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.VarName Property


HotDocs Server Help - VariableCollection.VarType Property

  • Help

Methods

  • VariableCollection.Open

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.VarType Property

[Read-only] This property returns a number corresponding to the variable type. These values are enumerated in the ansType enumeration.

  • Invalid = 0
  • Text = 1
  • Number = 2
  • Date = 3
  • True/False = 5
  • Multiple Choice = 6

Syntax

Type (index)

Parameter | Description
long index | The index into the VariableCollection of the variable.
Example:
' This example opens a variable collection and lists each variable's name and type.
dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")

vc.Open "c:\InetPub\wwwroot\templates\template.hvc"

for i = 0 to (vc.Count -1)
  Response.Write "Name: " & vc.VarName(i) & "<br>"
  Response.Write "Type: "

  select case vc.VarType(i)
    case ansTypeText
      Response.Write "Text Variable"
    case ansTypeNumber
      Response.Write "Number Variable"
    case ansTypeDate
      Response.Write "Date Variable"
    case ansTypeTF
      Response.Write "True/False Variable"
    case ansTypeMC
      Response.Write "Multiple Choice Variable"
  end select
  Response.Write "<hr>"
next

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.VarType Property


HotDocs Server Help - VariableCollection.VCHandle Property

  • Help

Methods

  • VariableCollection.Open

Properties

  • VariableCollection.Count
  • VariableCollection.Description
  • VariableCollection.Title
  • VariableCollection.VarEncodedName
  • VariableCollection.VarName
  • VariableCollection.VarType
  • VariableCollection.VCHandle

VariableCollection.VCHandle Property

[Read-only] This property provides an identifier to a variable collection. As a read-only property, you cannot modify this identifier.

Syntax

int VCHandle [ get ]

Example:
dim vc
Set vc = Server.CreateObject ("HotDocs_Online.VariableCollection")
vc.VCHandle

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs_Online.VariableCollection Object > VariableCollection.VCHandle Property


HotDocs Server Help - HotDocs Server JavaScript API

  • Help

How Do I...?

  • Create a HotDocs Server answer source

HotDocs Server JavaScript API

The HotDocs Server JavaScript API includes a number of JavaScript functions and global variables you can use on the client side of your host application to interact with the browser-based interview.

The JavaScript API can be divided into the following groups:

  • Functions, which your code can call to perform tasks such as getting or setting answers;
  • Callback Functions, which the HotDocs Server interview will call at designated times during the interview if you have implemented them in your code; and
  • Global Variables, which allow you to customize certain interview behavior.

The following tables describe each of the functions, callback functions, and global variables in the JavaScript API:

Functions

  • HDAddCustomToolbarButton
This function adds a button to the interview toolbar. When a user clicks the button, a JavaScript function is called that performs any action you may wish to make available to users of your host application, such as displaying your host application's help file.
  • HDAddCustomNavButton
 This function adds a button to the interview navigation bar. When a user clicks the button, a JavaScript function is called that performs any action users may need to take while navigating through the interview.
  • HDAnsGetIter
This function returns a single, 1-based numeric index that indicates the repeat level of the current dialog. This is different than HDAnsGetRptNdx, which is 0-based and returns a complete set of four indexes. As such, HDAnsGetIter is most useful for non-nested repeats where there is only one index that matters.
  • HDAnsGetRptNdx
This function returns the full set of repeat indexes for the current dialog. When using HDAnsGetVal and HDAnsSetVal with repeated dialogs, this function allows you to get or set the values of variables in the current repetition.
  • HDAnsGetVal
This function gets the value of a variable.
  • HDAnsSetVal
This function sets the value of a variable.
  • HDGetInterviewBookmark
 This function returns a string (up to 70 characters in length) that represents the user's current location in the interview, including the input field that contains the focus. For example, you can call this function from your implementation of PreHDSubmit in order to submit a bookmark for the user's current location to the server along with the user's answers. Later, you could use the HDGotoInterviewBookmark function to return the user to the same location in the interview.
  • HDGetXMLAnswers
This function returns an XML string of answers from the current interview. For example, you could use this string to overlay the current interview's answers on top of an existing answer file, thus updating the answer file with any answers that have been entered during the interview.
  • HDGotoInterviewBookmark
 This function navigates the user to a specific dialog in the interview, and moves the focus to a designated field within that dialog.
  • HDInvokeButton
This function lets you programmatically invoke one of the toolbar or navigation bar buttons (either built-in or custom), even if the button has been hidden. For example, if you create your own "Finish" button, you may want to hide the built-in "Finish" button but still have your button perform the same action by invoking the hidden "Finish" button.
  • HDPostAnswersToServer
This function posts answers in the current interview to the server. For example, the HotDocs Server interview calls this function when the user clicks the [image] Save Answers button during the interview.
  • HDPostToServer
This function posts information to the server. It is used by the HDPostAnswersToServer function for posting answers to the server, but you could use it to post any other kind of information. For example, you could create an answer summary page and use this function to display it.
  • HDRegisterHandler
This function is used to register event handlers for various interview events. They can be used for both JavaScript and Silverlight interviews. The event handler can then be unregistered using the HDUnregisterHandler function.
  • HDScreenRefresh
This function refreshes the screen to update answers in the variable fields that have changed.
  • HDSetToolbarButtonImage
This function lets callers specify alternate images for built-in toolbar buttons. It should be called before the toolbar is rendered for the first time, such as in the PreHDRender callback function.
  • HDSetButtonVisibility
This function lets callers hide built-in toolbar or navigation bar buttons, or the entire toolbar or navigation bar.
  • HDUnregisterHandler
 This function is used to unregister an event handler for an interview event that was registered using the HDRegisterHandler function.

Callback Functions

  • OnHDFinish
 This callback function, which was introduced in HotDocs Server 10, has been deprecated in 10.0.2. Although it can still be used, its functionality is now available in a more versatile manner using the HDRegisterHandler function.
  • OnHDStart
 This callback function, which was introduced in HotDocs Server 10, has been deprecated in 10.0.2. Although it can still be used, its functionality is now available in a more versatile manner using the HDRegisterHandler function.
  • PreHDRender
This callback function is called before HotDocs builds the interview. You can use this function to perform any interview preprocessing, such as adding custom buttons to the interview toolbar.
  • PreHDSubmit
 This callback function, which was introduced in HotDocs Server 10, has been deprecated in 10.0.2. Although it can still be used, its functionality is now available in a more versatile manner using the HDRegisterHandler function.

Global Variables

HDDisableOnSubmit

This boolean variable determines whether or not the interview (buttons, input fields, and other controls) is disabled when answers are submitted to the server. Disabling the interview prevents unintentional clicks while the form data is transferred and the server is responding to the request.

By default, the interview is disabled during answer submission; if you do not want this to occur (for example, if you are already using some other means of dynamically disabling the interview such as an HTML DIV that covers the entire interview), you should declare and set HDDisableOnSubmit to false, as follows:

var HDDisableOnSubmit = false;
HDInterviewLocale

This string value determines what locale (language) to use for the interview, which affects the standard user interface text, as well as date and number formatting. The value includes a two-letter language code, followed by a regional code. The default locale for HotDocs Server interviews is en-US.

Note: To learn more about interview locales and how to add support for a locales other than "en-US" (US English), see Browser Language Module.

Home > All About... > HotDocs Server JavaScript API


HotDocs Server Help - HDAddCustomToolbarButton Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

How Do I...?

  • Add a custom button to the toolbar

HDAddCustomToolbarButton Function

This function adds a button to the interview toolbar. When a user clicks the button, a JavaScript function is called that performs any action you may wish to make available to users of your host application, such as displaying your host application's help file.

To use this function, place a call to HDAddCustomToolbarButton inside of your PreHDRender Callback Function.

Note: Custom buttons are always added to the left of the existing toolbar buttons in the order in which they are added.
Tip: You can also add custom buttons to the toolbar on the server side using the COM or .NET API, although buttons added on the server side cannot have active and inactive states. (They are always active.)
Caution:Silverlight interviews support only .PNG and .JPG images. If you intend to use the Silverlight interview format, make sure to use a supported image type.

Syntax

HDAddCustomToolbarButton( funcClick, imageNormal, imageHot, statusText, tooltip, funcActive, imageActive, imageActiveHot, tooltipActive, buttonIndex )

Parameter | Description
funcClick | This is the name of a Javascript function that should be called whenever the button is clicked.
imageNormal | This is the normal image for the button. Tip: To avoid ambiguity, you should use a full URL for this and all other image files passed to this function.
imageHot | This is the image for the button when the mouse is hovered over it.
statusText | This is the text that is displayed in the status bar when the mouse is hovered over the button.
tooltip | This is the text that is displayed as a hint when the mouse is hovered over the button.
funcActive | This is the name of a Javascript function that should be called to determine if the button is active or not.
imageActive | This is the image for the button when it is active.
imageActiveHot | This is the image for the button when it is active and the mouse is hovered over it.
tooltipActive | This is the text that is displayed as a hint when the button is active and the mouse is hovered over it.
buttonIndex | This is the location of the button within the group of toolbar buttons. If this parameter is missing or 0, the button will be placed in the first (left-most) position in the group.

Return Value

This function returns a button ID, which you can later use to invoke the button programmatically or to set the button's visibility.

Example:
<script language="javascript">
var MyButtonIsActive = true;
function ActiveButton()
{
  return MyButtonIsActive;
}
function HelloWorld()
{
  MyButtonIsActive = !MyButtonIsActive;
}
function PreHDRender()
{
  HDAddCustomToolbarButton(HelloWorld,"http://servername/images/btn.png","http://servername/images/btnhot.png","Status Message","Tooltip.",ActiveButton,"http://servername/images/btnActive.png","http://servername/images/btnActiveHot.png","Active Tooltip");
}
</script>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDAddCustomToolbarButton Function


HotDocs Server Help - HDAddCustomNavButton Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDAddCustomNavButton Function

This function adds a button to the interview navigation bar. When a user clicks the button, a JavaScript function is called that performs any action users may need to take while navigating through the interview.

To use this function, place a call to HDAddCustomNavButton inside of your PreHDRender Callback Function.

Syntax

HDAddCustomNavButton( funcClick, funcEnabled, buttonType, buttonText, tooltip, imageName, navGroup, buttonIndex, separator )

Parameter | Description
funcClick | This is the name of a Javascript function that should be called whenever the button is clicked.
funcEnabled | This is the name of a Javascript function that should be called to determine if the button is enabled or not. If this parameter is not the name of a function, or it is null, the button will always be enabled.
buttonType This is a number that indicates what kind of button it is:
  • 0=TextOnly
  • 1=ImageOnly
  • 2=ImageLeft (image to the left of the text)
  • 3=ImageRight
buttonText | The text (if any) that should be displayed on the button.
tooltip | The tooltip text for the button.
imageName | The image (if any) for the button.
navGroup This is a number that indicates which navigation bar group the new button will be added to:
  • 0=Left
  • 1=Middle
  • 2=Right
buttonIndex | The location within the navigation bar group where the new button will appear. If this is null, the button will just be added to the end of the group.
separator This indicates whether or not a separator bar will be placed next to the new button:
  • 0=None
  • 1=Left
  • 2=Right
  • 3=Both

Return Value

This function returns a button ID, which you can later use to invoke the button programmatically or to set the button's visibility.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDAddCustomNavButton Function


HotDocs Server Help - HDAnsGetIter Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDAnsGetIter Function

This function returns a single, 1-based numeric index that indicates the repeat level of the current dialog. This is different than HDAnsGetRptNdx, which is 0-based and returns a complete set of four indexes. As such, HDAnsGetIter is most useful for non-nested repeats where there is only one index that matters.

Note: If you use this function on a nested, repeated dialog, it only returns the repeat index at the deepest level. For example, if you have one repeated dialog within another repeated dialog, the value it returns would be 1 whether you're on the first repetition of the first repeated dialog, or you're on the first repetition of the second nested dialog. In other words, HDAnsGetIter always returns the last non-negative number you would get from HDAnsGetRptNdx, plus 1.

Syntax

HDAnsGetIter()

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDAnsGetIter Function


HotDocs Server Help - HDAnsGetRptNdx Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDAnsGetRptNdx Function

This function returns the full set of repeat indexes for the current dialog. When using HDAnsGetVal and HDAnsSetVal with repeated dialogs, this function allows you to get or set the values of variables in the current repetition.

Syntax

HDAnsGetRptNdx()

Example:
function SetVariables(index) {
  window.opener.HDAnsSetVal("Employee Name",EmpName[index],window.opener.HDAnsGetRptNdx());
  window.opener.HDAnsSetVal("Employee Gender",EmpGender[index],window.opener.HDAnsGetRptNdx());
  window.opener.HDScreenRefresh();
  window.close();
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDAnsGetRptNdx Function


HotDocs Server Help - HDAnsGetVal Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDAnsGetVal Function

This function gets the value of a variable.

Tip: HotDocs Server does name mangling of HotDocs variable names; this function handles variable name mangling for you.

Syntax

HDAnsGetVal( vName, vIndex )

Parameter | Description
vName | A variable name.
vIndex

[optional] A string of numeric values delimited by colons (:), which represents the 0-based repeat index at each level, with a limit of four levels. If no index is given, HotDocs uses the default index and assume the variable is not repeated. (Otherwise, all four levels must be represented.)

For example, a dialog that has variable Text Var that is repeated:

  • "0:-1:-1:-1" would be the index of the first iteration.
  • "1:-1:-1:-1" would be the index of the second iteration.

Nested example, Dialog1 which is repeated and Dialog2 which is a child of Dialog1 and is also repeated:

  • "0:0:-1:-1" would be the first iteration of Dialog1, and first iteration of Dialog2.
  • "2:4:-1:-1" would be the third iteration of Dialog1, and fifth iteration of Dialog2.
Example:
<p>The current employee is:</p>
<p>
  <script language="javascript">
  window.document.write(window.opener.HDAnsGetVal("Employee Name"))
  </script>
</p>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDAnsGetVal Function


HotDocs Server Help - HDAnsSetVal Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDAnsSetVal Function

This function sets the value of a variable.

Tip: HotDocs Server does name mangling of HotDocs variable names; this function handles variable name mangling for you.

Syntax

HDAnsSetVal( vName, vValue, vIndex )

Parameter | Description
vName | Variable name.
vValue New value to be set.
  • Use null to set to unanswered.
  • Use new Date("mm/dd/yyyy") to set a Date value.
  • Use pipe (|) characters to separate multiple values for a Select All That Apply Multiple Choice variable (e.g., "Option A|Option C").
vIndex

[optional] A string of numeric values delimited by colons (:), which represents the 0-based repeat index at each level, with a limit of four levels. If no index is given, HotDocs uses the default index and assume the variable is not repeated. (Otherwise, all four levels must be represented.)

For example, a dialog that has variable Text Var that is repeated:

  • "0:-1:-1:-1" would be the index of the first iteration.
  • "1:-1:-1:-1" would be the index of the second iteration.

Nested example, Dialog1 which is repeated and Dialog2 which is a child of Dialog1 and is also repeated:

  • "0:0:-1:-1" would be the first iteration of Dialog1, and first iteration of Dialog2.
  • "2:4:-1:-1" would be the third iteration of Dialog1, and fifth iteration of Dialog2.
Example:

The following JavaScript function calls HDAnsSetVal to set some answer values and then calls HDScreenRefresh to update the variable fields:

function SetVariables(index) {
  window.opener.HDAnsSetVal("Employee Name",EmpName[index]);
  window.opener.HDAnsSetVal("Employee Gender",EmpGender[index]);
  window.opener.HDAnsSetVal("Employee Birth Date",new Date(EmpBirth[index]));
  window.opener.HDScreenRefresh();
  window.close();
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDAnsSetVal Function


HotDocs Server Help - HDInvokeButton Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDInvokeButton Function

This function lets you programmatically invoke one of the toolbar or navigation bar buttons (either built-in or custom), even if the button has been hidden. For example, if you create your own "Finish" button, you may want to hide the built-in "Finish" button but still have your button perform the same action by invoking the hidden "Finish" button.

Syntax

HDInvokeButton( buttonId )

Parameter Description
buttonId

This is the button's unique identifier. It can be the value returned from the HDAddCustomNavButton or HDAddCustomToolbarButton functions, or it can be one of the following built-in interview buttons:

  • HDNavigationBar: HDNextPage, HDPrevPage, HDFirstPage, HDLastPage, HDFinish, HDNextUnans, HDPrevUnans
  • HDToolBar: HDAnsSummary, HDSaveAnswers, HDOutlineToggle, HDInstUpdateToggle, HDSinglePageToggle, HDResourcePaneToggle, HDHelp, HDDocPreview

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDInvokeButton Function


HotDocs Server Help - HDGetXMLAnswers Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDGetXMLAnswers Function

This function returns an XML string of answers from the current interview. For example, you could use this string to overlay the current interview's answers on top of an existing answer file, thus updating the answer file with any answers that have been entered during the interview.

Syntax

HDGetXMLAnswers()

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDGetXMLAnswers Function


HotDocs Server Help - HDGetInterviewBookmark Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDGetInterviewBookmark Function

This function returns a string (up to 70 characters in length) that represents the user's current location in the interview, including the input field that contains the focus. For example, you can call this function from your implementation of PreHDSubmit in order to submit a bookmark for the user's current location to the server along with the user's answers. Later, you could use the HDGotoInterviewBookmark function to return the user to the same location in the interview.

Tip: This function was introduced in HotDocs Server 10.
Note: If the current answer set changes between the time the bookmark is created and when it is used, the bookmark may no longer be valid. For example, if you create a bookmark to the 5th repetition of a repeated dialog, but later delete answers so there are only four repetitions, that bookmark will no longer be valid. Calling HDGotoInterviewBookmark with an invalid bookmark string will not have any effect.

Syntax

HDGetInterviewBookmark()

Example:

The following example adds the current interview location ("bookmark") and ASP.NET view state to the array of data that will be submitted to the server.

function PreHDSubmit(fieldArray, context)
{
  if (context == "InterviewComplete")
  {
    var viewState = document.getElementById("__VIEWSTATE");
    if (viewState)
      fieldArray["__VIEWSTATE"] = viewState.value;
  }
  fieldArray["InterviewBookmark"] = HDGetInterviewBookmark();
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDGetInterviewBookmark Function


HotDocs Server Help - HDGotoInterviewBookmark Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDGotoInterviewBookmark Function

This function navigates the user to a specific dialog in the interview, and moves the focus to a designated field within that dialog.

Tip: This function was introduced in HotDocs Server 10.

Syntax

HDGotoInterviewBookmark( sBookmark )

Parameter | Description
sBookmark | A string containing an interview bookmark, as generated by HDGetInterviewBookmark. Note: If the current answer set changes between the time the bookmark is created and when it is used, the bookmark may no longer be valid. For example, if you create a bookmark to the 5th repetition of a repeated dialog, but later delete answers so there are only four repetitions, that bookmark will no longer be valid. Calling HDGotoInterviewBookmark with an invalid bookmark string will not have any effect.
Example:

The following example navigates the interview to a specific dialog ("bookmark") when the interview first loads:

function OnHDStart()
  {
    HDGotoInterviewBookmark('Job Information|1');
  }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDGotoInterviewBookmark Function


HotDocs Server Help - HDPostAnswersToServer Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDPostAnswersToServer Function

This function posts answers in the current interview to the server. For example, the HotDocs Server interview calls this function when the user clicks the [image] Save Answers button during the interview.

Note: Whenever HDPostAnswersToServer is called, the HotDocs Server interview first calls the PreHDSubmit callback function (if you have implemented it in your code).

Syntax

HDPostAnswersToServer( postUrl, pageTitle, fieldArray )

Parameter | Description
postUrl | The URL of the page on the server to which the answers will be posted.
pageTitle | [optional] The title of the page on which the server's response is displayed. The default value is Server Results.
fieldArray | [optional] An associative array of strings to be posted to the server. HotDocs Server adds the interview's answers to this array if it is specified, or it creates a new array if you omit it.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDPostAnswersToServer Function


HotDocs Server Help - HDPostToServer Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDPostToServer Function

This function posts information to the server. It is used by the HDPostAnswersToServer function for posting answers to the server, but you could use it to post any other kind of information. For example, you could create an answer summary page and use this function to display it.

Syntax

HDPostToServer( postUrl, fieldArray, bShowResponse, pageTitle )

Parameter | Description
postUrl | The URL of the page on the server to which the information will be posted.
fieldArray | An associative array of strings to be posted to the server.
bShowResponse | [optional] A Boolean value indicating whether or not HotDocs Server should display the server's response to the user. The default value is true.
pageTitle | [optional] The title of the page on which the server's response is displayed. (It is only displayed if bShowResponse is true.) The default value is Server Results.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDPostToServer Function


HotDocs Server Help - HDRegisterHandler Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDRegisterHandler Function

This function is used to register event handlers for various interview events. They can be used for both JavaScript and Silverlight interviews. The event handler can then be unregistered using the HDUnregisterHandler function.

Syntax

HDRegisterHandler(eventName, handlerFunc)

Parameter | Description
eventName A string representing the name of an interview event. You can specify any string, but only the following names are supported and will cause your event handler function to be called:
  • OnHDStart 1: This event fires when an interview is fully loaded and initialized in the browser, but before the user has a chance to interact with the interview. For example, if you want to dictate that the user should begin the interview at any dialog besides the first one, you could register for this event and call the HDGotoInterviewBookmark function to set an alternate starting point for the user's interview. The EventArgs object passed to your event handler does not have any properties.
  • OnHDNavigated: This event fires when the user navigates to a new dialog, including the dialog first displayed when starting the interview. It is fired after the dialog script has run for the new dialog, and after the display has been updated. (In the case of the first dialog, it is fired after the OnHDStart event.) If you make changes to answers in your handler, you should call HDScreenRefresh as usual to make sure the screen gets refreshed afterwards. The EventArgs object passed to your event handler has a single property:
    Property | Description
    DialogName | The name of the dialog to which the user has navigated.
  • PreHDNavigate: This event fires at the time the user attempts to navigate away from a dialog. It fires after any pending answer changes have been saved, but before focus has actually moved away from the current dialog. The EventArgs object passed to your event handler has the following properties:
    Property | Description
    DialogName | This is the name of the dialog the user is attempting to leave.
    TargetName | This is the name of the dialog to which the user is attempting to navigate.
    Cancel If you set this Boolean property to true, the user's attempt to navigate away from the dialog will be cancelled.
    Caution:If you cancel the user’s navigation, it is strongly recommended that you supply a CancelMessage. If you do not, you should undertake some other means of communicating to the user why they are not being allowed to navigate away from the current dialog.
    CancelMessage | If navigation was cancelled and this property is a non-empty string, a message box is displayed to the user to indicate why navigation was cancelled.
  • OnHDFinish 2: This event fires when the user clicks the Finish button—after HotDocs first ensures that all required variables have been answered. You can use this function to perform custom answer validation and potentially cancel the user's action if needed. The EventArgs object when this event is called has the following properties:
    Property | Description
    Cancel If you set this Boolean property to true, the user's attempt to finish the interview will be cancelled, leaving them at the current dialog.
    Caution:If you cancel the user’s navigation, it is strongly recommended that you supply a CancelMessage. If you do not, you should undertake some other means of communicating to the user why they are not being allowed to finish their interview.
    CancelMessage | If navigation was cancelled and this property is a non-empty string, a message box is displayed to the user to indicate why navigation was cancelled.
  • PreHDSubmit 3: This event fires immediately before interview answers are submitted to HotDocs Server. This could happen when the user clicks the Finish, [image] Save Answers , or [image] Document Preview buttons, or any other time the HDPostAnswersToServer function is invoked. You should subscribe to this event if you need to add fields, such as the ASP.NET view state, to the form submission. The EventArgs object when this event is called has the following properties:
    Property | Description
    FieldArray | An associative array containing all the form fields that are about to be submitted to HotDocs Server.
    Context Indicates the context in which the event is called. It can be one of the following values:
    • InterviewComplete: The user clicked either the Finish button or the Next button at the last dialog.
    • SaveAnswers: The user clicked the [image] Save Answers button.
    • DocumentPreview: The user clicked the [image] Document Preview button.
    • APICall: The HDPostAnswersToServer function has been invoked by some other means.
handlerFunc | The name of a JavaScript function which will be called any time the event for which it is registered occurs. It should accept a single parameter, EventArgs, the contents of which vary depending on the event as described above.

1 The OnHDStart event replaces and fires under the same circumstances as the former OnHDStart call-back function.

2 The OnHDFinish event replaces and fires under the same circumstances as the former OnHDFinish call-back function.

3 The PreHDSubmit event replaces and fires under the same circumstances as the former PreHDSubmit call-back function.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDRegisterHandler Function


HotDocs Server Help - HDScreenRefresh Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDScreenRefresh Function

This function refreshes the screen to update answers in the variable fields that have changed.

Syntax

HDScreenRefresh()

Example:

The following JavaScript function calls HDAnsSetVal to set some answer values and then calls HDScreenRefresh to update the variable fields:

function SetVariables(index) {
  window.opener.HDAnsSetVal("Employee Name",EmpName[index]);
  window.opener.HDAnsSetVal("Employee Gender",EmpGender[index]);
  window.opener.HDAnsSetVal("Employee Birth Date",new Date(EmpBirth[index]));
  window.opener.HDScreenRefresh();
  window.close();
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDScreenRefresh Function


HotDocs Server Help - HDSetButtonVisibility Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDSetButtonVisibility Function

This function lets callers hide built-in toolbar or navigation bar buttons, or the entire toolbar or navigation bar.

Syntax

HDSetButtonVisibility( buttonId, bVisible )

Parameter | Description
buttonId

This is the button's unique identifier. It can be the value returned from the HDAddCustomNavButton or HDAddCustomToolbarButton functions, or it can be one of the following built-in interview buttons:

  • HDNavigationBar: HDNextPage, HDPrevPage, HDFirstPage, HDLastPage, HDFinish, HDNextUnans, HDPrevUnans
  • HDToolBar: HDAnsSummary, HDSaveAnswers, HDOutlineToggle, HDInstUpdateToggle, HDSinglePageToggle, HDResourcePaneToggle, HDHelp, HDDocPreview
bVisible | This boolean parameter indicates whether or not the button, toolbar, or navigation bar should be made visible.
Example:

The following example defines the PreHDRender function where we can set the initial visibility of the "next unanswered dialog" button to false (hidden):

<script language="javascript">
  function PreHDRender()
  {
    HDSetButtonVisibility("HDNextUnans", false);
  }
</script>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDSetButtonVisibility Function


HotDocs Server Help - HDSetToolbarButtonImage Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDSetToolbarButtonImage Function

This function lets callers specify alternate images for built-in toolbar buttons. It should be called before the toolbar is rendered for the first time, such as in the PreHDRender callback function.

Syntax

HDSetToolbarButtonImage( buttonId, imageNormal, imageHot, imageActive, imageActiveHot )

Parameter | Description
buttonId

This is the unique identifier for one of the following built-in toolbar buttons:

  • HDAnsSummary, HDSaveAnswers, HDOutlineToggle, HDOutlineDropDown, HDInstUpdateToggle, HDSinglePageToggle, HDResourcePaneToggle, HDDocPreview
  • HDIcon can be used to replace the HotDocs icon. In this case only imageNormal will be used.
Note: HDDocPreview currently doesn't work in Silverlight. Use your custom image names when calling HDAddCustomToolbarButton instead.
imageNormal This is the normal image for the button.
Tip: To avoid ambiguity, you should use a full URL for this and all other image files passed to this function.
imageHot | This is the image for the button when the mouse is hovered over it.
imageActive | This is the image for the button when it is active.
imageActiveHot | This is the image for the button when it is active and the mouse is hovered over it.
Caution:Silverlight interviews support only .PNG and .JPG images. If you intend to use the Silverlight interview format, make sure to use a supported image type.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDSetToolbarButtonImage Function


HotDocs Server Help - HDUnregisterHandler Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

HDUnregisterHandler Function

This function is used to unregister an event handler for an interview event that was registered using the HDRegisterHandler function.

Syntax

HDUnregisterHandler(eventName, handlerFunc)

Parameter | Description
eventName A string representing the name of an interview event. You should specify the same string you used when registering the event handler:
  • OnHDStart
  • OnHDNavigated
  • PreHDNavigate
  • OnHDFinish
  • PreHDSubmit
handlerFunc | The name of the JavaScript function that was registered as an event handler, which you would like to unregister.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > HDUnregisterHandler Function


HotDocs Server Help - OnHDFinish Callback Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

OnHDFinish Callback Function

Tip: This callback function, which was introduced in HotDocs Server 10, has been deprecated in 10.0.2. Although it can still be used, its functionality is now available in a more versatile manner using the HDRegisterHandler function.

This callback function is called when the user clicks the Finish button—after HotDocs first ensures that all required variables have been answered. You can use this function to perform custom answer validation and potentially cancel the user's action if needed.

You should implement this function if you need to perform any action on the final interview answers before they are submitted to HotDocs Server. For example, you could perform some additional validation to make sure that certain conditions are met, or you could modify answers in the current answer set.

Note: If your implementation of OnHDFinish returns a false value, the answers will not be submitted and the user will be left at the current location in the interview. Returning anything else, or returning nothing, will cause the answers to be submitted to HotDocs Server.

Syntax

OnHDFinish()

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > OnHDFinish Callback Function


HotDocs Server Help - OnHDStart Callback Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

OnHDStart Callback Function

Tip: This callback function, which was introduced in HotDocs Server 10, has been deprecated in 10.0.2. Although it can still be used, its functionality is now available in a more versatile manner using the HDRegisterHandler function.

This callback function is called when an interview is fully loaded and initialized in the browser, but before the user has a chance to interact with the interview. For example, if you want to dictate that the user should begin the interview at any dialog besides the first one, you could implement the OnHDStart callback function and call the HDGotoInterviewBookmark function to set an alternate starting point for the user's interview.

Syntax

OnHDStart()

Example:

The following example navigates the interview to a specific dialog ("bookmark") when the interview first loads:

function OnHDStart()
  {
    HDGotoInterviewBookmark('Job Information|1');
  }

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > OnHDStart Callback Function


HotDocs Server Help - PreHDRender Callback Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

PreHDRender Callback Function

This callback function is called before HotDocs builds the interview. You can use this function to perform any interview preprocessing, such as adding custom buttons to the interview toolbar.

Syntax

PreHDRender()

Example:
<script language="javascript">
var MyButtonIsActive = true;
function ActiveButton()
{
  return MyButtonIsActive;
}
function HelloWorld()
{
  MyButtonIsActive = !MyButtonIsActive;
}
function PreHDRender()
{
  HDAddCustomToolbarButton(HelloWorld,"http://servername/images/btn.png","http://servername/images/btnhot.png","Status Message","Tooltip.",ActiveButton,"http://servername/images/btnActive.png","http://servername/images/btnActiveHot.png","Active Tooltip");
}
</script>

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > PreHDRender Callback Function


HotDocs Server Help - PreHDSubmit Callback Function

  • Help

Functions

  • HDAddCustomNavButton
  • HDAddCustomToolbarButton
  • HDAnsGetIter
  • HDAnsGetRptNdx
  • HDAnsGetVal
  • HDAnsSetVal
  • HDGetInterviewBookmark
  • HDGetXMLAnswers
  • HDGotoInterviewBookmark
  • HDInvokeButton
  • HDPostAnswersToServer
  • HDPostToServer
  • HDRegisterHandler
  • HDScreenRefresh
  • HDSetButtonVisibility
  • HDSetToolbarButtonImage
  • HDUnregisterHandler
  • OnHDFinish Callback
  • OnHDStart Callback
  • PreHDRender Callback
  • PreHDSubmit Callback

PreHDSubmit Callback Function

Tip: This callback function, which was introduced in HotDocs Server 10, has been deprecated in 10.0.2. Although it can still be used, its functionality is now available in a more versatile manner using the HDRegisterHandler function.

This callback function is called immediately before interview answers are submitted to HotDocs Server. This could happen when the user clicks the Finish, [image] Save Answers , or [image] Document Preview buttons, or any other time the HDPostAnswersToServer function is invoked. You should implement this function if you need to add fields, such as the ASP.NET view state, to the form submission.

Syntax

PreHDSubmit( fieldArray, context )

Parameter | Description
fieldArray | An associative array containing all the form fields that are about to be submitted to HotDocs Server.
context Indicates the context in which the function is called. It can be one of the following values:
  • InterviewComplete: The user clicked either the Finish button or the Next button at the last dialog.
  • SaveAnswers: The user clicked the [image] Save Answers button.
  • DocumentPreview: The user clicked the [image] Document Preview button.
  • APICall: The HDPostAnswersToServer function has been invoked by some other means.
Example:

The following example adds the current interview location ("bookmark") and ASP.NET view state to the array of data that will be submitted to the server.

function PreHDSubmit(fieldArray, context)
{
  if (context == "InterviewComplete")
  {
    var viewState = document.getElementById("__VIEWSTATE");
    if (viewState)
      fieldArray["__VIEWSTATE"] = viewState.value;
  }
  fieldArray["InterviewBookmark"] = HDGetInterviewBookmark();
}

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server JavaScript API > PreHDSubmit Callback Function


HotDocs Server Help - accelerator

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

accelerator

A key or key combination that quickly performs routine tasks in HotDocs. For example, rather than click the Print button, a user can press Ctrl+P and the document will be printed. Accelerators are useful when users don't want to use the mouse.

Home > Glossary > accelerator


HotDocs Server Help - How do I add a custom button to the toolbar using the COM or .NET API?

  • Help

How Do I...?

  • Add a custom button to the toolbar using the COM or .NET API
  • Add a custom button to the toolbar using the JavaScript API

How do I add a custom button to the toolbar using the COM or .NET API?

Tip: Custom buttons are always added to the left of the existing toolbar buttons in the order in which they are added. Also, if you want your button to support active and inactive states (instead of always being active), you must use the JavaScript API.

To add a custom button to the toolbar using the COM or .NET API

  1. Create images to be used by your button:
    • One "normal" image to use when the button is active.
    • One "hover" image to use when the button is active and the user hovers the mouse pointer over the button.
    Tip: To be consistent, these images should be 20 x 20 pixels to match the size of the built-in toolbar buttons.
  2. Create a new HotDocs_Online.Assembly or HotDocs.Server.Assembly object.
  3. Call the Assembly.AddCustomInterviewButton (COM or .NET) method using the following parameters (COM example | .NET example):
    Parameter | Description
    imageUrl | The URL of an image to use for the custom toolbar button.
    hotImageUrl | The URL of an image to use for the custom toolbar button when the user hovers the mouse over it.
    toolTip | The text to display as a tooltip when the user hovers the mouse over the button.
    statusText | The text to display in the status bar when the user hovers the mouse over the button.
    javascript A block of JavaScript code that will be executed when the user clicks the button.
    Tip: You can declare a function (or import it into) the page in which the HotDocs Server interview is embedded, and then specify that function like this: MyFunction();

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application > How do I add a custom button to the toolbar? > How do I add a custom button to the toolbar using the COM or .NET API?


HotDocs Server Help - How do I add a custom button to the toolbar using the JavaScript API?

  • Help

How Do I...?

  • Add a custom button to the toolbar using the COM or .NET API
  • Add a custom button to the toolbar using the JavaScript API

How do I add a custom button to the toolbar using the JavaScript API?

Tip: Custom buttons are always added to the left of the existing toolbar buttons in the order in which they are added.

To add a custom button to the toolbar using the JavaScript API

  1. Declare a JavaScript function to run when the custom toolbar button is clicked. This function must be declared on (or imported into) the page in which the HotDocs Server interview is embedded.
  2. Optionally, if your button will support active and inactive states, declare a JavaScript function to run to determine if the button is active or not.
  3. Create images to be used by your button:
    • One "normal" image to use when the button is active.
    • One "hover" image to use when the button is active and the user hovers the mouse pointer over the button.
    • One "inactive" image to use when the button is inactive.
    • One "inactive hover" image to use when the button is inactive and the user hovers the mouse pointer over the button.
    Tip: To be consistent, these images should be 20 x 20 pixels to match the size of the built-in toolbar buttons. Also, the last two "inactive" images are only needed if you choose to support active and inactive states.
  4. Declare a JavaScript function named PreHDRender, which HotDocs will call before it renders the interview.
  5. In the PreHDRender function, call the HDAddCustomToolbarButton function using the following parameters (example):
    Parameter | Description
    funcClick | This is the name of a Javascript function that should be called whenever the button is clicked.
    imageNormal This is the normal image for the button.
    Tip: To avoid ambiguity, you should use a full URL for this and all other image files passed to this function.
    imageHot | This is the image for the button when the mouse is hovered over it.
    statusText | This is the text that is displayed in the status bar when the mouse is hovered over the button.
    tooltip | This is the text that is displayed as a hint when the mouse is hovered over the button.
    funcActive | This is the name of a Javascript function that should be called to determine if the button is active or not.
    imageActive | This is the image for the button when it is active.
    imageActiveHot | This is the image for the button when it is active and the mouse is hovered over it.
    tooltipActive | This is the text that is displayed as a hint when the button is active and the mouse is hovered over it.
    buttonIndex | This is the location of the button within the group of toolbar buttons. If this parameter is missing or 0, the button will be placed in the first (left-most) position in the group.
    Tip: In addition to calling HDAddCustomToolbarButton to add a button to the toolbar, you could add other code to the PreHDRender function to perform any other initializations before HotDocs renders the interview.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Use the HotDocs Server APIs to Create a Host Application > How do I add a custom button to the toolbar? > How do I add a custom button to the toolbar using the JavaScript API?


HotDocs Server Help - addendum

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

addendum

The last section of a form document that contains answers that don't fit in their allotted fields on the actual form. (See also overflow.)

Home > Glossary > addendum


HotDocs Server Help - additional text

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

additional text

See dialog element.

Home > Glossary > additional text


HotDocs Server Help - ADO

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ADO

Short for ActiveX Data Objects, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ODBC.)

Home > Glossary > ADO


HotDocs Server Help - .ANS

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.ANS

File name extension that designates that the file is a HotDocs answer file. Starting with the release of HotDocs 2009, all answers files (even those with the .ANS file name extension) are saved in XML format. The .ANS file name extension is retained to ensure backwards compatibility with HotDocs 2008.

Home > Glossary > .ANS


HotDocs Server Help - answer

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer

Data users enter during an interview. Answers are usually merged into the document, but sometimes they are used to calculate other answers that are used in the document.

Home > Glossary > answer


HotDocs Server Help - answer file

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer file

A saved file that contains the answers entered during an interview. Often users save their answers in a file so they can use them to assemble other similar documents.

Home > Glossary > answer file


HotDocs Server Help - Answer File Manager

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Answer File Manager

The library used to manage answer files. With Answer File Manager, users can group answer files, view histories of their usage, and so forth. (The alternative is using Windows Explorer to find, view, and use answer files.)

Home > Glossary > Answer File Manager


HotDocs Server Help - answer library

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer library

See library and Answer File Manager.

Home > Glossary > answer library


HotDocs Server Help - answer management

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer management

The system of using Answer File Manager to store and manage answer files. (The alternative is using Windows Explorer to find, view, and use answer files.)

Home > Glossary > answer management


HotDocs Server Help - answer sharing

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer sharing

The process of creating and using same-named variables in multiple templates so that a user can use the same answer file to assemble multiple documents. (Can also be called variable flow-through.)

Home > Glossary > answer sharing


HotDocs Server Help - Answer Summary

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Answer Summary

A brief report HotDocs generates that lists the questions asked during an interview, followed by the answers that were entered. (See also Question Summary.)

Home > Glossary > Answer Summary


HotDocs Server Help - answer wizard

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

answer wizard

A button attached to a form field that users can click during direct-fill assembly. When they click this button ( Answer Wizard), a pop-up interview appears, asking one or more questions that are required in order for an answer to be merged in the field. Frequently, answer wizards are assigned to inactive fields in a form.

Home > Glossary > answer wizard


HotDocs Server Help - .ANX

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.ANX

File name extension that designates a HotDocs answer file.

Home > Glossary > .ANX


HotDocs Server Help - ascend

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ascend

The process of sorting answers in alphanumeric order, from 1 to 9, and from A to Z. (See also descend.) You can also sort items in a template library, clause library, and answer library.

Home > Glossary > ascend


HotDocs Server Help - ASK instruction

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ASK instruction

An instruction that forces a dialog to be asked at a specific location in the script or template. Frequently, ASK instructions are used when creating an interview component. They allow developers to control the order in which dialogs are asked during the interview.

Home > Glossary > ASK instruction


HotDocs Server Help - assemble, assembly

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

assemble, assembly

See document assembly.

Home > Glossary > assemble, assembly


HotDocs Server Help - Assembly Queue

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Assembly Queue

A dialog box that shows a list of assemblies—pending, current, and completed. Users can open the Assembly Queue by clicking its button ( Assembly Queue) in the assembly window toolbar. It is most useful when users have selected multiple templates for assembly.

Home > Glossary > Assembly Queue


HotDocs Server Help - assembly window

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

assembly window

The window that appears when a user selects a template to assemble. By default, it includes the Interview tab, the Document tab, the Question Summary tab, and Answer Summary tab. Each of these tabs displays something unique about the document being assembled, such as the questions that are required to customize the document or the assembled document itself.

Home > Glossary > assembly window


HotDocs Server Help - auto-assemble file

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

auto-assemble file

A self-executable file that contains one or more templates and their related files. When packaged in an auto-assemble file (or HDA), the files are temporarily extracted and used to assemble the document. Once assembly is complete, the extracted files are deleted. Auto-assemble files are useful if template developers don't want users to have editing access to the template files themselves.

Home > Glossary > auto-assemble file


HotDocs Server Help - auto-install file

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

auto-install file

A self-executable file that contains one or more templates and their related files. When extracted, the files are saved to disk and references to them are added to a library. Auto-install files provide a useful way to distribute templates or updates to template sets.

Home > Glossary > auto-install file


HotDocs Server Help - automate, automation

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

automate, automation

The process of converting any document (text or form) into an interactive template. At its very core, automation is replacing changeable text in the document with variables. Additional automation steps include making text in the template conditional, repeating sections of the template so multiple answers can be entered, and inserting other boilerplate text into the template.

Home > Glossary > automate, automation


HotDocs Server Help - Automator

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Automator

See HotDocs Automator.

Home > Glossary > Automator


HotDocs Server Help - bar code

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

bar code

A format for an answer or a group of answers so that data can be quickly scanned using an optical scanner. Bar codes are supported in both form templates and text templates.

Home > Glossary > bar code


HotDocs Server Help - binary files

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

binary files

In versions of HotDocs prior to HotDocs 2009, represents the format HotDocs-specific files—such as library files, component files, and so forth—were saved in. Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language).

Home > Glossary > binary files


HotDocs Server Help - Phrase and Connector Search in Help

  • Help

All About...

  • Searching the Help

Phrase and Connector Search in Help

To find documents containing... | Enter...
The phrase "table of contents" | "table of contents"
The word "research" or the phrase "table of contents" or both | research "table of contents" or research OR "table of contents"
The word "research" and the phrase "table of contents" | research AND "table of contents"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Searching the Help > Phrase and Connector Search in Help


HotDocs Server Help - browser

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

browser

A window that allows users to view HTML documents.

Home > Glossary > browser


HotDocs Server Help - built-in variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

built-in variable

A predefined variable that performs a special function in a template, such as inserting either today's date or the name of the current answer file. Built-in variables include TODAY, PN#, ANSWER FILE NAME, and COUNTER.

Home > Glossary > built-in variable


HotDocs Server Help - century rollover

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

century rollover

A HotDocs setting that controls whether years entered as two digits appear as 1900-century years or 2000-century years.

Home > Glossary > century rollover


HotDocs Server Help - check-box field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

check-box field

A type of form template field that represents some sort of pre-existing option a user must select.

Home > Glossary > check-box field


HotDocs Server Help - chevrons

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

chevrons

The double-angle brackets (« ») that surround a variable in a text template. Together, the chevrons and variable name make up the variable field, for example, «Client Name».

Home > Glossary > chevrons


HotDocs Server Help - child dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

child dialog

A dialog that is inserted within another dialog. When it's inserted, it becomes linked to that dialog—users can't answer questions in it without first viewing the parent dialog. Usually the two dialogs are related in content or purpose.

Home > Glossary > child dialog


HotDocs Server Help - clause

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

clause

Predefined sections of text that can be selected and added to an assembled document. Usually clauses are grouped together in a clause library so users can choose which ones they want to insert, although some clauses are merged in the document automatically.

Home > Glossary > clause


HotDocs Server Help - clause archive

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

clause archive

A compressed file that contains all of the clauses for a given template or clause library. During assembly, clauses in the archive are extracted so they can be selected and added to an assembled document.

Home > Glossary > clause archive


HotDocs Server Help - clause library

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

clause library

A file that contains a listing of available clauses. Users can select the clauses they want to use from the library, designate the order they should be merged in the document, and then answer any questions contained in the clauses. The clauses are then merged in the document.

Home > Glossary > clause library


HotDocs Server Help - How do I set up a HotDocs Server cluster group?

  • Help

Overviews

  • What is HotDocs Server clustering?

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I set up a HotDocs Server cluster group?

Before You Begin:

To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.

You can set up a HotDocs Server cluster group that enables two or more HotDocs Servers to work together to more efficiently handle large numbers of document assembly requests simultaneously.

Before you can set up a cluster group, you must first identify one machine that will act as the Head Server. This is the instance of HotDocs Server that your host application will communicate with to make various API calls. Other servers in the cluster only enter the picture when the Head Server is requested to assemble a document, at which time it will attempt to find another machine to do the work. In fact, for the sake of your host application, it does not need to know about any machine other than the Head Server.

To set up a HotDocs Server cluster group

  1. Install HotDocs Server on the Head Server. (Instructions)
  2. Install the HotDocs Assembly Server on all other servers that will be part of the cluster group. During the install, you must enter a Cluster Name, which will be the same for all Assembly servers in the cluster group. (Instructions)
  3. Install the HotDocs Server Management Tools on the machine from which you would like to manage HotDocs Server. This could be either one of the machines on which you already installed HotDocs Server, or a remote machine that is not part of your HotDocs Server cluster group. (Instructions)
  4. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  5. Under the Head server, select the Clustering node.
  6. Enter the Group name that you used when installing each of the Assembly servers.
  7. Add each of the Assembly servers to the Assembly servers list.
  8. Synchronize templates between the Head server and each of the Assembly servers to ensure that the template files will be available when document assembly requests are received. (Instructions)

    When the Head server tells one of the Assembly servers in its cluster group to assemble a document, it does not send the template files across the network to the Assembly server; those files must already exist on the Assembly server.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I set up a HotDocs Server cluster group?


HotDocs Server Help - What is HotDocs Server clustering?

  • Help

Page Descriptions

  • Clustering Node

How Do I...?

  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers

What is HotDocs Server clustering?

You can install HotDocs Server as a standalone server, or you can install it on multiple machines simultaneously, and have them work together as a "cluster group." In the cluster configuration, you install HotDocs Server on one machine and designate it as the Head Server by entering a license key that has clustering enabled. On each of the other machines, known as Assembly Servers, you install a HotDocs Server Assembly Server and enter a license key to let HotDocs Server know it is an Assembly server. When your host application tells the Head server to assemble a document, it sends the request to one of the available Assembly servers, which then performs the work and returns the assembled document to the Head server. Because the assembly work is distributed among many different machines, HotDocs Server can handle many more assembly requests simultaneously without negatively impacting performance.

Note:To see if your HotDocs Server license terms allow clustering, contact your HotDocs sales representative.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > What is HotDocs Server clustering?


HotDocs Server Help - .CMP

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.CMP

File name extension that designates that the file is a component file.

Home > Glossary > .CMP


HotDocs Server Help - command-line option

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

command-line option

An instruction used to control the operation of HotDocs. These instructions, or commands, are added to any command line that causes HotDocs to run. They can alter the operation of specific templates, or they can affect the overall operation of HotDocs.

Home > Glossary > command-line option


HotDocs Server Help - comments

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

comments

Notes or thoughts entered by the template developer either in a script or in a template. Comments are one way to document processes within the template. If entered correctly, they will not be visible to users in the assembled document.

Home > Glossary > comments


HotDocs Server Help - component

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

component

An element in a HotDocs template that displays or stores information about the answers that are merged. Examples of components include variables, dialogs, dialog elements, merge text groups, and formats.

Home > Glossary > component


HotDocs Server Help - component file

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

component file

The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Developers use Component Manager to work with components.

Home > Glossary > component file


HotDocs Server Help - Component Manager

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Component Manager

The tool used to coordinate component usage in a template. Component Manager shows all of the components used in the template and provides options for working with those components.

Home > Glossary > Component Manager


HotDocs Server Help - Computation variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Computation variable

A type of component that performs calculations or executes other instructions within the template. Computation variable scripts are created using the HotDocs scripting language.

Home > Glossary > Computation variable


HotDocs Server Help - conditional text

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

conditional text

Text in the template that should be included in the assembled document only under certain circumstances. Conditions are controlled using IF instructions and expressions.

Home > Glossary > conditional text


HotDocs Server Help - Connect to Server Dialog

  • Help

How Do I...?

  • Connect to a HotDocs Server

Connect to Server Dialog

This dialog lets you connect to a server running HotDocs Server.

Value | Description
Server name | Enter the name of the server, or select it from the drop-down list.
Connect as | If you want to connect to the server under a different user account, select this check box. You must then enter the User name and Password.

Home > Connect to Server Dialog


HotDocs Server Help - Documentation Feedback

  • Help

Documentation Feedback

To improve the quality of the help file, we invite you to make comments or suggestions. When doing so, please include as much information about your experience using the documentation as possible. For example, if commenting about a specific topic, include the name of the topic in your feedback.

E-mail your comments and suggestions to publications@hotdocs.com.

Note: The HotDocs Publications team cannot respond to technical support or project consulting issues. We are mainly interested in problems with the documentation itself—such as erroneous information, grammatical and spelling errors, or suggestions for topics to include in the next release of the software.

Home > Documentation Feedback


HotDocs Server Help - COUNTER

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

COUNTER

An expression that keeps track of the current number of repetitions in a repeated dialog. Each time a new repetition is added, the COUNTER is increased.

Home > Glossary > COUNTER


HotDocs Server Help - Calendar Dialog Box Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

Calendar Dialog Box Styles

During the interview, HotDocs displays a [image] Calendar button next to answer fields for Date variables. When users click this button, the Calendar dialog box appears to allow users to select a date.

The appearance of the Calendar dialog box is controlled by styles defined in cascading style sheets. In addition, the dialog box uses a set of image files for the month and year navigation buttons. To change the styles affecting the layout or appearance of this dialog box, you can modify the properties of the following styles defined in the hdsuser.css cascading style sheet.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

#hdCalPopup

This ID is used to control the appearance of the pop-up window (DIV element) that contains the Calendar dialog box. For example, you can change the width of the dialog box by modifying the width value. (This width should be the same as the width of #hdCalTbl below.)

Property | Value
width | 200px

#hdCalTbl

This ID is used to control the appearance of the TABLE element that makes up the calendar. For example, you can change the width of the table by modifying the width value. (This width should be the same as the width of #hdCalPopup above.)

Property | Value
width | 200px
border | 2px outset

#hdCalTitleBar

This ID is used to control the appearance of the calendar title bar (TD element) where the month and year are displayed. For example, you can change the background color by modifying the background-color value.

Property | Value
background-color | #4682b4

#hdCalTitle

This ID is used to control the appearance of the table cell (TD element) containing the month and year. For example, you can change the color of the month and year by modifying the color value.

Property | Value
text-align | center
font-size | 12px
color | White

#hdCalSel

This ID is used to control the appearance of the table cell (TD element) in the calendar that contains the currently selected date. For example, you can change the background color of this cell by modifying the background-color value.

Property | Value
background-color | Highlight
color | HighlightText
font-weight | bold

#hdCalToday

This ID is used to control the appearance of the table cell (TD element) in the calendar that contains today's date. By default, it has a different background color than surrounding cells. You can change this background color by modifying the background-color value.

Property | Value
background-color | #ffccd1

TD.HDCalDay

This ID is used to control the appearance of the table cells (TD elements) that contain the dates of weekdays. For example, you can change the color of the text used for these dates by modifying the color value.

Property | Value
background-color | White
text-size | 12px
color | Black

TD.HDCalLabel

This ID is used to control the appearance of the table cells (TD elements) that make up the row in the table containing the days of the week. For example, you can change the background color of this row by modifying the background-color value.

Property | Value
background-color | #87cefa
color | White

TD.HDCalWkend

This ID is used to control the appearance of the table cells (TD elements) that contain the weekend dates. For example, you can change the color of the text used for these dates by modifying the color value.

Property | Value
background-color | #dbeaf5

Calendar Images

The following images are used in the Calendar dialog box. You can further customize the appearance of the calendar by changing these images as needed.

File Name | Image | Description
calpy.gif |  | Previous year
calpm.gif |  | Previous month
calnm.gif |  | Next month
calny.gif |  | Next year

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > Calendar Dialog Box Styles


HotDocs Server Help - Dialog Pane Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

Dialog Pane Styles

The dialog pane in a browser-based interview contains questions and answer fields for users to enter their answers. The layout of these questions and answer fields within the dialog is determined during template development. For example, template developers assign variables to dialogs and specify the order in which variables appear on the dialog. Variables can also be arranged side-by-side with up to three variables on the same line.

Other aspects of the dialog pane's appearance, such as background colors and fonts, are controlled by styles defined in cascading style sheets. In addition, you can further customize the appearance by replacing or modifying the images used in the dialog pane. To change the styles affecting the appearance of the dialog pane, you can modify the properties of the following styles defined in the hdsuser.css cascading style sheet.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

#hdDlgContent

This ID refers to the DIV element (box) that contains the variables in the dialog. Modifying the properties of this ID can change the appearance of the dialog. For example, you can change the background color of the dialog by modifying the background-color value.

Property | Value
background-color | #f4f4f4
[system properties] | [various]

DIV.splitter

This class is used to control the appearance of certain DIV elements used as splitters (borders) between the dialog pane, interview outline, and resource pane. Users can drag these splitters to resize the dialog pane. Modifying the properties of this class can change the appearance of these splitters. For example, you can change the background color by modifying the background-color value.

Caution:Do not change the size or border width of the splitters.
Property | Value
background-color | #dadada
border-color | #eeeeee #666 #666 #eeeeee
border-style | solid
[system properties] | [various]

DIV.DlgTitle

This class is used to control the appearance of the DIV element that contains the current dialog title. (Modifying the properties of this class can change the appearance of the dialog title.) For example, you can change the font size by modifying the font-size value.

Property | Value
background-color | #ddddee
color | Black
text-align | left
font-size | 10pt
font-weight | bold

DIV.ParentDlgTitle

When a child dialog is displayed in the interview, this class is applied to the DIV element that contains the title of the parent dialog. Modifying the properties of this class can thus change the appearance of the parent dialog's title. For example, you can change the background color by modifying the background-color value.

Property | Value
background-color | #dddddd
border-style | outset
border-width | 2px
cursor | hand

SPAN.ParentDlgTitle

This class is used to control the appearance of parent dialog titles. Specifically, it is applied to the dialog title text to expand its width and ensure that users can click anywhere in the dialog title (DIV.ParentDlgTitle) to go to the parent dialog. (When a child dialog is displayed, the parent dialog title acts as a button to return to the parent dialog, if needed.) Modifying the properties of this class can change the appearance of the parent dialog's title. For example, you can change the font size by specifying a font-size value.

Property | Value
width | 100%

DIV.GrpBoxTitle

This class is used to control the appearance of DIV elements containing prompts of Multiple Choice variables that use the Buttons or Button Grid style. Although it is not styled by default, you could specify properties for this class to change the appearance of these Multiple Choice variable prompts. For example, you can change the text color by specifying a color value. (See also SPAN.GrpBoxTitle below.)

SPAN.GrpBoxTitle

This class is used to control the appearance of Multiple Choice variable prompts. Specifically, it is applied to prompt text of Multiple Choice variables that use the Buttons or Button Grid style. Although it is not styled by default, you could specify properties for this class to change the appearance of this text. For example, you can change the text color by specifying a color value. (See also DIV.GrpBoxTitle above.)

DIV.GrpBoxBox

This class is used to control the appearance of the DIV elements containing buttons or check boxes for Multiple Choice variables that use the Buttons or Button Grid style. Modifying the properties of this class can change the appearance of the box containing these Multiple Choice variable options. For example, you can change the background color by modifying the background-color value.

Property | Value
border | solid 1px Gray
background-color | Transparent

.Prompt

This class is applied to SPAN and LABEL tags to change the appearance of variable prompts and additional text in the interview. Although it is not styled by default, you can specify properties for this class to change the appearance of the prompts. For example, you can specify a font-family value to change the font.

.InputFieldFont

This class is used to control the appearance of all input fields, including those in spreadsheets. Specifically, the properties specified in this class control the font and size of answer fields in the interview. Modifying these properties can change the appearance of the input fields. For example, you can change the font size by modifying the font-size value.

Property | Value
font-family | Verdana, Arial, sans-serif
font-size | 9pt

.GrayText, .GrayField

These classes are used to control the appearance of variable prompts and additional text (.GrayText) and answer fields (.GrayField) when they are grayed (disabled). For example, you can change the font color of grayed prompts by modifying the color value. Because these classes are applied to text and input fields dynamically as they are grayed or ungrayed, the properties of this class should not change the position, size, or layout of the text or input fields. (If the properties cause the layout to change, runtime performance will be adversely affected.) To be safe, you should only modify text and background colors.

Property | Value
color | gray
background-color | lightgrey

.SetField

This class is used to control the appearance input fields that have had their answers set in a dialog script. Variable fields set in this manner cannot be modified, and they appear as static text on the dialog. Modifying the properties of this class can change the appearance of these fields. For example, you can change the background color by modifying the background-color value.

Property | Value
background-color | Transparent
border-style | none

.RowReg, .RowAlt

These two classes can be used to change the appearance of each row in the interview. Specifically, they can be used to alternate the background color of each row to give the dialog pane an appearance similar to previous versions of HotDocs Server. (Each class should have a different background-color value.) By default, these classes are not styled and the color specified in #hdDlgContent prevails.

.HDMarked

This class is applied to SPAN or LABEL tags containing prompts of variables that are marked as unanswered by the server. Modifying the properties of this class, you can change the appearance of these "marked" variables. (See MarkedVariables.) For example, you can modify the color value to change the color of marked variable prompts.

The properties of this class should not change the position, size, or layout of the text to which it is applied, especially in templates where prompts are to the left of input fields. To be safe, you should only modify text and background colors.

Property | Value
color | Red

Dialog Pane Images

The following images are used in the dialog pane. You can further customize the appearance of the dialog pane by changing these images as needed. (When two images are shown, the second image is used when the command or button is disabled.)

File Name | Image | Description
hdcal.gif, hdcalu.gif |  | Calendar button
rsrc.gif, rsrcg.gif |  | Resource button
dlg_unans.gif, dlg_unansd.gif |  | Unanswered child dialog
dlg_part.gif, dlg_partd.gif |  | Partially answered child dialog
dlg_ans.gif, dlg_ansd.gif |  | Fully answered child dialog

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > Dialog Pane Styles


HotDocs Server Help - General Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

General Styles

Because many of the styles used in browser-based interviews inherit properties from a few basic styles, changing the properties of these basic styles can affect the appearance of many parts of the interview. To change the general styles used in browser-based interviews, you can modify the properties of the following styles defined in the hdsuser.css cascading style sheet.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

BODY, TD, DIV

These are generic styles used whenever more specific styles are not specified. If you change the font family, for example, the new font family will be used almost everywhere in the interview.

Property | Value
font-family | Verdana, Arial, sans-serif
font-size | 9pt

#hdMainDiv

This ID refers to the DIV element in which the interview is rendered. Although it is not styled by default, you could specify properties for this ID to change its position or otherwise modify its appearance as needed.

#hdForm

This ID refers to the FORM element within #hdMainDiv that contains the interview. Like #hdMainDiv, this ID is also not styled by default. However, you could specify properties for this ID to modify its appearance as needed.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > General Styles


HotDocs Server Help - Interview Outline Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

Interview Outline Styles

The interview outline displays a list of dialogs in the interview. Users must navigate to each of these dialogs and answer questions before completing the interview and submitting the answers to the server. There are two display modes for the interview outline: docked to the left of the dialog pane, or as a drop-down list on the title bar.

Depending on which display mode is selected, different styles defined in cascading style sheets are applied to the interview outline to control its appearance. In addition, you can further customize the appearance by replacing or modifying the images used in the interview outline. To change the styles affecting the appearance of the interview outline, you can modify the properties of the following styles defined in the hdsuser.css cascading style sheet.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

#hdOutlineDiv, #hdOutlineContent

These ID's refer to the DIV elements that contain the interview outline when it is docked to the left of the dialog pane. The first ID, #hdOutlineDiv, refers to the DIV containing the entire interview outline, while the second ID, #hdOutlineContent, only applies the DIV element within the first DIV that contains the list of dialogs. Modifying the properties of these ID's can change the appearance of the interview outline. For example, you can change the background color by modifying the background-color property.

Property | Value
background-color | white
[system properties] | [various]

#hdOutlineFloat, #hdOutlineFloatContent

These ID's refer to the DIV elements that contain the interview outline when it is closed and available as a drop-down list from the title bar. The first ID, #hdOutlineFloat, refers to the DIV containing the entire interview outline, while the second ID, #hdOutlineFloatContent, only applies the DIV element within the first DIV that contains the list of dialogs. Modifying the properties of these ID's can change the appearance of the interview outline. For example, you can change the background color by modifying the background-color property.

Property | Value
background-color | #f0f0f0
border-width | 1px
border-style | outset
[system properties] | [various]

#hdOutlineCurrent

This ID is used to control the appearance of the currently selected dialog in the interview outline (docked or drop-down). For example, you can change the color of the current dialog title in the interview outline by modifying the color property.

Property | Value
background-color | Highlight
color | HighlightText
cursor | default

DIV.hdOutlineTitle

This class is applied to the table row (TR element) that contains the "Interview Outline" title string. For example, you can change the background color of the interview outline title bar by modifying the background-color property.

Property | Value
background-color | #dddddd

TD.olEntry

This class is applied to the table cells (TD elements) containing the dialog icons and dialog titles in the interview outline. For example, you can change the size of the font of dialogs in the interview outline by modifying the font-size property.

Property | Value
font-size | 8pt
cursor | hand

Interview Outline Images

The following images are used in the interview outline. You can further customize the appearance of the dialog pane by changing these images as needed. (When two images are shown, the second image is used when the command or button is disabled.)

File Name | Image | Description
pin1.gif |  | Close interview outline
dlgu.gif, dlgud.gif |  | Unanswered dialog
dlgp.gif, dlgpd.gif |  | Partially answered dialog
dlga.gif, dlgad.gif |  | Fully answered dialog
dlgr.gif, dlgrd.gif |  | Required dialog
rptu.gif, rptud.gif |  | Unanswered repeated dialog
rptp.gif, rptpd.gif |  | Partially answered repeated dialog
rpta.gif, rptad.gif |  | Fully answered repeated dialog
rptr.gif, rptrd.gif |  | Required repeated dialog
dlgn.gif, dlgnd.gif |  | New repeated dialog repetition

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > Interview Outline Styles


HotDocs Server Help - Resource Pane Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

Resource Pane Styles

When templates are developed, authors can include helpful information (resources) for dialogs and questions in the interview. When such information is available, you can view it in one of two ways:

  • Click the Resource Pane button in the title bar to show (or hide) the docked resource pane below the dialog:

    Docked Resource Pane

  • Click the View Resource button next to answer fields in the dialog. The resource will be displayed in either a floating or pop-up tooltip resource window, depending on how the resource is defined in the template:

    Floating Resource Pane

The appearance of the resource pane, such as the background color and font, is controlled by styles defined in cascading style sheets. You can modify the resource pane styles defined in the hdsuser.css file to change the appearance of the resource pane.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

.hdResourcePaneContent

This class is used for the content in the "docked" resource pane displayed below the dialog pane.

.hdResourcePaneContent
{
  padding:5px;
  margin:0px;
  border:0px;
}

.hdResourceBackground

This class is used for both the "docked" resource pane and the "floating" resource window. Its purpose is to specify the background color.

.hdResourceBackground
{
  background-color:#ffffe1;
}

.hdPopupTitle

This class is used for the "floating" resource window's title bar.

.hdPopupTitle
{
  font-weight: bold;
  cursor:default;
}

.hdPopupContent

This class is used for the content in the "floating" resource window.

.hdPopupContent
{
  padding:5px;
}

#hdResourcePopup

This class is used for the small "pop-up tooltip" resource window (DIV element).

#hdResourcePopup
{
  width:240px;
  background-color:#ffffe1;
  border-style:solid;
  border-width:1px;
  border-color:#f8f8c5 #c6c683 #c6c683 #f8f8c5;
  padding:3px;
}

Resource Pane Images

The following images are used in the "floating" resource window:

  • pop-close-btn.gif
  • pop-corner-ne.png
  • pop-corner-nw.png
  • pop-corner-se.png
  • pop-corner-sw.png
  • pop-edge-e.png
  • pop-edge-ene.png
  • pop-edge-ese.png
  • pop-edge-n.png
  • pop-edge-s.png
  • pop-edge-w.png
  • pop-edge-wnw.png
  • pop-edge-wsw.png
  • pop-title.png
  • stretch.gif

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > Resource Pane Styles


HotDocs Server Help - Shortcut Menu Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

Shortcut Menu Styles

During the interview, users can perform certain tasks, such as copying text or clearing answers, by right-clicking on variable fields and selecting commands from a shortcut menu. Users can also right-click on dialog titles in the interview outline to display a shortcut menu for clearing answers in an entire dialog or deleting, inserting, and moving repetitions of repeated dialogs. The following image shows an example of a shortcut menu:

The appearance of these shortcut menus is controlled by styles defined in cascading style sheets. To change the styles affecting the layout or appearance of the shortcut menus, you can modify the properties of the following styles defined in the hdsuser.css cascading style sheet.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

#hdContextMenu

This ID refers to a DIV that contains a shortcut menu. For example, you can change the background color of the shortcut menus by modifying the background-color value.

Property | Value
background-color | Menu
border | 2px outset

DIV.HDMenuItem

This class is used to control the appearance of menu items in the shortcut menu. For example, you can change the font used for the menu items by modifying the font-family value.

Property | Value
font-family | tahoma, ms sans serif, arial, sans-serif
font-size | 8pt
background-color | Menu
color | MenuText
cursor | default

DIV.HDMenuGray

This class is used to control the appearance of disabled shortcut menu items. For example, you can change the color of disabled items by modifying the color value.

Property | Value
color | GrayText

DIV.HDMenuHilite

This class is used to control the appearance of highlighted shortcut menu items. (An item is highlighted when the user moves the mouse over the item.) For example, you can change the background color of highlighted items by modifying the background-color value.

Property | Value
background-color | Highlight
color | HighlightText

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > Shortcut Menu Styles


HotDocs Server Help - Spreadsheet Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

Spreadsheet Styles

To make it easier to enter lists of information, you can include spreadsheet dialogs in your templates. When users view the dialog, a spreadsheet appears. The appearance of these spreadsheets is controlled by styles defined in cascading style sheets.

You can customize the appearance of these spreadsheets by modifying the spreadsheet styles defined in the hdsuser.css file. In addition, you can modify the images used on the spreadsheet buttons as desired.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

DIV.SpreadsheetDiv

This class is used to control the appearance of each DIV that contains a spreadsheet table. Modifying the properties of this ID will change the appearance of dialogs repeated as a spreadsheet. For example, you can change the background color of the spreadsheet by modifying the value of the background-color property.

Property | Value
background-color | Gray
border-width | 2px
border-style | inset
[system properties] | [various]

DIV.SSCResize

This class is used to control the appearance of the line (drop hint) that appears while resizing the columns in a spreadsheet dialog. For example, you can modify the value of the background-color property to change the color of the line.

Property | Value
width | 1px
background-color | Blue
[system properties] | [various]

TD.SSInput

This class is used to control the appearance of table cells (TD elements) in spreadsheet dialogs. For example, you can modify the background color of these table cells by changing the background-color value. Each cell contains an INPUT element, which is styled separately by INPUT.SSInput, .InputFieldFont, and sometimes .GrayField.

Property | Value
background-color | White
border-color | #c0c0c0
[system properties] | [various]

INPUT.SSInput

This class is used to control the appearance of INPUT elements contained within spreadsheet table cells. For example, you can modify the background color of these INPUT fields by changing the background-color value. These INPUT elements are contained within table cells styled by TD.SSInput.

Property | Value
background-color | Transparent
[system properties] | [various]

TD.SSInputCB

This class is used to control the appearance of table cells (TD elements) that contain child dialog buttons and check boxes. For example, you can change the position of the buttons and check boxes within the cell by modifying the value of the text-align property. Each cell contains an INPUT element, which is styled separately by INPUT.SSInputCB.

Property | Value
text-align | center

INPUT.SSInputCB

This class is used to control the appearance of child dialog buttons and check boxes. These INPUT elements are contained within table cells styled by TD.SSInputCB. By default, this class is not styled.

TD.SSNumber

This class is used to control the appearance of the column of table cells (TD elements) that contains the row numbers in a dialog repeated as a spreadsheet. (This is the left-most column in the spreadsheet.) For example, you can change the width of this column by modifying the width property. See also TD.SSFixed and TD.SSCurrent.

Property | Value
width | 3em
cursor | default

TD.SSFixed

This class is used to control the appearance of the table cells (TD elements) that contain the row numbers (left-most column) and the column headings (top-most row) in a dialog repeated as a spreadsheet. For example, you can change the text alignment in these cells by modifying the text-align property. See also TD.SSNumber and TD.SSCurrent.

Property | Value
text-align | center
background-color | #d0d0d0

TD.SSCurrent

This class is used to control the appearance of the table cell (TD element) that contains the current row number. For example, you can change the border color by specifying border-color values. See also TD.SSNumber and TD.SSFixed.

Property | Value
border-style | inset

SPAN.SSCHTitle

This class is used to control the appearance of the column headings in a dialog repeated as a spreadsheet. For example, you can change the font used in the column headings by specifying a font-family value.

Property | Value
text-align | center
[system properties] | [various]

SPAN.HDSSMarked, TD.HDSSMarked

These classes apply to the spreadsheet column headings of variables marked as unanswered by the server. SPAN.HDSSMarked applies to the heading text (SPAN.SSCHTitle), and TD.HDSSMarked applies to the table cell (SSFixed) containing the heading. Modifying the properties of these classes, you can change the appearance of these headings. (See MarkedVariables.) For example, you can modify the text color by specifying a different color value. The properties of these classes should not change the position, size, or layout of the text to which they are applied. To be safe, you should only modify text and background colors.

Property | Value
color | #aa0000
background-color | #ffd0d0

BUTTON.SSButton

This class is used to control the appearance of the Edit Row, Insert Row, and Delete Row buttons that appear below the spreadsheet. For example, you can change the size of the button labels by modifying the font-size property.

Property | Value
font-size | 8pt
[system properties] | [various]

Spreadsheet Images

The following images are used on the spreadsheet buttons. You can further customize the appearance of spreadsheets by changing these images as needed. (When two images are shown, the second image is used when the command or button is disabled.)

File Name | Image | Description
sser.gif, sserd.gif |  | Edit row
ssir.gif, ssird.gif |  | Insert row
ssdr.gif, ssdrd.gif |  | Delete row

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > Spreadsheet Styles


HotDocs Server Help - Title and Navigation Bar Styles

  • Help

Reference Material

  • Calendar Dialog Box Styles
  • Dialog Pane Styles
  • General Styles
  • Interview Outline Styles
  • Resource Pane Styles
  • Shortcut Menu Styles
  • Spreadsheet Styles
  • Title and Navigation Bar Styles

How Do I...?

  • Add a custom button to the toolbar

Title and Navigation Bar Styles

Browser-based interviews include a title bar and navigation bar to help users complete the interview. The title bar contains the title of the template and buttons to perform certain tasks during the interview, such as showing or hiding the resource pane. The navigation bar contains buttons for moving through the interview, such as going to the next dialog or returning to the first dialog in the interview.

The appearance of the title and navigation bars is controlled by styles defined in cascading style sheets. In addition, you can further customize the appearance by replacing or modifying the images used in these bars. To change the styles affecting the appearance of the title and navigation bars, you can modify the properties of the following styles defined in the hdsuser.css cascading style sheet.

Tip: Although properties are listed for each style below, the cascading style sheet may use additional properties not listed here. When modifying the cascading style sheet, you may either change the value of a property already specified, or you may choose to specify additional properties as needed. For more information about modifying the cascading style sheet, see How do I customize the appearance of a JavaScript interview?

#hdHeading

This ID refers to the TABLE element that contains the title bar. Modifying the properties of this ID can change the appearance of the title bar. For example, you can change the height of the title bar by specifying a height value.

Property | Value
[system properties] | [various]

#hdTitleBar

This ID refers to the TR (table row) element that contains the title bar. (The title bar table only has one row.) Modifying the properties of this ID can change the appearance of the title bar. For example, you can change the background color of the title bar by specifying a different background-color value.

Property | Value
background-color | #003366

#hdTemplateTitle

This ID refers to the TD (table cell) element that contains the template title in the title bar table. Modifying the properties of this ID can change the appearance of the template title. For example, you can change the text color by specifying a different color value.

Property | Value
color | white
font-size | 12pt
font-weight | bold

#hdNavBar

This ID refers to the DIV element (box) used for the navigation bar at the bottom of the dialog pane. Modifying the properties of this ID can change the appearance of the navigation bar. For example, you can change the background color by specifying a different background-color value.

Property | Value
background-color | #dadada
[system properties] | [various]

TD.TitleBtns

This class is used to control the appearance of certain TD (table cell) elements in the title bar table. Specifically, this class is used for the table cells containing buttons, such as Instant Update and Resource Pane. Modifying the properties of this class can change the appearance of these table cells. For example, you can change the background color by specifying a background-color value.

Property | Value
padding-left | 0px

Title Bar Images

The following images are used in the title bar. You can further customize the appearance of the title bar by changing these images as needed.

File Name | Image | Description
btnol.gif, btnolh.gif, btnolc.gif, btnolch.gif |  | Show/Hide Interview Outline
btnod.gif, btnodh.gif, btnodc.gif, btnodch.gif |  | Show Drop-down Interview Outline
btniu.gif, btniuh.gif, btniuc.gif, btniuch.gif |  | Enable/Disable Instant Update
btnrs.gif, btnrsh.gif, btnrsc.gif, btnrsch.gif |  | Show/Hide Resource Pane
btnpg.gif, btnpgh.gif, btnpgc.gif, btnpgch.gif |  | Toggle Single/Multi-page Interview
hdhelp.gif |  | Help button to display HotDocs Server help
hds.gif |  | HotDocs Server logo
btnas.gif, btnash.gif |  | Answer Summary
btndp.gif, btndph.gif |  | Document Preview
btnsv.gif, btnsvh.gif |  | Save Answers

Navigation Bar Images

The following images are used in the navigation bar. You can further customize the appearance of the navigation bar by changing these images as needed. (When two images are shown, the second image is used when the command or button is disabled.)

File Name | Image | Description
navFirst.gif, navFirstd.gif |  | First dialog
navPrevU.gif, navPrevUd.gif |  | Previous unanswered dialog
navPrev.gif, navPrevd.gif |  | Previous dialog
navNext.gif, navNextd.gif |  | Next dialog
navNextU.gif, navNextUd.gif |  | Next unanswered dialog
navLast.gif, navLastd.gif |  | Last dialog
navFinish.gif, navFinishd.gif |  | Finish interview
navFinEM.gif, navFinEMd.gif |  | Finish editing spreadsheet rows
navPrint.gif |  | Print the Answer Summary
navReturn.gif |  | Return to the interview from the Answer Summary

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Customize the Interview Appearance and Performance > How do I customize the appearance of a JavaScript interview? > Title and Navigation Bar Styles


HotDocs Server Help - custom interview

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

custom interview

A script that controls how and the order in which variables and dialogs are asked during an interview. The template developer creates this script.

Home > Glossary > custom interview


HotDocs Server Help - How do I customize the appearance of a Silverlight interview?

  • Help

How Do I...?

  • Customize the appearance of a JavaScript interview
  • Customize the appearance of a Silverlight interview

All About...

  • Create Custom HTML Pages for Template Uploading
  • Create Templates for Use with HotDocs Server
  • Customize the Interview Appearance and Performance
  • Upgrade an Existing HotDocs Server Host Application
  • Use the HotDocs Server APIs to Create a Host Application

How do I customize the appearance of a Silverlight interview?

You can customize some styles associated with Silverlight interviews. In particular, you can customize the fonts and colors used in the interview.

To customize the appearance of a Silverlight interview

  1. Edit hdsuser.xaml. (By default, it is found in C:\Program Files\HotDocs Server\HDServerFiles\stylesheets.)
  2. Modify the styles as needed, using information in the following tables to help you know which styles affect various parts of the interview:
    Style Name | Description
    BaseTextBlockStyle | This is the base style used by all interview text.
    BaseControlStyle | This is the base style used by all interview controls.
    TemplateTitleGridStyle | This style controls the appearance of the template title bar.
    TemplateTitleTextStyle | This style controls the appearance of the template title.
    SplitterStyle | This is the base splitter style used by both the vertical and horizontal splitters described below.
    SplitterVStyle | This style controls the appearance of the vertical splitter between the dialog and interview outline panes.
    SplitterHStyle | This style controls the appearance of the horizontal splitter between the dialog and resource panes.
    InterviewTitleGridStyle | This style controls the appearance of the interview outline title bar.
    InterviewTitleTextStyle | This style controls the appearance of the interview outline title.
    InterviewOutlineStyle | This style controls the appearance of the interview outline.
    DialogTitleGridStyle | This style controls the appearance of the box in which the dialog title is displayed.
    DialogTitleTextStyle | This style controls the appearance of the dialog title.
    DialogGridStyle | This style controls the appearance of the dialog pane's background.
    DialogTextStyle | This style controls the appearance of text in group boxes, True/False variable prompts, and Number variable currency symbols. Other dialog text that supports formatting with dot codes, is controlled by DialogRichTextStyle.
    DialogRichTextStyle | This style controls the appearance of most prompts and dialog element text, with the exception of the categories listed in the DialogTextStyle description above.
    DialogButtonTextStyle | This style controls the appearance of text on dialog buttons, such as "Add Another" or dialog element buttons.
    InputStyle | This is the base style used for all input fields. If you just want to change the style for a particular type of input, use one of the other more specific input styles below.
    TextInputStyle | This style controls the appearance of Text variable input fields.
    NumberInputStyle | This style controls the appearance of Number variable input fields.
    DateInputStyle | This style controls the appearance of Date variable input fields.
    TrueFalseInputStyle | This style controls the appearance of True/False variable radio buttons and check boxes.
    MultipleChoiceInputStyle | This style controls the appearance of Multiple Choice variable input fields, such as radio buttons, check boxes, and "Other" fields.
    ListItemStyle | This style controls the appearance of text in Multiple Choice variable drop-down lists.
    ColumnHeaderStyle | This style controls the appearance of column headers in spreadsheet dialogs.
    RowHeaderStyle | This style controls the appearance of the row numbers in spreadsheet dialogs.
    SpreadsheetTextStyle | This style controls the appearance of answers displayed in spreadsheet dialogs. (The appearance of answers as they are entered is controlled by the "input" styles above.)
    GroupBoxStyle | This style controls the appearance of group boxes for Multiple Choice and True/False variables.
    NavigationGridStyle | This style controls the appearance of the navigation bar at the bottom of the dialog pane.
    NavigationTextStyle | This style controls the appearance of the navigation bar button text.
    ResourceGridStyle This style controls the background color of the resource pane displayed below the dialog pane.
    Note: This does not control the appearance of the pop-up resource window you see when you click the Resource button. The appearance of that window, as well as the appearance of the text displayed in the resource pane, is controlled by the hdsuser.css cascading style sheet.
    Other Resource Name | Description
    RowBackground | This SolidColorBrush resource specifies the background color for odd-numbered rows in spreadsheet dialogs.
    AlternatingRowBackground | This SolidColorBrush resource specifies the background color for even-numbered rows in spreadsheet dialogs.
    InterDialogRowSpacing | This Thickness resource specifies the amount of space between and around variable fields and other dialog elements. By default, there is a 5 pixel white space on each side.
    InterDialogSpacing | In single-page interviews, this Thickness resource specifies the amount of space between each dialog.
  3. Save the style sheet.
  4. To ensure that interviews look the same when testing in a browser using HotDocs Developer and when assembling with HotDocs Server, verify that the style sheets and images are the same for both versions of HotDocs. (See How do I synchronize files between HotDocs Developer and Server?.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > How do I customize the appearance of a Silverlight interview?


HotDocs Server Help - database

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

database

A file that contains a collection of data. Template developers can map variables in templates to fields in a database table so that answers can be retrieved from it and merged in the assembled document.

Home > Glossary > database


HotDocs Server Help - Database Connection

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Database Connection

See HotDocs Database Connection.

Home > Glossary > Database Connection


HotDocs Server Help - date detection

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

date detection

The HotDocs setting that controls how HotDocs interprets and merges dates entered during the interview—for example, whether the date appears as DAY MONTH YEAR (British), or MONTH DAY YEAR (United States).

Home > Glossary > date detection


HotDocs Server Help - Date variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Date variable

A type of component that merges a date in the document.

Home > Glossary > Date variable


HotDocs Server Help - default interview

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

default interview

The interview HotDocs automatically generates based on the order variables are asked in the template.

Home > Glossary > default interview


HotDocs Server Help - default word processor

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

default word processor

When multiple word processors (for example, Word and WordPerfect) or when multiple versions of a single word processor (for example, Word 2000 and Word XP) are installed, the word processor HotDocs uses by default for automation and document assembly.

Home > Glossary > default word processor


HotDocs Server Help - delimiter

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

delimiter

A character, such as a tilde (~) or vertical bar (|), that delineates answers or values in a script or instruction.

Home > Glossary > delimiter


HotDocs Server Help - descend

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

descend

The process of sorting answers in reverse alphanumeric order, from 9 to 1, and from Z to A. (See also ascend.)

Home > Glossary > descend


HotDocs Server Help - Improve Interview Speed Using a Custom Interview

  • Help

Improve Interview Speed Using a Custom Interview

Once you automate a template, the template can be used to generate an interview, which displays the questions the user must answer in order to produce a complete document.

How HotDocs generates this interview is important to understand. To start, HotDocs reads through the template text and extracts all variables and instructions from it. This produces what is called an extracted script.

This example shows a short template, followed by its corresponding extracted script:

(Template text)

Last Will of «Client Name»
I, «Client Name», being of sound mind, do make this my last will and testament. «IF Client Marital Status = "Married"»My «Client Spouse Gender: wife/husband»’s name is «Spouse Name». «Client Spouse Gender: she/he» is my personal representative. «ELSE IF Client Marital Status = "Never Married"»I have never been married. «END IF»

(Extracted script)

«Client Name»
«Client Name»
«IF Client Marital Status = "Married"»
«Client Spouse Gender: wife/husband»
«Spouse Name»
«Client Spouse Gender: She/He»
«ELSE IF Client Marital Status = "Never Married"»
«END IF»

Once HotDocs creates this script, it then processes the script and asks any variables referenced in it, displaying those questions in the interview. (When a variable is linked to a dialog, HotDocs displays the dialog instead.) Additionally, HotDocs processes other instructions (such as ASK, REPEAT, or IF instructions) included in the extracted script. While the extracted script may refer to a variable or instruction multiple times, once the variable or instruction has been answered, it will not be asked again.

For most templates, allowing HotDocs to generate the interview this way is sufficient. In fact, all templates are set, by default, to use this method.

For complicated templates that contain a lot of scripting, however, this default interview generation may produce an interview that is sluggish for the user to navigate. This is because HotDocs must repeatedly process every variable and instruction in the extracted script—even if the user has already answered the question or the instruction has already been executed. Depending on the complexity of the script, processing this script may cause a delay when moving between answers in the dialog or between dialogs in the interview.

If this happens, you can create a custom interview that contains only the required scripting and variables. You create this script using a Computation variable. Once you write the custom interview script, you must select a component file property that tells HotDocs to use this script instead of the default extracted script. The following example shows a custom interview script that might be created for the template shown above:

(Custom interview script)

ASK Client Information
IF Client Marital Status = "Married"
  ASK Spouse Name
END IF

For instructions on creating a custom interview so you can improve the responsiveness of the interview, see Define a Custom Interview.

Home > Improve Interview Speed Using a Custom Interview


HotDocs Server Help - developer

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

developer

See template developer.

Home > Glossary > developer


HotDocs Server Help - dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

dialog

  1. In template development, represents the component in which the developer groups variables and other components.
  2. In document assembly, represents the group of questions in the Interview tab of the assembly window where users enter their answers.

Home > Glossary > dialog


HotDocs Server Help - dialog element

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

dialog element

A component that lets developers more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. These can help make the dialog more visually pleasing and informative.

Home > Glossary > dialog element


HotDocs Server Help - direct-fill assembly

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

direct-fill assembly

The process of entering answers directly at the Form Document tab of the assembly window rather than answering questions at the Interview tab.

Home > Glossary > direct-fill assembly


HotDocs Server Help - .DOC

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.DOC

File name extension that designates that the file is a Microsoft Word document. (See text document.)

Home > Glossary > .DOC


HotDocs Server Help - document

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

document

The file that is created after a template has been assembled.

Home > Glossary > document


HotDocs Server Help - document assembly

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

document assembly

The process HotDocs goes through as it processes scripts in the template and merges answers into the document. At the end of the assembly process, the user has a document tailored to his or her needs.

Home > Glossary > document assembly


HotDocs Server Help - document manager

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

document manager

A third-party application that stores various data files, including documents and answer files. Using a document manager, users can track versions and show histories of the document as well as enter other physical data about the files being stored, such as the date they were created, who created them, and so forth.

Home > Glossary > document manager


HotDocs Server Help - Document Preview tab

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Document Preview tab

A tab of the assembly window that shows how the text document has been assembled using the answers entered in the interview. (See also Form Document tab and Interview tab.)

Home > Glossary > Document Preview tab


HotDocs Server Help - .DOT

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.DOT

File name extension that designates that the file is a Microsoft Word DOT template. (See text document.)

Home > Glossary > .DOT


HotDocs Server Help - double-angle bracket

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

double-angle bracket

See chevrons.

Home > Glossary > double-angle bracket


HotDocs Server Help - driver

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

driver

See printer driver.

Home > Glossary > driver


HotDocs Server Help - duplicate

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

duplicate

The process of copying a variable to create a new one.

Home > Glossary > duplicate


HotDocs Server Help - Edit field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Edit field

A type of form template field that is used for entering text, dates, and numbers. It is the most commonly used type of field on a form.

Home > Glossary > Edit field


HotDocs Server Help - ELSE IF / ELSE

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ELSE IF / ELSE

See IF instruction.

Home > Glossary > ELSE IF / ELSE


HotDocs Server Help - End of Interview dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

End of Interview dialog

The last dialog displayed in an interview, which contains a report of the number of questions that are still unanswered. It also provides options for working with the assembled document.

Home > Glossary > End of Interview dialog


HotDocs Server Help - interviewFormat Enumeration

  • Help

Reference Material

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • interviewFormat Enumeration
  • PdfPermissions Enumeration

interviewFormat Enumeration

This enumeration is a set of values that indicate the type of browser interview displayed. The possible values are:

Interview Formats

Name | Value | Description
JavaScript | 0 | Displays a JavaScript-based interview.
Silverlight | 1 | Displays a Silverlight-based interview.
Note: The Silverlight 3 runtime engine required to display Silverlight interviews is only available for 32-bit browsers.

Home > interviewFormat Enumeration


HotDocs Server Help - example format

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

example format

A predefined format for how an answer should look when it is merged in the assembled document. This allows the user to enter the answer however they want in the interview, but forces it to appear a specific way in the finished document.

Home > Glossary > example format


HotDocs Server Help - explicit index

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

explicit index

A reference to a specific answer in a list of answers. For example, to merge the third answer from a list, a template developer would assign the index number of [3] to the variable that is being merged, like this: «Service Date[3]». The third date in the list would then be merged.

Home > Glossary > explicit index


HotDocs Server Help - expression

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

expression

A command in a script that retrieves a special value. Expressions help calculate dates, sums, and so forth.

Home > Glossary > expression


HotDocs Server Help - Features Not Allowed in HotDocs Server Templates

  • Help

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

Features Not Allowed in HotDocs Server Templates

The following features are not compatible with HotDocs Server. Using any one of these features will prevent a template from being assembled using HotDocs Server. (An error message is displayed when you try to test the template in a browser or publish it for use with HotDocs Server.) In some cases, there are simple ways of accomplishing the same task without using the feature, however.

Feature | Description
Clauses and clause libraries | Although clauses and clause libraries are not supported in HotDocs Server, you can use inserted templates to achieve similar results. For example, you can use the answer for a True/False variable to determine when to insert a template into the assembled document.
INSERT instructions used in computation scripts | HotDocs Server cannot process INSERT instructions in computation scripts. However, INSERT instructions can be processed when they are inserted directly in the template.
LANGUAGE instructions used in expressions | LANGUAGE instructions are not allowed when used as part of an expression. However, you can merge the instruction directly in the template.
Personal Information variables | Personal Information variables require access to the Current User key of the Windows registry. Since HotDocs Server cannot access the user's registry, this feature is not allowed.
ANSWER FILE NAME variables | The ANSWER FILE NAME variable is used to merge the name of the answer file used in the assembled document. Because of the differences in the way HotDocs Server works with answer files, this is not allowed.
Database components | HotDocs Database components cannot be used in HotDocs Server templates. However, you can achieve much of the same functionality using server answer sources. (See How do I create a HotDocs Server answer source?.)
PLAY "MACRO" instructions | This instruction plays a word processor macro after the document is assembled and either sent to the word processor, printed, or saved. Playing a macro requires access to a word processor, and since HotDocs Server assembles documents outside of the word processor, it cannot play macros.
Application link dialog elements and EXECUTE instructions | These instructions are used to start other applications on the user's computer. However, they are not allowed in HotDocs Server templates.
Scripting in plain text resources or prompts | In JavaScript interviews, you cannot use scripting (such as IF, REPEAT, SPACE, and VALUE instructions or expressions) in a resource or prompt. In Silverlight interviews, you can use scripting in resources and prompts.
Bookmarks | Bookmarks that have been inserted into a document by Word or WordPerfect cannot be used with HotDocs server.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Templates for Use with HotDocs Server > What are the differences between desktop and browser-based interviews? > Features Not Allowed in HotDocs Server Templates


HotDocs Server Help - Features That Work Differently in HotDocs Server Interviews

  • Help

Reference Material

  • Features Not Allowed in HotDocs Server Templates
  • Features That Work Differently in HotDocs Server Interviews

Features That Work Differently in HotDocs Server Interviews

The following features are allowed in HotDocs Server templates, but they work differently in desktop and server interviews. For example, the end result may be the same, but the different user interfaces require changes to the implementation of some features. There are also some features that are ignored when they are used in HotDocs Server templates. Unlike the features not supported in HotDocs Server templates (click here), these features do not cause any errors.

Feature | Description
Answer sources | In desktop HotDocs, you can specify an answer source (a list of answers from which a user can select one) for a dialog. Users open the list when answering a question in a dialog and pick an existing answer, instead of entering one manually. However, when assembling documents using HotDocs Server, these answer sources are ignored (the Select button does not appear on the dialog), although you can use a server answer source to achieve similar results. (See Create a HotDocs Server Answer Source.)
Automatically selecting a Multiple Choice option when the variable is unanswered | At the Multiple Choice Variable Editor, you can click the Options tab and specify which option should be automatically selected if the variable is unanswered when displayed. Although these "default" options are ignored in HotDocs Server interviews, you can still achieve the same results by using the DEFAULT instruction in your template.
Text patterns | Text patterns are supported in both desktop and server interviews, but the way answers are formatted as they are entered during the interview is slightly different in each version.
Example formats

You can include variable fields in variable prompts and dialog element text by inserting the name of the variable within chevrons (« »). You can also specify an example format for variables within the chevrons. For example, to display a text answer in ALL CAPS, insert the variable name as follows: «Text Var:LIKE THIS» (where Text Var is the name of your variable).

Also, in JavaScript interviews, the FORMAT instruction is not supported in dialog element text or variable prompts. For example, «FORMAT( Text Var, "LIKE THIS" )» or FORMAT "a, b, and c" does not work in a JavaScript interview. This instruction can be used to format text in Silverlight interviews and in the assembled document, however.

Script link dialog elements | You can use a script link dialog element to add a button to a dialog that processes a Computation variable. However, in a HotDocs Server template, the Computation variable cannot include an ASK instruction or otherwise cause a dialog to be asked. (HotDocs Server ignores ASK instructions in script link computation scripts.)
Web link dialog elements | You can use Web link dialog element to add a button to a dialog that links to a database. However, this works only in browser-based (HotDocs Server) interviews. Web links that launch such databases do not appear in desktop interviews. (See "Add a Hyperlink to a Dialog" in the desktop HotDocs Helps.)
Image dialog elements The following restrictions apply to images displayed in dialogs:
  • Image files must be saved to the same folder as the template.
  • .JPG and .PNG images are supported in both Silverlight and JavaScript interviews. In addition, JavaScript interviews allow .GIF images, but neither interview type can display .BMP images.
  • Silverlight does not support all possible color depths that are included in the PNG specification. Specifically, gray scale and 64-bit true color are not supported in Silverlight.
Variable field (« ») and dot codes in Multiple Choice option prompts and merge text

In JavaScript interviews, HotDocs Server processes variable fields (« ») and dot codes in Multiple Choice option prompts when the Multiple Choice variable is first displayed in an interview. If the variable used in the prompt is asked before the Multiple Choice variable is displayed, the variable field will be resolved to display the answer. However, if the variable did not already have an answer, the prompt will show an unanswered variable reference instead. In both cases, if the answer for the variable used in the prompt is subsequently changed, the prompt will not be updated because it is only processed one time per interview. Finally, variable fields in merge text are never processed in JavaScript interviews, but they are processed when the answer is merged in the assembled document.

In Silverlight interviews, variable fields in Multiple Choice option prompts and merge text are always kept up to date as they are in desktop interviews.

Resources for variables and dialogs | HotDocs Server only supports Plain Text and URL resources. All other resource types (HTML Help, Windows Help, Folio Infobase, Custom Program) are ignored in HotDocs Server interviews. (No resource is displayed for the dialog or variable.) In addition, HotDocs Server displays all URL resources as hyperlinks that open up separate windows; the actual Web page does not appear in the resource pane.
End of Interview dialog | HotDocs Server interviews do not include an End of Interview dialog. Selecting Hide End of Interview dialog at the Component File Properties dialog box (Assembly tab) has no effect on the server interview.
Question and Answer summaries | Selecting Use variable names in summaries at the Component File Properties dialog box (Assembly tab) has no effect on the server interview. (HotDocs Server does not have an option for creating Question summaries, and Answer summaries always use variable prompts.)
"TypeHere" bookmarks | Since HotDocs Server does not send assembled documents to the word processor, selecting Move to the "TypeHere" bookmark at the Component File Properties dialog box (Assembly tab) is not applicable to HotDocs Server templates.
Prevent users from using an answer file to assemble a document | Since answer file selection and processing is handled by your HotDocs Server Web (host) application, the Do not use answer files option at the Component File Properties dialog box (Assembly tab) does not affect server interviews.
Max WHILE iterations | HotDocs Server does not honor the Maximum WHILE iterations value specified at the Component File Properties dialog box (Assembly tab). (You should be careful not to create an infinite WHILE loop in your templates.)
Max processing stack depth | HotDocs Server does not honor the Maximum processing stack depth value specified at the Component File Properties dialog box (Assembly tab). (You should be careful to avoid infinitely recursing (processing) a computation.)
Accelerator keys in variable prompts | In desktop interviews, you can make a character in a variable prompt an accelerator key by typing an ampersand (&) character immediately before the letter you want as an accelerator. HotDocs Server correctly removes the ampersand when the prompt is displayed in the interview, but does not make the following character an accelerator key.
ASCEND, DESCEND, and FILTER instructions | The ASCEND, DESCEND, and FILTER instructions, which are used for sorting and filtering repeated dialogs, are ignored in HotDocs Server interviews. They can be used to sort answers in the assembled document, but not to display a sorted or filtered list of answers in the interview.
SUM( COMPUTATION_VAR ) expression | Using the SUM( COMPUTATION_VAR) expression to display information during the interview is not supported. You can use this expression as part of the text in the assembled document, but not in a dialog script or dialog element.
Dot Codes The following dot codes are not supported in Silverlight interviews:
  • «.tc»: Tab character dot codes are ignored.
  • «.oh»: An optional hyphen is treated like a normal hyphen.
  • «.pb» and «.pm»: Page break and paragraph mark dot codes are both treated like line breaks.
  • «.w "URL"»/«.we»: New line characters, strike-through, and underline formatting is ignored within the text of a Web link.
Automatic Prompt Alignment | In Silverlight interviews, automatic prompt alignment works differently than it does in JavaScript or desktop interviews.
SPAN Instructions | When HotDocs assembles a template which contains a SPAN instruction, it checks the answer file to see if it contains an answer for that SPAN component. If there is an answer, the text within the SPAN instruction is replaced by the text in the answer file. This works whether you are assembling a document on the desktop or server. The difference, however, is that desktop interviews provide an interface at the Document Preview tab where you can edit the text within a SPAN instruction. On the server, there is no such user interface for editing SPAN text, which puts the usefulness of SPAN instructions in server-only templates into question.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > Create Templates for Use with HotDocs Server > What are the differences between desktop and browser-based interviews? > Features That Work Differently in HotDocs Server Interviews


HotDocs Server Help - field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

field

A place in the template that denotes where users' answers should be merged, or where a specific instruction should be executed. In a text template, a field is denoted by chevrons. In a form template, a field is denoted by a colored box that is overlaid on the form's static text.

Home > Glossary > field


HotDocs Server Help - file name extension

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

file name extension

Three characters appended to a file name that identify the type of file so Windows knows what program to use to work with the file.

Home > Glossary > file name extension


HotDocs Server Help - fill

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

fill

The process of assembling a form document.

Home > Glossary > fill


HotDocs Server Help - fillable field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

fillable field

In Adobe Acrobat or Reader, represents a dynamic field in which a user can enter data while viewing the document. Using HotDocs, users can create fillable PDF templates from these PDF documents that contain fillable fields.

Home > Glossary > fillable field


HotDocs Server Help - Filler

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Filler

See HotDocs Filler.

Home > Glossary > Filler


HotDocs Server Help - filter

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

filter

A script that removes unrelated or unwanted answers from a list of answers. For example, perhaps there is a list of a client's children but only the names of minor children should be merged. A filter can extract just this data from the list.

Home > Glossary > filter


HotDocs Server Help - fixed value

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

fixed value

A predefined answer, such as a date, number, or string of text. When working with instructions and expressions, placeholders are replaced either with fixed values or with variables.

Home > Glossary > fixed value


HotDocs Server Help - foreign language DLL

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

foreign language DLL

A file that allows template developers and users to access Date variable and Number variable formats in languages other than English. This allows these dates and numbers to be formatted correctly in the assembled document. Supported languages include French, Spanish, German, Swiss German, Austrian German, Dutch, and Italian.

Home > Glossary > foreign language DLL


HotDocs Server Help - format example

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

format example

See example format.

Home > Glossary > format example


HotDocs Server Help - form document

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

form document

The file that is created from an assembled form template. Form documents are distinguished from text documents by the design of the document—forms are static in nature, meaning the underlying text of the document cannot be changed or modified. (See also text document.)

Home > Glossary > form document


HotDocs Server Help - Form Document tab

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Form Document tab

A tab of the assembly window that shows how the form document has been assembled using the answers entered in the interview. When viewing the Form Document tab, users can enter or change their answers by clicking on the form fields and changing the answer.

Home > Glossary > Form Document tab


HotDocs Server Help - form template

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

form template

A template that is created and automated in HotDocs Automator. It is distinguished from a text template by the fact that the underlying text cannot be modified because it is static. (See also form document.)

Home > Glossary > form template


HotDocs Server Help - Contact HotDocs Sales and Support

  • Help

Contact HotDocs Sales and Support

HotDocs Technical Support

Support for customers with technical support agreements is available by calling the numbers below. To expedite your call, please be at the computer on which the program is running.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 828-8328 (U.S.) (801) 615-2200 (International) Note: U.S. technical support is available from 7:00am to 6:00pm (MST), Monday through Friday.
E-mail | support@hotdocs.com
Web Site | http://www.hotdocs.com/support/

Inside the European Union:

Method of Contact | Information
Telephone | 0870 0100 676 (U.K.) +44 131 220 9027 (International) Note: U.K. technical support is available from 9:00am to 5:00pm (GMT), Monday through Friday.
E-mail | tech@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Note:
  • You may also find answers or solutions to questions you have in the HotDocs Knowledge Base. To view the Knowledge Base (as well as access other support options), please visit http://help.hotdocs.com/knowledgebase/.
  • Click here for information on providing the HotDocs Publications team with documentation feedback.

HotDocs Sales Support

Experienced HotDocs consultants are available to help you with a variety of services, including integrating HotDocs with other products, building a template library, or providing training. Please contact your sales representative to learn more.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 500-3627 (U.S. Sales) (801) 615-2200 (U.S. Business) +44 131 226 3999 (International)
Fax | (877) 356-3627 (U.S.) (801) 868-3627 (International)
E-mail | sales@hotdocs.com
Web Site | http://www.hotdocs.com http://www.hotdocs.com/products http://www.hotdocs.com/services
Address | 387 South 520 West Suite 210 Lindon Utah, 84042

Inside the European Union:

Method of Contact | Information
Telephone | 0870 606 6050 (U.K.) +44 131 226 3999 (International)
Fax | 0131 220 9024 (U.K.) +44 131 220 9024 (International)
E-mail | info@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Address | 14 South Charlotte Street Edinburgh, EH2 4AX Scotland

Home > Contact HotDocs Sales and Support


HotDocs Server Help - Form a Help Search Query

  • Help

Form a Help Search Query

Using Search is perhaps the most powerful option you have for searching the help file. To form a search query, please keep the following in mind:

  • If you want to find a topic that contains two or more terms, regardless of where the terms appear in the topic, enter those terms in the search box. For example, if you want to find a topic on using the instant update feature for a document, you could enter the search words instant update document. All topics that contain all of those search terms are listed in the results.
  • To search for a specific phrase, you can surround the phrase in quotation marks. For example, to find information about the Highlight Fields button, enter the search phrase (including quotation marks) "highlight fields button". All topics with that exact phrase are listed on the Search Results page.
  • You can also search using Boolean phrases such as AND, OR, and NOT:
    • Words separated by AND will display results that contain all of the words in your search. (This is the way Search works by default.)
    • Words separated by OR will display results that contain either of the words in your search. For example, you could search using "intake interview" OR "interview template" and view all topics that contain either of those phrases.
    • Words separated by NOT will display results that contain the first word in the search, but not the second. For example, if you want to find all topics that contain the word group but not table, you could enter the search phrase group NOT table.
Note:
  • For full instructions on using the help file, see Get Help Using HotDocs.
  • When you view a topic in a search results list, the help system highlights your search terms. If you want to remove these highlights, click the [image] Remove Highlighting button . (To show highlighted terms again, click the [image] Highlight Search Terms button.)

Home > Form a Help Search Query


HotDocs Server Help - Get Help Using HotDocs

  • Help

Get Help Using HotDocs

HotDocs Help Window Overview

HotDocs Server includes a Help file to assist you in using the product.

The HotDocs Help window is divided into three parts – the navigation bar along the top of the help window, the main help content pane, and the topic navigation path that appears along the bottom of the window (which is visible as you are viewing specific help topics).

Organization of the Help File

Content within the help file is categorized into four areas:

  1. Overviews: These topics describe, in general terms, a particular feature or tool of HotDocs.
  2. How do I …?: These topics provide step-by-step instructions for completing a task in HotDocs.
  3. Reference Material: These topics offer additional information about a HotDocs feature or tool, such as background data or tips.
  4. Dialog Box Descriptions: These topics provide information for a specific dialog box or window. (You usually access these help topics by clicking the Help button on a dialog box that has one.)

Find Topics in the Help File

To use the help file, you have several options:

  • Click the Home link in the navigation bar to view the main “table of contents” for the help file. This displays a page that describes sections of the help file. You can click a folder and navigate to the specific help topic that most interests you.
  • Click the Index link to view a listing of all the topics in the help file, referenced by index keyword.
  • Enter a search term or phrase in the Search box and click Search to view topics that contain your search phrase. If the search phrase is found, a Search Results page is displayed, showing the different topics, grouped by category, that meet your criteria.
Note: See Form a Help Search Query for detailed instructions on creating a search query.

Other Help Resources

  • Click the Contact link to view different options for contacting HotDocs.
  • Click Glossary to view a glossary of HotDocs terms.
  • Click the Print Print Topic button to print a help topic.
  • Click the Increase Size Increase Size or Decrease Size Decrease Size buttons to increase or decrease the font size used for viewing the help file.
Note:
  • For additional help using HotDocs, you can view the online HotDocs Knowledge Base. See http://help.hotdocs.com/knowledgebase/.
  • When you view a topic in a search results list, the help system highlights your search terms. If you want to remove these highlights, click the [image] Remove Highlighting button. (To show highlighted terms again, click the [image] Highlight Search Terms button.)

Home > Get Help Using HotDocs


HotDocs Server Help - Use International Characters in HotDocs

  • Help

Use International Characters in HotDocs

What is Unicode?

Unicode is a computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages.

According to the technical description given by the Unicode Consortium, “Unicode provides a consistent way of encoding multilingual plain text and brings order to a chaotic state of affairs that has made it difficult to exchange text files internationally. Computer users who deal with multilingual text—business people, linguists, researchers, scientists, and others—will find that the Unicode Standard greatly simplifies their work. Mathematicians and technicians, who regularly use mathematical symbols and other technical characters, will also find the Unicode Standard valuable.”1

HotDocs and Unicode

Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

Caution:WordPerfect does not support Unicode. As such, Unicode characters that are assembled into WordPerfect documents will not appear correctly.

For example, say you need to automate a template using the German language. You can draft the underlying template text in German, and then create all of the components in the template using German. This includes assigning component names, titles, prompts, resources, and so forth in that language. Users can then complete the interview by entering their answers in German. The resulting assembled document can be entirely in German.

Using Fonts that Contain Unicode Characters

Even though HotDocs supports Unicode characters, these characters may not appear correctly if you do not have fonts installed that can display them.

For example, say you automate your template using the Tahoma font on Windows Vista. If the template is used on an earlier operating system, some of the characters you have used may not appear correctly because those characters may not be supported in the version of Tahoma available on that operating system.

Or, perhaps you use a very specialized font for displaying symbolic characters. If your users do not have the same font installed on their computers, your text will appear as unrecognized characters—usually boxes or question marks.

Additionally, you must also be careful when assigning font styles (such as bold or italic) to international characters, as characters may not display correctly when these styles are applied.

Unicode and Backwards Compatibility

HotDocs 2008 and earlier does not support Unicode. (The exception to this is HotDocs 2008 answer files where you could use Unicode characters in answers.) If you attempt to use a HotDocs 2009 (or later) template with an earlier version of HotDocs, any foreign characters you have used will appear as boxes or question marks. In some cases, HotDocs will warn you when you attempt to use one of these types of files.

Detailed, technical information on Unicode can be found by visiting any of the following Web sites:

  • http://www.w3.org/
  • http://www.unicode.org/
  • http://en.wikipedia.org/wiki/Unicode
Note:
  • While the template, interview, and assembled document may appear in most languages supported by Unicode, the HotDocs application itself continues to be supported in English only.
  • This help file defines Unicode characters that are not part of your typical language set as foreign or international characters.

1 "The Unicode Standard: A Technical Introduction. 17 Sept, 2008, 12:27 PM. 5 Dec 2008 http://www.unicode.org/standard/principles.html.

Home > Use International Characters in HotDocs


HotDocs Server Help - All About...

  • Help

All About...

+ About HotDocs

  • What is HotDocs document assembly software?
  • What is HotDocs Server?

Related Topics

+ HotDocs Server Architecture

  • What is the HotDocs Server service?
  • What is a HotDocs Server host application?
  • What is HotDocs Developer?

+ New Features and Enhancements

  • New and Enhanced Features of HotDocs Server 10
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Online Server 6.1

> System Requirements

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs Server Architecture

  • What is the HotDocs Server service?
  • What is a HotDocs Server host application?
  • What is HotDocs Developer?

Related Topics

+ About HotDocs

  • What is HotDocs document assembly software?
  • What is HotDocs Server?

+ New Features and Enhancements

  • New and Enhanced Features of HotDocs Server 10
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Online Server 6.1

> System Requirements

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

> About the HotDocs Server COM API

Related Topics

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs_Online.VariableCollection Object

  • VariableCollection.Open Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property
  • VariableCollection.VarEncodedName Property
  • VariableCollection.VarName Property
  • VariableCollection.VarType Property
  • VariableCollection.VCHandle Property

Related Topics

> About the HotDocs Server COM API

+ HotDocs_Online Enumerations

  • ansFileFormat Enumeration
  • ansType Enumeration
  • appendOptions Enumeration
  • CMPOpenOptions Enumeration
  • DependencyType Enumeration
  • hdCmpType Enumeration
  • HotDocsVersion Enumeration
  • PdfPermissions Enumeration

+ HotDocs_Online.Answer Object

  • Answer.Add Method
  • Answer.Clear Method
  • Answer.GetAnswer Method
  • Answer.GetRepeatCount Method
  • Answer.GetRepeatIndex Method
  • Answer.Item Method
  • Answer.IterateValues Method
  • Answer.Remove Method
  • Answer.SetRepeatIndex Method
  • Answer.ACHandle Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.Type Property
  • Answer.TypeText Property
  • Answer.Value Property
  • Answer.ValueIndexes Property
  • Answer.OnValueFoundEvent Event

+ HotDocs_Online.AnswerCollection Object

  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Close Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.GetXMLAnswers Method
  • AnswerCollection.Item Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.Save Method
  • AnswerCollection.SetUploadedAnswers Method
  • AnswerCollection.SetXMLAnswers Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.ACHandle Property
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.fileName Property

+ HotDocs_Online.Assembly Object

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.documentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavascriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.interviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.Parent Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.templatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs_Online.AssemblyCollection Object

  • AssemblyCollection.Add Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Item Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.Count Property

+ HotDocs_Online.Component Object

  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs_Online.ComponentCollection Object

  • ComponentCollection.Item Method
  • ComponentCollection.Open Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs_Online.ComponentProperties Object

  • ComponentProperties.Item Method
  • ComponentProperties.Count Property

+ HotDocs_Online.ComponentProperty Object

  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.VariantType Property

+ HotDocs_Online.Dependency Object

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs_Online.DependencyCollection Object

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs_Online.FileCollection Object

  • FileCollection.Add Method
  • FileCollection.Clear Method
  • FileCollection.CopyFile Method
  • FileCollection.CreateCollectionFromZipFile Method
  • FileCollection.DeleteFile Method
  • FileCollection.Insert Method
  • FileCollection.Item Method
  • FileCollection.Move Method
  • FileCollection.PrependSafeArray Method
  • FileCollection.Remove Method
  • FileCollection.SaveAsZipFile Method
  • FileCollection.AsSafeArray Property
  • FileCollection.AsString Property
  • FileCollection.Count Property

+ HotDocs_Online.InterviewResponse Object

  • InterviewResponse.GetRequestString Method

+ HotDocs_Online.Manager Object

  • Manager.CopyFileToAssemblyNode Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.IsCluster Property

+ HotDocs_Online.Session Object

  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property
  • Session.Version Property
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method

+ HotDocs_Online.TemplateInfo Object

  • TemplateInfo.Close Method
  • TemplateInfo.Open Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs_Online.UtilityTools Object

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRTFFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs_Online.Value Object

  • Value.Answer Property
  • Value.repeatIndex1 Property
  • Value.repeatIndex2 Property
  • Value.repeatIndex3 Property
  • Value.repeatIndex4 Property
  • Value.Value Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ Create Custom HTML Pages for Template Uploading

  • What is a Publishing Form page?
  • What is a Publishing Destination page?

Related Topics

+ Create Templates for Use with HotDocs Server

  • How do I enable templates for use with HotDocs Server?
  • How do I publish and upload templates for use with HotDocs Server?
  • What are the differences between desktop and browser-based interviews?

+ Customize the Interview Appearance and Performance

  • Define a Custom Interview
  • How do I use Computations in a template?
  • How do I customize the appearance of a JavaScript interview?

> Upgrade an Existing HotDocs Server Host Application

+ Use the HotDocs Server APIs to Create a Host Application

  • How do I use the .NET Application Interface to create a HotDocs Server host application?
  • How do I use the COM Application Interface to create a HotDocs Server host application?
  • How do I add a custom button to the toolbar?
  • How do I create a HotDocs Server answer source?
  • How do I enable the Save Answers feature in my host application?

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ Create Templates for Use with HotDocs Server

  • How do I enable templates for use with HotDocs Server?
  • How do I publish and upload templates for use with HotDocs Server?
  • What are the differences between desktop and browser-based interviews?

Related Topics

+ Create Custom HTML Pages for Template Uploading

  • What is a Publishing Form page?
  • What is a Publishing Destination page?

+ Customize the Interview Appearance and Performance

  • Define a Custom Interview
  • How do I use Computations in a template?
  • How do I customize the appearance of a JavaScript interview?

> Upgrade an Existing HotDocs Server Host Application

+ Use the HotDocs Server APIs to Create a Host Application

  • How do I use the .NET Application Interface to create a HotDocs Server host application?
  • How do I use the COM Application Interface to create a HotDocs Server host application?
  • How do I add a custom button to the toolbar?
  • How do I create a HotDocs Server answer source?
  • How do I enable the Save Answers feature in my host application?

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ Customize the Interview Appearance and Performance

  • Define a Custom Interview
  • How do I use Computations in a template?
  • How do I customize the appearance of a JavaScript interview?

Related Topics

+ Create Custom HTML Pages for Template Uploading

  • What is a Publishing Form page?
  • What is a Publishing Destination page?

+ Create Templates for Use with HotDocs Server

  • How do I enable templates for use with HotDocs Server?
  • How do I publish and upload templates for use with HotDocs Server?
  • What are the differences between desktop and browser-based interviews?

> Upgrade an Existing HotDocs Server Host Application

+ Use the HotDocs Server APIs to Create a Host Application

  • How do I use the .NET Application Interface to create a HotDocs Server host application?
  • How do I use the COM Application Interface to create a HotDocs Server host application?
  • How do I add a custom button to the toolbar?
  • How do I create a HotDocs Server answer source?
  • How do I enable the Save Answers feature in my host application?

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ Use the HotDocs Server APIs to Create a Host Application

  • How do I use the .NET Application Interface to create a HotDocs Server host application?
  • How do I use the COM Application Interface to create a HotDocs Server host application?
  • How do I add a custom button to the toolbar?
  • How do I create a HotDocs Server answer source?
  • How do I enable the Save Answers feature in my host application?

Related Topics

+ Create Custom HTML Pages for Template Uploading

  • What is a Publishing Form page?
  • What is a Publishing Destination page?

+ Create Templates for Use with HotDocs Server

  • How do I enable templates for use with HotDocs Server?
  • How do I publish and upload templates for use with HotDocs Server?
  • What are the differences between desktop and browser-based interviews?

+ Customize the Interview Appearance and Performance

  • Define a Custom Interview
  • How do I use Computations in a template?
  • How do I customize the appearance of a JavaScript interview?

> Upgrade an Existing HotDocs Server Host Application

See Also

+ HotDocs Server Architecture

  • What is the HotDocs Server service?
  • What is a HotDocs Server host application?
  • What is HotDocs Developer?

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ New Features and Enhancements

  • New and Enhanced Features of HotDocs Server 10
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Online Server 6.1

Related Topics

+ About HotDocs

  • What is HotDocs document assembly software?
  • What is HotDocs Server?

+ HotDocs Server Architecture

  • What is the HotDocs Server service?
  • What is a HotDocs Server host application?
  • What is HotDocs Developer?

> System Requirements

Home > All About...


HotDocs Server Help - Searching the Help

  • Help

Searching the Help

The search feature provides a way to retrieve specific information from the help system. You can use the form at the top of the page to submit words and phrases. In addition, you can use connectors to create precise search queries.

Tip:

When you submit a search query, be aware that some characters require special treatment.

+ - & | ! ( ) { } [ ] ^ " ~ * ? : \

The following articles provide examples for these search query types.

Phrase and Connector Search in Help

To find documents containing... | Enter...
The phrase "table of contents" | "table of contents"
The word "research" or the phrase "table of contents" or both | research "table of contents" or research OR "table of contents"
The word "research" and the phrase "table of contents" | research AND "table of contents"

Home > All About... > Searching the Help


HotDocs Server Help - All About...

  • Help

All About...

+ Searching the Help

  • Phrase and Connector Search in Help

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ Install HotDocs Server

  • How do I install HotDocs Server?
  • How do I install the HotDocs Server management tools?
  • Post-Installation Checklist

Related Topics

+ HotDocs Server Files and Registry Keys

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys

+ HotDocs Server Management Console

  • How do I use the HotDocs Server management tools?
  • HotDocs Server Tree
  • Server (Machine Name) Node
  • Service Node
  • HotDocs Node
  • License Node
  • Logging Node
  • Component Security Node
  • Clustering Node
  • Assembly Server Node

+ Synchronize HotDocs Server Files

  • How do I synchronize files between HotDocs Developer and Server?
  • How do I synchronize templates between servers?

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs Server JavaScript API

  • HDAddCustomToolbarButton Function
  • HDAddCustomNavButton Function
  • HDAnsGetIter Function
  • HDAnsGetRptNdx Function
  • HDAnsGetVal Function
  • HDAnsSetVal Function
  • HDInvokeButton Function
  • HDGetXMLAnswers Function
  • HDGetInterviewBookmark Function
  • HDGotoInterviewBookmark Function
  • HDPostAnswersToServer Function
  • HDPostToServer Function
  • HDRegisterHandler Function
  • HDScreenRefresh Function
  • HDSetButtonVisibility Function
  • HDSetToolbarButtonImage Function
  • HDUnregisterHandler Function
  • OnHDFinish Callback Function
  • OnHDStart Callback Function
  • PreHDRender Callback Function
  • PreHDSubmit Callback Function

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs Server Management Console

  • How do I use the HotDocs Server management tools?
  • HotDocs Server Tree
  • Server (Machine Name) Node
  • Service Node
  • HotDocs Node
  • License Node
  • Logging Node
  • Component Security Node
  • Clustering Node
  • Assembly Server Node

Related Topics

+ HotDocs Server Files and Registry Keys

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys

+ Install HotDocs Server

  • How do I install HotDocs Server?
  • How do I install the HotDocs Server management tools?
  • Post-Installation Checklist

+ Synchronize HotDocs Server Files

  • How do I synchronize files between HotDocs Developer and Server?
  • How do I synchronize templates between servers?

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ Synchronize HotDocs Server Files

  • How do I synchronize files between HotDocs Developer and Server?
  • How do I synchronize templates between servers?

Related Topics

+ HotDocs Server Files and Registry Keys

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys

+ HotDocs Server Management Console

  • How do I use the HotDocs Server management tools?
  • HotDocs Server Tree
  • Server (Machine Name) Node
  • Service Node
  • HotDocs Node
  • License Node
  • Logging Node
  • Component Security Node
  • Clustering Node
  • Assembly Server Node

+ Install HotDocs Server

  • How do I install HotDocs Server?
  • How do I install the HotDocs Server management tools?
  • Post-Installation Checklist

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs Server Files and Registry Keys

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys

Related Topics

+ HotDocs Server Management Console

  • How do I use the HotDocs Server management tools?
  • HotDocs Server Tree
  • Server (Machine Name) Node
  • Service Node
  • HotDocs Node
  • License Node
  • Logging Node
  • Component Security Node
  • Clustering Node
  • Assembly Server Node

+ Install HotDocs Server

  • How do I install HotDocs Server?
  • How do I install the HotDocs Server management tools?
  • Post-Installation Checklist

+ Synchronize HotDocs Server Files

  • How do I synchronize files between HotDocs Developer and Server?
  • How do I synchronize templates between servers?

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

> About the HotDocs Server .NET API

Related Topics

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

+ HotDocs.Server.VariableCollection Class

  • VariableCollection Constructor
  • VariableCollection.Dispose Method
  • VariableCollection.Open Method
  • VariableCollection.VarEncodedName Method
  • VariableCollection.VarName Method
  • VariableCollection.VarType Method
  • VariableCollection.Count Property
  • VariableCollection.Description Property
  • VariableCollection.Title Property

Related Topics

> About the HotDocs Server .NET API

+ HotDocs.Server.Answer Class

  • Answer Constructor
  • Answer.Add Method
  • Answer.Clear Method
  • Answer.Contains Method
  • Answer.CopyTo Method
  • Answer.Dispose Method
  • Answer.GetEnumerator Method
  • Answer.GetRepeatCount Method
  • Answer.IndexOf Method
  • Answer.Insert Method
  • Answer.Remove Method
  • Answer.RemoveAt Method
  • Answer.AnswerType Property
  • Answer.AnswerTypeText Property
  • Answer.Count Property
  • Answer.Name Property
  • Answer.RepeatIndexes Property
  • Answer.RepeatCount Property
  • Answer.Value Property
  • Answer.ValueIndexes Property

+ HotDocs.Server.AnswerCollection Class

  • AnswerCollection Constructor
  • AnswerCollection.Add Method
  • AnswerCollection.AddAnswer Method
  • AnswerCollection.Clear Method
  • AnswerCollection.Contains Method
  • AnswerCollection.CopyTo Property
  • AnswerCollection.Dispose Method
  • AnswerCollection.GetEnumerator Method
  • AnswerCollection.GetRptCount Method
  • AnswerCollection.IndexOf Method
  • AnswerCollection.Insert Method
  • AnswerCollection.Open Method
  • AnswerCollection.OverlayAnswerFile Method
  • AnswerCollection.OverlayXMLAnswers Method
  • AnswerCollection.Remove Method
  • AnswerCollection.RemoveAt Method
  • AnswerCollection.Save Method
  • AnswerCollection.ValidateXMLAnswerFile Method
  • AnswerCollection.ValidateXMLAnswerSet Method
  • AnswerCollection.Count Property
  • AnswerCollection.FileFormat Property
  • AnswerCollection.FileName Property
  • AnswerCollection.XMLAnswers Property

+ HotDocs.Server.Assembly Class

  • Assembly.AddCustomInterviewButton Method
  • Assembly.Assemble Method
  • Assembly.Dispose Method
  • Assembly.GetInterview Method
  • Assembly.RemoveCustomInterviewButton Method
  • Assembly.AnswerCollection Property
  • Assembly.AnswerFilePath Property
  • Assembly.AnswerFilePathData Property
  • Assembly.AssembleMarkupDocument Property
  • Assembly.Completed Property
  • Assembly.ComponentCollection Property
  • Assembly.DocumentExtension Property
  • Assembly.DocumentPath Property
  • Assembly.DocumentPathData Property
  • Assembly.DocumentPreview Property
  • Assembly.DocumentPreviewUrl Property
  • Assembly.FormActionUrl Property
  • Assembly.HotDocsCSSUrl Property
  • Assembly.HotDocsImageUrl Property
  • Assembly.HotDocsJavaScriptUrl Property
  • Assembly.HotDocsVersion Property
  • Assembly.ID Property
  • Assembly.InsertedTemplates Property
  • Assembly.InterviewAnswers Property
  • Assembly.InterviewDefinitionUrl Property
  • Assembly.InterviewFilePath Property
  • Assembly.InterviewFormat Property
  • Assembly.InterviewVersion Property
  • Assembly.OriginalFileName Property
  • Assembly.Parent Property
  • Assembly.ParentInterviewBasePath Property
  • Assembly.ParentTemplateBasePath Property
  • Assembly.PendingAssemblies Property
  • Assembly.SaveAnswersPageUrl Property
  • Assembly.StatelessInterview Property
  • Assembly.Switches Property
  • Assembly.TempInterviewPath Property
  • Assembly.TempInterviewUrl Property
  • Assembly.TemplatePath Property
  • Assembly.TemplatePathData Property
  • Assembly.TemplateTitle Property
  • Assembly.UnansweredVariables Property
  • Assembly.UnansweredVariablesList Property
  • Assembly.VariableCollection Property

+ HotDocs.Server.AssemblyCollection Class

  • AssemblyCollection.Add Method
  • AssemblyCollection.AddNew Method
  • AssemblyCollection.Clear Method
  • AssemblyCollection.Contains Method
  • AssemblyCollection.CopyTo Method
  • AssemblyCollection.Dispose Method
  • AssemblyCollection.GetEnumerator Method
  • AssemblyCollection.IndexOf Method
  • AssemblyCollection.Insert Method
  • AssemblyCollection.Remove Method
  • AssemblyCollection.RemoveAt Method
  • AssemblyCollection.Count Property

+ HotDocs.Server.AssemblyNode Class

  • AssemblyNode.Dispose Method
  • AssemblyNode.History Property
  • AssemblyNode.Name Property
  • AssemblyNode.Queue Property
  • AssemblyNode.Status Property

+ HotDocs.Server.Component Class

  • Component.Dispose Method
  • Component.Name Property
  • Component.Prompt Property
  • Component.Properties Property
  • Component.Type Property

+ HotDocs.Server.ComponentCollection Class

  • ComponentCollection Constructor
  • ComponentCollection.Add Method
  • ComponentCollection.Clear Method
  • ComponentCollection.Contains Method
  • ComponentCollection.CopyTo Method
  • ComponentCollection.Dispose Method
  • ComponentCollection.GetEnumerator Method
  • ComponentCollection.IndexOf Method
  • ComponentCollection.Insert Method
  • ComponentCollection.Open Method
  • ComponentCollection.Remove Method
  • ComponentCollection.RemoveAt Method
  • ComponentCollection.CmpVersion Property
  • ComponentCollection.Count Property
  • ComponentCollection.Description Property
  • ComponentCollection.Title Property

+ HotDocs.Server.ComponentProperties Class

  • ComponentProperties.Add Method
  • ComponentProperties.Clear Method
  • ComponentProperties.Contains Method
  • ComponentProperties.CopyTo Method
  • ComponentProperties.Dispose Method
  • ComponentProperties.GetEnumerator Method
  • ComponentProperties.IndexOf Method
  • ComponentProperties.Insert Method
  • ComponentProperties.Remove Method
  • ComponentProperties.RemoveAt Method
  • ComponentProperties.Count Property
  • ComponentProperties.Keys Property
  • ComponentProperties.Values Property

+ HotDocs.Server.ComponentProperty Class

  • ComponentProperty.Dispose Method
  • ComponentProperty.Name Property
  • ComponentProperty.Value Property
  • ComponentProperty.ValueType Property

+ HotDocs.Server.Dependency Class

  • Dependency.Dependencies Property
  • Dependency.DependencyType Property
  • Dependency.Target Property

+ HotDocs.Server.DependencyCollection Class

  • DependencyCollection.GetEnumerator Method
  • DependencyCollection.Item Method
  • DependencyCollection.Count Property

+ HotDocs.Server.InterviewResponse Class

  • InterviewResponse Constructor
  • InterviewResponse.GetInterviewAnswers Method

+ HotDocs.Server.Manager Class

  • Manager Constructor
  • Manager.CopyFileToAssemblyNode Method
  • Manager.Dispose Method
  • Manager.GetAssemblyNodeState Method
  • Manager.SyncDirectoryWithAssemblyNodes Method
  • Manager.AssemblyNodeCount Property
  • Manager.AssemblyNodes Property
  • Manager.IsCluster Property

+ HotDocs.Server.RepeatIndices Class

  • RepeatIndices.Clear Method
  • RepeatIndices.Reset Method
  • RepeatIndices.Count Property
  • RepeatIndices.IsReadOnly Property

+ HotDocs.Server.Session Class

  • Session Constructor
  • Session.AddLogEntry Method
  • Session.AppendDocumentFile Method
  • Session.ConvertHTMLToRtf Method
  • Session.ConvertRTFToHTML Method
  • Session.ConvertRTFToPDF Method
  • Session.Dispose Method
  • Session.GetDocumentFileExtension Method
  • Session.GetHotDocsVersion Method
  • Session.GetInterviewVersion Method
  • Session.Assemblies Property
  • Session.CompletedAssemblies Property
  • Session.CurrentAssembly Property
  • Session.DefaultAssembleMarkupDocument Property
  • Session.DefaultDocumentPreviewUrl Property
  • Session.DefaultHotDocsCSSUrl Property
  • Session.DefaultHotDocsImageUrl Property
  • Session.DefaultHotDocsJavascriptUrl Property
  • Session.DefaultInterviewDefinitionUrl Property
  • Session.DefaultStatelessInterview Property
  • Session.ID Property
  • Session.PDFAdvantageInstalled Property

+ HotDocs.Server.TemplateInfo Class

  • TemplateInfo Constructor
  • TemplateInfo.Dispose Method
  • TemplateInfo.Dependencies Property
  • TemplateInfo.EffectiveComponentFile Property
  • TemplateInfo.PointedToComponentFile Property
  • TemplateInfo.PrimaryComponentFile Property
  • TemplateInfo.RecursiveDependencies Property

+ HotDocs.Server.UtilityTools Class

  • UtilityTools.BuildServerFiles Method
  • UtilityTools.ConvertRtfFile Method
  • UtilityTools.DecryptString Method
  • UtilityTools.EncryptString Method

+ HotDocs.Server.Value Class

  • Value Constructor
  • Value.Dispose Method
  • Value.Answer Property
  • Value.RepeatIndex1 Property
  • Value.RepeatIndex2 Property
  • Value.RepeatIndex3 Property
  • Value.RepeatIndex4 Property
  • Value.value Property

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

> System Requirements

Related Topics

+ About HotDocs

  • What is HotDocs document assembly software?
  • What is HotDocs Server?

+ HotDocs Server Architecture

  • What is the HotDocs Server service?
  • What is a HotDocs Server host application?
  • What is HotDocs Developer?

+ New Features and Enhancements

  • New and Enhanced Features of HotDocs Server 10
  • New and Enhanced Features of HotDocs 2008 Server
  • New and Enhanced Features of HotDocs 2007 Server
  • New and Enhanced Features of HotDocs 2006 Server
  • New and Enhanced Features of HotDocs 2005 Server
  • New and Enhanced Features of HotDocs Online Server 6.2
  • New and Enhanced Features of HotDocs Online Server 6.1

Home > All About...


HotDocs Server Help - All About...

  • Help

All About...

> Upgrade an Existing HotDocs Server Host Application

Related Topics

+ Create Custom HTML Pages for Template Uploading

  • What is a Publishing Form page?
  • What is a Publishing Destination page?

+ Create Templates for Use with HotDocs Server

  • How do I enable templates for use with HotDocs Server?
  • How do I publish and upload templates for use with HotDocs Server?
  • What are the differences between desktop and browser-based interviews?

+ Customize the Interview Appearance and Performance

  • Define a Custom Interview
  • How do I use Computations in a template?
  • How do I customize the appearance of a JavaScript interview?

+ Use the HotDocs Server APIs to Create a Host Application

  • How do I use the .NET Application Interface to create a HotDocs Server host application?
  • How do I use the COM Application Interface to create a HotDocs Server host application?
  • How do I add a custom button to the toolbar?
  • How do I create a HotDocs Server answer source?
  • How do I enable the Save Answers feature in my host application?

Home > All About...


HotDocs Server Help - Glossary

  • Help

Glossary

Click a link to jump to the corresponding letter:

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

.ANS

File name extension that designates that the file is a HotDocs answer file. Starting with the release of HotDocs 2009, all answers files (even those with the .ANS file name extension) are saved in XML format. The .ANS file name extension is retained to ensure backwards compatibility with HotDocs 2008.

.ANX

File name extension that designates a HotDocs answer file.

accelerator

A key or key combination that quickly performs routine tasks in HotDocs. For example, rather than click the Print button, a user can press Ctrl+P and the document will be printed. Accelerators are useful when users don't want to use the mouse.

addendum

The last section of a form document that contains answers that don't fit in their allotted fields on the actual form. (See also overflow.)

additional text

See dialog element.

ADO

Short for ActiveX Data Objects, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ODBC.)

answer

Data users enter during an interview. Answers are usually merged into the document, but sometimes they are used to calculate other answers that are used in the document.

answer file

A saved file that contains the answers entered during an interview. Often users save their answers in a file so they can use them to assemble other similar documents.

Answer File Manager

The library used to manage answer files. With Answer File Manager, users can group answer files, view histories of their usage, and so forth. (The alternative is using Windows Explorer to find, view, and use answer files.)

answer library

See library and Answer File Manager.

answer management

The system of using Answer File Manager to store and manage answer files. (The alternative is using Windows Explorer to find, view, and use answer files.)

answer sharing

The process of creating and using same-named variables in multiple templates so that a user can use the same answer file to assemble multiple documents. (Can also be called variable flow-through.)

Answer Summary

A brief report HotDocs generates that lists the questions asked during an interview, followed by the answers that were entered. (See also Question Summary.)

answer wizard

A button attached to a form field that users can click during direct-fill assembly. When they click this button ( Answer Wizard), a pop-up interview appears, asking one or more questions that are required in order for an answer to be merged in the field. Frequently, answer wizards are assigned to inactive fields in a form.

ascend

The process of sorting answers in alphanumeric order, from 1 to 9, and from A to Z. (See also descend.) You can also sort items in a template library, clause library, and answer library.

ASK instruction

An instruction that forces a dialog to be asked at a specific location in the script or template. Frequently, ASK instructions are used when creating an interview component. They allow developers to control the order in which dialogs are asked during the interview.

assemble, assembly

See document assembly.

Assembly Queue

A dialog box that shows a list of assemblies—pending, current, and completed. Users can open the Assembly Queue by clicking its button ( Assembly Queue) in the assembly window toolbar. It is most useful when users have selected multiple templates for assembly.

assembly window

The window that appears when a user selects a template to assemble. By default, it includes the Interview tab, the Document tab, the Question Summary tab, and Answer Summary tab. Each of these tabs displays something unique about the document being assembled, such as the questions that are required to customize the document or the assembled document itself.

auto-assemble file

A self-executable file that contains one or more templates and their related files. When packaged in an auto-assemble file (or HDA), the files are temporarily extracted and used to assemble the document. Once assembly is complete, the extracted files are deleted. Auto-assemble files are useful if template developers don't want users to have editing access to the template files themselves.

auto-install file

A self-executable file that contains one or more templates and their related files. When extracted, the files are saved to disk and references to them are added to a library. Auto-install files provide a useful way to distribute templates or updates to template sets.

automate, automation

The process of converting any document (text or form) into an interactive template. At its very core, automation is replacing changeable text in the document with variables. Additional automation steps include making text in the template conditional, repeating sections of the template so multiple answers can be entered, and inserting other boilerplate text into the template.

Automator

See HotDocs Automator.

[Top]

B

bar code

A format for an answer or a group of answers so that data can be quickly scanned using an optical scanner. Bar codes are supported in both form templates and text templates.

binary files

In versions of HotDocs prior to HotDocs 2009, represents the format HotDocs-specific files—such as library files, component files, and so forth—were saved in. Binary file formats are common in most software applications. They allow information about the files to be encoded for storage and processing purposes. However, one limitation of storing information in HotDocs in binary format is that third-party application developers aren't able to inspect, edit, or otherwise make use of information contained in the files. Another limitation is that the binary formats used in HotDocs do not support the use of foreign characters (for example, international characters that are not represented in your computer system's default language).

browser

A window that allows users to view HTML documents.

built-in variable

A predefined variable that performs a special function in a template, such as inserting either today's date or the name of the current answer file. Built-in variables include TODAY, PN#, ANSWER FILE NAME, and COUNTER.

[Top]

C

.CMP

File name extension that designates that the file is a component file.

century rollover

A HotDocs setting that controls whether years entered as two digits appear as 1900-century years or 2000-century years.

check-box field

A type of form template field that represents some sort of pre-existing option a user must select.

chevrons

The double-angle brackets (« ») that surround a variable in a text template. Together, the chevrons and variable name make up the variable field, for example, «Client Name».

child dialog

A dialog that is inserted within another dialog. When it's inserted, it becomes linked to that dialog—users can't answer questions in it without first viewing the parent dialog. Usually the two dialogs are related in content or purpose.

clause

Predefined sections of text that can be selected and added to an assembled document. Usually clauses are grouped together in a clause library so users can choose which ones they want to insert, although some clauses are merged in the document automatically.

clause archive

A compressed file that contains all of the clauses for a given template or clause library. During assembly, clauses in the archive are extracted so they can be selected and added to an assembled document.

clause library

A file that contains a listing of available clauses. Users can select the clauses they want to use from the library, designate the order they should be merged in the document, and then answer any questions contained in the clauses. The clauses are then merged in the document.

command-line option

An instruction used to control the operation of HotDocs. These instructions, or commands, are added to any command line that causes HotDocs to run. They can alter the operation of specific templates, or they can affect the overall operation of HotDocs.

comments

Notes or thoughts entered by the template developer either in a script or in a template. Comments are one way to document processes within the template. If entered correctly, they will not be visible to users in the assembled document.

component

An element in a HotDocs template that displays or stores information about the answers that are merged. Examples of components include variables, dialogs, dialog elements, merge text groups, and formats.

component file

The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Developers use Component Manager to work with components.

Component Manager

The tool used to coordinate component usage in a template. Component Manager shows all of the components used in the template and provides options for working with those components.

Computation variable

A type of component that performs calculations or executes other instructions within the template. Computation variable scripts are created using the HotDocs scripting language.

conditional text

Text in the template that should be included in the assembled document only under certain circumstances. Conditions are controlled using IF instructions and expressions.

COUNTER

An expression that keeps track of the current number of repetitions in a repeated dialog. Each time a new repetition is added, the COUNTER is increased.

custom interview

A script that controls how and the order in which variables and dialogs are asked during an interview. The template developer creates this script.

[Top]

D

.DOC

File name extension that designates that the file is a Microsoft Word document. (See text document.)

.DOT

File name extension that designates that the file is a Microsoft Word DOT template. (See text document.)

database

A file that contains a collection of data. Template developers can map variables in templates to fields in a database table so that answers can be retrieved from it and merged in the assembled document.

Database Connection

See HotDocs Database Connection.

date detection

The HotDocs setting that controls how HotDocs interprets and merges dates entered during the interview—for example, whether the date appears as DAY MONTH YEAR (British), or MONTH DAY YEAR (United States).

Date variable

A type of component that merges a date in the document.

default interview

The interview HotDocs automatically generates based on the order variables are asked in the template.

default word processor

When multiple word processors (for example, Word and WordPerfect) or when multiple versions of a single word processor (for example, Word 2000 and Word XP) are installed, the word processor HotDocs uses by default for automation and document assembly.

delimiter

A character, such as a tilde (~) or vertical bar (|), that delineates answers or values in a script or instruction.

descend

The process of sorting answers in reverse alphanumeric order, from 9 to 1, and from Z to A. (See also ascend.)

developer

See template developer.

dialog

  1. In template development, represents the component in which the developer groups variables and other components.
  2. In document assembly, represents the group of questions in the Interview tab of the assembly window where users enter their answers.

dialog element

A component that lets developers more easily add additional text, hyperlinks, buttons, graphics, lines, and spacing to dialogs. These can help make the dialog more visually pleasing and informative.

direct-fill assembly

The process of entering answers directly at the Form Document tab of the assembly window rather than answering questions at the Interview tab.

document

The file that is created after a template has been assembled.

document assembly

The process HotDocs goes through as it processes scripts in the template and merges answers into the document. At the end of the assembly process, the user has a document tailored to his or her needs.

document manager

A third-party application that stores various data files, including documents and answer files. Using a document manager, users can track versions and show histories of the document as well as enter other physical data about the files being stored, such as the date they were created, who created them, and so forth.

Document Preview tab

A tab of the assembly window that shows how the text document has been assembled using the answers entered in the interview. (See also Form Document tab and Interview tab.)

double-angle bracket

See chevrons.

driver

See printer driver.

duplicate

The process of copying a variable to create a new one.

[Top]

E

Edit field

A type of form template field that is used for entering text, dates, and numbers. It is the most commonly used type of field on a form.

ELSE IF / ELSE

See IF instruction.

End of Interview dialog

The last dialog displayed in an interview, which contains a report of the number of questions that are still unanswered. It also provides options for working with the assembled document.

example format

A predefined format for how an answer should look when it is merged in the assembled document. This allows the user to enter the answer however they want in the interview, but forces it to appear a specific way in the finished document.

explicit index

A reference to a specific answer in a list of answers. For example, to merge the third answer from a list, a template developer would assign the index number of [3] to the variable that is being merged, like this: «Service Date[3]». The third date in the list would then be merged.

expression

A command in a script that retrieves a special value. Expressions help calculate dates, sums, and so forth.

[Top]

F

field

A place in the template that denotes where users' answers should be merged, or where a specific instruction should be executed. In a text template, a field is denoted by chevrons. In a form template, a field is denoted by a colored box that is overlaid on the form's static text.

file name extension

Three characters appended to a file name that identify the type of file so Windows knows what program to use to work with the file.

fill

The process of assembling a form document.

fillable field

In Adobe Acrobat or Reader, represents a dynamic field in which a user can enter data while viewing the document. Using HotDocs, users can create fillable PDF templates from these PDF documents that contain fillable fields.

Filler

See HotDocs Filler.

filter

A script that removes unrelated or unwanted answers from a list of answers. For example, perhaps there is a list of a client's children but only the names of minor children should be merged. A filter can extract just this data from the list.

fixed value

A predefined answer, such as a date, number, or string of text. When working with instructions and expressions, placeholders are replaced either with fixed values or with variables.

foreign language DLL

A file that allows template developers and users to access Date variable and Number variable formats in languages other than English. This allows these dates and numbers to be formatted correctly in the assembled document. Supported languages include French, Spanish, German, Swiss German, Austrian German, Dutch, and Italian.

form document

The file that is created from an assembled form template. Form documents are distinguished from text documents by the design of the document—forms are static in nature, meaning the underlying text of the document cannot be changed or modified. (See also text document.)

Form Document tab

A tab of the assembly window that shows how the form document has been assembled using the answers entered in the interview. When viewing the Form Document tab, users can enter or change their answers by clicking on the form fields and changing the answer.

form template

A template that is created and automated in HotDocs Automator. It is distinguished from a text template by the fact that the underlying text cannot be modified because it is static. (See also form document.)

format example

See example format.

[Top]

H

.HDA

File name extension that designates that the file is a HotDocs auto-assemble file.

.HDI

File name extension that designates that the file is HotDocs auto-install file.

.HFD, .HPD

File name extension that designates that the file is a HotDocs form document.

.HFT, .HPT

File name extension that designates that the file is a HotDocs form template.

HotDocs Automator

The tool used to automate form templates, or those templates whose underlying static text cannot be changed. Examples of form templates include tax preparation forms, applications, and so forth.

HotDocs Compare

Caution:Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

A HotDocs add-in tool that is used to compare different versions of an assembled document. Using HotDocs Compare, users can take a "snapshot" of an assembled document, change some answers in the interview, and then compare the two versions.

HotDocs Database Connection

A tool that provides the mapping needed to connect templates to a database. Answers can be retrieved from the database during the interview, which keeps users from manually having to enter their answers. (Starting with the release of HotDocs 2008, HotDocs Database Connection (the separate product) was fully integrated into all editions of HotDocs.)

HotDocs Filler

The application used to view assembled form documents.

HotDocs Options

A section of the software where template developers and end users can set their preferences for working with HotDocs.

HotDocs PDF Advantage

A HotDocs add-in tool that allows the creation and automation of PDF-based form templates. PDF Advantage can also be used to save most types of documents as PDF (assembled or otherwise).

HotDocs Player

A version of HotDocs that is used for assembling published (and registered) templates.

HotDocs Professional

A version of HotDocs that contains the tools necessary to automate a simple to highly complicated set of both text and form templates. It is also used to assemble both text and form templates. It is now known as HotDocs Developer. (See also HotDocs Standard Edition.)

HotDocs Server

The Web-based version of HotDocs. When using HotDocs Server, interviews are presented in a user's Web browser. Answers are then sent back to a server where the document can be assembled. HotDocs Server allows users to create documents and answer files without requiring them to have HotDocs installed on their desktop.

HotDocs Standard Edition

A version of HotDocs that contains the tools necessary to automate a simple to moderately complicated set of text templates. HotDocs Standard can also be used to assemble text and form documents. (See also HotDocs Professional.)

[Top]

I

IF instruction (also ELSE IF, ELSE, END IF)

A set of instructions and expressions that control the inclusion and exclusion of optional text in a document. IF instructions are based on either True/False variables or true/false expressions. IF instructions can also be used to control whether certain instructions or expressions are processed in computation scripts.

import

  1. When working with libraries, the process of copying template files into the currently viewed library. These files can be imported for assembly only or for editing and assembly.
  2. When working with answer files, the process of copying an answer file to the default Answers folder and then adding it to the answer library.

inactive field

A form document field on which the user cannot directly enter an answer. Fields can be inactive for any number of reasons. For example, the field may be conditioned or it may contain a Computation variable. Frequently, a template developer provides an answer wizard to help the user answer all of the questions that will make the field active.

infinite loop

The process of a HotDocs script repeatedly reprocessing itself until HotDocs stops responding. For example, a computation can repeatedly scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds information to what is called the processing stack. If too much information gets added to this stack, HotDocs may get into an infinite loop and stop responding.

INSERT instruction

An instruction that inserts one template into another. For example, if boilerplate text needs to be used in multiple documents, a template that contains that text can be created and inserted in each template that requires it (via an INSERT instruction). This way, if changes need to be made to the text, the change has to be made in only one template.

inserted dialog

See child dialog.

inserted template

A template that is inserted into another template using an INSERT instruction.

instant update

A command in the HotDocs assembly window that, when selected, updates the interview every time a user enters or changes an answer in the interview. Sometimes this updating may cause HotDocs to behave sluggishly as users move between answer fields. In such cases, the user can turn the instant update command off. Then HotDocs will update the interview only as it needs to.

instruction

A command in a script or template that performs a special task, such as inserting a template or asking a dialog at a specific place in the interview.

intake interview

See interview template.

interview

A presentation of questions that must be answered in order to create an assembled document. The interview is viewable by clicking the Interview tab of the assembly window.

interview component

A computation script that defines how a custom interview will look and function. An interview component usually includes ASK instructions to ask all of the dialogs/variables in the interview. The script frequently includes other instructions, such as REPEAT instructions and INSERT instructions as well as conditions for using these instructions. The name of this component is defined at the Component File Properties dialog box.

interview outline

The leftmost pane of the assembly window that lists all of the dialogs in the interview. Viewing the outline shows the natural progression of the interview. Icons in the outline also indicate whether questions in the associated dialog are completely answered, partially answered, or not answered at all.

Interview tab

A tab of the assembly window that shows the outline of questions in the interview as well as the dialogs that contain the questions. Users enter answers while viewing the Interview tab. (See also interview.)

interview template

A template that contains a series of interview questions designed to gather information about a person (or persons) or matter. Answers are saved in an answer source file, which can then be linked to a dialog in a template that requires the same information. Generally, interview templates can be used to create a list of possible answers so users have more options to choose from.

iteration

One instance of a repeated dialog.

[Top]

J

JS files

Stands for JavaScript files, which are used to display interviews in a Web browser. When templates are published for use with HotDocs Server, HotDocs generates these JavaScript files for the interview.

[Top]

K

keywords

A broad term used to describe scripting instructions, expressions, and operators. Keywords are used in a script and generate values or perform certain tasks.

[Top]

L

library

A window used to display and organize templates. The library does not store the actual files—instead, it contains shortcuts (or links) to the files, which are stored on disk. In addition to the template library, HotDocs also uses an answer library, which is more commonly known as Answer File Manager.

line break

A code in a Word document that indicates that text should appear on a new line within the same paragraph. For example, if the user must enter separate lines in a single paragraph (such as lines in an address), a line break should be used. (See also paragraph mark.)

linked field

Represents a HotDocs field in a fillable PDF template that is associated with an Adobe fillable field. By creating this association between a HotDocs field and a fillable field, template developers can create HotDocs fields that precisely match fields in the underlying PDF. Users who assemble the document can then edit answers associated with linked/fillable fields in the saved PDF.

list

Two or more answers to one question merged in the document.

[Top]

M

manual index

See explicit index.

map, mapping

See variable mapping.

mark up, markup

The formatting applied to a Word template or an assembled Word document that shows simplified template development marks. For example, when viewed in Markup View, variables in a template appear between brackets rather than chevrons. (See also Markup View.)

Markup View

A view that shows a simplified version of a Word template or an assembled document. This simplified view may be useful if a non-HotDocs user must review the template or document. When viewing a template or document in Markup View, variable and answer fields are marked using brackets.

merge field

  1. During template development, the place in the template where a variable is inserted.
  2. During document assembly, the place where the user's answer will be inserted.

merge text

The text that will be merged in a document if a user chooses a specific Multiple Choice variable option. For example, if a user chooses Male as the option, a masculine pronoun such as he or his can be merged instead of Male.

model

A tool in the script editor that template developers can use in writing scripts. A model shows the full instruction or expression—including any placeholders that must be replaced for the script to work correctly. Developers can drag these models from their respective lists and then replace the placeholders with the appropriate values.

Multiple Choice variable

A type of component that merges a predefined answer in the document.

[Top]

N

navigation bar

  1. In an interview (at the Interview tab), the toolbar used to move from dialog to dialog.
  2. In a document (at the Document tab), the toolbar used to move between merged answers in a document.

non-breaking space / hyphen

A property that can be assigned to a variable that keeps the answer from being split across two lines in the assembled document.

notation

An identification assigned to a variable name to help identify what type of variable it is. For example, Client Name TE would indicate that the variable is a Text variable. (Typical component notations include TE (Text), DA (Date), NU (Number), MC (Multiple Choice), TF (True/False), CO (Computation), and DI (dialog).)

Number variable

A type of component that merges a numeric value in the document.

[Top]

O

ODBC

Short for Open Database Connectivity, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ADO.)

operator

A symbol or word that causes either an operation (such as addition) or a comparison to be performed in a computation script or expression.

order

The process of designating the sequence in which form template fields are asked in the tab order. Establishing this order in a form is important for users who directly fill the form document.

outline

See interview outline.

overflow

Answers in a form document that do not fit in the allotted field space. Overflowing answers are usually sent to the addendum.

overlay

The process of using the Overlay Answers command to merge existing answers into the current answer file. When answers are overlaid, the answers become a part of the current answer file. They also overwrite any existing answers in the interview.

[Top]

P

.PDF

File name extension that designates that the file is a Portable Document Format file, a format created and supported by Adobe. PDFs are a useful way of distributing documents in a format most users can view—as long as they have Adobe Acrobat, Adobe Reader, or HotDocs Filler (with HotDocs PDF Advantage) installed. With PDF Advantage, template developers can also create PDF-based form templates. They can also create PDFs from assembled documents.

paragraph mark

A code in a Word document that indicates that text following the mark should appear in a new paragraph. (See also line break.)

parent dialog

A dialog that contains a child dialog.

pattern

Determines how a Text variable will be displayed and formatted in the interview and in the assembled document. By default, HotDocs includes three patterns in all new templates (Social Security number, telephone number, and time of day), but template developers can create custom patterns.

PDF417

The two-dimensional bar code format used in HotDocs Filler.

Personal Information variable

A type of component that stores basic information about a user, such as a name, a company name, and a phone number. This information is saved in the Current User key of the Windows System Registry. Once answered, users won't be prompted to enter it again.

placeholder

A marker in an instruction or expression model that indicates where a value must be substituted. This value must be a literal value or a variable. Instruction and expression models help the developer use the correct syntax in a script.

pointed component file

When sharing components across multiple templates, represents the template's own component file, which, in turn, points to the shared component file.

pop-up interview

A dialog a user can display during an interview. Usually a pop-up interview shows a different view of the dialog. For example, if a user is entering answers in a spreadsheet, he or she can click the Edit Row Edit Row button and a pop-up interview appears that shows just the questions (and answers) from that particular row in the spreadsheet.

printer driver

A driver that generates form templates from files designed in other applications, such as a draw program or a word processor. HotDocs includes one printer driver—the HotDocs PDF driver.

processing stack

A sequential list of templates and components HotDocs is processing at any given time. Each time a new component is processed, it is added to the stack. (Once processing is finished, it is removed.) In some instances where recursion is used in a script, the same component is repeatedly added to the list. If the number of components exceeds the stack limit, an infinite loop error will occur. (The stack limit can be changed at the Component File Properties dialog box.)

prompt

Text that can be assigned to a variable to help the user better understand how to answer the question.

punctuate

The process of formatting a REPEAT instruction so that a list of answers will appear in sentence format, like this: The client owns real estate in New York, Pennsylvania, and Montana. (New York, Pennsylvania, and Montana are the list items. The punctuation adds the commas and the conjunction and).

[Top]

Q

Question Summary

A brief report HotDocs generates that lists questions asked during an interview. The summary includes blank lines for handwritten answers. (See also Answer Summary.)

queue

See Assembly Queue.

[Top]

R

.RTF

File name extension that designates that the template file is a Word RTF file. (See text template.)

reference

In a form document, the text that is added to the addendum to identify any overflow answers. (See also label.)

reference path

A folder path for a template in which the drive letter and some or all of the folder names are represented by a keyword. At runtime, this keyword is mapped to an actual path on the user's computer so that when the user accesses the template, the keyword is replaced by the path. This allows templates saved in one central location to work on multiple workstations regardless of how the drives on the workstation are mapped.

REPEAT instruction

An instruction that repeatedly asks the same variable(s) so that two or more answers can be entered. REPEAT instructions are used to create lists of answers in the document.

repeated dialog

A dialog that contains the variables that need to be repeated so that multiple answers can be entered. (See REPEAT instruction.)

repeated series dialog

One of two representations of a dialog that is repeated. With a repeated series, the dialog is asked repeatedly until all answers in the list have been entered. (See also spreadsheet dialog.)

resource

Supplemental help that can be included with a variable or dialog to help users better understand how to answer the questions they are viewing. Resources appear in the resource pane of the assembly window.

[Top]

S

script

One or more instructions and/or expressions that generate a value or execute some kind of procedure.

script editor

The tool used to write a script. The script editor includes several options to make the script-writing process easier, including color-coding, auto-complete lists, and a toolbar for completing other tasks.

selection grouping

A dialog property assigned to True/False variables, clauses, and child dialogs which presents these options as check boxes (multiple-select) or option buttons (single-select).

Send to Word Processor command

A command that opens the word processor and copies the assembled document into it. Once opened in the word processor, the user can make any changes necessary to the document.

SET instruction

An instruction in a template or script that assigns a value to a variable. Variables that have their values set should not be asked again in the interview.

shared component file

A common component file to which several related templates are linked. To use a shared component file, the template's own component file must be pointed to the shared file. Changes to components in the file are reflected in all templates that use it. (See also pointed component file.)

sort

The process of alphabetizing answers in a repeated list or items in a library. Sorting can be done in ascending or descending order.

spreadsheet dialog

One representation of a repeated dialog. Each row in a spreadsheet represents one repetition in a dialog. (See also repeated series dialog.)

static text

The underlying text in a form template or document that does not change. To enter answers on a form, form fields must be created and overlaid on the static text.

strike-through field

A type of form template field that is used for crossing out static text on the form.

summary

See Question Summary and Answer Summary.

supplemental component

A term used to define components such as patterns, example formats, dialog elements, and merge text. Supplemental components are associated with regular components, but they can be created and edited as standalone components.

syntax

The language used in writing scripts. For a script to work properly, the script must be written in a way that HotDocs can understand. This language consists of instructions, expressions, operators, and values (such as text, numbers, dates, or answers users enter).

[Top]

T

template

A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.

template developer

The person responsible for automating the templates in the set. The template developer creates and inserts the variables in the template, arranges variables in dialogs, and performs other custom tasks in the template. (See also user.)

template development

See automate, automation.

test

The process of testing a variable or other component to make sure it looks right and works correctly.

test assemble

The process of assembling a document for the purpose of ensuring the interview works correctly and the automation within the template produces a correctly assembled document. During a test assembly, developers can easily edit components and have the test assembly window updated with changes.

text document

A document that is viewed in either Word or WordPerfect. It can represent a document before it is automated as well as a document after it has been assembled. When in document format, it is not associated with (or linked to) HotDocs in any way. (See also text template.)

text template

A template that is created and automated in Microsoft Word or WordPerfect. It is distinguished from a form template by the fact that the underlying text of the template can be modified. (See also text document.)

Text variable

A type of component that merges text in the document.

title

A property of a variable or dialog that specifies a more user-friendly name for the component. For example, if project standards require components be named using notations, names like Employee Name TE may not make sense to a user. However a title like Employee Name can be used instead.

True/False expression

A script that must result in either true or false. Expressions are used for merging or excluding optional text in a document. They are also used for determining which parts of a script will be executed, based on answers or other values entered by a user. Expressions are often used when a simple True/False variable doesn't convey the condition needed. (See IF Instruction.)

True/False variable

A type of component that determines a true/false status of some condition and then merges the appropriate answer or text.

[Top]

U

unanswered text

Text in a text document that indicates that a question is unanswered. By default, unanswered questions appear as ***Variable Name***, but this can be customized.

Unicode

Computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages. Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

user

The customer, client, or person who assembles documents from templates. (See also template developer.)

[Top]

V

value

In an interview, it represents a user's answer. In a script, it represents data that must be used in executing the script. (The value can either be a literal value or a user's answer.)

variable

A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.

variable flow-through

See answer sharing.

[Top]

W

.WPD

File name extension that designates that the file is a WordPerfect document. (See text document.)

.WPT

File name extension that designates that the file is a WordPerfect template. (See text template.)

[Top]

X

XML

Stands for eXtensible Markup Language. It is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML controls the way data is structured, making it easy for diverse programs to access the same information. (For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).) In HotDocs, you can save libraries and answer files in XML format.

[Top]

Home > Glossary


HotDocs Server Help - .HDA

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HDA

File name extension that designates that the file is a HotDocs auto-assemble file.

Home > Glossary > .HDA


HotDocs Server Help - .HDI

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HDI

File name extension that designates that the file is HotDocs auto-install file.

Home > Glossary > .HDI


HotDocs Server Help - .HFD, .HPD

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HFD, .HPD

File name extension that designates that the file is a HotDocs form document.

Home > Glossary > .HFD, .HPD


HotDocs Server Help - .HFT, .HPT

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.HFT, .HPT

File name extension that designates that the file is a HotDocs form template.

Home > Glossary > .HFT, .HPT


HotDocs Server Help - HotDocs Automator

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Automator

The tool used to automate form templates, or those templates whose underlying static text cannot be changed. Examples of form templates include tax preparation forms, applications, and so forth.

Home > Glossary > HotDocs Automator


HotDocs Server Help - HotDocs Compare

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Compare

Caution:Starting with the release of HotDocs 2009, HotDocs Compare is no longer available.

A HotDocs add-in tool that is used to compare different versions of an assembled document. Using HotDocs Compare, users can take a "snapshot" of an assembled document, change some answers in the interview, and then compare the two versions.

Home > Glossary > HotDocs Compare


HotDocs Server Help - HotDocs Component Properties

  • Help

HotDocs Component Properties

The ComponentProperties object contains a collection of properties for a single HotDocs component. Each property contains a small piece of information (such as a variable prompt or dialog script), and together they tell HotDocs how to display or interact with the component.

All HotDocs components contain a few basic properties, such as Name and Type. In addition, each type of component contains a number of other properties that are specific to that component type. For example, a Number variable contains a Currency property, which is not applicable to other component types.

The following tables list the names of various properties defined for each type of HotDocs component. All other types of HotDocs components (Database components; Date, List, Number, Text, and True/False formats; Text patterns; and SPAN components) contain properties from the "all components" list above and any additional properties listed below.

Tip: These property names are all case-sensitve. Also, some of the properties listed below in ALL CAPS are not always created by default. For example, a variable's title (PROP_TITLE) is not always created automatically, so you should be careful in your code to make sure that a property exists before you check its value or otherwise interact with it.

Properties Common to All HotDocs Components

Every HotDocs component contains the following set of properties:

Property Name | Type | Description
Hash | INT | A 32-bit number representing a hash of all properties of a component, which changes whenever one of the component's properties changes. (Read-only)
Name | BSTR | The component name.
Signature | INT | For internal HotDocs use. (Read-only)
Type | INT | Indicates the type of HotDocs component as defined in the hdCmpType enumeration.

Properties Common to All HotDocs Variables

Text, Date, Number, True/False, Multiple Choice, and Computation variables, as well as Dialogs and Dialog Elements, contain the following properties in addition to the properties listed above for all components:

Property Name | Type | Description
DataBase | BSTR | The database component to which the variable is linked. (Read-only)
Dialog | BSTR | The dialog component to which the variable is linked. If a variable appears in more than one dialog, this shows only the dialog (if any) to which the variable is linked.
DefAlignment | INT | The default answer alignment (0=Left, 1=right) for merge fields.
DefFormat | BSTR | The default format (e.g., LIKE THIS). Formats ending with an asterisk (*) are non-breaking formats.
DefFillChar | BSTR | The default fill character for merge fields.
DefFieldWidth | INT | The default merge field width.
DefUnansText | BSTR | The default unanswered text for merge fields.
HelpText | BSTR | The resource text assigned to the variable.
MaxAnsFieldWidth | INT | The width (in units) of the answer field in a regular (non-spreadsheet) dialog. The width may be exact (>0), full (0), or calculated (-1).
Prompt | BSTR | The variable prompt.
PROP_TITLE | BSTR | The variable title.
SSColWidth | INT | The minimum width (in units) of the answer field in a spreadsheet dialog. (A value of 0 means HotDocs will calculate the width automatically.)
SYS_DONT_WARN_IF_UNANS | BOOL | A Boolean value indicating whether or not HotDocs will warn the user when the variable is unanswered.
SYS_VAR_DONT_SAVE | BOOL | A Boolean value indicating whether or not HotDocs will save the variable's answer in the answer file.
SYS_VAR_DONT_ASK | BOOL | A Boolean value indicating whether or not HotDocs will ask the variable automatically.
SYS_DLG_LEFT | BOOL | For dialogs, this Boolean value indicates whether or not prompts will appear to the left of the variable fields.
SYS_DLG_TOP | BOOL | For dialogs, this boolean value indicates whether or not prompts will appear above variable fields.
SYS_DLG_RAGGED | BOOL | For dialogs, this Boolean value indicates whether or not the left edges of variable fields will be aligned.
SYS_DLG_ALIGN_MASK | BOOL | For internal HotDocs use.
ValueType | INT | For internal HotDocs use. (Read-only)

Properties Specific to Text Variables

Property Name | Type | Description
Lines | INT | The field height of the answer field in the interview.
Chars | INT | The maximum number of characters allowed in the variable's answer.
Validation | BSTR | A pattern used for answer validation, such as a telephone number pattern: (999) 999-9999. (Read-only)
SYS_TEXT_USE_PARA | BOOL | A Boolean value that indicates whether or not pressing the Enter key in multi-line answers will insert a new paragraph mark.

Properties Specific to Number Variables

Property Name | Type | Description
Decimals | INT | The number of decimal places.
Currency | BSTR | The currency symbol to display next to the answer field.
Low | R8 | The minimum allowed value.
High | R8 | The maximum allowed value.
DefaultDecimalPoint | BSTR | The default character to use for decimal points.
DefaultThousandsSep | BSTR | The default character to use as the thousands separator.

Properties Specific to Multiple Choice Variables

Property Name | Type | Description
Options | ARRAY | A list of options for the Multiple Choice variable.
ContStyle | INT | The display style.
MultiSel | BOOL | A Boolean value indicating whether or not users may select multiple options.
OtherAllowed | BOOL | A Boolean value indicating whether or not HotDocs should display an Other option. (This value also controls the display of the None of the Above option for multi-select variables.)
Prompts | ARRAY | A list of prompts for the variable options.
HelpTexts | ARRAY | A list of resource text for the variable options.
DefMergeText | BSTR | The default merge text for the variable.
DefValue | ARRAY | A list of default values for the variable.

Properties Specific to True/False Variables

Property Name | Type | Description
SYS_TF_SAMELINE | BOOL | A Boolean value indicating whether or not HotDocs should display Yes/No on the same line.

Properties Specific to Computation Variables

Property Name | Type | Description
Script | BSTR | The Computation variable script.

Properties Specific to Dialogs

Property Name | Type | Description
AnswerSource | BSTR | The answer source associated with the dialog.
GroupType | Integer | The type of grouping.
IsRegular | BOOL | Determines if the dialog is regular. (Read-only)
IsRepeated | BOOL | Determines if the dialog is repeated. (Read-only)
IsSpread | BOOL | Determines if the dialog is a spreadsheet. (Read-only)
MaxPromptWidth | Integer | The maximum width of prompts.
MaxSSRows | Integer | The maximum number of spreadsheet rows to display at a time.
NoneAboveType | Integer | Determines if grouped True/False variables should include a None of the Above option.
NumVars | Integer | The number of variables in the dialog. (Read-only)
ParentGroupType | Integer | The type of parent group.
PROP_P_ON_P | BSTR | The prompt to use when the dialog is displayed as a child dialog.
RepeatTitle | BSTR | The label for the dialog when it is repeated as a series.
Script | BSTR | The dialog script.
SYS_DLG_ALIGN_MASK | BOOL | For internal HotDocs use.
SYS_DLG_ASK_ALWAYS | BOOL | Determines if the dialog is asked automatically.
SYS_DLG_ASK_AS_SPREAD | BOOL | Determines if the dialog is asked as a spreadsheet.
SYS_DLG_CHILD | BOOL | Determines if the dialog is a child dialog.
SYS_DLG_MUST_ASK | BOOL | Determines if the dialog must be asked.
SYS_DLG_OLD_LIST | BOOL | Determines if the dialog is in the old list format.
SYS_DLG_OMITCBFORINSERTED | BOOL | Determines if child dialogs will include buttons.
SYS_DLG_REPEATED | BOOL | Determines if the dialog is repeated.
Variables | VARIANT Array | List of variables contained in the dialog.

Properties Specific to Dialog Elements

Property Name | Type | Description
Application | BSTR | For an application link, this is the file name and path to the executable file.
ApplicationLink | BSTR | For an application link, this is the text for the hyperlink (button).
Computation | BSTR | For a Script link, this is the name of the Computation variable to run.
ComputationLink | BSTR | For a Script link, this is the text for the hyperlink (button).
DialogItemText | BSTR | For a Text dialog element, this is the text to display on the dialog.
DisplayLinkAs | INT | Determines if the link will be displayed as a button (0) or hyperlink (1).
DisplayLinkInDesktop | BOOL | Determines if the link will be displayed in desktop interviews.
DisplayLinkInServer | BOOL | Determines if the link will be displayed in HotDocs Server interviews.
DisplayLinkWithImage | BOOL | Determines if the link will include an image.
DisplayLinkWithText | BOOL | Determines if the link will include text.
DisplayTextIn | INT | For Text dialog elements, indicates when it will be displayed: All views of the dialog (0), Spreadsheet view only (1), or Edit Row view only (2).
DlgItemType | INT | The type of dialog element: 0=Text, 1=Horizontal divider, 2=Vertical spacing, 3=Script link, 4=Application link, 5=Web link, 6=Image.
GenerateAutomatically | BOOL | Determines if the dialog element's name will be generated automatically.
ImageFileName | BSTR | For Image dialog elements, the file name and path of the image to display.
ImageJustification | INT | For Image dialog elements, indicates Left (0), Center (1), or Right (2) justification.
LinkButtonHeight | INT | The height of link buttons.
LinkButtonWidth | INT | The width of link buttons.
LinkImageFileName | INT | For Link elements, the file name and path of the image to use as the link.
SeparatorCaption | BSTR | For a Horizontal divider dialog element, this is the text to display on the divider.
SeparatorFontSize | INT | For a Horizontal divider dialog element, this is the font size as a percentage of the regular dialog font size.
SeparatorJustification | INT | For a Horizontal divider dialog element, indicates Left (0), Center (1), or Right (2) justification.
SpacerHeight | INT | For a Vertical spacing dialog element, this is the height as a percentage of the dialog font height.
Url | BSTR | For a Web link dialog element, this is the URL.
UrlLink | BSTR | For a Web link dialog element, this is the text of the hyperlink.
UrlLinkOptions | BSTR | For a Web link dialog element, this is the "Window.open" features string.
&nbsp; | &nbsp; | &nbsp;

SPAN Component Properties

Property Name | Type | Description
Int1 | INT | For internal HotDocs use.
Int2 | INT | For internal HotDocs use.
String1 | BSTR | For internal HotDocs use.
String2 | BSTR | For internal HotDocs use.
SYS_TF_USER_CAN_MODIFY | BOOL | A Boolean value that indicates if the user can modify the contents of the SPAN text.

Date, Group, Number, Text, and True/False Format Properties

Property Name | Type | Description
Text | BSTR | The format example (e.g., LIKE THIS).

Merge Text Properties

Property Name | Type | Description
Choices | ARRAY | An array of values.

Home > HotDocs Component Properties


HotDocs Server Help - HotDocs Database Connection

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Database Connection

A tool that provides the mapping needed to connect templates to a database. Answers can be retrieved from the database during the interview, which keeps users from manually having to enter their answers. (Starting with the release of HotDocs 2008, HotDocs Database Connection (the separate product) was fully integrated into all editions of HotDocs.)

Home > Glossary > HotDocs Database Connection


HotDocs Server Help - HotDocs Filler

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Filler

The application used to view assembled form documents.

Home > Glossary > HotDocs Filler


HotDocs Server Help - HotDocs Options

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Options

A section of the software where template developers and end users can set their preferences for working with HotDocs.

Home > Glossary > HotDocs Options


HotDocs Server Help - HotDocs PDF Advantage

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs PDF Advantage

A HotDocs add-in tool that allows the creation and automation of PDF-based form templates. PDF Advantage can also be used to save most types of documents as PDF (assembled or otherwise).

Home > Glossary > HotDocs PDF Advantage


HotDocs Server Help - HotDocs Player

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Player

A version of HotDocs that is used for assembling published (and registered) templates.

Home > Glossary > HotDocs Player


HotDocs Server Help - HotDocs Professional

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Professional

A version of HotDocs that contains the tools necessary to automate a simple to highly complicated set of both text and form templates. It is also used to assemble both text and form templates. It is now known as HotDocs Developer. (See also HotDocs Standard Edition.)

Home > Glossary > HotDocs Professional


HotDocs Server Help - HotDocs Server

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Server

The Web-based version of HotDocs. When using HotDocs Server, interviews are presented in a user's Web browser. Answers are then sent back to a server where the document can be assembled. HotDocs Server allows users to create documents and answer files without requiring them to have HotDocs installed on their desktop.

Home > Glossary > HotDocs Server


HotDocs Server Help - HotDocs Standard Edition

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

HotDocs Standard Edition

A version of HotDocs that contains the tools necessary to automate a simple to moderately complicated set of text templates. HotDocs Standard can also be used to assemble text and form documents. (See also HotDocs Professional.)

Home > Glossary > HotDocs Standard Edition


HotDocs Server Help - Templates and Component Files

  • Help

Templates and Component Files

HotDocs supports the following three types of templates:

Template Type | Description
Text Templates | A text template is created and automated in a word processor, such as Microsoft Word or WordPerfect. You can modify the underlying text of a text template both as you automate the template and as you view the assembled document in the word processor. Text templates have a .RTF, .DOT, or .WPT file name extension. Caution:Microsoft Word .DOT templates may not be used with HotDocs Server.
Form Templates | A form template is based on static text, such as a PDF document. Variable fields are placed on top of the static text where answers will be inserted during assembly, but the underlying static text and formatting does not change. Form templates have a .HFT or .HPT file name extension.
Interview Templates | An interview template gathers common information (such as court, attorney, or client information) and saves the answers for use in assembling other documents. Unlike text and form templates, users cannot generate documents from an assembled interview template—they can only generate an answer file. Interview templates have a .CMP file name extension.

When you create a new template file, HotDocs automatically creates a companion file called the component file. The component file contains information about variables and other components used in the template. The component file has the same name as the template file with a .CMP file name extension. Both the template file and the component file are necessary for a template to work. Whenever you copy a HotDocs template—for example, to share a template with another user—you must be sure to copy both the template file and the component file.

The component file works automatically in the background—as you create various components in the template, they are automatically stored in the component file. Normally each template uses its own component file, but you can make two or more templates share one component file.

Tip:
  • Interview templates have only a component file; they do not have a separate template file.
  • Templates used with HotDocs Server also require two additional files: a HotDocs interview definition (.JS) file and a HotDocs Variable Collection (.HVC) file. Like component files, these files also share the same file name as the template except for the file name extension. They are created when you publish a template for use with HotDocs Server. (See Create Templates for Use with HotDocs Server.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > About HotDocs > What is HotDocs document assembly software? > Templates and Component Files


HotDocs Server Help - IF instruction (also ELSE IF, ELSE, END IF)

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

IF instruction (also ELSE IF, ELSE, END IF)

A set of instructions and expressions that control the inclusion and exclusion of optional text in a document. IF instructions are based on either True/False variables or true/false expressions. IF instructions can also be used to control whether certain instructions or expressions are processed in computation scripts.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > Glossary > IF instruction (also ELSE IF, ELSE, END IF)


HotDocs Server Help - import

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

import

  1. When working with libraries, the process of copying template files into the currently viewed library. These files can be imported for assembly only or for editing and assembly.
  2. When working with answer files, the process of copying an answer file to the default Answers folder and then adding it to the answer library.

Home > Glossary > import


HotDocs Server Help - inactive field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

inactive field

A form document field on which the user cannot directly enter an answer. Fields can be inactive for any number of reasons. For example, the field may be conditioned or it may contain a Computation variable. Frequently, a template developer provides an answer wizard to help the user answer all of the questions that will make the field active.

Home > Glossary > inactive field


HotDocs Server Help - infinite loop

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

infinite loop

The process of a HotDocs script repeatedly reprocessing itself until HotDocs stops responding. For example, a computation can repeatedly scan a text string, character by character, for a specific value. As HotDocs searches for this value, it adds information to what is called the processing stack. If too much information gets added to this stack, HotDocs may get into an infinite loop and stop responding.

Home > Glossary > infinite loop


HotDocs Server Help - inserted dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

inserted dialog

See child dialog.

Home > Glossary > inserted dialog


HotDocs Server Help - inserted template

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

inserted template

A template that is inserted into another template using an INSERT instruction.

Home > Glossary > inserted template


HotDocs Server Help - INSERT instruction

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

INSERT instruction

An instruction that inserts one template into another. For example, if boilerplate text needs to be used in multiple documents, a template that contains that text can be created and inserted in each template that requires it (via an INSERT instruction). This way, if changes need to be made to the text, the change has to be made in only one template.

Home > Glossary > INSERT instruction


HotDocs Server Help - instant update

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

instant update

A command in the HotDocs assembly window that, when selected, updates the interview every time a user enters or changes an answer in the interview. Sometimes this updating may cause HotDocs to behave sluggishly as users move between answer fields. In such cases, the user can turn the instant update command off. Then HotDocs will update the interview only as it needs to.

Home > Glossary > instant update


HotDocs Server Help - instruction

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

instruction

A command in a script or template that performs a special task, such as inserting a template or asking a dialog at a specific place in the interview.

Home > Glossary > instruction


HotDocs Server Help - intake interview

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

intake interview

See interview template.

Home > Glossary > intake interview


HotDocs Server Help - interview

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview

A presentation of questions that must be answered in order to create an assembled document. The interview is viewable by clicking the Interview tab of the assembly window.

Home > Glossary > interview


HotDocs Server Help - Completing an Interview

  • Help

Completing an Interview

Note: These instructions describe how to complete a browser-based HotDocs Server interview. HotDocs Server is the version of HotDocs that uses a standard Web browser to display HotDocs interviews, or answer-gathering sessions. These answers are then used to assemble documents on a Web server. For more information about HotDocs Server, please visit http://www.hotdocs.com.

When a template is selected for assembly, HotDocs Server presents an interview in the Web browser to gather answers required by the template. To help you answer the questions, the interview window is divided into three panes: the interview outline, the dialog pane, and the resource pane. The interview outline provides an overview of the questions you must answer, while the dialog pane displays the specific questions. The resource pane provides helpful information to assist you in answering specific questions or dialogs.

Interview Outline

The interview outline lists all of the dialogs (or groupings of questions) in the interview and allows you to quickly move to any dialog in the interview you need. When you click the name of a dialog in the outline, the dialog appears in the dialog pane so you can answer questions in it.

The following icons are used in the interview outline to show the answered status of questions in each dialog, which can help you determine which dialogs contain questions you still need to answer:

  • None of the questions in the dialog are answered.
  • A new repetition of a repeated dialog in which none of the questions are answered.
  • At least one of the questions in the dialog is answered.
  • All required questions in the dialog are answered.
  • The dialog contains at least one unanswered required question.
  • The dialog cannot be answered until required questions in previous dialogs are answered.

Instant Update

The icons and list of dialogs in the interview outline are updated dynamically as you answer questions in the interview. Sometimes, especially when assembling large or complex documents, the time it takes to update the outline may noticeably slow down the interview. For example, it may take a few seconds to move from question to question within a dialog. You can increase the interview speed by changing how often the interview outline is updated.

To control when HotDocs updates the interview outline, click the [image] Enable/Disable Instant Update button. When Instant Update is enabled, the interview is updated as you move between answer fields; when it is disabled, the interview is only updated when you move between dialogs.

Interview Outline Location

By default, the interview outline appears to the left of the dialog pane, but you can change its width or position as needed. For example, if you need more space for answering questions in the dialog pane, you can shrink or hide the interview outline.

The following table shows how to change the width and position of the interview outline:

To | Do This
Change the width of the interview outline | Drag the border separating the interview outline and dialog pane.
Close the interview outline | Click the [image] Close button in the upper right corner of the interview outline. To show it again, click the [image] Show Drop-down Interview Outline button.
View the interview outline as a drop-down list | When the interview outline is closed, click the arrow next to the [image] Show Drop-down Interview Outline button. When the drop-down list appears, click a dialog title from the list to move to that dialog.
Note: Some options may not be available in all situations. For example, template providers may require that Instant Update must always be enabled, or they may choose not to allow you to view the interview outline. Also, in Silverlight interviews, the interivew is always instantly updated because it happens so quickly even with large templates.

Dialog Pane

Questions you must answer are presented in dialogs. Some questions appear repeatedly—either as a series of dialogs or as a spreadsheet. This allows you to enter multiple answers for a single question, thereby creating a list of answers. Finally, some questions appear in a nested dialog. Nested dialogs usually represent questions that are either dependent on or related to questions in the main dialog. They usually appear as an icon directly on the main dialog, but they can also appear as a spreadsheet on the main dialog.

The following table shows how to navigate through dialogs and answer various types of questions:

To | Do This
Answer text fields | Enter your answer in the text field.
Answer check boxes or option buttons | Either select the check box using the mouse, or press the space bar.
Answer dates | Click the [image] Calendar button and choose a date from a calendar. You can also enter the letter T for today's date or enter a date in one of the following formats: 6/3/90, 06/03/1990, June 3, 1990, 3 June 1990, and so forth.
Answer questions when the dialog is asked repeatedly | Answer all the questions in a dialog, and then click the [image] Add Another button to add another repetition of the dialog to the series. The repetition number next to the dialog icon increases each time you enter a new set of answers. To move to the next dialog after entering all the answers in the list, click Next in the navigation bar.
Answer questions in a repeated spreadsheet | Enter each set of answers on a its own row in the spreadsheet. To edit a row of answers, click Edit Row. To insert a new row between existing sets of answers, click Insert Row. To remove a set of answers, click Delete Row.
Answer questions in a nested dialog | Click the dialog icon. When you finish answering its questions, you can either click the [image] button in the navigation bar or click the main dialog in the interview outline.
Go to the next or previous dialog | Click either the [image] button or the [image] button. (You can also press Page Down/Page Up or Alt+N/Alt+P.)
Go to the next dialog or the previous dialog that contains an unanswered question | Click either the [image] Next Unanswered Dialog button or the [image] Previous Unanswered Dialog button. (You can also press Ctrl+Page Down/Ctrl+Page Up.)
Go to the first or the last dialog in the interview | Click either the [image] button or the [image] button. (You can also press Alt+R/Alt+L.)
Finish the interview | Click the [image] button.

Resource Pane

Sometimes, the template provider includes resource text (or information) that can help you answer questions in a dialog. For example, reading a relevant statute may help you know how to answer a particular question. When resource text is available, it appears in the resource pane, which is located just below the dialog pane.

To show or hide the resource pane, click the [image] Show/Hide Resource Pane button. When the resource pane is shown, you can see resource text for the current question in the dialog. (If a question does not have resource text available, the resource pane is empty.) In addition, you can click the [image] View Resource button next to any question with resource text to view its resource text in a separate window.

Note: The resource pane may not be available in all situations. For example, template providers may choose to permanently hide the resource pane for a template.

Home > Completing an Interview


HotDocs Server Help - interview component

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview component

A computation script that defines how a custom interview will look and function. An interview component usually includes ASK instructions to ask all of the dialogs/variables in the interview. The script frequently includes other instructions, such as REPEAT instructions and INSERT instructions as well as conditions for using these instructions. The name of this component is defined at the Component File Properties dialog box.

Home > Glossary > interview component


HotDocs Server Help - interview outline

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview outline

The leftmost pane of the assembly window that lists all of the dialogs in the interview. Viewing the outline shows the natural progression of the interview. Icons in the outline also indicate whether questions in the associated dialog are completely answered, partially answered, or not answered at all.

Home > Glossary > interview outline


HotDocs Server Help - Interview tab

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Interview tab

A tab of the assembly window that shows the outline of questions in the interview as well as the dialogs that contain the questions. Users enter answers while viewing the Interview tab. (See also interview.)

Home > Glossary > Interview tab


HotDocs Server Help - interview template

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

interview template

A template that contains a series of interview questions designed to gather information about a person (or persons) or matter. Answers are saved in an answer source file, which can then be linked to a dialog in a template that requires the same information. Generally, interview templates can be used to create a list of possible answers so users have more options to choose from.

Home > Glossary > interview template


HotDocs Server Help - iteration

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

iteration

One instance of a repeated dialog.

Home > Glossary > iteration


HotDocs Server Help - Language Module Strings

  • Help

Reference Material

  • Browser Language Module
  • Language Module Strings

All About...

  • HotDocs Server JavaScript API

Language Module Strings

The following tables list all of the strings that can be localized in a Browser Language Module (BLM):

Standard User Interface Elements

String | Default Text (English) | Usage
ui_hd | HotDocs | This is used in the title bar of error message boxes (where possible)
ui_logo | Powered by HotDocs Server |
ui_load | Loading HotDocs interview... |
ui_wait | Please Wait |
ui_help | HotDocs Server Help |
ui_helpcaption | Help |
ui_io | Interview Outline |
ui_yes | Yes |
ui_no | No |
ui_other | Other |
ui_nota | None of the Above |
ui_cal | Calendar |
ui_ssbedit | Edit Ro&w | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
ui_ssbins | &Insert Row | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
ui_ssbdel | &Delete Row | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
ui_rownum | [Row {0}] | This is appended to the dialog title during "Edit Row" operations
ui_rownew | [New Row] | This is appended to the dialog title during "Edit Row" operations
ui_new | New | This is a prefix for new, unanswered dialog iterations
ui_rtntiv | Back to Interview |
ui_sresult | Server Results | This is the default title for the "Server Results" pane, which is visible when using the HDPostAnswersToServer or HDPostToServer functions.
ui_addbtn | &Add Another | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
ui_mnutt | Dialog Menu |
ui_err | Error |
ui_close | Close |

Formatting Strings

String | Default Text (English) | Usage
ui_and | and |
ui_or | or |
ui_minus | minus |
ui_percent | percent |
ui_true | true |
ui_false | false |

Answer Summaries

String | Default Text (English) | Usage
ui_as | HotDocs Answer Summary | This is the title used for answer summaries when printing.
ui_astitle | Template: |
ui_print | Print |

Toolbar Button Tooltips and Status Bar Messages

String | Default Text (English) | Usage
tb_as | Answer Summary |
tb_ast | Display a summary of all answers entered in this interview. |
tb_sv | Save Answers |
tb_svt | Save the current answers. |
tb_dp | Document Preview |
tb_dpt | Display an approximate preview of the finished document. |
tb_ol0 | Hide Interview Outline |
tb_ol1 | Show Interview Outline |
tb_ol2 | Show/Hide Interview Outline |
tb_ol3 | Show Drop-down Interview Outline |
tb_olt | Toggle the Interview Outline on or off. |
tb_od | Show Interview Outline |
tb_odt | Show the Interview Outline drop-down. |
tb_iu0 | Disable Instant Update |
tb_iu1 | Enable Instant Update |
tb_iut | Toggle Instant Update of interview outline on or off. |
tb_pg0 | Multi-page Interview |
tb_pg1 | Single-page Interview |
tb_pgt | Toggle between Multi-page and Single-page interview. |
tb_rs0 | Hide Resource Pane |
tb_rs1 | Show Resource Pane |
tb_rst | Toggle between showing resources in Pop-up windows or the Resource Pane. |
tb_hlp | Display the HotDocs Server help page. |

Dialog Navigation

String | Default Text (English) | Usage
navb_First | Fi&rst | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
navb_Prev | &Previous | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
navb_Next | &Next | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
navb_Last | &Last | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
navb_Finish | Finish | If this string contains an ampersand, the following character will be interpreted as a keyboard access shortcut in JavaScript interviews. (In Silverlight interviews, the ampersand will simply be omitted since they do not support keyboard shortcuts.)
nav_First | First Dialog |
nav_PrevU | Previous Unanswered Dialog |
nav_Prev | Previous Dialog |
nav_Next | Next Dialog |
nav_NextU | Next Unanswered Dialog |
nav_Last | Last Dialog |
nav_Finish | Finish Interview | Tooltip for the "Finish" button
nav_FinEM | Finish Editing Rows / Return to List | Tooltip for the "Finish Edit Mode" button
nav_leave | This will terminate the interview, and any answers you have entered will be lost. Click the Next or Previous buttons at the bottom of the page to move through the interview. If you are finished answering questions, click Finish to complete the interview and submit your answers. |
nav_warnfin | This is the last dialog in the interview. Click OK if you are finished with the interview and want to submit your answers. Click Cancel to return to the interview. |

Keyboard Accelerator Tooltips

String | Default Text (English) | Usage
uitt_First | First Dialog (Ctrl+Home) |
uitt_PrevU | Previous Unanswered Dialog (Ctrl+Page Up) |
uitt_Prev | Previous Dialog (Page Up) |
uitt_Next | Next Dialog (Page Down) |
uitt_NextU | Next Unanswered Dialog (Ctrl+Page Down) |
uitt_Last | Last Dialog (Ctrl+End) |
uitt_ssbedit | Edit Row (Ctrl+Enter) |
uitt_ssbins | Insert Row (Ctrl+Insert) |
uitt_ssbdel | Delete Row (Ctrl+Delete) |

HotDocs Resources

String | Default Text (English) | Usage
rs_bcap | View Resource |
rs_dis | See individual {0} for available resources |
rs_cols | columns |
rs_opts | options |
rs_opt | option |
rs_fld | answer field |
rs_dlg | dialog |
rs_ind | {0}{1}{2} for {3} | {0} & {2} are begin/end hyperlink markup, {1} is [rs_bcap], {3} is [rs_opt]/[rs_fld]/[rs_dlg].

Validation Messages

String | Default Text (English) | Usage
val_invdate | Please enter a valid date. |
val_invnum | Please enter a number. |
val_numrng | Please enter a number between {0} and {1}. |
val_numlt | Please enter a number that is less than or equal to {0}. |
val_numgt | Please enter a number that is greater than or equal to {0}. |
val_reqg | One or more questions are required and must be answered before you can complete the interview. |
val_reqp | One or more questions are required and must be answered before you can proceed. |
val_reqd | One or more questions in the {0} dialog are required and must be answered before you can proceed. |
val_rptlim | You can enter only {0} sets of answers for this dialog. |
val_repdel | Are you sure you want to delete this repetition? |
val_err | You must resolve one or more input errors before you can proceed. |
val_wait | Please wait while your answers are being processed. |

Context Menu

String | Default Text (English) | Usage
hdmnuClearAns | Erase Answer |
hdmnuCut | Cut |
hdmnuCopy | Copy |
hdmnuPaste | Paste |
hdmnuDel | Delete |
hdmnuSelAll | Select All |
hdmnuEditRow | Edit Row |
hdmnuInsRow | Insert Row |
hdmnuDelRow | Delete Row |
hdmnuMoveRowUp | Move Row Up |
hdmnuMoveRowDn | Move Row Down |
hdmnuClearDlg | Erase Answers |
hdmnuInsRep | Insert Repetition |
hdmnuDelRep | Delete Repetition |
hdmnuMoveUp | Move Repetition Up |
hdmnuMoveDn | Move Repetition Down |
hdmnuNewRep | New Repetition |
hdmnuEraseAllAns | Erase All Answers |

Date Input Parsing Regular Expressions

HotDocs Server interviews support simple TODAY-based date arithmetic when entering a date. For example, if you want to enter today's date plus 4 days, you could enter "T + 4 days" in the date field and it would be interpreted as the date four days after today. The following strings allow you to localize the keywords used to interpret such date arithmetic; date expressions are parsed using a regular expression built using these strings: ^{dateparse_today}\s*([+-])\s*(\d+)\s*({dateparse_days}|{dateparse_months}|{dateparse_years})$

String | Default Text (English) | Usage
dateparse_today | (t|today) | This expression allows users to enter a "T" or "TODAY" as a shortcut to today's date.
dateparse_days | (d|day|days) | This expression allows users to enter "d", "day", or "days" to add a number of days to TODAY.
dateparse_months | (m|month|months) | This expression allows users to enter "m", "month", or "months" to add a number of months to TODAY.
dateparse_years | (y|year|years) | This expression allows users to enter "y", "year", or "years" to add a number of years to TODAY.

User-Facing Error Messages

String | Default Text (English) | Usage
err_invint | Invalid Interview: The current dialog cannot be displayed!<br>&nbsp;<br>You may still click the Finish button below if you want to<br>submit the results of this interview. |
err_vers | This HotDocs interview (HDVers={0}) is incompatible with the current HotDocs Server interview runtime ({1}). |
err_slv | This HotDocs Server interview requires Microsoft Silverlight version 3.0 or later. |
err_load | Error: {0} failed to load properly. |
err_noint | Invalid Interview: There is nothing to display! |
err_print | Printing failed due to your browser's security restrictions. |
err_mustret | You must return to the interview before performing this action. |
err_rowclck | Please click in a table cell to choose a current row. |
err_nest | Invalid Interview: REPEAT instructions are nested more than 4 levels deep. |
err_cantadd | You must answer at least one question in this dialog before you can add another dialog. |
err_brows | Browser Error |
err_browsm | You are attempting to use a HotDocs Server interview on an unsupported browser or platform; the interview may not appear correctly. Continue anyway? |
err_browssl | HotDocs Server Silverlight interviews are only supported in Internet Explorer, Firefox and Safari web browsers running on Windows or Mac systems. |
err_browsjs | HotDocs Server JavaScript interviews require Microsoft Internet Explorer 6.0 or later. |
err_unk | Unknown Error |

Internal Error Messages

Tip: Since these internal error messages should appear rarely in well-tested templates, you may wish to skip them when creating your language module.
String | Default Text (English) | Usage
errnoact | Interview could not be initialized: FormAction not specified. |
errpath | Interview could not be initialized: no {0} path was specified. |
errdiv | Error: Unable to render HotDocs interview because the interview container (hdMainDiv) does not exist on this page. Please contact your network administrator. |
errinit | Error: Interview attempted to start before initialization was complete. Please report situation to HotDocs development. |
errslimg | Silverlight supports only PNG and JPG images. Has an invalid or missing image file been used? |
errpoprslt | Error: Attempted to pop an empty result stack. |
errsetrslt | Error: Attempt to set the top of an empty result stack. |
errgetrslt | Error: Attempt to get the top of an empty result stack. |
errpopuans | Error: Attempted to pop an empty unanswered stack. |
errsetuans | Error: Attempt to set the top of an empty unanswered stack. |
errgetuans | Error: Attempt to get the top of an empty unanswered stack. |
errpop | {0}: Pop of empty stack! |
errget | {0}: Get on empty stack! |
badmojo | Bad Mojo {0}: {1}! |
errpoprpt | Error: Unable to pop an empty repeat stack. |
erraccrpt | Error: Unable to access the top of an empty repeat stack. |
errinfunc | Error in {0}: {1} |
vnf | Var not found! |
badcomp | Inappropriate comparison. |
txtcomp | Inappropriate text comparison. |
datecomp | Inappropriate date comparison. |
tmccomp | Error: Invalid text-to-MC comparison. |
mccomp | Invalid MC to MC comparison. |
dateop | Error: Inappropriate operation on a date variable. |
badtest | Error: Testing an invalid variable or one that does not exist. |
badcount | Error: Invalid item passed to HDCount. |
baddateof | Error: Invalid date used in \"DATE OF\" calculation. |

Home > Language Module Strings


HotDocs Server Help - Browser Language Module

  • Help

Reference Material

  • Browser Language Module
  • Language Module Strings

All About...

  • HotDocs Server JavaScript API

Browser Language Module

Starting with HotDocs 10.1, the HotDocs Server JavaScript API includes a specification for creating "Browser Language Modules" (BLM). These modules allow interviews to be localized, which means that user interface text can be presented in languages other than US English. By following this specification, a language module can be defined which will allow HotDocs Server to present an interview in any language.

Caution: Although a language module may be created for any language, if the language is right-to-left (such as Arabic or Hebrew), HotDocs does not currently adjust the prompt positioning and justification as would be expected for these languages.

A BLM is implemented as a JavaScript object in the web browser’s scripting environment. This object specifies the language that it supports (for example, “en-US”), and can also contain appropriately-translated text strings necessary for the interview user interface, as well as code necessary for locale-appropriate interpreting and formatting of numeric and date values. Language module names (“en-US”) follow the same naming scheme as the .NET framework: the first (and required) part of the language module name is a 2-letter language code based on ISO 639-1, followed by an optional (and usually 2-letter) region code based on ISO 3166.

The BLM specification allows for a limited hierarchy of language modules to exist; each language module implicitly has a “parent” or “base” language module from which it inherits certain capabilities. For example, the “en-US” language module is implicitly based on the “en” language module, it would automatically inherit all the behaviors defined by its parent. The way language modules are invoked from within HotDocs allows any missing functionality in a BLM to be gracefully filled in by that module’s parent module(s). All browser language modules ultimately inherit from a base language module (known as “invariant”), which defines the default behavior of all language modules. So creating a HotDocs BLM is often as simple as providing translations for the various messages and strings which may be required for the user interface of a HotDocs interview.

Loading the Language Module

Since HotDocs BLMs are simply JavaScript objects, loading them simply means ensuring that an object with the expected properties and methods is loaded into the scripting environment where HotDocs is expecting to find it. This can be done either by loading a language module using a <script> tag in the page containing the HotDocs Server interview, or by declaring that language module in-line in the page. Either way, HotDocs Server interviews expect any language modules to be defined as part of the HOTDOC$.Locales associative array. You can declare a new language module as part of this array using a script such as this:

// Either use the existing array or create a new one if it is not yet defined in the global scope.
var HOTDOC$ = window.HOTDOC$ || {};

// Register the new language module with the HotDocs locale infrastructure.
if (!HOTDOC$.Locales)
  HOTDOC$.Locales = {};

// Add a new language module definition to the array.
HOTDOC$.Locales["de-DE"] = {
  name: "German (Germany)"
  // See below for additional properties and functions to define.
};

This code does not require that any HotDocs Server-related code has been loaded before it is executed, so it can be run at any stage of initialization or page loading. The only requirement is that it be loaded and executed before the HotDocs Server interview itself starts up.

Declaring the Interview Locale

It is recommended (but not required) that you explicitly declare a locale for a HotDocs Server interview. The locale informs the HotDocs Server interview that numeric and date input should (if possible) adhere to the norms for the declared locale, and dictates which set of translated user interface strings to use. You can declare the locale by setting a global variable in the JavaScript environment called HDInterviewLocale.

Once a locale has been determined, HotDocs Server will attempt to find a loaded BLM representing that locale. If one cannot be found, HotDocs Server will still attempt to do its best with interpreting or formatting numbers and dates according to the requested locale. Also, if text strings for the requested locale are not available, HotDocs Server attempts to find them in each successive parent locale, or it uses US English text if nothing else is found.

Tip: If you do not declare an interview locale, HotDocs Server will do its best to detect the end-user’s system locale automatically at runtime; otherwise, it will default to the US English ("en-US") locale.

Interview Locale vs. Assembled Document LANGUAGE

HotDocs continues to support the LANGUAGE keyword in templates to determine how dates and numbers should be formatted in assembled (output) documents. The new interview locale for HotDocs Server browser interviews is completely independent from the functionality associated with the LANGUAGE keyword—a BLM has no effect on the assembled document, and a LANGUAGE keyword has no effect on the interview. If you want to produce interviews and documents in languages other than English, you must use both features together.

Note: Although the interview locale and a matching BLM can be used to specify the language used for the standard user interface elements, the prompts, dialog titles, and other template-specific text in the interview must still be specified separately by the template author. HotDocs does not have a way to specify multiple prompts (in different languages) for a single variable, but some users have achieved this functionality using a combination of variable fields in prompts and different overlay answer files that provide translated text for each language.

Definition of a Browser Language Module

Following is the JSON notation for an example browser language module:

Note: This is an incomplete implementation of a "de-DE" BLM. It provides translations for month and day names, as well as "yes" and "no" used in True/False variables. All other text would be rendered using US English by default. Likewise, all date and number formatting would be done using the default English implementations since this BLM does not contain any definitions for locale-specific formatting methods.
{
  name: "German (Germany)",
  dateOrder: "DMY",
  months: ["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"],
  monthsShort: ["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"],
  days: ["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"],
  daysShort: ["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"],
  calWeekBegin: 1,
  calWeekend: [0, 6],
  zeroFormats: ["Null"],
  numSeps: [",", "."],
  strings: { ui_yes: "Ja", ui_no: "Nein" },
  SpellNum: function(value, strZero, bOrdinal){}
}

Language Module Properties

The following table lists the properties you can specify in your language module:

Name | Description | Example
name | A name for the language module. (It is not currently used in the user interface.) | German (Germany)
dateOrder | Determines the default date order: DMY (Day Month Year), MDY (Month Day Year), or YMD (Year Month Day) | DMY
months | An array of full month names | ["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]
monthsShort | An array of abbreviated month names | ["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"]
days | An array of full day names, beginning with Sunday | ["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"]
daysShort | An array of abbreviated day names (used in the header row in the calendar) | ["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"]
calWeekBegin | A number to indicate the first calendar day of the week, where Sunday is 0 | 1
calWeekend | An array containing the numeric values for the days that constitute a calendar weekend, where Sunday is 0 | [0, 6]
zeroFormats | An array of words used to spell out the number 0 (zero) | ["Null"]
numSeps | An array containing number separators: the decimal separator followed by the thousands separator | [",", "."]
strings | An associative array of translated user interface text. For a complete list of strings that may be localized, see Language Module Strings. | { ui_yes: "Ja", ui_no: "Nein" }

Language Module Methods

The following table lists the methods you can implement in your language module to handle date and number formatting:

Note:

If all the regular properties of the language module have been set appropriately, and assuming the interview is being run in either Silverlight or in Internet Explorer JavaScript, the default (US English) implementation of the methods should mostly suffice for most languages. The only methods that should commonly need to be implemented for full functionality in this case are:

  • SpellNum: If omitted, numbers will not be spelled out, but will be displayed numerically instead.
  • GetOrdinalSuffix: If omitted, ordinals will not be produced.
  • InterpretSpelledNum: If omitted, traditional HotDocs-style number & date format examples may not work fully.
Name | Description | Function Signature
SpellNum | This function takes an integer (value) and spells out the number in text (e.g., "three"), using strZero in place of zero and honoring bOrdinal. | function(value, strZero, bOrdinal) {}
GetOrdinalSuffix | This function returns the appropriate ordinal suffix for an integer value. | function(value) {}
IsOrdinalSuffix | This function determines whether str begins with an appropriate ordinal suffix for value. If so, it returns how many characters of str constitute that suffix. | function(value, str) {}
ParseNumLoc | This function parses a string (str) to create a double value, which is returned. (If str cannot be interpreted as a number, it should return return NaN instead.) | function(str) {}
ParseDateLoc | This function parses a string (str) to create a JavaScript Date object, which is returned. (If str) cannot be interpreted as a date, it should return null instead.) | function(str) {}
FormatNumLocDef | This function is used when a number needs to be formatted and no format example was recognized. It takes a double (value) and formats it according to locale conventions into a string, padding decimals out to the specified number of decimal places (nDecPlaces). | function(value, nDecPlaces) {}
FormatNumLoc | This function takes a double (value) and formats it according to the specified parameters: number of decimal places (nDecPlaces), whether or not to include the thousands separator (bThousandsSep), whether or not to zero-pad (bZeroPad), and whether or not to use native digits (bNativeDigits). | function(value, nDecPlaces, bThousandsSep, bZeroPad, bNativeDigits) {}
FormatDateLoc | This function is used when a date needs to be formatted and no format example was recognized. It takes number values for day (d), month (m), and year (y), and formats a date according to locale conventions—either full-length or abbreviated depending on the value of bLong. | function(d, m, y, bLong) {}
FormatTextVal | This function parses the given HotDocs format example (formatExample) and formats the text value accordingly. | function(value, formatExample) {}
FormatNumVal | This function parses the given HotDocs format example (formatExample) and formats the number value accordingly, out to the specified number of decimal places (decimalPlaces). | function(value, formatExample, decimalPlaces) {}
FormatDateVal | This function parses the given HotDocs format example (formatExample) and formats the date value accordingly. | function(value, formatExample) {}
FormatTFVal | This function parses the given HotDocs format example (formatExample) and formats the boolean value accordingly. | function(value, formatExample) {}
FormatList | This function parses the given HotDocs format example (formatExample) and formats the list of values in valueArray accordingly. | function(valueArray, formatExample) {}

Home > Browser Language Module


HotDocs Server Help - JS files

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

JS files

Stands for JavaScript files, which are used to display interviews in a Web browser. When templates are published for use with HotDocs Server, HotDocs generates these JavaScript files for the interview.

Home > Glossary > JS files


HotDocs Server Help - keywords

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

keywords

A broad term used to describe scripting instructions, expressions, and operators. Keywords are used in a script and generate values or perform certain tasks.

Home > Glossary > keywords


HotDocs Server Help - library

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

library

A window used to display and organize templates. The library does not store the actual files—instead, it contains shortcuts (or links) to the files, which are stored on disk. In addition to the template library, HotDocs also uses an answer library, which is more commonly known as Answer File Manager.

Home > Glossary > library


HotDocs Server Help - line break

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

line break

A code in a Word document that indicates that text should appear on a new line within the same paragraph. For example, if the user must enter separate lines in a single paragraph (such as lines in an address), a line break should be used. (See also paragraph mark.)

Home > Glossary > line break


HotDocs Server Help - linked field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

linked field

Represents a HotDocs field in a fillable PDF template that is associated with an Adobe fillable field. By creating this association between a HotDocs field and a fillable field, template developers can create HotDocs fields that precisely match fields in the underlying PDF. Users who assemble the document can then edit answers associated with linked/fillable fields in the saved PDF.

Home > Glossary > linked field


HotDocs Server Help - list

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

list

Two or more answers to one question merged in the document.

Home > Glossary > list


HotDocs Server Help - What is the HotDocs Server log file?

  • Help

Page Descriptions

  • Logging Node

What is the HotDocs Server log file?

The HotDocs Server log file contains a record of each request HotDocs Server receives, as well as other error and status messages. If errors occur in your application, you can review the log file to determine additional information about the error.

HotDocs Server creates a new log file each day using the MMDDYY naming convention. For example, a log file for January 2, 2008 would be named hd010208.log. The location of these log files is specified at the Service Node of the HotDocs Server Management console. (The default location is C:\Program Files\HotDocs Server\HotDocs Server Log.)

Each log file begins with the same heading, which includes the software version, date and time the log file was created, and a schema for the log file:

    #Software: HotDocs 10 Server
    #Version: 10.0.2.2452
    #Start-Date: 2010-12-06 08:35:52
    #Fields: date time type filepath1 filepath2 answerpath count1 count2 Grace errormesg

After the heading, three types of individual log entries are listed:

  • INTERVIEW entries correspond to requests for HotDocs Server interviews.
  • ASSEMBLY entries are made when HotDocs Server assembles a document.
  • LOG ENTRY entries are made when something else happens, most frequently when an error occurs. (Your host application can create LOG ENTRY entries using either the HotDocs_Online.Session.AddLogEntry or HotDocs.Server.Session.AddLogEntry API methods.)

Here are some examples of entries in a HotDocs Server log file:

    2008-01-07,14:14:49,INTERVIEW,"/templates/demoempl.js",,,0,0,Grace,"Error"
    2008-01-07,14:14:57,ASSEMBLY,"c:\temp\demoempl.rtf","c:\files\22002.rtf","c:\answers\22002.ans",205,500,Grace,"Error"
    2008-01-08,08:35:52,LOG ENTRY,,,,1,0,,"A new Session has been created with the following ID: 22862e38-a530-4d59-a527-a8dcc99f0b40"

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > What is the HotDocs Server log file?


HotDocs Server Help - manual index

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

manual index

See explicit index.

Home > Glossary > manual index


HotDocs Server Help - map, mapping

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

map, mapping

See variable mapping.

Home > Glossary > map, mapping


HotDocs Server Help - mark up, markup

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

mark up, markup

The formatting applied to a Word template or an assembled Word document that shows simplified template development marks. For example, when viewed in Markup View, variables in a template appear between brackets rather than chevrons. (See also Markup View.)

Home > Glossary > mark up, markup


HotDocs Server Help - Markup View

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Markup View

A view that shows a simplified version of a Word template or an assembled document. This simplified view may be useful if a non-HotDocs user must review the template or document. When viewing a template or document in Markup View, variable and answer fields are marked using brackets.

Home > Glossary > Markup View


HotDocs Server Help - merge field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

merge field

  1. During template development, the place in the template where a variable is inserted.
  2. During document assembly, the place where the user's answer will be inserted.

Home > Glossary > merge field


HotDocs Server Help - merge text

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

merge text

The text that will be merged in a document if a user chooses a specific Multiple Choice variable option. For example, if a user chooses Male as the option, a masculine pronoun such as he or his can be merged instead of Male.

Home > Glossary > merge text


HotDocs Server Help - Copyright Information

  • Help

Copyright Information

Copyright © 2010 HotDocs Limited. All rights reserved.

No part of this product may be reproduced, transmitted, transcribed, stored in a retrieval system, or translated into any language in any form by any means without the express written permission of HotDocs Limited. ("HotDocs").

Third-Party Software Acknowledgements

This product includes software developed by the Apache Software Foundation (http://www.apache.org/).

Warranty Information

HotDocs makes no representations or warranties with respect to the contents or use of this product and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose. Information in this document is subject to change without notice and does not represent a commitment on the part of HotDocs.

Government Use

Use, duplication, or disclosure by the Federal Government is subject to restrictions as set forth in FAR clauses 52.227--14, "Rights in Data--General"; 52.227--19, "Commercial Computer Software--Restricted Rights"; and subdivision (c)(1)(ii) of the Rights in Technical Data and Computer Software clause DFAR 252.227--7013; and the limitations set forth in the standard commercial license agreement for this software. Unpublished rights are reserved under the copyright laws of the United States.

Trademark Information

HotDocs is a registered trademark of HotDocs Limited. Other product names may be trademarks or registered trademarks of their respective companies.

Home > Copyright Information


HotDocs Server Help - model

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

model

A tool in the script editor that template developers can use in writing scripts. A model shows the full instruction or expression—including any placeholders that must be replaced for the script to work correctly. Developers can drag these models from their respective lists and then replace the placeholders with the appropriate values.

Home > Glossary > model


HotDocs Server Help - Multiple Choice variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Multiple Choice variable

A type of component that merges a predefined answer in the document.

Home > Glossary > Multiple Choice variable


HotDocs Server Help - navigation bar

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

navigation bar

  1. In an interview (at the Interview tab), the toolbar used to move from dialog to dialog.
  2. In a document (at the Document tab), the toolbar used to move between merged answers in a document.

Home > Glossary > navigation bar


HotDocs Server Help - non-breaking space / hyphen

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

non-breaking space / hyphen

A property that can be assigned to a variable that keeps the answer from being split across two lines in the assembled document.

Home > Glossary > non-breaking space / hyphen


HotDocs Server Help - notation

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

notation

An identification assigned to a variable name to help identify what type of variable it is. For example, Client Name TE would indicate that the variable is a Text variable. (Typical component notations include TE (Text), DA (Date), NU (Number), MC (Multiple Choice), TF (True/False), CO (Computation), and DI (dialog).)

Home > Glossary > notation


HotDocs Server Help - Number variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Number variable

A type of component that merges a numeric value in the document.

Home > Glossary > Number variable


HotDocs Server Help - ODBC

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

ODBC

Short for Open Database Connectivity, it's a data presentation layer that lets HotDocs communicate with a database so HotDocs can retrieve data from it and use it to assemble a document. (See also ADO.)

Home > Glossary > ODBC


HotDocs Server Help - operator

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

operator

A symbol or word that causes either an operation (such as addition) or a comparison to be performed in a computation script or expression.

Home > Glossary > operator


HotDocs Server Help - order

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

order

The process of designating the sequence in which form template fields are asked in the tab order. Establishing this order in a form is important for users who directly fill the form document.

Home > Glossary > order


HotDocs Server Help - outline

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

outline

See interview outline.

Home > Glossary > outline


HotDocs Server Help - overflow

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

overflow

Answers in a form document that do not fit in the allotted field space. Overflowing answers are usually sent to the addendum.

Home > Glossary > overflow


HotDocs Server Help - overlay

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

overlay

The process of using the Overlay Answers command to merge existing answers into the current answer file. When answers are overlaid, the answers become a part of the current answer file. They also overwrite any existing answers in the interview.

Home > Glossary > overlay


HotDocs Server Help - paragraph mark

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

paragraph mark

A code in a Word document that indicates that text following the mark should appear in a new paragraph. (See also line break.)

Home > Glossary > paragraph mark


HotDocs Server Help - parent dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

parent dialog

A dialog that contains a child dialog.

Home > Glossary > parent dialog


HotDocs Server Help - pattern

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

pattern

Determines how a Text variable will be displayed and formatted in the interview and in the assembled document. By default, HotDocs includes three patterns in all new templates (Social Security number, telephone number, and time of day), but template developers can create custom patterns.

Home > Glossary > pattern


HotDocs Server Help - PDF417

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

PDF417

The two-dimensional bar code format used in HotDocs Filler.

Home > Glossary > PDF417


HotDocs Server Help - .PDF

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.PDF

File name extension that designates that the file is a Portable Document Format file, a format created and supported by Adobe. PDFs are a useful way of distributing documents in a format most users can view—as long as they have Adobe Acrobat, Adobe Reader, or HotDocs Filler (with HotDocs PDF Advantage) installed. With PDF Advantage, template developers can also create PDF-based form templates. They can also create PDFs from assembled documents.

Home > Glossary > .PDF


HotDocs Server Help - HotDocs Server Performance Counters

  • Help

HotDocs Server Performance Counters

HotDocs Server includes performance counters in the following two performance objects:

HotDocs Server Performance Object

Counter | Description
Current users | Indicates the current number of users.
Number of assemblies | Indicates the current number of assembly objects.
Number of interviews | Indicates the current number of interviews.
Average time per assembly (ms) | Indicates the average time spend (in milliseconds) per assembly.
Last assembly time (ms) | Indicates the last assembly time in milliseconds
Assembly queue time (ms) | Indicates the assembly queue time in milliseconds.

HotDocs Server Objects Performance Object

Counter | Description
Answer Objects | Indicates the number of active Answer objects.
AnswerCollection Objects | Indicates the number of active AnswerCollection objects.
Application Objects | Indicates the number of active Application objects.
Assembly Objects | Indicates the number of active Assembly objects.
AssemblyCollection Objects | Indicates the number of active AssemblyCollection objects.
Component Objects | Indicates the number of active Component objects.
ComponentCollection Objects | Indicates the number of active ComponentCollection objects.
ComponentProperties Objects | Indicates the number of active ComponentProperties objects.
Componentstrow Objects | Indicates the number of active Componentstrow objects.
FileCollection Objects | Indicates the number of active FileCollection objects.
InterviewResponse Objects | Indicates the number of active InterviewResponse objects.
Manager Objects | Indicates the number of active Manager objects.
Session Objects | Indicates the number of active Session objects.
StatelessAPI Objects | Indicates the number of active StatelessAPI objects.
Value Objects | Indicates the number of active Value objects.
VariableCollection Objects | Indicates the number of active VariableCollection objects.
WorkRequest Objects | Indicates the number of active WorkRequest objects.

Home > HotDocs Server Performance Counters


HotDocs Server Help - Personal Information variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Personal Information variable

A type of component that stores basic information about a user, such as a name, a company name, and a phone number. This information is saved in the Current User key of the Windows System Registry. Once answered, users won't be prompted to enter it again.

Home > Glossary > Personal Information variable


HotDocs Server Help - placeholder

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

placeholder

A marker in an instruction or expression model that indicates where a value must be substituted. This value must be a literal value or a variable. Instruction and expression models help the developer use the correct syntax in a script.

Home > Glossary > placeholder


HotDocs Server Help - pointed component file

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

pointed component file

When sharing components across multiple templates, represents the template's own component file, which, in turn, points to the shared component file.

Home > Glossary > pointed component file


HotDocs Server Help - pop-up interview

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

pop-up interview

A dialog a user can display during an interview. Usually a pop-up interview shows a different view of the dialog. For example, if a user is entering answers in a spreadsheet, he or she can click the Edit Row Edit Row button and a pop-up interview appears that shows just the questions (and answers) from that particular row in the spreadsheet.

Home > Glossary > pop-up interview


HotDocs Server Help - printer driver

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

printer driver

A driver that generates form templates from files designed in other applications, such as a draw program or a word processor. HotDocs includes one printer driver—the HotDocs PDF driver.

Home > Glossary > printer driver


HotDocs Server Help - processing stack

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

processing stack

A sequential list of templates and components HotDocs is processing at any given time. Each time a new component is processed, it is added to the stack. (Once processing is finished, it is removed.) In some instances where recursion is used in a script, the same component is repeatedly added to the list. If the number of components exceeds the stack limit, an infinite loop error will occur. (The stack limit can be changed at the Component File Properties dialog box.)

Home > Glossary > processing stack


HotDocs Server Help - prompt

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

prompt

Text that can be assigned to a variable to help the user better understand how to answer the question.

Home > Glossary > prompt


HotDocs Server Help - Properties Common to All HotDocs Components

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Common to All HotDocs Components

Every HotDocs component contains the following set of properties:

Property Name | Type | Description
Hash | INT | A 32-bit number representing a hash of all properties of a component, which changes whenever one of the component's properties changes. (Read-only)
Name | BSTR | The component name.
Signature | INT | For internal HotDocs use. (Read-only)
Type | INT | Indicates the type of HotDocs component as defined in the hdCmpType enumeration.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Common to All HotDocs Components


HotDocs Server Help - Properties Common to All HotDocs Variables

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Common to All HotDocs Variables

Text, Date, Number, True/False, Multiple Choice, and Computation variables, as well as Dialogs and Dialog Elements, contain the following properties in addition to the properties listed above for all components:

Property Name | Type | Description
DataBase | BSTR | The database component to which the variable is linked. (Read-only)
Dialog | BSTR | The dialog component to which the variable is linked. If a variable appears in more than one dialog, this shows only the dialog (if any) to which the variable is linked.
DefAlignment | INT | The default answer alignment (0=Left, 1=right) for merge fields.
DefFormat | BSTR | The default format (e.g., LIKE THIS). Formats ending with an asterisk (*) are non-breaking formats.
DefFillChar | BSTR | The default fill character for merge fields.
DefFieldWidth | INT | The default merge field width.
DefUnansText | BSTR | The default unanswered text for merge fields.
HelpText | BSTR | The resource text assigned to the variable.
MaxAnsFieldWidth | INT | The width (in units) of the answer field in a regular (non-spreadsheet) dialog. The width may be exact (>0), full (0), or calculated (-1).
Prompt | BSTR | The variable prompt.
PROP_TITLE | BSTR | The variable title.
SSColWidth | INT | The minimum width (in units) of the answer field in a spreadsheet dialog. (A value of 0 means HotDocs will calculate the width automatically.)
SYS_DONT_WARN_IF_UNANS | BOOL | A Boolean value indicating whether or not HotDocs will warn the user when the variable is unanswered.
SYS_VAR_DONT_SAVE | BOOL | A Boolean value indicating whether or not HotDocs will save the variable's answer in the answer file.
SYS_VAR_DONT_ASK | BOOL | A Boolean value indicating whether or not HotDocs will ask the variable automatically.
SYS_DLG_LEFT | BOOL | For dialogs, this Boolean value indicates whether or not prompts will appear to the left of the variable fields.
SYS_DLG_TOP | BOOL | For dialogs, this boolean value indicates whether or not prompts will appear above variable fields.
SYS_DLG_RAGGED | BOOL | For dialogs, this Boolean value indicates whether or not the left edges of variable fields will be aligned.
SYS_DLG_ALIGN_MASK | BOOL | For internal HotDocs use.
ValueType | INT | For internal HotDocs use. (Read-only)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Common to All HotDocs Variables


HotDocs Server Help - Properties Specific to Computation Variables

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Specific to Computation Variables

Property Name | Type | Description
Script | BSTR | The Computation variable script.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Specific to Computation Variables


HotDocs Server Help - Properties Specific to Dialog Elements

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Specific to Dialog Elements

Property Name | Type | Description
Application | BSTR | For an application link, this is the file name and path to the executable file.
ApplicationLink | BSTR | For an application link, this is the text for the hyperlink (button).
Computation | BSTR | For a Script link, this is the name of the Computation variable to run.
ComputationLink | BSTR | For a Script link, this is the text for the hyperlink (button).
DialogItemText | BSTR | For a Text dialog element, this is the text to display on the dialog.
DisplayLinkAs | INT | Determines if the link will be displayed as a button (0) or hyperlink (1).
DisplayLinkInDesktop | BOOL | Determines if the link will be displayed in desktop interviews.
DisplayLinkInServer | BOOL | Determines if the link will be displayed in HotDocs Server interviews.
DisplayLinkWithImage | BOOL | Determines if the link will include an image.
DisplayLinkWithText | BOOL | Determines if the link will include text.
DisplayTextIn | INT | For Text dialog elements, indicates when it will be displayed: All views of the dialog (0), Spreadsheet view only (1), or Edit Row view only (2).
DlgItemType | INT | The type of dialog element: 0=Text, 1=Horizontal divider, 2=Vertical spacing, 3=Script link, 4=Application link, 5=Web link, 6=Image.
GenerateAutomatically | BOOL | Determines if the dialog element's name will be generated automatically.
ImageFileName | BSTR | For Image dialog elements, the file name and path of the image to display.
ImageJustification | INT | For Image dialog elements, indicates Left (0), Center (1), or Right (2) justification.
LinkButtonHeight | INT | The height of link buttons.
LinkButtonWidth | INT | The width of link buttons.
LinkImageFileName | INT | For Link elements, the file name and path of the image to use as the link.
SeparatorCaption | BSTR | For a Horizontal divider dialog element, this is the text to display on the divider.
SeparatorFontSize | INT | For a Horizontal divider dialog element, this is the font size as a percentage of the regular dialog font size.
SeparatorJustification | INT | For a Horizontal divider dialog element, indicates Left (0), Center (1), or Right (2) justification.
SpacerHeight | INT | For a Vertical spacing dialog element, this is the height as a percentage of the dialog font height.
Url | BSTR | For a Web link dialog element, this is the URL.
UrlLink | BSTR | For a Web link dialog element, this is the text of the hyperlink.
UrlLinkOptions | BSTR | For a Web link dialog element, this is the "Window.open" features string.
&nbsp; | &nbsp; | &nbsp;

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Specific to Dialog Elements


HotDocs Server Help - Properties Specific to Dialogs

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Specific to Dialogs

Property Name | Type | Description
AnswerSource | BSTR | The answer source associated with the dialog.
GroupType | Integer | The type of grouping.
IsRegular | BOOL | Determines if the dialog is regular. (Read-only)
IsRepeated | BOOL | Determines if the dialog is repeated. (Read-only)
IsSpread | BOOL | Determines if the dialog is a spreadsheet. (Read-only)
MaxPromptWidth | Integer | The maximum width of prompts.
MaxSSRows | Integer | The maximum number of spreadsheet rows to display at a time.
NoneAboveType | Integer | Determines if grouped True/False variables should include a None of the Above option.
NumVars | Integer | The number of variables in the dialog. (Read-only)
ParentGroupType | Integer | The type of parent group.
PROP_P_ON_P | BSTR | The prompt to use when the dialog is displayed as a child dialog.
RepeatTitle | BSTR | The label for the dialog when it is repeated as a series.
Script | BSTR | The dialog script.
SYS_DLG_ALIGN_MASK | BOOL | For internal HotDocs use.
SYS_DLG_ASK_ALWAYS | BOOL | Determines if the dialog is asked automatically.
SYS_DLG_ASK_AS_SPREAD | BOOL | Determines if the dialog is asked as a spreadsheet.
SYS_DLG_CHILD | BOOL | Determines if the dialog is a child dialog.
SYS_DLG_MUST_ASK | BOOL | Determines if the dialog must be asked.
SYS_DLG_OLD_LIST | BOOL | Determines if the dialog is in the old list format.
SYS_DLG_OMITCBFORINSERTED | BOOL | Determines if child dialogs will include buttons.
SYS_DLG_REPEATED | BOOL | Determines if the dialog is repeated.
Variables | VARIANT Array | List of variables contained in the dialog.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Specific to Dialogs


HotDocs Server Help - Date, Group, Number, Text, and True/False Format Properties

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Date, Group, Number, Text, and True/False Format Properties

Property Name | Type | Description
Text | BSTR | The format example (e.g., LIKE THIS).

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Date, Group, Number, Text, and True/False Format Properties


HotDocs Server Help - Properties Specific to Multiple Choice Variables

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Specific to Multiple Choice Variables

Property Name | Type | Description
Options | ARRAY | A list of options for the Multiple Choice variable.
ContStyle | INT | The display style.
MultiSel | BOOL | A Boolean value indicating whether or not users may select multiple options.
OtherAllowed | BOOL | A Boolean value indicating whether or not HotDocs should display an Other option. (This value also controls the display of the None of the Above option for multi-select variables.)
Prompts | ARRAY | A list of prompts for the variable options.
HelpTexts | ARRAY | A list of resource text for the variable options.
DefMergeText | BSTR | The default merge text for the variable.
DefValue | ARRAY | A list of default values for the variable.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Specific to Multiple Choice Variables


HotDocs Server Help - Merge Text Properties

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Merge Text Properties

Property Name | Type | Description
Choices | ARRAY | An array of values.

Home > HotDocs Component Properties > Merge Text Properties


HotDocs Server Help - Properties Specific to Number Variables

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Specific to Number Variables

Property Name | Type | Description
Decimals | INT | The number of decimal places.
Currency | BSTR | The currency symbol to display next to the answer field.
Low | R8 | The minimum allowed value.
High | R8 | The maximum allowed value.
DefaultDecimalPoint | BSTR | The default character to use for decimal points.
DefaultThousandsSep | BSTR | The default character to use as the thousands separator.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Specific to Number Variables


HotDocs Server Help - SPAN Component Properties

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

SPAN Component Properties

Property Name | Type | Description
Int1 | INT | For internal HotDocs use.
Int2 | INT | For internal HotDocs use.
String1 | BSTR | For internal HotDocs use.
String2 | BSTR | For internal HotDocs use.
SYS_TF_USER_CAN_MODIFY | BOOL | A Boolean value that indicates if the user can modify the contents of the SPAN text.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > SPAN Component Properties


HotDocs Server Help - Properties Specific to Text Variables

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Specific to Text Variables

Property Name | Type | Description
Lines | INT | The field height of the answer field in the interview.
Chars | INT | The maximum number of characters allowed in the variable's answer.
Validation | BSTR | A pattern used for answer validation, such as a telephone number pattern: (999) 999-9999. (Read-only)
SYS_TEXT_USE_PARA | BOOL | A Boolean value that indicates whether or not pressing the Enter key in multi-line answers will insert a new paragraph mark.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Specific to Text Variables


HotDocs Server Help - Properties Specific to True/False Variables

  • Help

Reference Material

  • Date, Group, Number, Text, and True/False Format Properties
  • Merge Text Properties
  • Properties Common to All HotDocs Components
  • Properties Common to All HotDocs Variables
  • Properties Specific to Computation Variables
  • Properties Specific to Dialog Elements
  • Properties Specific to Dialogs
  • Properties Specific to Multiple Choice Variables
  • Properties Specific to Number Variables
  • Properties Specific to Text Variables
  • Properties Specific to True/False Variables
  • SPAN Component Properties

Properties Specific to True/False Variables

Property Name | Type | Description
SYS_TF_SAMELINE | BOOL | A Boolean value indicating whether or not HotDocs should display Yes/No on the same line.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > HotDocs Component Properties > Properties Specific to True/False Variables


HotDocs Server Help - Proxy information Dialog

  • Help

Proxy information Dialog

HotDocs Server periodically contacts a central HotDocs software authorization server to ensure that your local software authorization file is always up to date. It also contacts this server when you choose to explicitly refresh your software authorization terms.

If your network uses a proxy server to connect to the Internet, you may need to configure the proxy server information on this dialog to allow HotDocs Server to successfully connect with the authorization server.

Value | Description
Use default proxy | Select this check box to use the default proxy information. If this box is selected, all other fields on this dialog box are disabled.
Proxy server | Enter the address (URL) of the proxy server.
Username | Enter the user name HotDocs Server will use when connecting to the proxy server.
Password | Enter the user's password.
Domain | Enter the user's domain.

Home > Proxy information Dialog


HotDocs Server Help - punctuate

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

punctuate

The process of formatting a REPEAT instruction so that a list of answers will appear in sentence format, like this: The client owns real estate in New York, Pennsylvania, and Montana. (New York, Pennsylvania, and Montana are the list items. The punctuation adds the commas and the conjunction and).

Home > Glossary > punctuate


HotDocs Server Help - Question Summary

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Question Summary

A brief report HotDocs generates that lists questions asked during an interview. The summary includes blank lines for handwritten answers. (See also Answer Summary.)

Home > Glossary > Question Summary


HotDocs Server Help - queue

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

queue

See Assembly Queue.

Home > Glossary > queue


HotDocs Server Help - reference

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

reference

In a form document, the text that is added to the addendum to identify any overflow answers. (See also label.)

Home > Glossary > reference


HotDocs Server Help - reference path

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

reference path

A folder path for a template in which the drive letter and some or all of the folder names are represented by a keyword. At runtime, this keyword is mapped to an actual path on the user's computer so that when the user accesses the template, the keyword is replaced by the path. This allows templates saved in one central location to work on multiple workstations regardless of how the drives on the workstation are mapped.

Home > Glossary > reference path


HotDocs Server Help - repeated dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

repeated dialog

A dialog that contains the variables that need to be repeated so that multiple answers can be entered. (See REPEAT instruction.)

Home > Glossary > repeated dialog


HotDocs Server Help - repeated series dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

repeated series dialog

One of two representations of a dialog that is repeated. With a repeated series, the dialog is asked repeatedly until all answers in the list have been entered. (See also spreadsheet dialog.)

Home > Glossary > repeated series dialog


HotDocs Server Help - REPEAT instruction

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

REPEAT instruction

An instruction that repeatedly asks the same variable(s) so that two or more answers can be entered. REPEAT instructions are used to create lists of answers in the document.

Home > Glossary > REPEAT instruction


HotDocs Server Help - resource

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

resource

Supplemental help that can be included with a variable or dialog to help users better understand how to answer the questions they are viewing. Resources appear in the resource pane of the assembly window.

Home > Glossary > resource


HotDocs Server Help - .RTF

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.RTF

File name extension that designates that the template file is a Word RTF file. (See text template.)

Home > Glossary > .RTF


HotDocs Server Help - script

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

script

One or more instructions and/or expressions that generate a value or execute some kind of procedure.

Home > Glossary > script


HotDocs Server Help - script editor

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

script editor

The tool used to write a script. The script editor includes several options to make the script-writing process easier, including color-coding, auto-complete lists, and a toolbar for completing other tasks.

Home > Glossary > script editor


HotDocs Server Help - Search Results

  • Help


HotDocs Server Help - selection grouping

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

selection grouping

A dialog property assigned to True/False variables, clauses, and child dialogs which presents these options as check boxes (multiple-select) or option buttons (single-select).

Home > Glossary > selection grouping


HotDocs Server Help - Send to Word Processor command

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Send to Word Processor command

A command that opens the word processor and copies the assembled document into it. Once opened in the word processor, the user can make any changes necessary to the document.

Home > Glossary > Send to Word Processor command


HotDocs Server Help - Permissions Required by the HotDocs Server Service

  • Help

Reference Material

  • Files Used with HotDocs Server
  • HotDocs Server Registry Keys
  • Permissions Required by the HotDocs Server Service

How Do I...?

  • Install HotDocs Server
  • Install the HotDocs Server management tools

Permissions Required by the HotDocs Server Service

If you choose to run the HotDocs Server service as a non-system account, you must grant the user account the following permissions in User Rights Assignment:

Policy | Required?
Access this computer from the network | No, although host application architecture may require this right. (The default configuration does not require it.)
Act as part of the operating system | No
Add workstations to domain | No
Adjust memory quotas for a process | No
Allow log on locally | No
Allow log on through Terminal Services | No
Back up files and directories | No
Bypass traverse checking | Usually required depending on file system security and template/temp storage requirements.
Change the system time | No
Create a pagefile | No
Create a token object | No
Create global objects | No
Create permanent shared objects | No
Debug programs | No
Enable computer and user accounts to be trusted for delegation | No
Force shutdown from a remote system | No
Generate security audits | Yes
Impersonate a client after authentication | No
Increase scheduling priority | Although it is not explicitly required, PDF-based form template (.HPT) assembly can be dynamically scaled if this is available.
Load and unload device drivers | No
Lock pages in memory | Yes
Log on as a batch job | No
Log on as a service | Yes
Manage auditing and security log | No
Modify firmware environment values | No
Perform volume maintenance tasks | No
Profile single process | Yes
Profile system performance | Yes
Remove computer from docking station | No
Replace a process level token | Yes
Restore files and directories | No
Shut down the system | No
Synchronize directory service data | No
Take ownership of files or other objects | No

Home > Permissions Required by the HotDocs Server Service


HotDocs Server Help - SET instruction

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

SET instruction

An instruction in a template or script that assigns a value to a variable. Variables that have their values set should not be asked again in the interview.

Home > Glossary > SET instruction


HotDocs Server Help - shared component file

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

shared component file

A common component file to which several related templates are linked. To use a shared component file, the template's own component file must be pointed to the shared file. Changes to components in the file are reflected in all templates that use it. (See also pointed component file.)

Home > Glossary > shared component file


HotDocs Server Help - How do I add the HotDocs Server management tools snap-in to an MMC console?

  • Help

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I add the HotDocs Server management tools snap-in to an MMC console?

The HotDocs Server management tools are contained in a standalone MMC snap-in. A Microsoft Management Console (.MSC) file that contains this snap-in is installed with the management tools, with a shortcut to it in the Start menu, but you may also choose to add the snap-in to your own MMC console.

To add the HotDocs Server management snap-in to an MMC console

  1. Click Start > Run. The Run dialog box appears.
  2. Enter mmc /32, and then click OK. The Microsoft Management Console appears.
    Note: The /32 command line switch indicates that the 32-bit MMC will be used. This is only applicable to 64-bit operating systems; if yours is 32-bit, you can safely omit this option.
  3. Select Add/Remove Snap-in from the File menu. The Add or Remove Snap-ins dialog box appears.
  4. Follow the instructions for your operating system:
    Operating System Do This
    Windows XP, Windows 2003 Server
    1. Click Add... The Add Standalone Snap-in dialog box appears.
    2. Select HotDocs Server 10 from the Available standalone snap-ins list.
    3. Click Add. The snap-in is added to the console.
    4. Click Close to close the Add Standalone Snap-in dialog box, and then click OK.
    Windows Vista, Windows 2008 Server, Windows 7
    1. Select HotDocs Server 10 from the Available snap-ins list.
    2. Click Add. The snap-in is added to the Selected snap-ins list.
    3. Click OK.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I add the HotDocs Server management tools snap-in to an MMC console?


HotDocs Server Help - How do I change permissions for HotDocs Server COM objects?

  • Help

Page Descriptions

  • Component Security Node

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I change permissions for HotDocs Server COM objects?

Host applications that use the HotDocs Server API to perform actions must have appropriate permissions to access the HotDocs Server COM objects. The HotDocs Server Management Console displays a list of users or groups with these permissions, and you should ensure that the user under which your host application runs is in that list.

To view and change component security permissions

  1. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  2. Select the Component Security node. A list of users and groups with permissions to access the HotDocs Server COM objects is displayed.
  3. Optionally, to add a user to the list, click Add and browse for desired user.
  4. Optionally, to remove a user from the list, click the Remove Remove button.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I change permissions for HotDocs Server COM objects?


HotDocs Server Help - How do I connect to a HotDocs Server?

  • Help

Page Descriptions

  • Connect to Server Dialog
  • HotDocs Server Tree

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I connect to a HotDocs Server?

To connect to a HotDocs Server

  1. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  2. Right-click the root node of the HotDocs Server tree and select Connect... from the shortcut menu. The Connect to Server dialog box appears.
  3. Select the server from the Server name drop-down list, or type the name of the server if it does not appear in the list automatically.
  4. Click OK.
Tip: HotDocs Server has a default connection timeout setting, which prevents the Management Console from waiting indefinitely for a server to respond. If you need to increase the number of seconds before the connection times out, you can change this setting in the registry. On the machine where you have the Management Tools installed, create the following DWORD value in the registry: HKEY_LOCAL_MACHINE\Software\HotDocs\HotDocs Server\Server Settings\Connect Timeout. (This value is in milliseconds.)

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > HotDocs Server Tree > How do I connect to a HotDocs Server?

More... (1)

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I connect to a HotDocs Server?


HotDocs Server Help - How do I enable the Document Preview feature?

  • Help

Page Descriptions

  • HotDocs Node
  • Service Node

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I enable the Document Preview feature?

Before You Begin:

The Document Preview feature is only available when assembling RTF templates, and only when you are using the Session-based API. Also, while the text in the Document Preview is shown as accurately as possible, the preview will contain formatting differences compared to the final assembled document. These differences occur because of the conversion from RTF to HTML format for display in the browser.

Sometimes, while entering answers in a HotDocs Server interview, it is useful to see what the assembled document will look like before "finishing" the interview. This is especially helpful on the server where it can be time-consuming to download assembled documents and open them in the word processor. Using the Document Preview feature, you can see a preview of the document directly in the browser and then immediately return to the interview to add or change answers as needed.

When a user clicks the Document Preview Button Document Preview button, HotDocs Server assembles a document by merging the answers in the current assembly with the template text to produce an RTF document. This RTF document is then converted to HTML and displayed in the browser. Both the RTF and HTML files are saved in a temporary, web-accessible folder on the server, where they remain for a limited number of minutes before HotDocs Server automatically deletes them.

To enable the Document Preview feature

  1. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  2. Select the HotDocs node. The Interview/Assembly Settings group displays the current settings.
  3. Select Allow document preview.
  4. Optionally, to change the placeholder used in the document preview (and assembled document), select an option from the Unanswered variable placeholder drop-down list. (The default value is *** Variable ***, which surrounds unanswered variables with asterisks.)
  5. Optionally, to switch the document preview (and assembled document) to Markup View, select Assemble marked-up documents.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I enable the Document Preview feature?


HotDocs Server Help - How do I view the details of HotDocs Server files?

  • Help

Page Descriptions

  • Server (Machine Name) Node

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I view the details of HotDocs Server files?

You can view a list of files used by HotDocs Server in the HotDocs Server Management Console. This list indicates the version and modification date of each file, which can be useful when determining whether or not the files used by HotDocs Server are current.

To view the HotDocs Server file details

  1. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  2. Select the Server (Machine Name) node. The following information is displayed for each file in the HotDocs Files table:
    • Name
    • Version
    • Date
  3. Optionally, you can copy the entire list of files by clicking one of the files and then pressing Ctrl+C. You can then open a text application (e.g., Notepad) and press Ctrl+P to paste the copied data.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I view the details of HotDocs Server files?


HotDocs Server Help - How do I view HotDocs Server performance counters?

  • Help

Page Descriptions

  • Logging Node

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I view HotDocs Server performance counters?

HotDocs Server includes a set of performance counters you can view to determine statistics about HotDocs Server, such as the number of documents assembled or the average time spent per assembly. The HotDocs Server Management Console displays some of these counters, but you can get more details and see more counters using the Performance console.

To view the HotDocs Server performance counters

  1. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  2. Select the Logging node. The Performance Counters group displays counters from the HotDocs Server performance object (see below).
  3. Optionally, to see additional counters or graphs of these counters over time, use the Performance Console:
    1. Select Start > Programs > Administrative Tools > Performance. The Performance console appears.
    2. At the System Monitor node, press Ctrl+I. The Add Counters dialog box appears.
    3. For each counter you wish to add, select it from one of the following performance objects, and then click Add:

    HotDocs Server Performance Object

    Counter | Description
    Current users | Indicates the current number of users.
    Number of assemblies | Indicates the current number of assembly objects.
    Number of interviews | Indicates the current number of interviews.
    Average time per assembly (ms) | Indicates the average time spend (in milliseconds) per assembly.
    Last assembly time (ms) | Indicates the last assembly time in milliseconds
    Assembly queue time (ms) | Indicates the assembly queue time in milliseconds.

    HotDocs Server Objects Performance Object

    Counter | Description
    Answer Objects | Indicates the number of active Answer objects.
    AnswerCollection Objects | Indicates the number of active AnswerCollection objects.
    Application Objects | Indicates the number of active Application objects.
    Assembly Objects | Indicates the number of active Assembly objects.
    AssemblyCollection Objects | Indicates the number of active AssemblyCollection objects.
    Component Objects | Indicates the number of active Component objects.
    ComponentCollection Objects | Indicates the number of active ComponentCollection objects.
    ComponentProperties Objects | Indicates the number of active ComponentProperties objects.
    Componentstrow Objects | Indicates the number of active Componentstrow objects.
    FileCollection Objects | Indicates the number of active FileCollection objects.
    InterviewResponse Objects | Indicates the number of active InterviewResponse objects.
    Manager Objects | Indicates the number of active Manager objects.
    Session Objects | Indicates the number of active Session objects.
    StatelessAPI Objects | Indicates the number of active StatelessAPI objects.
    Value Objects | Indicates the number of active Value objects.
    VariableCollection Objects | Indicates the number of active VariableCollection objects.
    WorkRequest Objects | Indicates the number of active WorkRequest objects.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I view HotDocs Server performance counters?


HotDocs Server Help - How do I view the Site Usage log?

  • Help

Page Descriptions

  • Logging Node

How Do I...?

  • Add the HotDocs Server management tools snap-in to an MMC console
  • Change permissions for HotDocs Server COM objects
  • Connect to a HotDocs Server
  • Enable the Document Preview feature
  • Set up a HotDocs Server cluster group
  • Synchronize templates between servers
  • View HotDocs Server performance counters
  • View the details of HotDocs Server files
  • View the Site Usage log

All About...

  • HotDocs Server Files and Registry Keys
  • HotDocs Server Management Console
  • Install HotDocs Server
  • Synchronize HotDocs Server Files

How do I view the Site Usage log?

You can view the HotDocs Server site usage log at the Logging node of the HotDocs Server Management Console. This log file contains a record of each request HotDocs Server receives.

To view the current site usage log

  1. Open the HotDocs Server Management Console (Start > Programs > HotDocs Server 10 > HotDocs Server Management).
  2. Select the Logging node. The HotDocs Event Log Entries group displays the entries from the current log file.
  3. To view entries from other HotDocs Server logs, open the folder (in Windows Explorer) indicated above the table (e.g., C:\Windows\System32\HotDocs Server Log). The name of log files in this folder are based on the date, using the MMDDYY format. (For example, a log file for January 2, 2008 would be named hd010208.log.) You can change this folder for future logs at the Service Node.

Copyright © 2011 HotDocs Ltd. All rights reserved

Home > All About... > HotDocs Server Management Console > How do I use the HotDocs Server management tools? > How do I view the Site Usage log?


HotDocs Server Help - sort

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

sort

The process of alphabetizing answers in a repeated list or items in a library. Sorting can be done in ascending or descending order.

Home > Glossary > sort


HotDocs Server Help - spreadsheet dialog

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

spreadsheet dialog

One representation of a repeated dialog. Each row in a spreadsheet represents one repetition in a dialog. (See also repeated series dialog.)

Home > Glossary > spreadsheet dialog


HotDocs Server Help - static text

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

static text

The underlying text in a form template or document that does not change. To enter answers on a form, form fields must be created and overlaid on the static text.

Home > Glossary > static text


HotDocs Server Help - strike-through field

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

strike-through field

A type of form template field that is used for crossing out static text on the form.

Home > Glossary > strike-through field


HotDocs Server Help - summary

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

summary

See Question Summary and Answer Summary.

Home > Glossary > summary


HotDocs Server Help - supplemental component

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

supplemental component

A term used to define components such as patterns, example formats, dialog elements, and merge text. Supplemental components are associated with regular components, but they can be created and edited as standalone components.

Home > Glossary > supplemental component


HotDocs Server Help - syntax

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

syntax

The language used in writing scripts. For a script to work properly, the script must be written in a way that HotDocs can understand. This language consists of instructions, expressions, operators, and values (such as text, numbers, dates, or answers users enter).

Home > Glossary > syntax


HotDocs Server Help - template

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

template

A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.

Home > Glossary > template


HotDocs Server Help - template developer

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

template developer

The person responsible for automating the templates in the set. The template developer creates and inserts the variables in the template, arranges variables in dialogs, and performs other custom tasks in the template. (See also user.)

Home > Glossary > template developer


HotDocs Server Help - template development

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

template development

See automate, automation.

Home > Glossary > template development


HotDocs Server Help - test

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

test

The process of testing a variable or other component to make sure it looks right and works correctly.

Home > Glossary > test


HotDocs Server Help - test assemble

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

test assemble

The process of assembling a document for the purpose of ensuring the interview works correctly and the automation within the template produces a correctly assembled document. During a test assembly, developers can easily edit components and have the test assembly window updated with changes.

Home > Glossary > test assemble


HotDocs Server Help - text document

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

text document

A document that is viewed in either Word or WordPerfect. It can represent a document before it is automated as well as a document after it has been assembled. When in document format, it is not associated with (or linked to) HotDocs in any way. (See also text template.)

Home > Glossary > text document


HotDocs Server Help - text template

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

text template

A template that is created and automated in Microsoft Word or WordPerfect. It is distinguished from a form template by the fact that the underlying text of the template can be modified. (See also text document.)

Home > Glossary > text template


HotDocs Server Help - Text variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Text variable

A type of component that merges text in the document.

Home > Glossary > Text variable


HotDocs Server Help - title

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

title

A property of a variable or dialog that specifies a more user-friendly name for the component. For example, if project standards require components be named using notations, names like Employee Name TE may not make sense to a user. However a title like Employee Name can be used instead.

Home > Glossary > title


HotDocs Server Help - True/False expression

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

True/False expression

A script that must result in either true or false. Expressions are used for merging or excluding optional text in a document. They are also used for determining which parts of a script will be executed, based on answers or other values entered by a user. Expressions are often used when a simple True/False variable doesn't convey the condition needed. (See IF Instruction.)

Home > Glossary > True/False expression


HotDocs Server Help - True/False variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

True/False variable

A type of component that determines a true/false status of some condition and then merges the appropriate answer or text.

Home > Glossary > True/False variable


HotDocs Server Help - unanswered text

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

unanswered text

Text in a text document that indicates that a question is unanswered. By default, unanswered questions appear as ***Variable Name***, but this can be customized.

Home > Glossary > unanswered text


HotDocs Server Help - Unicode

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

Unicode

Computer specification that makes it possible for computers to represent and manipulate characters used in most of the world’s written languages. Unicode support in HotDocs makes it possible to automate and assemble documents in non-native, left-to-right-reading languages. This includes automating and assembling Microsoft Word templates as well as PDF-based form templates.

Home > Glossary > Unicode


HotDocs Server Help - user

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

user

The customer, client, or person who assembles documents from templates. (See also template developer.)

Home > Glossary > user


HotDocs Server Help - value

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

value

In an interview, it represents a user's answer. In a script, it represents data that must be used in executing the script. (The value can either be a literal value or a user's answer.)

Home > Glossary > value


HotDocs Server Help - variable

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

variable

A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.

Home > Glossary > variable


HotDocs Server Help - variable flow-through

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

variable flow-through

See answer sharing.

Home > Glossary > variable flow-through


HotDocs Server Help - .WPD

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.WPD

File name extension that designates that the file is a WordPerfect document. (See text document.)

Home > Glossary > .WPD


HotDocs Server Help - .WPT

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

.WPT

File name extension that designates that the file is a WordPerfect template. (See text template.)

Home > Glossary > .WPT


HotDocs Server Help - XML

  • Help

Glossary Terms

  • .ANS
  • .ANX
  • .CMP
  • .DOC
  • .DOT
  • .HDA
  • .HDI
  • .HFD, .HPD
  • .HFT, .HPT
  • .PDF
  • .RTF
  • .WPD
  • .WPT
  • accelerator
  • addendum
  • additional text
  • ADO
  • answer
  • answer file
  • Answer File Manager
  • answer library
  • answer management
  • answer sharing
  • Answer Summary
  • answer wizard
  • ascend
  • ASK instruction
  • assemble, assembly
  • Assembly Queue
  • assembly window
  • auto-assemble file
  • auto-install file
  • automate, automation
  • Automator
  • bar code
  • binary files
  • browser
  • built-in variable
  • century rollover
  • check-box field
  • chevrons
  • child dialog
  • clause
  • clause archive
  • clause library
  • command-line option
  • comments
  • component
  • component file
  • Component Manager
  • Computation variable
  • conditional text
  • COUNTER
  • custom interview
  • database
  • Database Connection
  • date detection
  • Date variable
  • default interview
  • default word processor
  • delimiter
  • descend
  • developer
  • dialog
  • dialog element
  • direct-fill assembly
  • document
  • document assembly
  • document manager
  • Document Preview tab
  • double-angle bracket
  • driver
  • duplicate
  • Edit field
  • ELSE IF / ELSE
  • End of Interview dialog
  • example format
  • explicit index
  • expression
  • field
  • file name extension
  • fill
  • fillable field
  • Filler
  • filter
  • fixed value
  • foreign language DLL
  • form document
  • Form Document tab
  • form template
  • format example
  • HotDocs Automator
  • HotDocs Compare
  • HotDocs Database Connection
  • HotDocs Filler
  • HotDocs Options
  • HotDocs PDF Advantage
  • HotDocs Player
  • HotDocs Professional
  • HotDocs Server
  • HotDocs Standard Edition
  • IF instruction (also ELSE IF, ELSE, END IF)
  • import
  • inactive field
  • infinite loop
  • INSERT instruction
  • inserted dialog
  • inserted template
  • instant update
  • instruction
  • intake interview
  • interview
  • interview component
  • interview outline
  • Interview tab
  • interview template
  • iteration
  • JS files
  • keywords
  • library
  • line break
  • linked field
  • list
  • manual index
  • map, mapping
  • mark up, markup
  • Markup View
  • merge field
  • merge text
  • model
  • Multiple Choice variable
  • navigation bar
  • non-breaking space / hyphen
  • notation
  • Number variable
  • ODBC
  • operator
  • order
  • outline
  • overflow
  • overlay
  • paragraph mark
  • parent dialog
  • pattern
  • PDF417
  • Personal Information variable
  • placeholder
  • pointed component file
  • pop-up interview
  • printer driver
  • processing stack
  • prompt
  • punctuate
  • Question Summary
  • queue
  • reference
  • reference path
  • REPEAT instruction
  • repeated dialog
  • repeated series dialog
  • resource
  • script
  • script editor
  • selection grouping
  • Send to Word Processor command
  • SET instruction
  • shared component file
  • sort
  • spreadsheet dialog
  • static text
  • strike-through field
  • summary
  • supplemental component
  • syntax
  • template
  • template developer
  • template development
  • test
  • test assemble
  • text document
  • text template
  • Text variable
  • title
  • True/False expression
  • True/False variable
  • unanswered text
  • Unicode
  • user
  • value
  • variable
  • variable flow-through
  • XML

XML

Stands for eXtensible Markup Language. It is a computer language designed to store and transmit data between applications. Like HTML (HyperText Markup Language), it contains customized markers, or tags, that identify the information in an XML file. However, while HTML describes the way a page looks, XML controls the way data is structured, making it easy for diverse programs to access the same information. (For example, in HTML, to indicate a book title, you would italicize it using the <i> tag. In XML, you could mark the title using a <booktitle> tag. The HTML tag simply formats the text (making it italic), while the XML tag actually defines what the text is (a book title).) In HotDocs, you can save libraries and answer files in XML format.

Home > Glossary > XML